!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl5()
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_21262) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_21260) = -ca*cb*cima*sa*sb
      coupl(nGC_21261) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_21266) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca** &
                         2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa&
                          + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa &
                         **2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_21267) = -cb**2d0*cima*sa**2d0
      coupl(nGC_21265) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21268) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**&
                         2d0)
      coupl(nGC_21269) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_21922) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*&
                         sa*sb**2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_1833) = -coupl(nGC_368)
      coupl(nGC_21148) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_21849) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_21842) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_21843) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_21280) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*&
                         l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*&
                         l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*   &
                         vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*&
                         sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_20795) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_21706) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_20797) = -cb*cima*sa*sb*vev2
      coupl(nGC_20796) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb &
                         **2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb* &
                         vev2 - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4&
                         *sb**2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*   &
                         vev2 + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb** &
                         2d0*l5*sa*vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*&
                         vev2 - l3*sa*sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa&
                         *sb**2d0*vev2)
      coupl(nGC_3565) = -coupl(nGC_15)
      coupl(nGC_21710) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_20702) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_20703) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_20700) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_20701) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_20706) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw)
      coupl(nGC_20707) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                         sw)/(cw*sw)
      coupl(nGC_4695) = -coupl(nGC_205)
      coupl(nGC_20705) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )/(cw*sw**2d0)
      coupl(nGC_20708) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20709) = 2d0*cb*cima*sb**3d0
      coupl(nGC_20793) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21604) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_21605) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_21606) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa* &
                         vev1)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_21601) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa* &
                         vev2)/(cw**2d0*sw**2d0)
      coupl(nGC_21602) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                         ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_21603) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )*(ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_21118) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                         *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -  &
                         2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5* &
                         sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21119) = -ca*cb**2d0*cima*sa
      coupl(nGC_21110) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21111) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 +  &
                         ca*cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb  &
                          - 2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0* &
                         l5*sa**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21113) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb** &
                         2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_21114) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21116) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb** &
                         2d0 + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**  &
                         2d0*l5*sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa** &
                         2d0 + cb**2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**  &
                         2d0*l5*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb** &
                         2d0 - l4*sa**2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_21117) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_287) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0  &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb*cima&
                       *ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0* &
                       vev1/(4d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_21275) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*  &
                         vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*  &
                         vev2)
      coupl(nGC_21274) = -ca*cb*cima*sb*vev2
      coupl(nGC_21277) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb -  &
                         cb*l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_21271) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca&
                         *cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa  &
                          + ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**&
                         2d0 + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_21270) = -ca**2d0*cima*sb**2d0
      coupl(nGC_21273) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb&
                         **2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb* &
                         vev1 - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4&
                         *sb**2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*   &
                         vev1 - cb**2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb** &
                         2d0*l5*sa*vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*&
                         vev1 + l3*sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa&
                         *sb**2d0*vev1)
      coupl(nGC_21272) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21279) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21278) = -cb*cima*sa*sb*vev1
      coupl(nGC_21071) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*&
                         cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + &
                         ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*&
                         vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*&
                         sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_21070) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21077) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_21076) = -ca*cb**2d0*cima*vev1
      coupl(nGC_21075) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0  &
                          - ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_21074) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa&
                          - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_21079) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_21078) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb&
                         **2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                         vev2 + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*&
                         sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0* &
                         vev1)
      coupl(nGC_20890) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21213) = -cb*cima*sa*sb*vev1
      coupl(nGC_21211) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*&
                         sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/  &
                         2d0
      coupl(nGC_21210) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_21217) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_21216) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_21215) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*&
                         ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**  &
                         2d0*vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 -  &
                         cb**2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*&
                         sa*sb*vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/&
                         2d0
      coupl(nGC_21851) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_21850) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21853) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_21852) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21855) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_21854) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_21857) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_21856) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_21859) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 +  &
                         l5*sa**2d0)
      coupl(nGC_21858) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1&
                         *sa**2d0)
      coupl(nGC_20736) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_20734) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_21293) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_20730) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21505) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_21295) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21778) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_21779) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21503) = -2d0*cima*ee/sw
      coupl(nGC_21501) = cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_224) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_21770) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_21771) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_21479) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_21478) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_21477) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_21476) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_20782) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0* &
                         l4 + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0&
                          - l5*sb**2d0)
      coupl(nGC_20780) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2313) = -coupl(nGC_199)
      coupl(nGC_20715) = 3d0*cb*cima*sb**3d0
      coupl(nGC_20714) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20717) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20716) = -3d0*cb**3d0*cima*sb
      coupl(nGC_20711) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20710) = -2d0*cb**3d0*cima*sb
      coupl(nGC_20713) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**&
                         4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb** &
                         2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 &
                          - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + &
                         l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_20712) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_20719) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**&
                         4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb** &
                         2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 &
                          - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + &
                         l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_20718) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21617) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21616) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21615) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21614) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21613) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_21618) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_21109) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                         2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*&
                         sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0&
                         *l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 &
                          + l5*sa**2d0*sb**2d0)
      coupl(nGC_21108) = cb*cima*sa**2d0*sb
      coupl(nGC_21103) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_21107) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21106) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21105) = -ca**2d0*cb*cima*sb
      coupl(nGC_21104) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca** &
                         2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*&
                         sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0&
                         *l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_20934) = 3d0*ca**3d0*cima*sa
      coupl(nGC_20788) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_20789) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20838) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20839) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_20933) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_21432) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_593) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_21430) = 2d0*cima*cw*ee/sw
      coupl(nGC_20889) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_20888) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_20783) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20885) = sqrt(2d0)*sb/2d0
      coupl(nGC_20884) = -sqrt(2d0)*cb/2d0
      coupl(nGC_20887) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_20886) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_20881) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_591) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_20883) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_20882) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_20781) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20786) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20831) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_20784) = -2d0*cb**4d0*cima
      coupl(nGC_21092) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_20785) = -2d0*cima*sb**4d0
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_21828) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_21829) = sqrt(2d0)*sb/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_21910) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_21911) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    end subroutine fill_couplings_mdl5
end module fill_couplings5
