!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_22575) = coupl(nGC_21853)*dl3_QED4 + coupl(nGC_21854)*dl1_QED4 &
                          + coupl(nGC_21855)*dl2_QED4 + coupl(nGC_21856)*      &
                         dl5_QED4 + coupl(nGC_21857)*dl4_QED4 + coupl(nGC_21858&
                         )*dvev1_QED1 + coupl(nGC_21859)*dvev2_QED1 + coupl(   &
                         nGC_21860)*da_QED2
      coupl(nGC_32352) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusL_QED2
      coupl(nGC_32353) = coupl(nGC_22724) + coupl(nGC_4)*dZA_QED2/2d0
      coupl(nGC_32356) = coupl(nGC_32352) + coupl(nGC_32353)
      coupl(nGC_32354) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusR_QED2
      coupl(nGC_32355) = coupl(nGC_32353) + coupl(nGC_32354)
      coupl(nGC_22689) = coupl(nGC_21709)*dvev2_QED1 + coupl(nGC_21710)*       &
                         dsw_QED2 + coupl(nGC_21711)*db_QED2 + coupl(nGC_21712 &
                         )*dvev1_QED1 + coupl(nGC_21713)*dZee_QED2
      coupl(nGC_22688) = coupl(nGC_20829)*dsw_QED2 + coupl(nGC_20830)*db_QED2  &
                          + coupl(nGC_20831)*dZee_QED2 + coupl(nGC_20832)*     &
                         da_QED2
      coupl(nGC_22681) = coupl(nGC_20990)*dyup1_QED1_QCD2 + coupl(nGC_20991)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22680) = coupl(nGC_20989)*db_QED2 + coupl(nGC_20990)*dyup1_QED3&
                          + coupl(nGC_20991)*dyup2_QED3
      coupl(nGC_22683) = coupl(nGC_21639)*dyc1_QED1_QCD2 + coupl(nGC_21640)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22682) = coupl(nGC_21638)*db_QED2 + coupl(nGC_21639)*dyc1_QED3 &
                          + coupl(nGC_21640)*dyc2_QED3
      coupl(nGC_22685) = coupl(nGC_579)*dyt2_QED3 + coupl(nGC_581)*db_QED2 +   &
                         coupl(nGC_583)*dyt1_QED3
      coupl(nGC_22684) = coupl(nGC_579)*dyt2_QED1_QCD2 + coupl(nGC_583)*       &
                         dyt1_QED1_QCD2
      coupl(nGC_22686) = coupl(nGC_21066)*dZee_QED2
      coupl(nGC_22175) = (-coupl(nGC_1773)**2d0*coupl(nGC_353) + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_2247) - coupl(      &
                         nGC_2247)**2d0*coupl(nGC_353) + 8d0*coupl(nGC_2247)*  &
                         coupl(nGC_4)**2d0 - coupl(nGC_351)**2d0*coupl(nGC_353 &
                         ) - coupl(nGC_353)*coupl(nGC_354)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22174) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -   &
                         coupl(nGC_2247)*coupl(nGC_351)**2d0 - coupl(nGC_2247)*&
                         coupl(nGC_353)**2d0 - coupl(nGC_2247)*coupl(nGC_354)**&
                         2d0 - coupl(nGC_2247)*coupl(nGC_356)**2d0 + 8d0*coupl(&
                         nGC_353)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22173) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22171) = coupl(nGC_13)**2d0*coupl(nGC_3395)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_32222) = coupl(nGC_22584) + coupl(nGC_322)*dZHMinusGMinus_QED2/&
                         2d0
      coupl(nGC_32221) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_33495) = coupl(nGC_368)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_33599) = coupl(nGC_345)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_48053) = coupl(nGC_22842) + coupl(nGC_MHL)*dZHl_QED2 + coupl(  &
                         nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_34587) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_tauL_QED2 + coupl(nGC_22733)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34216) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_34747) = coupl(nGC_207)*dZcR_QCD2
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34744) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_39609) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_36504) = coupl(nGC_347)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_21974) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl( &
                         nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl( &
                         nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_35989) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_50771) = -coupl(nGC_39587)
      coupl(nGC_38732) = coupl(nGC_22680) + coupl(nGC_383)*dZHa_QED2/2d0 +     &
                         coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_33114) = coupl(nGC_244)*dZGMinus/2d0
      coupl(nGC_37869) = coupl(nGC_22855) + coupl(nGC_TS_GC_345_Hl) + coupl(   &
                         nGC_TS_GC_348_Hh)
      coupl(nGC_37868) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_37866) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_37865) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_37864) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_37863) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_40473) = -coupl(nGC_35333)
      coupl(nGC_34122) = coupl(nGC_201)*dZZA_QED2/2d0 + coupl(nGC_22588) +     &
                         coupl(nGC_5)*dZA_QED2/2d0
      coupl(nGC_38024) = coupl(nGC_384)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_38025) = coupl(nGC_384)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_22463) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(   &
                         nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl&
                         (nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(   &
                         nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl&
                         (nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(      &
                         nGC_354) - coupl(nGC_357)*coupl(nGC_360) - coupl(     &
                         nGC_375)*coupl(nGC_378))/(6d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
