!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_34774) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_35608) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_35605) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_35607) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_35600) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_35198) = coupl(nGC_13)*dZuR_QCD2
      coupl(nGC_36881) = coupl(nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_35197) = coupl(nGC_13)*dZuR_QED2
      coupl(nGC_34486) = coupl(nGC_22549) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0&
                          + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(     &
                         nGC_71)*dZGMinusHMinus_QED2 + coupl(nGC_74)*          &
                         dZGMinusHMinus_QED2/2d0
      coupl(nGC_34482) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_35997) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_35993) = coupl(nGC_22578) + coupl(nGC_245)*dZHa_QED2/2d0 +     &
                         coupl(nGC_245)*dZHh_QED2/2d0 + coupl(nGC_250)*        &
                         dZG0Ha_QED2/2d0 + coupl(nGC_253)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_254)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_39_Hh&
                         ) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_33340) = coupl(nGC_221)*dZGMinus
      coupl(nGC_38725) = coupl(nGC_383)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_38724) = coupl(nGC_383)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_33348) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_34395) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_34398) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_32508) = coupl(nGC_33)*dZGMinus
      coupl(nGC_33290) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/&
                         2d0
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32892) = coupl(nGC_336)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_33129) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33126) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_40222) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_40226) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZbR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_40225) = coupl(nGC_209)*dZbL_QCD2
      coupl(nGC_57574) = -coupl(nGC_22054)
      coupl(nGC_22205) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22204) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345&
                         )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)*&
                         coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) - &
                         coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)** &
                         2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/( &
                         32d0*pi**2d0)
      coupl(nGC_22207) = coupl(nGC_354)*(-coupl(nGC_1773)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2247)**2d0 - coupl&
                         (nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22206) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(    &
                         nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_21958) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_334)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_346)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0  &
                          - cME**2d0*cima*coupl(nGC_352)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_358)**2d0 - cMTA**2d0*cima*coupl(nGC_376)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(   &
                         nGC_229) + 2d0*cima*coupl(nGC_231)**2d0 + 2d0*cima*   &
                         coupl(nGC_321)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22202) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_21954) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_337)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_349)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0  &
                          - cME**2d0*cima*coupl(nGC_355)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_361)**2d0 - cMTA**2d0*cima*coupl(nGC_379)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(   &
                         nGC_229) + 2d0*cima*coupl(nGC_237)**2d0 + 2d0*cima*   &
                         coupl(nGC_324)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21957) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0 &
                          + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 +  &
                         Nc*coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 +     &
                         coupl(nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(    &
                         nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22209) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC*&
                         coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(      &
                         nGC_366) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_22208) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC&
                         *coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(     &
                         nGC_366) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/( &
                         16d0*pi**2d0)
      coupl(nGC_21952) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                         cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0* &
                         coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)* &
                         coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(    &
                         nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337   &
                         ) - Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT&
                         **2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*    &
                         coupl(nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(    &
                         nGC_346)*coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)* &
                         coupl(nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355&
                         ) - cMM**2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0&
                         *coupl(nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*  &
                         coupl(nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/( &
                         16d0*pi**2d0)
      coupl(nGC_21953) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0 &
                          + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 +  &
                         Nc*coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 +     &
                         coupl(nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(    &
                         nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22447) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0 &
                          + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl( &
                         nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_40043) = coupl(nGC_22658) + coupl(nGC_375)*dZHl_QED2/2d0 +     &
                         coupl(nGC_378)*dZHhHl_QED2/2d0
      coupl(nGC_40042) = coupl(nGC_375)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_22446) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0&
                          - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl( &
                         nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_37703) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32658) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_41470) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_22371) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(     &
                         nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)* &
                         coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(    &
                         nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367  &
                         ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(  &
                         nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0* &
                         coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*&
                         coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(    &
                         nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc* &
                         coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(&
                         nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)* &
                         coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(    &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385  &
                         ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(  &
                         nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(&
                         nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)* &
                         coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(    &
                         nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*    &
                         coupl(nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0&
                         *coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 +  &
                         5d0*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 &
                          + 5d0*coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)** &
                         2d0)/(24d0*pi**2d0)
      coupl(nGC_22370) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +  &
                         20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)* &
                         coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(   &
                         nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340 &
                         )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)** &
                         2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0*&
                         coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(   &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl&
                         (nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(   &
                         nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(    &
                         nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(    &
                         nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl&
                         (nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +  &
                         10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*  &
                         coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl( &
                         nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
