!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_22305) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                         nGC_1641)*coupl(nGC_365) + coupl(nGC_1833)*coupl(     &
                         nGC_368) + 4d0*coupl(nGC_206)**2d0 + coupl(nGC_363)** &
                         2d0 + coupl(nGC_364)**2d0 + coupl(nGC_366)**2d0 +     &
                         coupl(nGC_367)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22306) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                         nGC_7349) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_22307) = sq2**3d0*(-Nc*cima*coupl(nGC_7349)**3d0 + 12d0*coupl( &
                         nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_22301) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                         nGC_1641)*coupl(nGC_365) - coupl(nGC_1833)*coupl(     &
                         nGC_368) - 4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_209&
                         )**2d0 - coupl(nGC_334)**2d0 - coupl(nGC_337)**2d0 -  &
                         coupl(nGC_363)**2d0 - coupl(nGC_366)**2d0)/(64d0*pi** &
                         2d0*Nc)
      coupl(nGC_22302) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                         nGC_1641)*coupl(nGC_365) - coupl(nGC_1833)*coupl(     &
                         nGC_368) - 4d0*coupl(nGC_206)**2d0 - coupl(nGC_363)** &
                         2d0 - coupl(nGC_364)**2d0 - coupl(nGC_366)**2d0 -     &
                         coupl(nGC_367)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22303) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                         nGC_7349) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_22524) = coupl(nGC_20842)*dl3_QED4 + coupl(nGC_20843)*dl1_QED4 &
                          + coupl(nGC_20844)*dl2_QED4 + coupl(nGC_20845)*      &
                         dl5_QED4 + coupl(nGC_20846)*dl4_QED4 + coupl(nGC_20847&
                         )*db_QED2
      coupl(nGC_22525) = coupl(nGC_20773)*db_QED2 + coupl(nGC_20774)*dl5_QED4  &
                          + coupl(nGC_20775)*dl4_QED4 + coupl(nGC_20776)*      &
                         da_QED2
      coupl(nGC_22526) = coupl(nGC_20751)*db_QED2 + coupl(nGC_20752)*dl5_QED4  &
                          + coupl(nGC_20753)*dl4_QED4 + coupl(nGC_20754)*      &
                         da_QED2
      coupl(nGC_22527) = coupl(nGC_21258)*dl3_QED4 + coupl(nGC_21259)*db_QED2  &
                          + coupl(nGC_21260)*dl2_QED4 + coupl(nGC_21261)*      &
                         dl5_QED4 + coupl(nGC_21262)*dl4_QED4 + coupl(nGC_21263&
                         )*dl1_QED4 + coupl(nGC_21264)*da_QED2
      coupl(nGC_22520) = coupl(nGC_21235)*dl3_QED4 + coupl(nGC_21236)*db_QED2  &
                          + coupl(nGC_21237)*dl2_QED4 + coupl(nGC_21238)*      &
                         dl5_QED4 + coupl(nGC_21239)*dl4_QED4 + coupl(nGC_21240&
                         )*dl1_QED4 + coupl(nGC_21241)*da_QED2
      coupl(nGC_22521) = coupl(nGC_20951)*dl3_QED4 + coupl(nGC_20952)*dl1_QED4 &
                          + coupl(nGC_20953)*dl2_QED4 + coupl(nGC_20954)*      &
                         dl5_QED4 + coupl(nGC_20955)*dl4_QED4 + coupl(nGC_20956&
                         )*da_QED2
      coupl(nGC_22522) = coupl(nGC_20833)*dl3_QED4 + coupl(nGC_20834)*dl1_QED4 &
                          + coupl(nGC_20835)*dl2_QED4 + coupl(nGC_20836)*      &
                         dl5_QED4 + coupl(nGC_20837)*dl4_QED4 + coupl(nGC_20838&
                         )*db_QED2
      coupl(nGC_22523) = coupl(nGC_21221)*dl3_QED4 + coupl(nGC_21222)*db_QED2  &
                          + coupl(nGC_21223)*dl2_QED4 + coupl(nGC_21224)*      &
                         dl5_QED4 + coupl(nGC_21225)*dl4_QED4 + coupl(nGC_21226&
                         )*dl1_QED4 + coupl(nGC_21227)*da_QED2
      coupl(nGC_22528) = coupl(nGC_21251)*dl3_QED4 + coupl(nGC_21252)*db_QED2  &
                          + coupl(nGC_21253)*dl2_QED4 + coupl(nGC_21254)*      &
                         dl5_QED4 + coupl(nGC_21255)*dl4_QED4 + coupl(nGC_21256&
                         )*dl1_QED4 + coupl(nGC_21257)*da_QED2
      coupl(nGC_22529) = coupl(nGC_20867)*dl3_QED4 + coupl(nGC_20868)*dl1_QED4 &
                          + coupl(nGC_20869)*dl2_QED4 + coupl(nGC_20870)*      &
                         dl5_QED4 + coupl(nGC_20871)*dl4_QED4 + coupl(nGC_20872&
                         )*db_QED2
      coupl(nGC_33922) = coupl(nGC_22526) + coupl(nGC_52)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_62)*dZHa_QED2/2d0 +     &
                         coupl(nGC_62)*dZHh_QED2/2d0
      coupl(nGC_33431) = coupl(nGC_22654) + coupl(nGC_357)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_360)*dZHh_QED2/2d0
      coupl(nGC_33432) = coupl(nGC_33427) + coupl(nGC_33431)
      coupl(nGC_33926) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 +    &
                         coupl(nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_22552) + &
                         coupl(nGC_31)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22412) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_366)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_384)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_340  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_366)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_372)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_354)*coupl(nGC_355) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_2313)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_2313))/(48d0*pi&
                         **2d0)
      coupl(nGC_22413) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_342  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_174)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_21) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_355) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_174)*coupl(nGC_2313)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_21)*coupl(nGC_2313))/(48d0*pi&
                         **2d0)
      coupl(nGC_45313) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_22711) + coupl&
                         (nGC_26)*dZAZ_QED2/2d0
      coupl(nGC_22638) = coupl(nGC_20690)*dydo2_QED1_QCD2 + coupl(nGC_20692)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22639) = coupl(nGC_20690)*dydo2_QED3 + coupl(nGC_20691)*db_QED2&
                          + coupl(nGC_20692)*dydo1_QED3
      coupl(nGC_22630) = coupl(nGC_21655)*dyd13x3_QED1_QCD2 + coupl(nGC_21657)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22631) = coupl(nGC_21655)*dyd13x3_QED3 + coupl(nGC_21656)*     &
                         da_QED2 + coupl(nGC_21657)*dyb2_QED3
      coupl(nGC_22632) = coupl(nGC_20873)*dydo1_QED1_QCD2 + coupl(nGC_20874)*  &
                         dydo2_QED1_QCD2
      coupl(nGC_22633) = coupl(nGC_20873)*dydo1_QED3 + coupl(nGC_20874)*       &
                         dydo2_QED3 + coupl(nGC_20875)*da_QED2
      coupl(nGC_22635) = coupl(nGC_21494)*dys2_QED3 + coupl(nGC_21495)*        &
                         dyd12x2_QED3 + coupl(nGC_21496)*da_QED2
      coupl(nGC_22636) = coupl(nGC_21522)*dyd13x3_QED1_QCD2 + coupl(nGC_21524)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22637) = coupl(nGC_21522)*dyd13x3_QED3 + coupl(nGC_21523)*     &
                         da_QED2 + coupl(nGC_21524)*dyb2_QED3
      coupl(nGC_32258) = coupl(nGC_22548) + coupl(nGC_54)*dZHMinus_QED2 + coupl&
                         (nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0&
                          + coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*     &
                         dZGMinusHMinus_QED2
      coupl(nGC_32254) = coupl(nGC_54)*dZG0/2d0
      coupl(nGC_36711) = -coupl(nGC_36705)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32893) = coupl(nGC_336)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32380) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_32385) = coupl(nGC_100)*dZGMinus
      coupl(nGC_32386) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_22698)
      coupl(nGC_32389) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_32873) = coupl(nGC_205)*dZA_QED2/2d0 + coupl(nGC_205)*         &
                         dZWMinus_QED2 + coupl(nGC_205)*dZZ_QED2/2d0 + coupl(  &
                         nGC_22717)
      coupl(nGC_32872) = coupl(nGC_194)*dZZA_QED2/2d0 + coupl(nGC_8)*dZAZ_QED2/&
                         2d0
      coupl(nGC_32875) = -2d0*coupl(nGC_32872) + coupl(nGC_32873)
      coupl(nGC_32874) = coupl(nGC_32872) - coupl(nGC_32873)/2d0
      coupl(nGC_33337) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0&
                          + coupl(nGC_22728)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
