!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_34118) = coupl(nGC_22854) + coupl(nGC_34113)
      coupl(nGC_39005) = coupl(nGC_333)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_33474) = coupl(nGC_22644) + coupl(nGC_352)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(      &
                         nGC_355)*dZnu_eL_QED2/2d0
      coupl(nGC_22458) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc* &
                         coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345 &
                         )*coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(      &
                         nGC_366)**3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 &
                          + Nc*coupl(nGC_381)*coupl(nGC_384)**3d0 + coupl(     &
                         nGC_351)*coupl(nGC_354)**3d0 + coupl(nGC_357)*coupl(  &
                         nGC_360)**3d0 + coupl(nGC_375)*coupl(nGC_378)**3d0)/( &
                         4d0*pi**2d0)
      coupl(nGC_22459) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0 &
                          + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +  &
                         20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0&
                         *Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*&
                         coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*    &
                         coupl(nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(      &
                         nGC_224)**2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354&
                         )**2d0 + 20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 &
                          + 20d0*coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*&
                         coupl(nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_32138) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22457) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(    &
                         nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc*&
                         coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 +   &
                         20d0*Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0 &
                          + 20d0*coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0&
                          + 20d0*coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_22450) = cima*(20d0*Nc*coupl(nGC_1641)**2d0*coupl(nGC_365)**2d0&
                          + 20d0*Nc*coupl(nGC_2677)**2d0*coupl(nGC_371)**2d0 + &
                         20d0*Nc*coupl(nGC_2741)**2d0*coupl(nGC_344)**2d0 +    &
                         20d0*Nc*coupl(nGC_3295)**2d0*coupl(nGC_335)**2d0 +    &
                         20d0*Nc*coupl(nGC_3395)**2d0*coupl(nGC_347)**2d0 +    &
                         20d0*Nc*coupl(nGC_383)**2d0*coupl(nGC_7453)**2d0 + 6d0&
                         *coupl(nGC_100)**2d0 + 20d0*coupl(nGC_2247)**2d0*coupl&
                         (nGC_353)**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(&
                         nGC_2497)**2d0*coupl(nGC_377)**2d0 + 20d0*coupl(      &
                         nGC_359)**2d0*coupl(nGC_8311)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22451) = cima*(10d0*Nc*coupl(nGC_1641)**2d0*coupl(nGC_366)**2d0&
                          + 40d0*Nc*coupl(nGC_1641)*coupl(nGC_365)*coupl(      &
                         nGC_366)**2d0 + 10d0*Nc*coupl(nGC_2677)**2d0*coupl(   &
                         nGC_372)**2d0 + 40d0*Nc*coupl(nGC_2677)*coupl(nGC_371 &
                         )*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_2741)**2d0* &
                         coupl(nGC_339)**2d0 + 40d0*Nc*coupl(nGC_2741)*coupl(  &
                         nGC_339)**2d0*coupl(nGC_344) + 10d0*Nc*coupl(nGC_3295 &
                         )**2d0*coupl(nGC_336)**2d0 + 40d0*Nc*coupl(nGC_3295)* &
                         coupl(nGC_335)*coupl(nGC_336)**2d0 + 10d0*Nc*coupl(   &
                         nGC_335)**2d0*coupl(nGC_336)**2d0 + 10d0*Nc*coupl(    &
                         nGC_339)**2d0*coupl(nGC_344)**2d0 + 10d0*Nc*coupl(    &
                         nGC_3395)**2d0*coupl(nGC_348)**2d0 + 40d0*Nc*coupl(   &
                         nGC_3395)*coupl(nGC_347)*coupl(nGC_348)**2d0 + 10d0*Nc&
                         *coupl(nGC_347)**2d0*coupl(nGC_348)**2d0 + 10d0*Nc*   &
                         coupl(nGC_365)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*    &
                         coupl(nGC_371)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*    &
                         coupl(nGC_383)**2d0*coupl(nGC_384)**2d0 + 40d0*Nc*    &
                         coupl(nGC_383)*coupl(nGC_384)**2d0*coupl(nGC_7453) +  &
                         10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_7453)**2d0 + 6d0&
                         *coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(nGC_224)*   &
                         coupl(nGC_230) + 10d0*coupl(nGC_2247)**2d0*coupl(     &
                         nGC_354)**2d0 + 40d0*coupl(nGC_2247)*coupl(nGC_353)*  &
                         coupl(nGC_354)**2d0 + 10d0*coupl(nGC_2497)**2d0*coupl(&
                         nGC_378)**2d0 + 40d0*coupl(nGC_2497)*coupl(nGC_377)*  &
                         coupl(nGC_378)**2d0 + 10d0*coupl(nGC_353)**2d0*coupl( &
                         nGC_354)**2d0 + 10d0*coupl(nGC_359)**2d0*coupl(nGC_360&
                         )**2d0 + 40d0*coupl(nGC_359)*coupl(nGC_360)**2d0*coupl&
                         (nGC_8311) + 10d0*coupl(nGC_360)**2d0*coupl(nGC_8311  &
                         )**2d0 + 10d0*coupl(nGC_377)**2d0*coupl(nGC_378)**2d0 &
                         )/(48d0*pi**2d0)
      coupl(nGC_32130) = coupl(nGC_I)*dZHaG0_QED2/2d0
      coupl(nGC_22453) = cima*(10d0*Nc*coupl(nGC_1641)**2d0*coupl(nGC_363)**2d0&
                          + 40d0*Nc*coupl(nGC_1641)*coupl(nGC_363)**2d0*coupl( &
                         nGC_365) + 10d0*Nc*coupl(nGC_2677)**2d0*coupl(nGC_369 &
                         )**2d0 + 40d0*Nc*coupl(nGC_2677)*coupl(nGC_369)**2d0* &
                         coupl(nGC_371) + 10d0*Nc*coupl(nGC_2741)**2d0*coupl(  &
                         nGC_342)**2d0 + 40d0*Nc*coupl(nGC_2741)*coupl(nGC_342 &
                         )**2d0*coupl(nGC_344) + 10d0*Nc*coupl(nGC_3295)**2d0* &
                         coupl(nGC_333)**2d0 + 40d0*Nc*coupl(nGC_3295)*coupl(  &
                         nGC_333)**2d0*coupl(nGC_335) + 10d0*Nc*coupl(nGC_333  &
                         )**2d0*coupl(nGC_335)**2d0 + 10d0*Nc*coupl(nGC_3395)**&
                         2d0*coupl(nGC_345)**2d0 + 40d0*Nc*coupl(nGC_3395)*    &
                         coupl(nGC_345)**2d0*coupl(nGC_347) + 10d0*Nc*coupl(   &
                         nGC_342)**2d0*coupl(nGC_344)**2d0 + 10d0*Nc*coupl(    &
                         nGC_345)**2d0*coupl(nGC_347)**2d0 + 10d0*Nc*coupl(    &
                         nGC_363)**2d0*coupl(nGC_365)**2d0 + 10d0*Nc*coupl(    &
                         nGC_369)**2d0*coupl(nGC_371)**2d0 + 10d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_383)**2d0 + 40d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_383)*coupl(nGC_7453) + 10d0*Nc&
                         *coupl(nGC_381)**2d0*coupl(nGC_7453)**2d0 + 6d0*coupl(&
                         nGC_100)*coupl(nGC_77) + 3d0*coupl(nGC_224)*coupl(    &
                         nGC_230) + 10d0*coupl(nGC_2247)**2d0*coupl(nGC_351)** &
                         2d0 + 40d0*coupl(nGC_2247)*coupl(nGC_351)**2d0*coupl( &
                         nGC_353) + 10d0*coupl(nGC_2497)**2d0*coupl(nGC_375)** &
                         2d0 + 40d0*coupl(nGC_2497)*coupl(nGC_375)**2d0*coupl( &
                         nGC_377) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_353)**  &
                         2d0 + 10d0*coupl(nGC_357)**2d0*coupl(nGC_359)**2d0 +  &
                         40d0*coupl(nGC_357)**2d0*coupl(nGC_359)*coupl(nGC_8311&
                         ) + 10d0*coupl(nGC_357)**2d0*coupl(nGC_8311)**2d0 +   &
                         10d0*coupl(nGC_375)**2d0*coupl(nGC_377)**2d0)/(48d0*pi&
                         **2d0)
      coupl(nGC_22292) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_206)**2d0 - coupl(nGC_2741)*coupl(nGC_344) -     &
                         coupl(nGC_2939)*coupl(nGC_341) - coupl(nGC_339)**2d0  &
                          - coupl(nGC_340)**2d0 - coupl(nGC_342)**2d0 - coupl( &
                         nGC_343)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22293) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*    &
                         coupl(nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(  &
                         nGC_2665)*coupl(nGC_338) + coupl(nGC_3295)*coupl(     &
                         nGC_335) + coupl(nGC_333)**2d0 + coupl(nGC_336)**2d0  &
                          + coupl(nGC_364)**2d0 + coupl(nGC_367)**2d0)/(64d0*pi&
                         **2d0*Nc)
      coupl(nGC_22290) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(     &
                         nGC_2741)*coupl(nGC_344) - coupl(nGC_2939)*coupl(     &
                         nGC_341) - coupl(nGC_339)**2d0 - coupl(nGC_342)**2d0  &
                          - coupl(nGC_370)**2d0 - coupl(nGC_373)**2d0)/(64d0*pi&
                         **2d0)
      coupl(nGC_22291) = -coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(    &
                         nGC_7349) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_22296) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl&
                         (nGC_207)**2d0 - coupl(nGC_2665)*coupl(nGC_338) -     &
                         coupl(nGC_3295)*coupl(nGC_335) - coupl(nGC_333)**2d0  &
                          - coupl(nGC_334)**2d0 - coupl(nGC_336)**2d0 - coupl( &
                         nGC_337)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22294) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(&
                         nGC_207)**2d0 + coupl(nGC_2665)*coupl(nGC_338) + coupl&
                         (nGC_3295)*coupl(nGC_335) + coupl(nGC_333)**2d0 +     &
                         coupl(nGC_334)**2d0 + coupl(nGC_336)**2d0 + coupl(    &
                         nGC_337)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22295) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*   &
                         coupl(nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(  &
                         nGC_2665)*coupl(nGC_338) - coupl(nGC_3295)*coupl(     &
                         nGC_335) - coupl(nGC_333)**2d0 - coupl(nGC_336)**2d0  &
                          - coupl(nGC_364)**2d0 - coupl(nGC_367)**2d0)/(64d0*pi&
                         **2d0)
      coupl(nGC_22674) = coupl(nGC_21379)*dyup2_QED1_QCD2 + coupl(nGC_21380)*  &
                         dyup1_QED1_QCD2
      coupl(nGC_22675) = coupl(nGC_21379)*dyup2_QED3 + coupl(nGC_21380)*       &
                         dyup1_QED3 + coupl(nGC_21381)*da_QED2
      coupl(nGC_22676) = coupl(nGC_21616)*dyc1_QED1_QCD2 + coupl(nGC_21617)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22677) = coupl(nGC_21616)*dyc1_QED3 + coupl(nGC_21617)*        &
                         dyc2_QED3 + coupl(nGC_21618)*da_QED2
      coupl(nGC_22670) = coupl(nGC_21635)*dyc1_QED1_QCD2 + coupl(nGC_21636)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22671) = coupl(nGC_21635)*dyc1_QED3 + coupl(nGC_21636)*        &
                         dyc2_QED3 + coupl(nGC_21637)*da_QED2
      coupl(nGC_22678) = coupl(nGC_21690)*dyt1_QED1_QCD2 + coupl(nGC_21692)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_22679) = coupl(nGC_21690)*dyt1_QED3 + coupl(nGC_21691)*da_QED2 &
                          + coupl(nGC_21692)*dyt2_QED3
      coupl(nGC_22201) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333&
                         )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)*&
                         coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) - &
                         coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)** &
                         2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/( &
                         32d0*pi**2d0)
      coupl(nGC_22200) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(       &
                         nGC_2665)**2d0*coupl(nGC_336) - coupl(nGC_3295)**2d0* &
                         coupl(nGC_336) - coupl(nGC_333)**2d0*coupl(nGC_336) - &
                         coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) - coupl( &
                         nGC_336)**3d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(  &
                         nGC_367))/(32d0*pi**2d0)
      coupl(nGC_33500) = coupl(nGC_22623) + coupl(nGC_365)*dZHaG0_QED2/2d0
      coupl(nGC_33501) = -coupl(nGC_33494) - coupl(nGC_33500)
      coupl(nGC_33502) = coupl(nGC_33494) + coupl(nGC_33500)
      coupl(nGC_33504) = -coupl(nGC_22622) - coupl(nGC_33495)
      coupl(nGC_33505) = coupl(nGC_22622) + coupl(nGC_33495)
      coupl(nGC_22078) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc&
                         *coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl( &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208&
                         )*coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl&
                         (nGC_376)*coupl(nGC_379) + coupl(nGC_212)*coupl(      &
                         nGC_352)*coupl(nGC_355) + coupl(nGC_212)*coupl(nGC_358&
                         )*coupl(nGC_361) + coupl(nGC_212)*coupl(nGC_376)*coupl&
                         (nGC_379))/(24d0*pi**2d0)
      coupl(nGC_33877) = coupl(nGC_381)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_22076) = (Nc*cMB*coupl(nGC_2677)*coupl(nGC_340)*coupl(nGC_370  &
                         ) + Nc*cMB*coupl(nGC_2741)*coupl(nGC_340)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_2741)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl&
                         (nGC_344) + Nc*cMB*coupl(nGC_343)*coupl(nGC_371)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_344)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMC*coupl(nGC_1641)*coupl(nGC_334)*    &
                         coupl(nGC_367) + Nc*cMC*coupl(nGC_3295)*coupl(nGC_334 &
                         )*coupl(nGC_337) + Nc*cMC*coupl(nGC_3295)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_335)*coupl(nGC_337) + Nc*cMC*coupl(nGC_335)*coupl(&
                         nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(&
                         nGC_364)*coupl(nGC_365) + Nc*cMD*coupl(nGC_3395)*coupl&
                         (nGC_346)*coupl(nGC_349) + Nc*cMD*coupl(nGC_3395)*    &
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*&
                         coupl(nGC_347)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)*&
                         coupl(nGC_383)*coupl(nGC_385) + Nc*cMD*coupl(nGC_347)*&
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*&
                         coupl(nGC_382)*coupl(nGC_7453) + Nc*cMS*coupl(nGC_1641&
                         )*coupl(nGC_334)*coupl(nGC_337) + Nc*cMS*coupl(       &
                         nGC_1641)*coupl(nGC_364)*coupl(nGC_367) + Nc*cMS*coupl&
                         (nGC_3295)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*    &
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*cMS*&
                         coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + Nc*cMT*&
                         coupl(nGC_2677)*coupl(nGC_340)*coupl(nGC_343) + Nc*cMT&
                         *coupl(nGC_2677)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                         cMT*coupl(nGC_2741)*coupl(nGC_340)*coupl(nGC_370) + Nc&
                         *cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371) + Nc&
                         *cMT*coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_373) + Nc&
                         *cMT*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc&
                         *cMU*coupl(nGC_3395)*coupl(nGC_349)*coupl(nGC_382) +  &
                         Nc*cMU*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_385) + &
                         Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + &
                         Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_7453   &
                         ) + Nc*cMU*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385&
                         ) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(       &
                         nGC_7453) + cME*coupl(nGC_2247)*coupl(nGC_352)*coupl( &
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_353)*coupl(   &
                         nGC_355) + cMM*coupl(nGC_358)*coupl(nGC_359)*coupl(   &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_8311) + cMTA*coupl(nGC_2497)*coupl(nGC_376)*coupl(&
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_377)*coupl(  &
                         nGC_379) + 2d0*cima*coupl(nGC_186)*coupl(nGC_324) +   &
                         2d0*cima*coupl(nGC_237)*coupl(nGC_30))/(16d0*pi**2d0)
      coupl(nGC_22077) = coupl(nGC_197)*(Nc*coupl(nGC_1641)*coupl(nGC_367) + Nc&
                         *coupl(nGC_2741)*coupl(nGC_340) - Nc*coupl(nGC_335)*  &
                         coupl(nGC_337) + Nc*coupl(nGC_3395)*coupl(nGC_349) -  &
                         Nc*coupl(nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)* &
                         coupl(nGC_385) + coupl(nGC_2247)*coupl(nGC_355) +     &
                         coupl(nGC_2497)*coupl(nGC_379) + coupl(nGC_361)*coupl(&
                         nGC_8311))/(24d0*pi**2d0)
      coupl(nGC_22070) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22708) = coupl(nGC_21034)*dsw_QED2 + coupl(nGC_21035)*dcw_QED2 &
                          + coupl(nGC_21036)*dZee_QED2
      coupl(nGC_22709) = coupl(nGC_21805)*dcw_QED2 + coupl(nGC_21806)*db_QED2  &
                          + coupl(nGC_21807)*dsw_QED2 + coupl(nGC_21808)*      &
                         dZee_QED2 + coupl(nGC_21809)*da_QED2
      coupl(nGC_22700) = coupl(nGC_20693)*dsw_QED2 + coupl(nGC_20694)*dcw_QED2 &
                          + coupl(nGC_20695)*dZee_QED2
      coupl(nGC_22701) = coupl(nGC_20696)*dsw_QED2 + coupl(nGC_20697)*dZee_QED2
      coupl(nGC_22702) = coupl(nGC_21022)*dsw_QED2 + coupl(nGC_21023)*dcw_QED2 &
                          + coupl(nGC_21024)*dZee_QED2
      coupl(nGC_22704) = coupl(nGC_20733)*dsw_QED2 + coupl(nGC_20734)*         &
                         dvev2_QED1 + coupl(nGC_20735)*dvev1_QED1 + coupl(     &
                         nGC_20736)*dZee_QED2 + coupl(nGC_20737)*da_QED2
      coupl(nGC_22705) = coupl(nGC_20822)*dZee_QED2
      coupl(nGC_22706) = coupl(nGC_20816)*dsw_QED2 + coupl(nGC_20817)*dcw_QED2 &
                          + coupl(nGC_20818)*dZee_QED2
      coupl(nGC_21951) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(    &
                         nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl&
                         (nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(   &
                         nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(     &
                         nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379&
                         ))/(48d0*pi**2d0)
      coupl(nGC_40559) = -coupl(nGC_22684) - coupl(nGC_40558)
      coupl(nGC_35135) = coupl(nGC_32690) + coupl(nGC_35129)
      coupl(nGC_35131) = coupl(nGC_13)*dZbR_QCD2
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
