!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_32485) = coupl(nGC_203)*dZZA_QED2/2d0 + coupl(nGC_22686) +     &
                         coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                         /2d0
      coupl(nGC_32481) = coupl(nGC_22541) + coupl(nGC_52)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_52)*dZHh_QED2/2d0 + coupl(nGC_62)*          &
                         dZHaG0_QED2/2d0 + coupl(nGC_63)*dZHlHh_QED2/2d0
      coupl(nGC_22384) = 5d0*cima*(Nc*coupl(nGC_1641)*coupl(nGC_3295)*coupl(   &
                         nGC_337)*coupl(nGC_364) + Nc*coupl(nGC_1641)*coupl(   &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*coupl(    &
                         nGC_1641)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367 &
                         ) + Nc*coupl(nGC_2677)*coupl(nGC_2741)*coupl(nGC_343)*&
                         coupl(nGC_373) + Nc*coupl(nGC_2677)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_371) + Nc*coupl(nGC_2677)*   &
                         coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_2741)*coupl(nGC_340)*coupl(nGC_343)*coupl(  &
                         nGC_344) + Nc*coupl(nGC_2741)*coupl(nGC_344)*coupl(   &
                         nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_3295)*coupl(   &
                         nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(    &
                         nGC_3295)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367 &
                         ) + Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_365)*  &
                         coupl(nGC_367) + Nc*coupl(nGC_3395)*coupl(nGC_346)*   &
                         coupl(nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_3395)*   &
                         coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_7453) + Nc*   &
                         coupl(nGC_3395)*coupl(nGC_347)*coupl(nGC_382)*coupl(  &
                         nGC_385) + Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(    &
                         nGC_370)*coupl(nGC_371) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_383)*coupl(nGC_7453) + Nc*coupl(   &
                         nGC_347)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383  &
                         ) + Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385)*  &
                         coupl(nGC_7453) + coupl(nGC_2247)*coupl(nGC_352)*coupl&
                         (nGC_353)*coupl(nGC_355) + coupl(nGC_2497)*coupl(     &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_379) + coupl(nGC_358&
                         )*coupl(nGC_359)*coupl(nGC_361)*coupl(nGC_8311))/(24d0&
                         *pi**2d0)
      coupl(nGC_22385) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)*coupl( &
                         nGC_206) + coupl(nGC_1)*coupl(nGC_209) + coupl(nGC_2)*&
                         coupl(nGC_207) + coupl(nGC_2)*coupl(nGC_210))/(32d0*pi&
                         **2d0)
      coupl(nGC_22386) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(&
                         nGC_206) - coupl(nGC_1)*coupl(nGC_209) - coupl(nGC_2)*&
                         coupl(nGC_207) - coupl(nGC_2)*coupl(nGC_210))/(32d0*pi&
                         **2d0*Nc)
      coupl(nGC_22387) = cima*(5d0*Nc*coupl(nGC_1641)*coupl(nGC_334)*coupl(    &
                         nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_339)*coupl(      &
                         nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2677)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2741)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_3295)*coupl&
                         (nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_3295)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_336&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_336)*coupl(nGC_365)*coupl(nGC_367) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365)*coupl(&
                         nGC_366) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_336)*coupl(&
                         nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_340)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_371  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_3395)*coupl(      &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(&
                         nGC_3395)*coupl(nGC_346)*coupl(nGC_384)*coupl(nGC_385 &
                         ) + 5d0*Nc*coupl(nGC_3395)*coupl(nGC_348)*coupl(      &
                         nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_371)*coupl(nGC_372) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_372  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_348&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348&
                         )*coupl(nGC_385)*coupl(nGC_7453) + 5d0*Nc*coupl(      &
                         nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384&
                         )*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_347)*coupl(      &
                         nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_347)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_382&
                         )*coupl(nGC_383) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_365&
                         )*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_370&
                         )*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_384)*coupl(&
                         nGC_385) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(&
                         nGC_385)*coupl(nGC_7453) + 6d0*coupl(nGC_180)*coupl(  &
                         nGC_187) + 5d0*coupl(nGC_2247)*coupl(nGC_352)*coupl(  &
                         nGC_354)*coupl(nGC_355) + 6d0*coupl(nGC_23)*coupl(    &
                         nGC_31) + 5d0*coupl(nGC_2497)*coupl(nGC_376)*coupl(   &
                         nGC_378)*coupl(nGC_379) + 5d0*coupl(nGC_352)*coupl(   &
                         nGC_353)*coupl(nGC_354)*coupl(nGC_355) + 5d0*coupl(   &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_361  &
                         ) + 5d0*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361)* &
                         coupl(nGC_8311) + 5d0*coupl(nGC_376)*coupl(nGC_377)*  &
                         coupl(nGC_378)*coupl(nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22380) = (5d0*Nc*cima*coupl(nGC_1219)*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_1219)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) - 4d0*Nc*&
                         cima*coupl(nGC_1219)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_385) + 5d0*Nc*cima*coupl(nGC_1825)*coupl(   &
                         nGC_197)*coupl(nGC_207)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1825)*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_373) - 4d0*Nc*cima*coupl(nGC_1825)*coupl(nGC_197)*&
                         coupl(nGC_210)*coupl(nGC_373) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_341  &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(  &
                         nGC_349)*coupl(nGC_350) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_2665)*   &
                         coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_2665)*coupl(nGC_337) - 4d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl(   &
                         nGC_341) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                         coupl(nGC_349)*coupl(nGC_350) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_368  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_2665)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*&
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349)*    &
                         coupl(nGC_350) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_367)*coupl(nGC_368) + 6d0*cima*    &
                         coupl(nGC_186)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_30) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_355)*coupl(nGC_356) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361)*coupl(   &
                         nGC_362) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_355)*coupl(nGC_356) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361)*    &
                         coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_355)*coupl(nGC_356  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_379)*coupl(nGC_380) + 6d0*   &
                         coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_22381) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0&
                          - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl( &
                         nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22382) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0 &
                          + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl( &
                         nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22383) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc* &
                         coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346 &
                         )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl( &
                         nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc*&
                         coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)** &
                         3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361&
                         ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22388) = cima*(5d0*Nc*coupl(nGC_1641)*coupl(nGC_333)*coupl(    &
                         nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_340)*coupl(      &
                         nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(nGC_2677)*coupl&
                         (nGC_342)*coupl(nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl&
                         (nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2741)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_3295)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_3295)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_363)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_363)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_3395)*coupl&
                         (nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl&
                         (nGC_3395)*coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_3395)*coupl(nGC_346)*coupl(      &
                         nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_342)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_371  &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369&
                         )*coupl(nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_344&
                         )*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342&
                         )*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347)*coupl(&
                         nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_385)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_345)*coupl&
                         (nGC_347)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383 &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381&
                         )*coupl(nGC_383) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349&
                         )*coupl(nGC_381)*coupl(nGC_7453) + 5d0*Nc*coupl(      &
                         nGC_347)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382  &
                         ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_365&
                         )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370&
                         )*coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_381&
                         )*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385)*coupl(&
                         nGC_7453) + 6d0*coupl(nGC_174)*coupl(nGC_187) + 6d0*  &
                         coupl(nGC_21)*coupl(nGC_31) + 5d0*coupl(nGC_2247)*    &
                         coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_2497)*coupl(nGC_375)*coupl(nGC_376)*coupl(  &
                         nGC_379) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(   &
                         nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(   &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_8311 &
                         ) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_377)* &
                         coupl(nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22389) = cima*(5d0*Nc*coupl(nGC_334)*coupl(nGC_336)**2d0*coupl(&
                         nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(&
                         nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_366)**2d0 + 5d0*Nc*coupl(nGC_336)**&
                         2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(     &
                         nGC_336)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366  &
                         ) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_340)*coupl(  &
                         nGC_343) + 5d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_370)* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_339)*&
                         coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*&
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_372)**2d0 +   &
                         5d0*Nc*coupl(nGC_346)*coupl(nGC_348)**2d0*coupl(      &
                         nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(&
                         nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(&
                         nGC_349)*coupl(nGC_384)**2d0 + 5d0*Nc*coupl(nGC_348)**&
                         2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(     &
                         nGC_348)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)**2d0*coupl(  &
                         nGC_367) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372)**2d0* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384  &
                         )**2d0*coupl(nGC_385) + 6d0*coupl(nGC_175)*coupl(     &
                         nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_352)*coupl(nGC_354)**2d0*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_358)*coupl(nGC_360)**2d0*coupl(nGC_361) +   &
                         5d0*coupl(nGC_376)*coupl(nGC_378)**2d0*coupl(nGC_379  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_33451) = -coupl(nGC_33039)
      coupl(nGC_22473) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*    &
                         coupl(nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl&
                         (nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(      &
                         nGC_366) - coupl(nGC_369)*coupl(nGC_372) - coupl(     &
                         nGC_381)*coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_22470) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                         nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(    &
                         nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl&
                         (nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(   &
                         nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(   &
                         nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0*&
                         coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl( &
                         nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208&
                         )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl&
                         (nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*   &
                         coupl(nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_2313&
                         )**2d0*coupl(nGC_77))/(24d0*pi**2d0)
      coupl(nGC_22477) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0&
                          - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl( &
                         nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_32152) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_22478) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0 &
                          + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl( &
                         nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22479) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207  &
                         )**4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl( &
                         nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*  &
                         coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima*&
                         coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0* &
                         cima*coupl(nGC_2313)**4d0 + 2d0*coupl(nGC_195)*coupl( &
                         nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_2313)**  &
                         2d0)/(8d0*pi**2d0)
      coupl(nGC_22272) = (coupl(nGC_1773)*coupl(nGC_211)*coupl(nGC_356) + 4d0* &
                         coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4  &
                         )**2d0 + coupl(nGC_211)*coupl(nGC_2247)*coupl(nGC_353 &
                         ) + coupl(nGC_211)*coupl(nGC_351)**2d0 + coupl(nGC_211&
                         )*coupl(nGC_354)**2d0 + coupl(nGC_212)*coupl(nGC_352  &
                         )**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_22273) = (coupl(nGC_1773)*coupl(nGC_208)*coupl(nGC_356) - 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_2247 &
                         )*coupl(nGC_353) + coupl(nGC_208)*coupl(nGC_351)**2d0 &
                          + coupl(nGC_208)*coupl(nGC_354)**2d0 + 4d0*coupl(    &
                         nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22274) = (coupl(nGC_1415)*coupl(nGC_211)*coupl(nGC_362) + 4d0* &
                         coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4  &
                         )**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 + coupl(  &
                         nGC_211)*coupl(nGC_359)*coupl(nGC_8311) + coupl(      &
                         nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_212)*coupl(  &
                         nGC_358)**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22275) = (coupl(nGC_1415)*coupl(nGC_208)*coupl(nGC_362) - 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_357  &
                         )**2d0 + coupl(nGC_208)*coupl(nGC_359)*coupl(nGC_8311 &
                         ) + coupl(nGC_208)*coupl(nGC_360)**2d0 + 4d0*coupl(   &
                         nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22279) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + coupl(nGC_1641&
                         )*coupl(nGC_206)*coupl(nGC_365) + coupl(nGC_1833)*    &
                         coupl(nGC_206)*coupl(nGC_368) + 4d0*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2313) + coupl(nGC_206)*coupl(nGC_363)**2d0 + coupl&
                         (nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_207)*coupl( &
                         nGC_334)**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22499) = coupl(nGC_21025)*dcw_QED2 + coupl(nGC_21026)*dZee_QED2
      coupl(nGC_22490) = (cima*coupl(nGC_13995)**2d0 - cima*coupl(nGC_7349)**  &
                         4d0*sq2**4d0 - 2d0*coupl(nGC_13995)*coupl(nGC_7349)** &
                         2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_22491) = (cima*coupl(nGC_14)**2d0 + 2d0*cima*coupl(nGC_14)*    &
                         coupl(nGC_3565) + cima*coupl(nGC_3565)**2d0 - cima*   &
                         coupl(nGC_7349)**4d0*sq2**4d0 - 2d0*coupl(nGC_14)*    &
                         coupl(nGC_7349)**2d0*sq2**2d0 - 2d0*coupl(nGC_3565)*  &
                         coupl(nGC_7349)**2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_22492) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_3565) - Nc*cima* &
                         coupl(nGC_7349)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_14)* &
                         coupl(nGC_7349)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_3565 &
                         )*coupl(nGC_7349)**2d0*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_22493) = (3d0*Nc*cima*coupl(nGC_14)**2d0 + 3d0*Nc*cima*coupl(  &
                         nGC_3565)**2d0 - Nc*cima*coupl(nGC_7349)**4d0*sq2**4d0&
                          - 6d0*Nc*coupl(nGC_14)*coupl(nGC_7349)**2d0*sq2**2d0 &
                          + 9d0*cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**  &
                         2d0)
      coupl(nGC_22494) = (6d0*Nc*cima*coupl(nGC_14)*coupl(nGC_3565) - Nc*cima* &
                         coupl(nGC_7349)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_3565 &
                         )*coupl(nGC_7349)**2d0*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_22497) = coupl(nGC_21779)*dsw_QED2 + coupl(nGC_21780)*dcw_QED2 &
                          + coupl(nGC_21781)*dZee_QED2
      coupl(nGC_33526) = coupl(nGC_22582) + coupl(nGC_260)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_271)*dZHh_QED2/2d0
      coupl(nGC_33520) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_22503)
      coupl(nGC_36001) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZsR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_22015) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc* &
                         coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                         nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1 &
                         )*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*    &
                         coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(&
                         nGC_382)*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_334)*coupl(nGC_337) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355&
                         )*coupl(nGC_4) - coupl(nGC_358)*coupl(nGC_361)*coupl( &
                         nGC_4) - coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(&
                         24d0*pi**2d0)
      coupl(nGC_22010) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(  &
                         nGC_2523)*coupl(nGC_324) + 2d0*coupl(nGC_198)*coupl(  &
                         nGC_237)*coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324&
                         )*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22011) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1 &
                         )*coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349 &
                         )**2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*    &
                         coupl(nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*   &
                         coupl(nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**&
                         2d0 - Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl( &
                         nGC_2)*coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(   &
                         nGC_367)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - &
                         Nc*coupl(nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**&
                         2d0*coupl(nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + &
                         coupl(nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_22012) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*  &
                         coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(&
                         nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1 &
                         )*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*    &
                         coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(&
                         nGC_382)*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_334)*coupl(nGC_337) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_340)*coupl(nGC_343) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_382)*coupl(nGC_385) + coupl(nGC_352)*coupl(nGC_355&
                         )*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_361)*coupl( &
                         nGC_4) + coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(&
                         24d0*pi**2d0)
      coupl(nGC_22013) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1 &
                         )*coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346 &
                         )**2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*    &
                         coupl(nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*   &
                         coupl(nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**&
                         2d0 - Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl( &
                         nGC_2)*coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(   &
                         nGC_364)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - &
                         Nc*coupl(nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**&
                         2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + &
                         coupl(nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_22018) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(  &
                         nGC_2523)*coupl(nGC_321) + 2d0*coupl(nGC_198)*coupl(  &
                         nGC_231)*coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_321&
                         )*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_33859) = coupl(nGC_22525) + coupl(nGC_53)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_63)*dZHa_QED2/2d0 +     &
                         coupl(nGC_63)*dZHh_QED2/2d0
      coupl(nGC_22729) = coupl(nGC_20997)*dsw_QED2 + coupl(nGC_20998)*dcw_QED2 &
                          + coupl(nGC_20999)*dZee_QED2
      coupl(nGC_22725) = coupl(nGC_20683)*dZee_QED2
      coupl(nGC_22722) = coupl(nGC_601)*dZee_QED2 + coupl(nGC_603)*dvev1_QED1  &
                          + coupl(nGC_605)*da_QED2 + coupl(nGC_607)*dcw_QED2 + &
                         coupl(nGC_609)*dvev2_QED1 + coupl(nGC_611)*dsw_QED2
      coupl(nGC_22720) = coupl(nGC_21706)*dsw_QED2 + coupl(nGC_21707)*dcw_QED2 &
                          + coupl(nGC_21708)*dZee_QED2
      coupl(nGC_22721) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_589)*dvev1_QED1  &
                          + coupl(nGC_591)*da_QED2 + coupl(nGC_593)*dcw_QED2 + &
                         coupl(nGC_595)*dvev2_QED1 + coupl(nGC_597)*dsw_QED2
      coupl(nGC_39144) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZuR_QED2&
                          + coupl(nGC_22729)
      coupl(nGC_35449) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_22595)
      coupl(nGC_22128) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(    &
                         nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl&
                         (nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0&
                          - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                         nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl&
                         (nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0&
                          + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(  &
                         nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl&
                         (nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0&
                          + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208 &
                         )*coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376  &
                         )**2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(  &
                         nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(  &
                         nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22129) = coupl(nGC_197)*(Nc*coupl(nGC_2677)*coupl(nGC_370) + Nc&
                         *coupl(nGC_3295)*coupl(nGC_334) - Nc*coupl(nGC_343)*  &
                         coupl(nGC_344) - Nc*coupl(nGC_346)*coupl(nGC_347) - Nc&
                         *coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(nGC_382)*   &
                         coupl(nGC_7453) - coupl(nGC_352)*coupl(nGC_353) -     &
                         coupl(nGC_358)*coupl(nGC_359) - coupl(nGC_376)*coupl( &
                         nGC_377))/(24d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
