!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl25()
      coupl(nGC_32144) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_41394) = -coupl(nGC_41387) - coupl(nGC_41393)
      coupl(nGC_22460) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1641)*   &
                         coupl(nGC_365) - coupl(nGC_2677)*coupl(nGC_371) -     &
                         coupl(nGC_2741)*coupl(nGC_344) - coupl(nGC_3295)*coupl&
                         (nGC_335) - coupl(nGC_3395)*coupl(nGC_347) - coupl(   &
                         nGC_383)*coupl(nGC_7453))/(16d0*pi**2d0)
      coupl(nGC_32141) = coupl(nGC_22551) + coupl(nGC_76)*dZHl_QED2
      coupl(nGC_22462) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc* &
                         coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345 &
                         )**3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl( &
                         nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc*&
                         coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)** &
                         3d0*coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360&
                         ) + coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
      coupl(nGC_41398) = coupl(nGC_22665) + coupl(nGC_41388)
      coupl(nGC_22469) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_336)**2d0 &
                          + coupl(nGC_339)**2d0 + coupl(nGC_348)**2d0 + coupl( &
                         nGC_366)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_384)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22468) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0&
                          - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl( &
                         nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_32149) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2&
                         /2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_22555)
      coupl(nGC_22262) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0&
                         *coupl(nGC_2313) + coupl(nGC_206)*coupl(nGC_2741)*    &
                         coupl(nGC_344) + coupl(nGC_206)*coupl(nGC_2939)*coupl(&
                         nGC_341) + coupl(nGC_206)*coupl(nGC_339)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_370)**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22261) = coupl(nGC_197)*(coupl(nGC_198)*coupl(nGC_211) + 2d0*  &
                         coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_212)*coupl( &
                         nGC_3351) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22260) = coupl(nGC_197)*(-coupl(nGC_198)*coupl(nGC_212) + 2d0* &
                         coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_211)*coupl( &
                         nGC_3351) - coupl(nGC_3695)*coupl(nGC_4))/(16d0*pi**  &
                         2d0)
      coupl(nGC_22266) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0* &
                         coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_364)**2d0 + &
                         coupl(nGC_206)*coupl(nGC_367)**2d0 + coupl(nGC_207)*  &
                         coupl(nGC_2665)*coupl(nGC_338) + coupl(nGC_207)*coupl(&
                         nGC_3295)*coupl(nGC_335) + coupl(nGC_207)*coupl(      &
                         nGC_333)**2d0 + coupl(nGC_207)*coupl(nGC_336)**2d0 +  &
                         4d0*coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22264) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(    &
                         nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_2741)*coupl( &
                         nGC_344) + coupl(nGC_209)*coupl(nGC_2939)*coupl(      &
                         nGC_341) + coupl(nGC_209)*coupl(nGC_339)**2d0 + coupl(&
                         nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_340)**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22268) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(    &
                         nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_334)**2d0 +  &
                         coupl(nGC_209)*coupl(nGC_337)**2d0 + coupl(nGC_210)*  &
                         coupl(nGC_2665)*coupl(nGC_338) + coupl(nGC_210)*coupl(&
                         nGC_3295)*coupl(nGC_335) + coupl(nGC_210)*coupl(      &
                         nGC_333)**2d0 + coupl(nGC_210)*coupl(nGC_336)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22489) = (-Nc*cima*coupl(nGC_13995)*coupl(nGC_14) - Nc*cima*   &
                         coupl(nGC_13995)*coupl(nGC_3565) + Nc*cima*coupl(     &
                         nGC_7349)**4d0*sq2**4d0 + Nc*coupl(nGC_13995)*coupl(  &
                         nGC_7349)**2d0*sq2**2d0 + Nc*coupl(nGC_14)*coupl(     &
                         nGC_7349)**2d0*sq2**2d0 + Nc*coupl(nGC_3565)*coupl(   &
                         nGC_7349)**2d0*sq2**2d0 - cima*coupl(nGC_13)**4d0*sq2 &
                         **4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22488) = (3d0*Nc*cima*coupl(nGC_14)**2d0 + 3d0*Nc*cima*coupl(  &
                         nGC_3565)**2d0 - Nc*cima*coupl(nGC_7349)**4d0*sq2**4d0&
                          - 3d0*Nc*coupl(nGC_14)*coupl(nGC_7349)**2d0*sq2**2d0 &
                          - 3d0*Nc*coupl(nGC_3565)*coupl(nGC_7349)**2d0*sq2**  &
                         2d0 + 9d0*cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi &
                         **2d0)
      coupl(nGC_22487) = cima*sq2**4d0*(-Nc*coupl(nGC_7349)**4d0 - 15d0*coupl( &
                         nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_22452) = 5d0*cima*(Nc*coupl(nGC_1641)**2d0*coupl(nGC_363)*coupl&
                         (nGC_366) + 4d0*Nc*coupl(nGC_1641)*coupl(nGC_363)*    &
                         coupl(nGC_365)*coupl(nGC_366) + Nc*coupl(nGC_2677)**  &
                         2d0*coupl(nGC_369)*coupl(nGC_372) + 4d0*Nc*coupl(     &
                         nGC_2677)*coupl(nGC_369)*coupl(nGC_371)*coupl(nGC_372 &
                         ) + Nc*coupl(nGC_2741)**2d0*coupl(nGC_339)*coupl(     &
                         nGC_342) + 4d0*Nc*coupl(nGC_2741)*coupl(nGC_339)*coupl&
                         (nGC_342)*coupl(nGC_344) + Nc*coupl(nGC_3295)**2d0*   &
                         coupl(nGC_333)*coupl(nGC_336) + 4d0*Nc*coupl(nGC_3295 &
                         )*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_336) + Nc*  &
                         coupl(nGC_333)*coupl(nGC_335)**2d0*coupl(nGC_336) + Nc&
                         *coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_344)**2d0 +  &
                         Nc*coupl(nGC_3395)**2d0*coupl(nGC_345)*coupl(nGC_348  &
                         ) + 4d0*Nc*coupl(nGC_3395)*coupl(nGC_345)*coupl(      &
                         nGC_347)*coupl(nGC_348) + Nc*coupl(nGC_345)*coupl(    &
                         nGC_347)**2d0*coupl(nGC_348) + Nc*coupl(nGC_363)*coupl&
                         (nGC_365)**2d0*coupl(nGC_366) + Nc*coupl(nGC_369)*    &
                         coupl(nGC_371)**2d0*coupl(nGC_372) + Nc*coupl(nGC_381 &
                         )*coupl(nGC_383)**2d0*coupl(nGC_384) + 4d0*Nc*coupl(  &
                         nGC_381)*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_7453 &
                         ) + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_7453)**&
                         2d0 + coupl(nGC_2247)**2d0*coupl(nGC_351)*coupl(      &
                         nGC_354) + 4d0*coupl(nGC_2247)*coupl(nGC_351)*coupl(  &
                         nGC_353)*coupl(nGC_354) + coupl(nGC_2497)**2d0*coupl( &
                         nGC_375)*coupl(nGC_378) + 4d0*coupl(nGC_2497)*coupl(  &
                         nGC_375)*coupl(nGC_377)*coupl(nGC_378) + coupl(nGC_351&
                         )*coupl(nGC_353)**2d0*coupl(nGC_354) + coupl(nGC_357)*&
                         coupl(nGC_359)**2d0*coupl(nGC_360) + 4d0*coupl(nGC_357&
                         )*coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_8311) +     &
                         coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_8311)**2d0 +  &
                         coupl(nGC_375)*coupl(nGC_377)**2d0*coupl(nGC_378))/(  &
                         24d0*pi**2d0)
      coupl(nGC_32131) = coupl(nGC_I)*dZG0Ha_QED2/2d0
      coupl(nGC_22007) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(    &
                         nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22005) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_22003) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_22001) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_22008) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_22731) = coupl(nGC_21776)*dsw_QED2 + coupl(nGC_21777)*dcw_QED2 &
                          + coupl(nGC_21778)*dZee_QED2
      coupl(nGC_22730) = coupl(nGC_21831)*dsw_QED2 + coupl(nGC_21832)*dcw_QED2 &
                          + coupl(nGC_21833)*dZee_QED2
      coupl(nGC_22190) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_383) - coupl(       &
                         nGC_3395)*coupl(nGC_346)*coupl(nGC_382) - coupl(      &
                         nGC_3395)*coupl(nGC_349)*coupl(nGC_385) - coupl(      &
                         nGC_381)**2d0*coupl(nGC_7453) - coupl(nGC_383)**2d0*  &
                         coupl(nGC_7453) - coupl(nGC_384)**2d0*coupl(nGC_7453  &
                         ) - coupl(nGC_386)**2d0*coupl(nGC_7453))/(32d0*pi**2d0&
                         )
      coupl(nGC_32672) = coupl(nGC_22517) + coupl(nGC_54)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_41465) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_32312) = coupl(nGC_220)*dZHMinus_QED2 + coupl(nGC_22554)
      coupl(nGC_22139) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) - coupl(&
                         nGC_1641)*coupl(nGC_3295)*coupl(nGC_334) - coupl(     &
                         nGC_1833)*coupl(nGC_2665)*coupl(nGC_334) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(nGC_333&
                         )*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334)*coupl&
                         (nGC_336)*coupl(nGC_366))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22648) = coupl(nGC_20927)*db_QED2 + coupl(nGC_20928)*dym1_QED3 &
                          + coupl(nGC_20929)*dym2_QED3
      coupl(nGC_22133) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) - coupl(&
                         nGC_1825)*coupl(nGC_2939)*coupl(nGC_370) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(       &
                         nGC_2677)*coupl(nGC_2741)*coupl(nGC_370) - coupl(     &
                         nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342&
                         )*coupl(nGC_369)*coupl(nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22132) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*&
                         coupl(nGC_321)*coupl(nGC_809) + 2d0*coupl(nGC_198)*   &
                         coupl(nGC_199)*coupl(nGC_231) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_321)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22131) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_334) - Nc*&
                         coupl(nGC_342)*coupl(nGC_343) - Nc*coupl(nGC_345)*    &
                         coupl(nGC_346) - Nc*coupl(nGC_363)*coupl(nGC_364) + Nc&
                         *coupl(nGC_369)*coupl(nGC_370) + Nc*coupl(nGC_381)*   &
                         coupl(nGC_382) - coupl(nGC_351)*coupl(nGC_352) - coupl&
                         (nGC_357)*coupl(nGC_358) - coupl(nGC_375)*coupl(      &
                         nGC_376))/(24d0*pi**2d0)
      coupl(nGC_22130) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc*&
                         coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*    &
                         coupl(nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc&
                         *coupl(nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*   &
                         coupl(nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl&
                         (nGC_358)*coupl(nGC_360) - coupl(nGC_376)*coupl(      &
                         nGC_378))/(24d0*pi**2d0)
      coupl(nGC_22641) = coupl(nGC_21632)*dyd12x2_QED3 + coupl(nGC_21633)*     &
                         dys2_QED3 + coupl(nGC_21634)*db_QED2
      coupl(nGC_22640) = coupl(nGC_21632)*dyd12x2_QED1_QCD2 + coupl(nGC_21633)*&
                         dys2_QED1_QCD2
      coupl(nGC_22135) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl( &
                         nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341&
                         )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(      &
                         nGC_344)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22642) = coupl(nGC_21828)*db_QED2 + coupl(nGC_21829)*          &
                         dyd13x3_QED3 + coupl(nGC_21830)*dyb2_QED3
      coupl(nGC_36878) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
      coupl(nGC_32958) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_22700)
      coupl(nGC_38682) = coupl(nGC_173)*dZHlHh_QED2/2d0 + coupl(nGC_179)*      &
                         dZHh_QED2/2d0 + coupl(nGC_179)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22692)
      coupl(nGC_38683) = coupl(nGC_38681) - coupl(nGC_38682)
      coupl(nGC_38684) = -coupl(nGC_38679)
      coupl(nGC_34256) = coupl(nGC_22537) + coupl(nGC_32)*dZHMinus_QED2 + coupl&
                         (nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0  &
                          + coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*     &
                         dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
      coupl(nGC_38060) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22590) +     &
                         coupl(nGC_26)*dZA_QED2/2d0
      coupl(nGC_35898) = coupl(nGC_22629) + coupl(nGC_363)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_366)*dZHh_QED2/2d0
    end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
