!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl26()
      coupl(nGC_35895) = coupl(nGC_366)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_35897) = coupl(nGC_22628) + coupl(nGC_35896)
      coupl(nGC_51443) = -coupl(nGC_45313)
      coupl(nGC_47248) = -coupl(nGC_38060)
      coupl(nGC_33334) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_196)*dZZA_QED2&
                         /2d0 + coupl(nGC_204)*dZA_QED2/2d0 + coupl(nGC_204)*  &
                         dZZ_QED2/2d0 + coupl(nGC_22702)
      coupl(nGC_40560) = coupl(nGC_22684) + coupl(nGC_40558)
      coupl(nGC_40561) = coupl(nGC_22685) + coupl(nGC_371)*dZHa_QED2/2d0 +     &
                         coupl(nGC_374)*dZG0Ha_QED2/2d0
      coupl(nGC_40562) = -coupl(nGC_40557) - coupl(nGC_40561)
      coupl(nGC_40563) = coupl(nGC_40557) + coupl(nGC_40561)
      coupl(nGC_37826) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_37829) = coupl(nGC_22865) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_59055) = -coupl(nGC_22077)
      coupl(nGC_58588) = -coupl(nGC_22080)
      coupl(nGC_32553) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusL_QED2
      coupl(nGC_32554) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZeMinusR_QED2
      coupl(nGC_32555) = coupl(nGC_32353) + coupl(nGC_32554)
      coupl(nGC_32556) = coupl(nGC_32353) + coupl(nGC_32553)
      coupl(nGC_34926) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_22553) + coupl(nGC_30)* &
                         dZZA_QED2/2d0
      coupl(nGC_40363) = coupl(nGC_40354) + coupl(nGC_40362)
      coupl(nGC_40364) = coupl(nGC_22852) + coupl(nGC_40355)
      coupl(nGC_37225) = coupl(nGC_386)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_37224) = coupl(nGC_386)*dZG0/2d0
      coupl(nGC_37227) = coupl(nGC_22662) + coupl(nGC_383)*dZHaG0_QED2/2d0
      coupl(nGC_37226) = coupl(nGC_386)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_33876) = coupl(nGC_381)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_22079) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc&
                         *coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*   &
                         coupl(nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc&
                         *coupl(nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*   &
                         coupl(nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl&
                         (nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_33878) = coupl(nGC_22674) + coupl(nGC_33877)
      coupl(nGC_33879) = coupl(nGC_22675) + coupl(nGC_381)*dZHl_QED2/2d0 +     &
                         coupl(nGC_384)*dZHhHl_QED2/2d0
      coupl(nGC_57898) = -coupl(nGC_22012)
      coupl(nGC_32171) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +  &
                         coupl(nGC_22700)
      coupl(nGC_32177) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 +     &
                         coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*      &
                         dZZ_QED2/2d0 + coupl(nGC_22530) + coupl(nGC_23)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_23)*dZHlHh_QED2/  &
                         2d0
      coupl(nGC_48995) = -coupl(nGC_34835)
      coupl(nGC_22250) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345&
                         )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl&
                         (nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl&
                         (nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl( &
                         nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22251) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22258) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(&
                         nGC_1)*coupl(nGC_3695) - coupl(nGC_198)*coupl(nGC_210 &
                         ) - coupl(nGC_2)*coupl(nGC_4) + 2d0*coupl(nGC_209)*   &
                         coupl(nGC_210) - coupl(nGC_209)*coupl(nGC_3351))/(16d0&
                         *pi**2d0)
      coupl(nGC_22259) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(&
                         nGC_1)*coupl(nGC_4) + coupl(nGC_198)*coupl(nGC_209) + &
                         coupl(nGC_2)*coupl(nGC_3695) + 2d0*coupl(nGC_209)*    &
                         coupl(nGC_210) + coupl(nGC_210)*coupl(nGC_3351))/(16d0&
                         *pi**2d0)
      coupl(nGC_42938) = coupl(nGC_22504) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_22707) = coupl(nGC_21134)*dsw_QED2 + coupl(nGC_21135)*dZee_QED2
      coupl(nGC_22039) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1641)*&
                         coupl(nGC_365) + coupl(nGC_1)*coupl(nGC_1833)*coupl(  &
                         nGC_368) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 +     &
                         coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(&
                         nGC_366)**2d0 + coupl(nGC_2)*coupl(nGC_364)**2d0 +    &
                         coupl(nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22032) = (coupl(nGC_1773)*coupl(nGC_356)*coupl(nGC_4) - 2d0*   &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) + coupl(nGC_2247)*coupl(nGC_353)* &
                         coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(nGC_4) +     &
                         coupl(nGC_354)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_22033) = coupl(nGC_4)*(coupl(nGC_1415)*coupl(nGC_362) + 4d0*   &
                         coupl(nGC_208)**2d0 + coupl(nGC_357)**2d0 + coupl(    &
                         nGC_359)*coupl(nGC_8311) + coupl(nGC_360)**2d0 + 4d0* &
                         coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22031) = coupl(nGC_4)*(coupl(nGC_1773)*coupl(nGC_356) + 4d0*   &
                         coupl(nGC_208)**2d0 + coupl(nGC_2247)*coupl(nGC_353   &
                         ) + coupl(nGC_351)**2d0 + coupl(nGC_354)**2d0 + 4d0*  &
                         coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22036) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl&
                         (nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_22037) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl&
                         (nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_22034) = (coupl(nGC_1415)*coupl(nGC_362)*coupl(nGC_4) - 2d0*   &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(nGC_4 &
                         ) + coupl(nGC_359)*coupl(nGC_4)*coupl(nGC_8311) +     &
                         coupl(nGC_360)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_22035) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl&
                         (nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_TS_GC_244_Hh) = -coupl(nGC_244)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32306) = coupl(nGC_22701) + coupl(nGC_77)*dZHh_QED2 + coupl(   &
                         nGC_77)*dZWMinus_QED2
      coupl(nGC_22108) = (-coupl(nGC_1773)*coupl(nGC_351)**2d0 - coupl(nGC_1773&
                         )*coupl(nGC_353)**2d0 - coupl(nGC_1773)*coupl(nGC_354 &
                         )**2d0 - coupl(nGC_1773)*coupl(nGC_356)**2d0 + 8d0*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) + 8d0*   &
                         coupl(nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22109) = (-coupl(nGC_1773)**2d0*coupl(nGC_356) + 8d0*coupl(    &
                         nGC_1773)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(  &
                         nGC_1773)*coupl(nGC_4)**2d0 - coupl(nGC_2247)**2d0*   &
                         coupl(nGC_356) - coupl(nGC_351)**2d0*coupl(nGC_356) - &
                         coupl(nGC_354)**2d0*coupl(nGC_356))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
