!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl27()
      coupl(nGC_22102) = (-coupl(nGC_1833)*coupl(nGC_334)*coupl(nGC_364) -     &
                         coupl(nGC_1833)*coupl(nGC_337)*coupl(nGC_367) + 8d0*  &
                         coupl(nGC_2)**2d0*coupl(nGC_338) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_338) - coupl(nGC_2665)*coupl(&
                         nGC_333)**2d0 - coupl(nGC_2665)*coupl(nGC_335)**2d0 - &
                         coupl(nGC_2665)*coupl(nGC_336)**2d0 - coupl(nGC_2665)*&
                         coupl(nGC_338)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22100) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_2665) + 8d0*coupl(   &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_2665) - coupl(      &
                         nGC_2665)**2d0*coupl(nGC_338) - coupl(nGC_3295)**2d0* &
                         coupl(nGC_338) - coupl(nGC_333)**2d0*coupl(nGC_338) - &
                         coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_368) - coupl( &
                         nGC_336)**2d0*coupl(nGC_338) - coupl(nGC_337)*coupl(  &
                         nGC_367)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22101) = coupl(nGC_13)**2d0*coupl(nGC_2665)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_32943) = coupl(nGC_22514) + coupl(nGC_32)*dZHhHl_QED2 + coupl( &
                         nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*          &
                         dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
      coupl(nGC_34220) = coupl(nGC_22543) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl&
                         (nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +  &
                         coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/&
                         2d0
      coupl(nGC_36512) = -coupl(nGC_22638) - coupl(nGC_36504)
      coupl(nGC_36513) = coupl(nGC_22638) + coupl(nGC_36504)
      coupl(nGC_32600) = coupl(nGC_32593) + coupl(nGC_32598)
      coupl(nGC_34131) = coupl(nGC_22535) + coupl(nGC_36)*dZHa_QED2 + coupl(   &
                         nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 + &
                         coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*        &
                         dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
      coupl(nGC_22242) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333&
                         )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl&
                         (nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl( &
                         nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_34358) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*      &
                         dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*  &
                         coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_22536)
      coupl(nGC_32785) = coupl(nGC_22612) + coupl(nGC_334)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*        &
                         dZsL_QED2/2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32787) = coupl(nGC_22613) + coupl(nGC_334)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_32786) = coupl(nGC_22615) + coupl(nGC_364)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*        &
                         dZsR_QED2/2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32788) = coupl(nGC_22614) + coupl(nGC_364)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_32541) = coupl(nGC_22653) + coupl(nGC_351)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_354)*dZHh_QED2/2d0
      coupl(nGC_33016) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2&
                         /2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_180)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(&
                         nGC_22557)
      coupl(nGC_37255) = coupl(nGC_200)*dZZ_QED2/2d0 + coupl(nGC_22592) + coupl&
                         (nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33168) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 +    &
                         coupl(nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/ &
                         2d0 + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_22556)
      coupl(nGC_33162) = coupl(nGC_22541) + coupl(nGC_52)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/&
                         2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*  &
                         dZG0Ha_QED2/2d0
      coupl(nGC_32164) = coupl(nGC_22538) + coupl(nGC_53)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_22249) = (-coupl(nGC_1219)**2d0*coupl(nGC_381) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_381) - coupl(nGC_345)*coupl(nGC_346&
                         )*coupl(nGC_382) - coupl(nGC_345)*coupl(nGC_349)*coupl&
                         (nGC_385) - coupl(nGC_381)**3d0 - coupl(nGC_381)*coupl&
                         (nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_7453)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22248) = coupl(nGC_375)*(-coupl(nGC_1007)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2497)**2d0 - coupl&
                         (nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22241) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) - coupl(nGC_1641&
                         )**2d0*coupl(nGC_363) - coupl(nGC_1833)**2d0*coupl(   &
                         nGC_363) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                         nGC_363) - coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_364&
                         ) - coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_367) -    &
                         coupl(nGC_363)**3d0 - coupl(nGC_363)*coupl(nGC_366)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22240) = coupl(nGC_357)*(-coupl(nGC_1415)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_357)**2d0 - coupl(&
                         nGC_360)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_8311&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_32760) = coupl(nGC_22585) + coupl(nGC_322)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_22245) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340&
                         )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl&
                         (nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl&
                         (nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl( &
                         nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22244) = (-coupl(nGC_1825)**2d0*coupl(nGC_369) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_369) - coupl(nGC_2677)**2d0*coupl( &
                         nGC_369) - coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_373&
                         ) - coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_370) -    &
                         coupl(nGC_369)**3d0 - coupl(nGC_369)*coupl(nGC_372)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22247) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(    &
                         nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_34749) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZcR_QED2&
                          + coupl(nGC_22729)
      coupl(nGC_33799) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22590) +     &
                         coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*           &
                         dZHMinus_QED2
      coupl(nGC_22028) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22025) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22024) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_206)**2d0 + coupl(nGC_1)*coupl(nGC_2741)*coupl(   &
                         nGC_344) + coupl(nGC_1)*coupl(nGC_2939)*coupl(nGC_341 &
                         ) + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*  &
                         coupl(nGC_342)**2d0 + coupl(nGC_2)*coupl(nGC_340)**2d0&
                          + coupl(nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22027) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_337)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(   &
                         nGC_2)*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_2665)*coupl(nGC_338) + coupl(nGC_2)*coupl(nGC_3295&
                         )*coupl(nGC_335) + coupl(nGC_2)*coupl(nGC_333)**2d0 + &
                         coupl(nGC_2)*coupl(nGC_336)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22026) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0&
                          + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(  &
                         nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +  &
                         coupl(nGC_2)*coupl(nGC_2665)*coupl(nGC_338) + coupl(  &
                         nGC_2)*coupl(nGC_3295)*coupl(nGC_335) + coupl(nGC_2)* &
                         coupl(nGC_333)**2d0 + coupl(nGC_2)*coupl(nGC_336)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_22021) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc&
                         *cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc* &
                         cMC*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME* &
                         coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl&
                         (nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(    &
                         nGC_205)*coupl(nGC_261) + coupl(nGC_1563)*coupl(      &
                         nGC_2313)*coupl(nGC_261) + coupl(nGC_199)*coupl(      &
                         nGC_261)*coupl(nGC_3))/(8d0*pi**2d0)
      coupl(nGC_22020) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc&
                         *cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc* &
                         cMC*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME* &
                         coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl&
                         (nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(    &
                         nGC_205)*coupl(nGC_272) + coupl(nGC_1563)*coupl(      &
                         nGC_2313)*coupl(nGC_272) + coupl(nGC_199)*coupl(      &
                         nGC_272)*coupl(nGC_3))/(8d0*pi**2d0)
      coupl(nGC_22023) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_209)**2d0 + coupl(nGC_1)*coupl(nGC_2741)*coupl(   &
                         nGC_344) + coupl(nGC_1)*coupl(nGC_2939)*coupl(nGC_341 &
                         ) + coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*  &
                         coupl(nGC_342)**2d0 + 2d0*coupl(nGC_1563)*coupl(      &
                         nGC_197)**2d0 + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2   &
                         ) + coupl(nGC_2)*coupl(nGC_370)**2d0 + coupl(nGC_2)*  &
                         coupl(nGC_373)**2d0)/(32d0*pi**2d0)
      coupl(nGC_33792) = coupl(nGC_199)*dZWMinus_QED2 + coupl(nGC_199)*dZZ_QED2&
                         /2d0 + coupl(nGC_22706) + coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_41847) = coupl(nGC_22861) + coupl(nGC_MZ)*dZZ_QED2 + coupl(    &
                         nGC_TS_GC_329_Hl) + coupl(nGC_TS_GC_332_Hh)
      coupl(nGC_32375) = coupl(nGC_249)*dZGMinus
      coupl(nGC_32377) = coupl(nGC_22561) + coupl(nGC_241)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_244)*dZHMinusGMinus_QED2 + coupl(nGC_249)*  &
                         dZHh_QED2/2d0 + coupl(nGC_TS_GC_33_Hl) + coupl(       &
                         nGC_TS_GC_42_Hh)
      coupl(nGC_36473) = coupl(nGC_22636) + coupl(nGC_36472)
      coupl(nGC_22110) = (-coupl(nGC_1415)*coupl(nGC_357)**2d0 - coupl(nGC_1415&
                         )*coupl(nGC_359)**2d0 - coupl(nGC_1415)*coupl(nGC_360 &
                         )**2d0 - coupl(nGC_1415)*coupl(nGC_362)**2d0 + 8d0*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) + 8d0*   &
                         coupl(nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22112) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1833) - coupl(       &
                         nGC_1641)**2d0*coupl(nGC_368) - coupl(nGC_1833)**2d0* &
                         coupl(nGC_368) + 8d0*coupl(nGC_1833)*coupl(nGC_206)*  &
                         coupl(nGC_209) - coupl(nGC_334)*coupl(nGC_338)*coupl( &
                         nGC_364) - coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_367&
                         ) - coupl(nGC_363)**2d0*coupl(nGC_368) - coupl(nGC_366&
                         )**2d0*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22114) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) - coupl(nGC_1833&
                         )*coupl(nGC_363)**2d0 - coupl(nGC_1833)*coupl(nGC_365 &
                         )**2d0 - coupl(nGC_1833)*coupl(nGC_366)**2d0 - coupl( &
                         nGC_1833)*coupl(nGC_368)**2d0 + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_2665)*coupl(&
                         nGC_334)*coupl(nGC_364) - coupl(nGC_2665)*coupl(      &
                         nGC_337)*coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22116) = (-coupl(nGC_1825)**2d0*coupl(nGC_374) + 8d0*coupl(    &
                         nGC_1825)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1825)*    &
                         coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_2677)**2d0* &
                         coupl(nGC_374) - coupl(nGC_340)*coupl(nGC_341)*coupl( &
                         nGC_373) - coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_370&
                         ) - coupl(nGC_369)**2d0*coupl(nGC_374) - coupl(nGC_372&
                         )**2d0*coupl(nGC_374))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
