!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl29()
      coupl(nGC_22566) = coupl(nGC_21587)*dl4_QED4 + coupl(nGC_21588)*dl5_QED4 &
                          + coupl(nGC_21589)*db_QED2 + coupl(nGC_21590)*       &
                         dvev1_QED1 + coupl(nGC_21591)*dvev2_QED1
      coupl(nGC_32369) = coupl(nGC_187)*dZHMinus_QED2/2d0 + coupl(nGC_187)*    &
                         dZHa_QED2/2d0 + coupl(nGC_22552)
      coupl(nGC_32361) = coupl(nGC_16)*dZHlHh_QED2 + coupl(nGC_17)*dZHhHl_QED2 &
                          + coupl(nGC_20)*dZHh_QED2 + coupl(nGC_20)*dZHl_QED2  &
                          + coupl(nGC_22521)
      coupl(nGC_22696) = coupl(nGC_21079)*dsw_QED2 + coupl(nGC_21080)*dZee_QED2
      coupl(nGC_22697) = coupl(nGC_21384)*dsw_QED2 + coupl(nGC_21385)*db_QED2  &
                          + coupl(nGC_21386)*dZee_QED2 + coupl(nGC_21387)*     &
                         da_QED2
      coupl(nGC_22166) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_3295) + 8d0*coupl(   &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_3295) - coupl(      &
                         nGC_2665)**2d0*coupl(nGC_335) - coupl(nGC_3295)**2d0* &
                         coupl(nGC_335) - coupl(nGC_333)**2d0*coupl(nGC_335) - &
                         coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_365) - coupl( &
                         nGC_335)*coupl(nGC_336)**2d0 - coupl(nGC_337)*coupl(  &
                         nGC_365)*coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22695) = coupl(nGC_21883)*dZee_QED2
      coupl(nGC_22160) = (Nc*coupl(nGC_1641)*coupl(nGC_206)*coupl(nGC_366) - Nc&
                         *coupl(nGC_1641)*coupl(nGC_209)*coupl(nGC_366) + Nc*  &
                         coupl(nGC_206)*coupl(nGC_2741)*coupl(nGC_339) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_339)*coupl(nGC_344) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_3395)*coupl(nGC_348) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_348) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_366) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_2677)*coupl(nGC_372) + Nc*   &
                         coupl(nGC_207)*coupl(nGC_3295)*coupl(nGC_336) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_335)*coupl(nGC_336) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_371)*coupl(nGC_372) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_383)*coupl(nGC_384) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_384)*coupl(nGC_7453) - Nc*   &
                         coupl(nGC_209)*coupl(nGC_2741)*coupl(nGC_339) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_344) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_3395)*coupl(nGC_348) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_348) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_366) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_2677)*coupl(nGC_372) - Nc*   &
                         coupl(nGC_210)*coupl(nGC_3295)*coupl(nGC_336) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_336) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_371)*coupl(nGC_372) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_383)*coupl(nGC_384) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_384)*coupl(nGC_7453) + coupl(&
                         nGC_208)*coupl(nGC_2247)*coupl(nGC_354) + coupl(      &
                         nGC_208)*coupl(nGC_2497)*coupl(nGC_378) - coupl(      &
                         nGC_208)*coupl(nGC_353)*coupl(nGC_354) - coupl(nGC_208&
                         )*coupl(nGC_359)*coupl(nGC_360) + coupl(nGC_208)*coupl&
                         (nGC_360)*coupl(nGC_8311) - coupl(nGC_208)*coupl(     &
                         nGC_377)*coupl(nGC_378) - coupl(nGC_211)*coupl(       &
                         nGC_2247)*coupl(nGC_354) - coupl(nGC_211)*coupl(      &
                         nGC_2497)*coupl(nGC_378) + coupl(nGC_211)*coupl(      &
                         nGC_353)*coupl(nGC_354) + coupl(nGC_211)*coupl(nGC_359&
                         )*coupl(nGC_360) - coupl(nGC_211)*coupl(nGC_360)*coupl&
                         (nGC_8311) + coupl(nGC_211)*coupl(nGC_377)*coupl(     &
                         nGC_378))/(24d0*pi**2d0)
      coupl(nGC_22161) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2741) + 8d0*coupl(   &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_2741) - coupl(      &
                         nGC_2741)**2d0*coupl(nGC_344) - coupl(nGC_2939)**2d0* &
                         coupl(nGC_344) - coupl(nGC_339)**2d0*coupl(nGC_344) - &
                         coupl(nGC_340)*coupl(nGC_371)*coupl(nGC_373) - coupl( &
                         nGC_342)**2d0*coupl(nGC_344) - coupl(nGC_343)*coupl(  &
                         nGC_370)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22690) = coupl(nGC_21476)*dvev2_QED1 + coupl(nGC_21477)*       &
                         dsw_QED2 + coupl(nGC_21478)*db_QED2 + coupl(nGC_21479 &
                         )*dvev1_QED1 + coupl(nGC_21480)*dZee_QED2
      coupl(nGC_22163) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_344) - coupl(       &
                         nGC_2677)*coupl(nGC_340)*coupl(nGC_373) - coupl(      &
                         nGC_2677)*coupl(nGC_343)*coupl(nGC_370) - coupl(      &
                         nGC_2741)*coupl(nGC_339)**2d0 - coupl(nGC_2741)*coupl(&
                         nGC_341)**2d0 - coupl(nGC_2741)*coupl(nGC_342)**2d0 - &
                         coupl(nGC_2741)*coupl(nGC_344)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22168) = (-coupl(nGC_1641)*coupl(nGC_334)*coupl(nGC_364) -     &
                         coupl(nGC_1641)*coupl(nGC_337)*coupl(nGC_367) + 8d0*  &
                         coupl(nGC_2)**2d0*coupl(nGC_335) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_335) - coupl(nGC_3295)*coupl(&
                         nGC_333)**2d0 - coupl(nGC_3295)*coupl(nGC_335)**2d0 - &
                         coupl(nGC_3295)*coupl(nGC_336)**2d0 - coupl(nGC_3295)*&
                         coupl(nGC_338)**2d0)/(32d0*pi**2d0)
      coupl(nGC_39290) = coupl(nGC_36588) - coupl(nGC_36589)
      coupl(nGC_36998) = -coupl(nGC_36954)
      coupl(nGC_32214) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*         &
                         dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(  &
                         nGC_22708) + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(    &
                         nGC_29)*dZAZ_QED2/2d0
      coupl(nGC_32968) = coupl(nGC_22550) + coupl(nGC_99)*dZHMinus_QED2
      coupl(nGC_33588) = -coupl(nGC_33583)
      coupl(nGC_33586) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 +  &
                         coupl(nGC_22697)
      coupl(nGC_33587) = coupl(nGC_33585) - coupl(nGC_33586)
      coupl(nGC_38900) = coupl(nGC_32656) + coupl(nGC_38898)
      coupl(nGC_32983) = coupl(nGC_172)*dZHMinus_QED2/2d0 + coupl(nGC_172)*    &
                         dZHh_QED2/2d0 + coupl(nGC_172)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_179)*dZHlHh_QED2/2d0 + coupl(nGC_22697)
      coupl(nGC_32984) = coupl(nGC_32982) - coupl(nGC_32983)
      coupl(nGC_34750) = coupl(nGC_33126) + coupl(nGC_34749)
      coupl(nGC_34208) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_43176) = coupl(nGC_TS_GC_172_Hh) + coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_48599) = coupl(nGC_22860) + coupl(nGC_48590)
      coupl(nGC_48597) = coupl(nGC_22859) + coupl(nGC_TS_GC_339_Hh) + coupl(   &
                         nGC_TS_GC_342_Hl)
      coupl(nGC_34880) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl( &
                         nGC_22728)
      coupl(nGC_37870) = coupl(nGC_37865) + coupl(nGC_37869)
      coupl(nGC_37871) = coupl(nGC_22856) + coupl(nGC_37866)
      coupl(nGC_34375) = coupl(nGC_22579) + coupl(nGC_232)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_238)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_37580) = coupl(nGC_22610) + coupl(nGC_382)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*        &
                         dZuR_QED2/2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_22466) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_333)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_342)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_345)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_363)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_369)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_381)**2d0&
                          + 6d0*cima*coupl(nGC_11213)*coupl(nGC_77) + 3d0*cima*&
                         coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_375)**2d0 + 6d0*coupl(nGC_1563)*coupl(nGC_4&
                         )*coupl(nGC_77) + 6d0*coupl(nGC_198)*coupl(nGC_2313)* &
                         coupl(nGC_77) + 6d0*coupl(nGC_199)*coupl(nGC_224)*    &
                         coupl(nGC_3351))/(48d0*pi**2d0)
      coupl(nGC_22461) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1641)*    &
                         coupl(nGC_365) + coupl(nGC_2677)*coupl(nGC_371) +     &
                         coupl(nGC_2741)*coupl(nGC_344) + coupl(nGC_3295)*coupl&
                         (nGC_335) + coupl(nGC_3395)*coupl(nGC_347) + coupl(   &
                         nGC_383)*coupl(nGC_7453))/(16d0*pi**2d0*Nc)
      coupl(nGC_41395) = coupl(nGC_41387) + coupl(nGC_41393)
      coupl(nGC_41397) = -coupl(nGC_22665) - coupl(nGC_41388)
      coupl(nGC_22304) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                         nGC_1641)*coupl(nGC_365) + coupl(nGC_1833)*coupl(     &
                         nGC_368) + 4d0*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_209&
                         )**2d0 + coupl(nGC_334)**2d0 + coupl(nGC_337)**2d0 +  &
                         coupl(nGC_363)**2d0 + coupl(nGC_366)**2d0)/(64d0*pi** &
                         2d0)
      coupl(nGC_57425) = -coupl(nGC_22130)
      coupl(nGC_57421) = -coupl(nGC_22079)
      coupl(nGC_34808) = 2d0*coupl(nGC_16)*dZHhHl_QED2 + 2d0*coupl(nGC_18)*    &
                         dZHl_QED2 + coupl(nGC_22512)
      coupl(nGC_32660) = coupl(nGC_32656) + coupl(nGC_32658)
      coupl(nGC_58778) = -coupl(nGC_22015)
      coupl(nGC_33108) = coupl(nGC_172)*dZHhHl_QED2/2d0 + coupl(nGC_179)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_179)*dZHl_QED2/2d0 +    &
                         coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_22692)
      coupl(nGC_33109) = -coupl(nGC_33104) + coupl(nGC_33108)
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22594) = coupl(nGC_20772)*dZgs_QCD2
      coupl(nGC_22229) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(       &
                         nGC_2665)**2d0*coupl(nGC_333) - coupl(nGC_3295)**2d0* &
                         coupl(nGC_333) - coupl(nGC_333)**3d0 - coupl(nGC_333)*&
                         coupl(nGC_336)**2d0 - coupl(nGC_334)*coupl(nGC_363)*  &
                         coupl(nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl( &
                         nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22227) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_342) - coupl(nGC_339&
                         )**2d0*coupl(nGC_342) - coupl(nGC_340)*coupl(nGC_369)*&
                         coupl(nGC_373) - coupl(nGC_341)**2d0*coupl(nGC_342) - &
                         coupl(nGC_342)**3d0 - coupl(nGC_342)*coupl(nGC_344)** &
                         2d0 - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/( &
                         32d0*pi**2d0)
      coupl(nGC_22226) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_342) - coupl(       &
                         nGC_2741)**2d0*coupl(nGC_342) - coupl(nGC_2939)**2d0* &
                         coupl(nGC_342) - coupl(nGC_339)**2d0*coupl(nGC_342) - &
                         coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) - coupl( &
                         nGC_342)**3d0 - coupl(nGC_343)*coupl(nGC_369)*coupl(  &
                         nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22224) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_342) - 2d0*&
                         Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_333) - 2d0*Nc*cMD&
                         *coupl(nGC_197)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl&
                         (nGC_197)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(     &
                         nGC_197)**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(      &
                         nGC_197)**2d0*coupl(nGC_381) - 2d0*cME*coupl(nGC_197  &
                         )**2d0*coupl(nGC_351) - 2d0*cMM*coupl(nGC_197)**2d0*  &
                         coupl(nGC_357) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(  &
                         nGC_375) + 2d0*cima*coupl(nGC_11213)*coupl(nGC_261) + &
                         cima*coupl(nGC_195)*coupl(nGC_329) + 2d0*coupl(       &
                         nGC_1563)*coupl(nGC_261)*coupl(nGC_4) + 2d0*coupl(    &
                         nGC_198)*coupl(nGC_2313)*coupl(nGC_261) + 2d0*coupl(  &
                         nGC_199)*coupl(nGC_329)*coupl(nGC_3351))/(16d0*pi**2d0&
                         )
    end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
