!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_40339) = coupl(nGC_350)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_40338) = coupl(nGC_350)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_32581) = coupl(nGC_227)*dZG0
      coupl(nGC_22728) = coupl(nGC_21510)*dsw_QED2 + coupl(nGC_21511)*dZee_QED2
      coupl(nGC_32123) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_22667) = coupl(nGC_571)*dyt2_QED3 + coupl(nGC_573)*db_QED2 +   &
                         coupl(nGC_575)*dyt1_QED3
      coupl(nGC_22666) = coupl(nGC_571)*dyt2_QED1_QCD2 + coupl(nGC_575)*       &
                         dyt1_QED1_QCD2
      coupl(nGC_22665) = coupl(nGC_21642)*dyc1_QED1_QCD2 + coupl(nGC_21643)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22664) = coupl(nGC_21641)*db_QED2 + coupl(nGC_21642)*dyc1_QED3 &
                          + coupl(nGC_21643)*dyc2_QED3
      coupl(nGC_33513) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_22719) = coupl(nGC_21013)*dsw_QED2 + coupl(nGC_21014)*dcw_QED2 &
                          + coupl(nGC_21015)*dZee_QED2
      coupl(nGC_22711) = coupl(nGC_21693)*dsw_QED2 + coupl(nGC_21694)*dcw_QED2 &
                          + coupl(nGC_21695)*dZee_QED2
      coupl(nGC_22710) = coupl(nGC_21374)*dcw_QED2 + coupl(nGC_21375)*db_QED2  &
                          + coupl(nGC_21376)*dsw_QED2 + coupl(nGC_21377)*      &
                         dZee_QED2 + coupl(nGC_21378)*da_QED2
      coupl(nGC_22717) = coupl(nGC_21745)*dsw_QED2 + coupl(nGC_21746)*dcw_QED2 &
                          + coupl(nGC_21747)*dZee_QED2
      coupl(nGC_32334) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32339) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_34113) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22723) = coupl(nGC_21434)*dsw_QED2 + coupl(nGC_21435)*dcw_QED2 &
                          + coupl(nGC_21436)*dZee_QED2
      coupl(nGC_32930) = coupl(nGC_73)*dZG0
      coupl(nGC_22843) = -cima*dMHH2_QED2
      coupl(nGC_22842) = -cima*dMHL2_QED2
      coupl(nGC_22841) = -cima*dMHC2_QED2
      coupl(nGC_22847) = -cima*dMM_QED2
      coupl(nGC_22846) = -cima*dME_QED2
      coupl(nGC_22844) = -cima*dMHA2_QED2
      coupl(nGC_22849) = -cima*dMU_QED2
      coupl(nGC_34075) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22719) + coupl(  &
                         nGC_229)*dZZ_QED2
      coupl(nGC_34074) = coupl(nGC_229)*dZGMinus
      coupl(nGC_44988) = coupl(nGC_369)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_44989) = coupl(nGC_369)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_33261) = coupl(nGC_45)*dZGMinus
      coupl(nGC_33265) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_33856) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34411) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_33103) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_33042) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2&
                         /2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215 &
                         )*dZHhHl_QED2/2d0 + coupl(nGC_22710)
      coupl(nGC_40343) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33450) = -coupl(nGC_33042)
      coupl(nGC_22472) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0 &
                         /(32d0*pi**2d0*Nc)
      coupl(nGC_22471) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(&
                         32d0*pi**2d0)
      coupl(nGC_32158) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_22276) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22277) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22278) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
