!******************************************************************************!
!                                                                              !
!    fill_ctcouplings30.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings30.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings30
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl30()
      coupl(nGC_41041) = coupl(nGC_22857) + coupl(nGC_TS_GC_363_Hl) + coupl(   &
                         nGC_TS_GC_366_Hh)
      coupl(nGC_33616) = coupl(nGC_172)*dZHlHh_QED2/2d0 + coupl(nGC_178)*      &
                         dZHh_QED2/2d0 + coupl(nGC_178)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22694)
      coupl(nGC_41043) = coupl(nGC_22858) + coupl(nGC_41034)
      coupl(nGC_43222) = -coupl(nGC_43221)
      coupl(nGC_46252) = coupl(nGC_22566) + coupl(nGC_247)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_258)*dZHMinus_QED2/2d0 + coupl(nGC_258)*    &
                         dZHa_QED2/2d0 + coupl(nGC_TS_GC_53_Hl) + coupl(       &
                         nGC_TS_GC_63_Hh)
      coupl(nGC_36050) = -coupl(nGC_32301)
      coupl(nGC_33573) = coupl(nGC_22660) + coupl(nGC_359)*dZHa_QED2/2d0 +     &
                         coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_33772) = coupl(nGC_22570) + coupl(nGC_328)*dZHl_QED2/2d0 +     &
                         coupl(nGC_331)*dZHhHl_QED2/2d0
      coupl(nGC_22353) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_382) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_346) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_364) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_370) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_352)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_1563)*   &
                         coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(nGC_1563)*    &
                         coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_22352) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_334)*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364 &
                         )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_384) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(&
                         nGC_348) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_364)*coupl(nGC_366) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_372) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*coupl(    &
                         nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_358)*    &
                         coupl(nGC_360)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(nGC_1563)*   &
                         coupl(nGC_175)*coupl(nGC_3) + 6d0*coupl(nGC_1563)*    &
                         coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_22351) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1641)*coupl(nGC_197)* &
                         coupl(nGC_364) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                         coupl(nGC_2741)*coupl(nGC_343) - 4d0*Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_197)*coupl(nGC_334)*coupl(nGC_335) + &
                         Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_3395)*  &
                         coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_383) - 4d0*Nc*cima*coupl(nGC_1641)*coupl(nGC_197)*&
                         coupl(nGC_2)*coupl(nGC_364) - 4d0*Nc*cima*coupl(      &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_2741)*coupl(nGC_343   &
                         ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334 &
                         )*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(  &
                         nGC_2)*coupl(nGC_3395)*coupl(nGC_346) + Nc*cima*coupl(&
                         nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_371) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*   &
                         coupl(nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(       &
                         nGC_2523) + cima*coupl(nGC_197)*coupl(nGC_2247)*coupl(&
                         nGC_352)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_2497)*coupl(nGC_376)*coupl(nGC_4) + cima*coupl(   &
                         nGC_197)*coupl(nGC_358)*coupl(nGC_4)*coupl(nGC_8311   &
                         ) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(&
                         nGC_1563)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(    &
                         nGC_1563)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
      coupl(nGC_22350) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_1641)*coupl(nGC_206)*&
                         coupl(nGC_368) - Nc*coupl(nGC_1)*coupl(nGC_1641)*coupl&
                         (nGC_209)*coupl(nGC_368) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_1833)*coupl(nGC_206)*coupl(nGC_365) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_1833)*coupl(nGC_209)*coupl(nGC_365   &
                         ) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_2741)*   &
                         coupl(nGC_341) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                         nGC_2939)*coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_206)*coupl(nGC_3395)*coupl(nGC_350) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_5875   &
                         ) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_2741)*   &
                         coupl(nGC_341) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(&
                         nGC_2939)*coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_3395)*coupl(nGC_350) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_5875   &
                         ) - Nc*coupl(nGC_1219)*coupl(nGC_2)*coupl(nGC_207)*   &
                         coupl(nGC_383) - Nc*coupl(nGC_1219)*coupl(nGC_2)*coupl&
                         (nGC_210)*coupl(nGC_383) - Nc*coupl(nGC_1825)*coupl(  &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_371) - Nc*coupl(      &
                         nGC_1825)*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_371   &
                         ) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_2665)*   &
                         coupl(nGC_335) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(&
                         nGC_2677)*coupl(nGC_374) - Nc*coupl(nGC_2)*coupl(     &
                         nGC_207)*coupl(nGC_3295)*coupl(nGC_338) - Nc*coupl(   &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_386)*coupl(nGC_7453   &
                         ) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_2665)*   &
                         coupl(nGC_335) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(&
                         nGC_2677)*coupl(nGC_374) - Nc*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_3295)*coupl(nGC_338) - Nc*coupl(   &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_386)*coupl(nGC_7453   &
                         ) - coupl(nGC_1007)*coupl(nGC_208)*coupl(nGC_377)*    &
                         coupl(nGC_4) - coupl(nGC_1007)*coupl(nGC_211)*coupl(  &
                         nGC_377)*coupl(nGC_4) - coupl(nGC_1415)*coupl(nGC_208 &
                         )*coupl(nGC_359)*coupl(nGC_4) - coupl(nGC_1415)*coupl(&
                         nGC_211)*coupl(nGC_359)*coupl(nGC_4) - coupl(nGC_1773 &
                         )*coupl(nGC_208)*coupl(nGC_353)*coupl(nGC_4) - coupl( &
                         nGC_1773)*coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_4   &
                         ) - coupl(nGC_208)*coupl(nGC_2247)*coupl(nGC_356)*    &
                         coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_2497)*coupl(  &
                         nGC_380)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_362)*&
                         coupl(nGC_4)*coupl(nGC_8311) - coupl(nGC_211)*coupl(  &
                         nGC_2247)*coupl(nGC_356)*coupl(nGC_4) - coupl(nGC_211 &
                         )*coupl(nGC_2497)*coupl(nGC_380)*coupl(nGC_4) - coupl(&
                         nGC_211)*coupl(nGC_362)*coupl(nGC_4)*coupl(nGC_8311   &
                         ))/(16d0*pi**2d0)
      coupl(nGC_22357) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                         coupl(nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*  &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0  &
                          - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384  &
                         )**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                         nGC_336)**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*  &
                         coupl(nGC_372)**2d0 - Nc*cima*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_384)**2d0 + cima*coupl(nGC_205)*   &
                         coupl(nGC_77) - cima*coupl(nGC_208)*coupl(nGC_354)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(nGC_360  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(      &
                         nGC_378)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*coupl&
                         (nGC_354)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl(nGC_211 &
                         )*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(nGC_1563)* &
                         coupl(nGC_2313)*coupl(nGC_77) + coupl(nGC_199)*coupl( &
                         nGC_3)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_41468) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_22354) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1641)*coupl(nGC_206)*&
                         coupl(nGC_365) - Nc*cima*coupl(nGC_1)*coupl(nGC_1641)*&
                         coupl(nGC_209)*coupl(nGC_365) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_206)*coupl(nGC_2741)*coupl(nGC_344) - Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_3395)*coupl&
                         (nGC_347) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(&
                         nGC_2741)*coupl(nGC_344) - Nc*cima*coupl(nGC_1)*coupl(&
                         nGC_209)*coupl(nGC_3395)*coupl(nGC_347) - Nc*cima*    &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_2677)*coupl(    &
                         nGC_371) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl( &
                         nGC_3295)*coupl(nGC_335) - Nc*cima*coupl(nGC_2)*coupl(&
                         nGC_207)*coupl(nGC_383)*coupl(nGC_7453) - Nc*cima*    &
                         coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_2677)*coupl(    &
                         nGC_371) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl( &
                         nGC_3295)*coupl(nGC_335) - Nc*cima*coupl(nGC_2)*coupl(&
                         nGC_210)*coupl(nGC_383)*coupl(nGC_7453) + cima*coupl( &
                         nGC_100)*coupl(nGC_205) - cima*coupl(nGC_208)*coupl(  &
                         nGC_2247)*coupl(nGC_353)*coupl(nGC_4) - cima*coupl(   &
                         nGC_208)*coupl(nGC_2497)*coupl(nGC_377)*coupl(nGC_4   &
                         ) - cima*coupl(nGC_208)*coupl(nGC_359)*coupl(nGC_4)*  &
                         coupl(nGC_8311) - cima*coupl(nGC_211)*coupl(nGC_2247)*&
                         coupl(nGC_353)*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_2497)*coupl(nGC_377)*coupl(nGC_4) - cima*   &
                         coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_4)*coupl(     &
                         nGC_8311) + coupl(nGC_100)*coupl(nGC_1563)*coupl(     &
                         nGC_2313) + coupl(nGC_100)*coupl(nGC_199)*coupl(nGC_3 &
                         ))/(8d0*pi**2d0)
      coupl(nGC_22358) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)* &
                         coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                         nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(      &
                         nGC_206)*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_342) - &
                         Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(  &
                         nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                         nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_336) - Nc*coupl(    &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_372) - &
                         Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)*coupl(  &
                         nGC_384) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(      &
                         nGC_333)*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_210)*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_384) - &
                         coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_354)*coupl(   &
                         nGC_4) - coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_360)*&
                         coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_375)*coupl(   &
                         nGC_378)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_351)*&
                         coupl(nGC_354)*coupl(nGC_4) - coupl(nGC_211)*coupl(   &
                         nGC_357)*coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_211)*&
                         coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_4))/(8d0*pi** &
                         2d0)
      coupl(nGC_44702) = -coupl(nGC_38681) + coupl(nGC_38682)
      coupl(nGC_22574) = coupl(nGC_20852)*dl3_QED4 + coupl(nGC_20853)*db_QED2  &
                          + coupl(nGC_20854)*dl2_QED4 + coupl(nGC_20855)*      &
                         dl5_QED4 + coupl(nGC_20856)*dvev2_QED1 + coupl(       &
                         nGC_20857)*dvev1_QED1 + coupl(nGC_20858)*dl1_QED4 +   &
                         coupl(nGC_20859)*dl4_QED4 + coupl(nGC_20860)*da_QED2
      coupl(nGC_33971) = coupl(nGC_32353) + coupl(nGC_33970)
      coupl(nGC_33972) = coupl(nGC_32353) + coupl(nGC_33969)
      coupl(nGC_22687) = coupl(nGC_21559)*dsw_QED2 + coupl(nGC_21560)*dcw_QED2 &
                          + coupl(nGC_21561)*dZee_QED2
      coupl(nGC_22177) = (-coupl(nGC_1415)**2d0*coupl(nGC_359) + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_8311) - coupl(      &
                         nGC_357)**2d0*coupl(nGC_359) - coupl(nGC_359)*coupl(  &
                         nGC_360)**2d0 - coupl(nGC_359)*coupl(nGC_8311)**2d0 + &
                         8d0*coupl(nGC_4)**2d0*coupl(nGC_8311))/(32d0*pi**2d0)
      coupl(nGC_22176) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -   &
                         coupl(nGC_357)**2d0*coupl(nGC_8311) - coupl(nGC_359)**&
                         2d0*coupl(nGC_8311) + 8d0*coupl(nGC_359)*coupl(nGC_4  &
                         )**2d0 - coupl(nGC_360)**2d0*coupl(nGC_8311) - coupl( &
                         nGC_362)**2d0*coupl(nGC_8311))/(32d0*pi**2d0)
      coupl(nGC_22172) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_347) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_347) - coupl(       &
                         nGC_3395)*coupl(nGC_345)**2d0 - coupl(nGC_3395)*coupl(&
                         nGC_347)**2d0 - coupl(nGC_3395)*coupl(nGC_348)**2d0 - &
                         coupl(nGC_3395)*coupl(nGC_350)**2d0 - coupl(nGC_346)* &
                         coupl(nGC_382)*coupl(nGC_7453) - coupl(nGC_349)*coupl(&
                         nGC_385)*coupl(nGC_7453))/(32d0*pi**2d0)
      coupl(nGC_22170) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_3395) + 8d0*coupl(   &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_3395) - coupl(      &
                         nGC_3395)**2d0*coupl(nGC_347) - coupl(nGC_345)**2d0*  &
                         coupl(nGC_347) - coupl(nGC_346)*coupl(nGC_382)*coupl( &
                         nGC_383) - coupl(nGC_347)*coupl(nGC_348)**2d0 - coupl(&
                         nGC_347)*coupl(nGC_5875)**2d0 - coupl(nGC_349)*coupl( &
                         nGC_383)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_22179) = coupl(nGC_13)**2d0*coupl(nGC_1641)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22178) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1641) - coupl(       &
                         nGC_1641)**2d0*coupl(nGC_365) + 8d0*coupl(nGC_1641)*  &
                         coupl(nGC_206)*coupl(nGC_209) - coupl(nGC_1833)**2d0* &
                         coupl(nGC_365) - coupl(nGC_334)*coupl(nGC_335)*coupl( &
                         nGC_364) - coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_367&
                         ) - coupl(nGC_363)**2d0*coupl(nGC_365) - coupl(nGC_365&
                         )*coupl(nGC_366)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22051) = (Nc*cMB*coupl(nGC_2677)*coupl(nGC_343)*coupl(nGC_373  &
                         ) + Nc*cMB*coupl(nGC_2741)*coupl(nGC_340)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_2741)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl&
                         (nGC_344) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl&
                         (nGC_371) + Nc*cMB*coupl(nGC_344)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMC*coupl(nGC_1641)*coupl(nGC_337)*    &
                         coupl(nGC_364) + Nc*cMC*coupl(nGC_3295)*coupl(nGC_334 &
                         )*coupl(nGC_337) + Nc*cMC*coupl(nGC_3295)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_335)*coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_365)*coupl(nGC_367) + Nc*cMC*coupl(nGC_335)*coupl(&
                         nGC_364)*coupl(nGC_367) + Nc*cMD*coupl(nGC_3395)*coupl&
                         (nGC_346)*coupl(nGC_349) + Nc*cMD*coupl(nGC_3395)*    &
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*&
                         coupl(nGC_347)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)*&
                         coupl(nGC_385)*coupl(nGC_7453) + Nc*cMD*coupl(nGC_347 &
                         )*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_349&
                         )*coupl(nGC_382)*coupl(nGC_383) + Nc*cMS*coupl(       &
                         nGC_1641)*coupl(nGC_334)*coupl(nGC_337) + Nc*cMS*coupl&
                         (nGC_1641)*coupl(nGC_364)*coupl(nGC_367) + Nc*cMS*    &
                         coupl(nGC_3295)*coupl(nGC_337)*coupl(nGC_364) + Nc*cMS&
                         *coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367) + Nc*cMS&
                         *coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*cMS&
                         *coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + Nc*cMT&
                         *coupl(nGC_2677)*coupl(nGC_340)*coupl(nGC_343) + Nc*  &
                         cMT*coupl(nGC_2677)*coupl(nGC_370)*coupl(nGC_373) + Nc&
                         *cMT*coupl(nGC_2741)*coupl(nGC_343)*coupl(nGC_373) +  &
                         Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371) + &
                         Nc*cMT*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_370) + &
                         Nc*cMT*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + &
                         Nc*cMU*coupl(nGC_3395)*coupl(nGC_346)*coupl(nGC_385   &
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383&
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(       &
                         nGC_7453) + Nc*cMU*coupl(nGC_347)*coupl(nGC_349)*coupl&
                         (nGC_382) + Nc*cMU*coupl(nGC_382)*coupl(nGC_383)*coupl&
                         (nGC_385) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl&
                         (nGC_7453) + cME*coupl(nGC_2247)*coupl(nGC_352)*coupl(&
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_353)*coupl(   &
                         nGC_355) + cMM*coupl(nGC_358)*coupl(nGC_359)*coupl(   &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_8311) + cMTA*coupl(nGC_2497)*coupl(nGC_376)*coupl(&
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_377)*coupl(  &
                         nGC_379) + 2d0*cima*coupl(nGC_187)*coupl(nGC_324) +   &
                         2d0*cima*coupl(nGC_237)*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_32226) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*    &
                         dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(  &
                         nGC_22714)
      coupl(nGC_22165) = (Nc*coupl(nGC_1641)*coupl(nGC_206)*coupl(nGC_363) - Nc&
                         *coupl(nGC_1641)*coupl(nGC_209)*coupl(nGC_363) + Nc*  &
                         coupl(nGC_206)*coupl(nGC_2741)*coupl(nGC_342) + Nc*   &
                         coupl(nGC_206)*coupl(nGC_3395)*coupl(nGC_345) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_344) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_347) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_365) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_2677)*coupl(nGC_369) + Nc*   &
                         coupl(nGC_207)*coupl(nGC_3295)*coupl(nGC_333) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_333)*coupl(nGC_335) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_371) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_381)*coupl(nGC_383) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_381)*coupl(nGC_7453) - Nc*   &
                         coupl(nGC_209)*coupl(nGC_2741)*coupl(nGC_342) - Nc*   &
                         coupl(nGC_209)*coupl(nGC_3395)*coupl(nGC_345) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_342)*coupl(nGC_344) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_347) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_365) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_2677)*coupl(nGC_369) - Nc*   &
                         coupl(nGC_210)*coupl(nGC_3295)*coupl(nGC_333) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_335) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_371) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_383) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_7453) + coupl(&
                         nGC_208)*coupl(nGC_2247)*coupl(nGC_351) + coupl(      &
                         nGC_208)*coupl(nGC_2497)*coupl(nGC_375) - coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_353) - coupl(nGC_208&
                         )*coupl(nGC_357)*coupl(nGC_359) + coupl(nGC_208)*coupl&
                         (nGC_357)*coupl(nGC_8311) - coupl(nGC_208)*coupl(     &
                         nGC_375)*coupl(nGC_377) - coupl(nGC_211)*coupl(       &
                         nGC_2247)*coupl(nGC_351) - coupl(nGC_211)*coupl(      &
                         nGC_2497)*coupl(nGC_375) + coupl(nGC_211)*coupl(      &
                         nGC_351)*coupl(nGC_353) + coupl(nGC_211)*coupl(nGC_357&
                         )*coupl(nGC_359) - coupl(nGC_211)*coupl(nGC_357)*coupl&
                         (nGC_8311) + coupl(nGC_211)*coupl(nGC_375)*coupl(     &
                         nGC_377))/(24d0*pi**2d0)
      coupl(nGC_32229) = coupl(nGC_22499) + coupl(nGC_30)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_38390) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
      coupl(nGC_34213) = coupl(nGC_22528) + coupl(nGC_35)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_36)*dZHaG0_QED2/2d0 + coupl(nGC_38)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_39)*dZHhHl_QED2/2d0 +     &
                         coupl(nGC_47)*dZHa_QED2/2d0 + coupl(nGC_47)*dZHh_QED2/&
                         2d0 + coupl(nGC_47)*dZHl_QED2/2d0
      coupl(nGC_34748) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZcL_QED2&
                          + coupl(nGC_22730)
      coupl(nGC_39741) = coupl(nGC_22617) + coupl(nGC_370)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_36523) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/&
                         2d0
      coupl(nGC_35764) = coupl(nGC_22703) + coupl(nGC_261)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_272)*dZHh_QED2/2d0 + coupl(nGC_272)*        &
                         dZWMinus_QED2 + coupl(nGC_TS_GC_77_Hh)
      coupl(nGC_45311) = coupl(nGC_218)*dZGMinus
      coupl(nGC_38734) = coupl(nGC_38724) + coupl(nGC_38732)
      coupl(nGC_22417) = cima*(10d0*Nc*coupl(nGC_1219)**2d0*coupl(nGC_384)**2d0&
                          + 40d0*Nc*coupl(nGC_1219)*coupl(nGC_384)**2d0*coupl( &
                         nGC_386) + 10d0*Nc*coupl(nGC_1825)**2d0*coupl(nGC_372 &
                         )**2d0 + 40d0*Nc*coupl(nGC_1825)*coupl(nGC_372)**2d0* &
                         coupl(nGC_374) + 10d0*Nc*coupl(nGC_1833)**2d0*coupl(  &
                         nGC_366)**2d0 + 40d0*Nc*coupl(nGC_1833)*coupl(nGC_366 &
                         )**2d0*coupl(nGC_368) + 10d0*Nc*coupl(nGC_2665)**2d0* &
                         coupl(nGC_336)**2d0 + 40d0*Nc*coupl(nGC_2665)*coupl(  &
                         nGC_336)**2d0*coupl(nGC_338) + 10d0*Nc*coupl(nGC_2939 &
                         )**2d0*coupl(nGC_339)**2d0 + 40d0*Nc*coupl(nGC_2939)* &
                         coupl(nGC_339)**2d0*coupl(nGC_341) + 10d0*Nc*coupl(   &
                         nGC_336)**2d0*coupl(nGC_338)**2d0 + 10d0*Nc*coupl(    &
                         nGC_339)**2d0*coupl(nGC_341)**2d0 + 10d0*Nc*coupl(    &
                         nGC_348)**2d0*coupl(nGC_350)**2d0 + 40d0*Nc*coupl(    &
                         nGC_348)**2d0*coupl(nGC_350)*coupl(nGC_5875) + 10d0*Nc&
                         *coupl(nGC_348)**2d0*coupl(nGC_5875)**2d0 + 10d0*Nc*  &
                         coupl(nGC_366)**2d0*coupl(nGC_368)**2d0 + 10d0*Nc*    &
                         coupl(nGC_372)**2d0*coupl(nGC_374)**2d0 + 10d0*Nc*    &
                         coupl(nGC_384)**2d0*coupl(nGC_386)**2d0 + 6d0*coupl(  &
                         nGC_100)*coupl(nGC_77) + 10d0*coupl(nGC_1007)**2d0*   &
                         coupl(nGC_378)**2d0 + 40d0*coupl(nGC_1007)*coupl(     &
                         nGC_378)**2d0*coupl(nGC_380) + 10d0*coupl(nGC_1415)** &
                         2d0*coupl(nGC_360)**2d0 + 40d0*coupl(nGC_1415)*coupl( &
                         nGC_360)**2d0*coupl(nGC_362) + 10d0*coupl(nGC_1773)** &
                         2d0*coupl(nGC_354)**2d0 + 40d0*coupl(nGC_1773)*coupl( &
                         nGC_354)**2d0*coupl(nGC_356) + 3d0*coupl(nGC_224)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_354)**2d0*coupl(      &
                         nGC_356)**2d0 + 10d0*coupl(nGC_360)**2d0*coupl(nGC_362&
                         )**2d0 + 10d0*coupl(nGC_378)**2d0*coupl(nGC_380)**2d0 &
                         )/(48d0*pi**2d0)
      coupl(nGC_38733) = -coupl(nGC_38724) - coupl(nGC_38732)
      coupl(nGC_38730) = -coupl(nGC_22681) - coupl(nGC_38725)
      coupl(nGC_38731) = coupl(nGC_22681) + coupl(nGC_38725)
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_36997) = -coupl(nGC_36955)
      coupl(nGC_38026) = coupl(nGC_22668) + coupl(nGC_38025)
      coupl(nGC_38027) = coupl(nGC_22669) + coupl(nGC_381)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_384)*dZHh_QED2/2d0
      coupl(nGC_43904) = -coupl(nGC_43176)
      coupl(nGC_32512) = coupl(nGC_22533) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl&
                         (nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0&
                          + coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*     &
                         dZHMinusGMinus_QED2
      coupl(nGC_32425) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22587) + coupl(  &
                         nGC_29)*dZA_QED2
    end subroutine fill_CTcouplings_mdl30
end module fill_ctcouplings30
