!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl32()
      coupl(nGC_36002) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZsL_QED2&
                          + coupl(nGC_22731)
      coupl(nGC_22322) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1641)*coupl(&
                         nGC_365) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(       &
                         nGC_2741)*coupl(nGC_344) - 2d0*Nc*cima*coupl(nGC_1)** &
                         2d0*coupl(nGC_3395)*coupl(nGC_347) - 2d0*Nc*cima*coupl&
                         (nGC_2)**2d0*coupl(nGC_2677)*coupl(nGC_371) - 2d0*Nc* &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_3295)*coupl(nGC_335  &
                         ) - 2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_383)*coupl&
                         (nGC_7453) + cima*coupl(nGC_100)*coupl(nGC_9) - 2d0*  &
                         cima*coupl(nGC_2247)*coupl(nGC_353)*coupl(nGC_4)**2d0 &
                          - 2d0*cima*coupl(nGC_2497)*coupl(nGC_377)*coupl(nGC_4&
                         )**2d0 - 2d0*cima*coupl(nGC_359)*coupl(nGC_4)**2d0*   &
                         coupl(nGC_8311) + coupl(nGC_100)*coupl(nGC_1563)**2d0 &
                          + coupl(nGC_100)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22323) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_339)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_348)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_366)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_336)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_372)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_384)**2d0 -   &
                         2d0*cima*coupl(nGC_354)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_360)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_378)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_77)*coupl(nGC_9) + coupl(nGC_1563)**2d0*coupl(    &
                         nGC_77) + coupl(nGC_3)**2d0*coupl(nGC_77))/(8d0*pi**  &
                         2d0)
      coupl(nGC_22320) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_1641)*coupl(    &
                         nGC_368) - Nc*coupl(nGC_1)**2d0*coupl(nGC_1833)*coupl(&
                         nGC_365) - Nc*coupl(nGC_1)**2d0*coupl(nGC_2741)*coupl(&
                         nGC_341) - Nc*coupl(nGC_1)**2d0*coupl(nGC_2939)*coupl(&
                         nGC_344) - Nc*coupl(nGC_1)**2d0*coupl(nGC_3395)*coupl(&
                         nGC_350) - Nc*coupl(nGC_1)**2d0*coupl(nGC_347)*coupl( &
                         nGC_5875) - Nc*coupl(nGC_1219)*coupl(nGC_2)**2d0*coupl&
                         (nGC_383) - Nc*coupl(nGC_1825)*coupl(nGC_2)**2d0*coupl&
                         (nGC_371) - Nc*coupl(nGC_2)**2d0*coupl(nGC_2665)*coupl&
                         (nGC_335) - Nc*coupl(nGC_2)**2d0*coupl(nGC_2677)*coupl&
                         (nGC_374) - Nc*coupl(nGC_2)**2d0*coupl(nGC_3295)*coupl&
                         (nGC_338) - Nc*coupl(nGC_2)**2d0*coupl(nGC_386)*coupl(&
                         nGC_7453) - coupl(nGC_1007)*coupl(nGC_377)*coupl(nGC_4&
                         )**2d0 - coupl(nGC_1415)*coupl(nGC_359)*coupl(nGC_4)**&
                         2d0 - coupl(nGC_1773)*coupl(nGC_353)*coupl(nGC_4)**2d0&
                          - coupl(nGC_2247)*coupl(nGC_356)*coupl(nGC_4)**2d0 - &
                         coupl(nGC_2497)*coupl(nGC_380)*coupl(nGC_4)**2d0 -    &
                         coupl(nGC_362)*coupl(nGC_4)**2d0*coupl(nGC_8311))/(8d0&
                         *pi**2d0)
      coupl(nGC_22321) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1833)*coupl(&
                         nGC_368) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(       &
                         nGC_2939)*coupl(nGC_341) - 2d0*Nc*cima*coupl(nGC_1)** &
                         2d0*coupl(nGC_350)*coupl(nGC_5875) - 2d0*Nc*cima*coupl&
                         (nGC_1219)*coupl(nGC_2)**2d0*coupl(nGC_386) - 2d0*Nc* &
                         cima*coupl(nGC_1825)*coupl(nGC_2)**2d0*coupl(nGC_374  &
                         ) - 2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_2665)*    &
                         coupl(nGC_338) + cima*coupl(nGC_100)*coupl(nGC_9) -   &
                         2d0*cima*coupl(nGC_1007)*coupl(nGC_380)*coupl(nGC_4)**&
                         2d0 - 2d0*cima*coupl(nGC_1415)*coupl(nGC_362)*coupl(  &
                         nGC_4)**2d0 - 2d0*cima*coupl(nGC_1773)*coupl(nGC_356)*&
                         coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl(nGC_1563)**  &
                         2d0 + coupl(nGC_100)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22326) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 -  &
                         15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                         nGC_2) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 + 3d0*cima*coupl(nGC_11213)*coupl(nGC_9) - 2d0*&
                         cima*coupl(nGC_1563)**2d0*coupl(nGC_199)*coupl(       &
                         nGC_3351) - 2d0*cima*coupl(nGC_1563)**2d0*coupl(nGC_3 &
                         )*coupl(nGC_3695) - 2d0*cima*coupl(nGC_1563)*coupl(   &
                         nGC_3)**2d0*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**  &
                         2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_198)*coupl(&
                         nGC_2313)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_11213)*   &
                         coupl(nGC_1563)**2d0 + 3d0*coupl(nGC_11213)*coupl(    &
                         nGC_3)**2d0 + 3d0*coupl(nGC_1563)*coupl(nGC_4)*coupl( &
                         nGC_9) + 3d0*coupl(nGC_198)*coupl(nGC_2313)*coupl(    &
                         nGC_9))/(24d0*pi**2d0)
      coupl(nGC_22327) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 + &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 - 2d0*cima*coupl(nGC_1563)**2d0*coupl(nGC_199)*&
                         coupl(nGC_3351) - 2d0*cima*coupl(nGC_1563)**2d0*coupl(&
                         nGC_3)*coupl(nGC_3695) - 2d0*cima*coupl(nGC_1563)*    &
                         coupl(nGC_3)**2d0*coupl(nGC_4) - 3d0*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(     &
                         nGC_198)*coupl(nGC_2313)*coupl(nGC_3)**2d0 + 3d0*cima*&
                         coupl(nGC_202)**2d0 + 3d0*cima*coupl(nGC_2523)**2d0 + &
                         3d0*coupl(nGC_1563)*coupl(nGC_199)*coupl(nGC_202) +   &
                         3d0*coupl(nGC_1563)*coupl(nGC_202)*coupl(nGC_3351) +  &
                         3d0*coupl(nGC_1563)*coupl(nGC_2523)*coupl(nGC_3) + 3d0&
                         *coupl(nGC_1563)*coupl(nGC_2523)*coupl(nGC_3695))/(   &
                         24d0*pi**2d0)
      coupl(nGC_22325) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 + &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 - 2d0*cima*coupl(nGC_1563)**2d0*coupl(nGC_199)*&
                         coupl(nGC_3351) - 2d0*cima*coupl(nGC_1563)**2d0*coupl(&
                         nGC_3)*coupl(nGC_3695) - 2d0*cima*coupl(nGC_1563)*    &
                         coupl(nGC_3)**2d0*coupl(nGC_4) - 3d0*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(     &
                         nGC_198)*coupl(nGC_2313)*coupl(nGC_3)**2d0 + 3d0*cima*&
                         coupl(nGC_202)**2d0 + 3d0*cima*coupl(nGC_2523)**2d0 + &
                         3d0*coupl(nGC_1563)*coupl(nGC_2523)*coupl(nGC_3) + 3d0&
                         *coupl(nGC_198)*coupl(nGC_202)*coupl(nGC_3) + 3d0*    &
                         coupl(nGC_202)*coupl(nGC_2313)*coupl(nGC_3) + 3d0*    &
                         coupl(nGC_2523)*coupl(nGC_3)*coupl(nGC_4))/(24d0*pi** &
                         2d0)
      coupl(nGC_34174) = -coupl(nGC_32982) + coupl(nGC_32983)
      coupl(nGC_22328) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_342)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_345)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_363)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_333)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_369)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_381)**2d0 -   &
                         2d0*cima*coupl(nGC_351)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_357)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_375)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_77)*coupl(nGC_9) + coupl(nGC_1563)**2d0*coupl(    &
                         nGC_77) + coupl(nGC_3)**2d0*coupl(nGC_77))/(8d0*pi**  &
                         2d0)
      coupl(nGC_22329) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1219)*coupl(     &
                         nGC_197)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_1)*   &
                         coupl(nGC_1825)*coupl(nGC_197)*coupl(nGC_373) - 4d0*Nc&
                         *cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2665)*    &
                         coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                         coupl(nGC_340)*coupl(nGC_341) + Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_350) + Nc*cima&
                         *coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(    &
                         nGC_368) + Nc*cima*coupl(nGC_1219)*coupl(nGC_197)*    &
                         coupl(nGC_2)*coupl(nGC_385) + Nc*cima*coupl(nGC_1825)*&
                         coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_373) + Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_2665)*coupl(    &
                         nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_350) - &
                         4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367 &
                         )*coupl(nGC_368) + 6d0*cima*coupl(nGC_186)*coupl(     &
                         nGC_2523) + cima*coupl(nGC_197)*coupl(nGC_355)*coupl( &
                         nGC_356)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_361)*coupl(nGC_362)*coupl(nGC_4) + cima*coupl(    &
                         nGC_197)*coupl(nGC_379)*coupl(nGC_380)*coupl(nGC_4) + &
                         6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(    &
                         nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198&
                         )*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_32766) = coupl(nGC_22507) + coupl(nGC_35)*dZHlHh_QED2 + coupl( &
                         nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
      coupl(nGC_32802) = -coupl(nGC_32796) + coupl(nGC_32801)
      coupl(nGC_33343) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/&
                         2d0 + coupl(nGC_22708) + coupl(nGC_229)*dZZA_QED2/2d0 &
                          + coupl(nGC_29)*dZAZ_QED2/2d0
      coupl(nGC_34098) = coupl(nGC_22583) + coupl(nGC_260)*dZHl_QED2/2d0 +     &
                         coupl(nGC_271)*dZHhHl_QED2/2d0
      coupl(nGC_33349) = coupl(nGC_22506) + 2d0*coupl(nGC_57)*                 &
                         dZHMinusGMinus_QED2
      coupl(nGC_22029) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_209)**2d0 + coupl(nGC_1)*coupl(nGC_3395)*coupl(   &
                         nGC_347) + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_348)**2d0 + coupl(nGC_1)*coupl(      &
                         nGC_350)*coupl(nGC_5875) + 2d0*coupl(nGC_1563)*coupl( &
                         nGC_197)**2d0 + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2   &
                         ) + coupl(nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_2)*  &
                         coupl(nGC_385)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22188) = (-coupl(nGC_1219)**2d0*coupl(nGC_383) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_7453) + 8d0*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_7453) - coupl(nGC_346)*coupl(     &
                         nGC_347)*coupl(nGC_382) - coupl(nGC_347)*coupl(nGC_349&
                         )*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(nGC_383  &
                         ) - coupl(nGC_383)*coupl(nGC_384)**2d0 - coupl(nGC_383&
                         )*coupl(nGC_7453)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22434) = cima*(10d0*Nc*coupl(nGC_1641)*coupl(nGC_3295)*coupl(  &
                         nGC_334)*coupl(nGC_364) + 10d0*Nc*coupl(nGC_1641)*    &
                         coupl(nGC_334)**2d0*coupl(nGC_365) + 10d0*Nc*coupl(   &
                         nGC_1641)*coupl(nGC_364)**2d0*coupl(nGC_365) + 10d0*Nc&
                         *coupl(nGC_2677)*coupl(nGC_2741)*coupl(nGC_343)*coupl(&
                         nGC_370) + 10d0*Nc*coupl(nGC_2677)*coupl(nGC_343)**2d0&
                         *coupl(nGC_371) + 10d0*Nc*coupl(nGC_2677)*coupl(      &
                         nGC_370)**2d0*coupl(nGC_371) + 10d0*Nc*coupl(nGC_2741 &
                         )*coupl(nGC_343)**2d0*coupl(nGC_344) + 10d0*Nc*coupl( &
                         nGC_2741)*coupl(nGC_344)*coupl(nGC_370)**2d0 + 10d0*Nc&
                         *coupl(nGC_3295)*coupl(nGC_334)**2d0*coupl(nGC_335) + &
                         10d0*Nc*coupl(nGC_3295)*coupl(nGC_335)*coupl(nGC_364  &
                         )**2d0 + 10d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl( &
                         nGC_364)*coupl(nGC_365) + 10d0*Nc*coupl(nGC_3395)*    &
                         coupl(nGC_346)**2d0*coupl(nGC_347) + 10d0*Nc*coupl(   &
                         nGC_3395)*coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_7453&
                         ) + 10d0*Nc*coupl(nGC_3395)*coupl(nGC_347)*coupl(     &
                         nGC_382)**2d0 + 10d0*Nc*coupl(nGC_343)*coupl(nGC_344)*&
                         coupl(nGC_370)*coupl(nGC_371) + 10d0*Nc*coupl(nGC_346 &
                         )**2d0*coupl(nGC_383)*coupl(nGC_7453) + 10d0*Nc*coupl(&
                         nGC_346)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_383  &
                         ) + 10d0*Nc*coupl(nGC_382)**2d0*coupl(nGC_383)*coupl( &
                         nGC_7453) + 6d0*coupl(nGC_100)**2d0 + 12d0*coupl(     &
                         nGC_186)*coupl(nGC_187) + 10d0*coupl(nGC_2247)*coupl( &
                         nGC_352)**2d0*coupl(nGC_353) + 3d0*coupl(nGC_229)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_2497)*coupl(nGC_376)**&
                         2d0*coupl(nGC_377) + 12d0*coupl(nGC_30)*coupl(nGC_31  &
                         ) + 10d0*coupl(nGC_358)**2d0*coupl(nGC_359)*coupl(    &
                         nGC_8311))/(48d0*pi**2d0)
      coupl(nGC_22432) = cima*(-4d0*Nc*coupl(nGC_1219)*coupl(nGC_207)**2d0*    &
                         coupl(nGC_383) + 5d0*Nc*coupl(nGC_1219)*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_383) - 4d0*Nc*coupl(       &
                         nGC_1219)*coupl(nGC_210)**2d0*coupl(nGC_383) - 4d0*Nc*&
                         coupl(nGC_1641)*coupl(nGC_206)**2d0*coupl(nGC_368) +  &
                         5d0*Nc*coupl(nGC_1641)*coupl(nGC_206)*coupl(nGC_209)* &
                         coupl(nGC_368) - 4d0*Nc*coupl(nGC_1641)*coupl(nGC_209 &
                         )**2d0*coupl(nGC_368) - 4d0*Nc*coupl(nGC_1825)*coupl( &
                         nGC_207)**2d0*coupl(nGC_371) + 5d0*Nc*coupl(nGC_1825)*&
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_371) - 4d0*Nc*&
                         coupl(nGC_1825)*coupl(nGC_210)**2d0*coupl(nGC_371) -  &
                         4d0*Nc*coupl(nGC_1833)*coupl(nGC_206)**2d0*coupl(     &
                         nGC_365) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_206)*coupl&
                         (nGC_209)*coupl(nGC_365) - 4d0*Nc*coupl(nGC_1833)*    &
                         coupl(nGC_209)**2d0*coupl(nGC_365) - 4d0*Nc*coupl(    &
                         nGC_206)**2d0*coupl(nGC_2741)*coupl(nGC_341) - 4d0*Nc*&
                         coupl(nGC_206)**2d0*coupl(nGC_2939)*coupl(nGC_344) -  &
                         4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_3395)*coupl(     &
                         nGC_350) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_347)* &
                         coupl(nGC_5875) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209 &
                         )*coupl(nGC_2741)*coupl(nGC_341) + 5d0*Nc*coupl(      &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_2939)*coupl(nGC_344 &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(       &
                         nGC_3395)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_206)*coupl&
                         (nGC_209)*coupl(nGC_347)*coupl(nGC_5875) - 4d0*Nc*    &
                         coupl(nGC_207)**2d0*coupl(nGC_2665)*coupl(nGC_335) -  &
                         4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_2677)*coupl(     &
                         nGC_374) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(nGC_3295)*&
                         coupl(nGC_338) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(    &
                         nGC_386)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_2665)*coupl(nGC_335) + 5d0*Nc*    &
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_2677)*coupl(  &
                         nGC_374) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(&
                         nGC_3295)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_386)*coupl(nGC_7453) - 4d0*Nc*    &
                         coupl(nGC_209)**2d0*coupl(nGC_2741)*coupl(nGC_341) -  &
                         4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_2939)*coupl(     &
                         nGC_344) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(nGC_3395)*&
                         coupl(nGC_350) - 4d0*Nc*coupl(nGC_209)**2d0*coupl(    &
                         nGC_347)*coupl(nGC_5875) - 4d0*Nc*coupl(nGC_210)**2d0*&
                         coupl(nGC_2665)*coupl(nGC_335) - 4d0*Nc*coupl(nGC_210 &
                         )**2d0*coupl(nGC_2677)*coupl(nGC_374) - 4d0*Nc*coupl( &
                         nGC_210)**2d0*coupl(nGC_3295)*coupl(nGC_338) - 4d0*Nc*&
                         coupl(nGC_210)**2d0*coupl(nGC_386)*coupl(nGC_7453) -  &
                         4d0*coupl(nGC_1007)*coupl(nGC_208)**2d0*coupl(nGC_377 &
                         ) + 5d0*coupl(nGC_1007)*coupl(nGC_208)*coupl(nGC_211)*&
                         coupl(nGC_377) - 4d0*coupl(nGC_1007)*coupl(nGC_211)** &
                         2d0*coupl(nGC_377) - 4d0*coupl(nGC_1415)*coupl(nGC_208&
                         )**2d0*coupl(nGC_359) + 5d0*coupl(nGC_1415)*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_359) - 4d0*coupl(   &
                         nGC_1415)*coupl(nGC_211)**2d0*coupl(nGC_359) - 4d0*   &
                         coupl(nGC_1773)*coupl(nGC_208)**2d0*coupl(nGC_353) +  &
                         5d0*coupl(nGC_1773)*coupl(nGC_208)*coupl(nGC_211)*    &
                         coupl(nGC_353) - 4d0*coupl(nGC_1773)*coupl(nGC_211)** &
                         2d0*coupl(nGC_353) - 4d0*coupl(nGC_208)**2d0*coupl(   &
                         nGC_2247)*coupl(nGC_356) - 4d0*coupl(nGC_208)**2d0*   &
                         coupl(nGC_2497)*coupl(nGC_380) - 4d0*coupl(nGC_208)** &
                         2d0*coupl(nGC_362)*coupl(nGC_8311) + 5d0*coupl(nGC_208&
                         )*coupl(nGC_211)*coupl(nGC_2247)*coupl(nGC_356) + 5d0*&
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2497)*coupl(  &
                         nGC_380) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(   &
                         nGC_362)*coupl(nGC_8311) - 4d0*coupl(nGC_211)**2d0*   &
                         coupl(nGC_2247)*coupl(nGC_356) - 4d0*coupl(nGC_211)** &
                         2d0*coupl(nGC_2497)*coupl(nGC_380) - 4d0*coupl(nGC_211&
                         )**2d0*coupl(nGC_362)*coupl(nGC_8311))/(24d0*pi**2d0)
      coupl(nGC_22430) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1219)*   &
                         coupl(nGC_386) - coupl(nGC_1825)*coupl(nGC_374) -     &
                         coupl(nGC_1833)*coupl(nGC_368) - coupl(nGC_2665)*coupl&
                         (nGC_338) - coupl(nGC_2939)*coupl(nGC_341) - coupl(   &
                         nGC_350)*coupl(nGC_5875))/(16d0*pi**2d0)
      coupl(nGC_22431) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1219)*    &
                         coupl(nGC_386) + coupl(nGC_1825)*coupl(nGC_374) +     &
                         coupl(nGC_1833)*coupl(nGC_368) + coupl(nGC_2665)*coupl&
                         (nGC_338) + coupl(nGC_2939)*coupl(nGC_341) + coupl(   &
                         nGC_350)*coupl(nGC_5875))/(16d0*pi**2d0*Nc)
      coupl(nGC_51642) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22594)
      coupl(nGC_22438) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_334)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_343)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_346)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_364)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_370)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_382)**2d0&
                          + 6d0*cima*coupl(nGC_100)*coupl(nGC_11213) + 3d0*cima&
                         *coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*coupl(   &
                         nGC_197)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*coupl(   &
                         nGC_197)**2d0*coupl(nGC_376)**2d0 + 6d0*cima*coupl(   &
                         nGC_205)*coupl(nGC_221) + 3d0*cima*coupl(nGC_29)*coupl&
                         (nGC_9) + 6d0*coupl(nGC_100)*coupl(nGC_1563)*coupl(   &
                         nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(     &
                         nGC_2313) + 6d0*coupl(nGC_199)*coupl(nGC_221)*coupl(  &
                         nGC_3695) + 6d0*coupl(nGC_199)*coupl(nGC_229)*coupl(  &
                         nGC_3351) + 6d0*coupl(nGC_221)*coupl(nGC_3)*coupl(    &
                         nGC_3351) + 6d0*coupl(nGC_29)*coupl(nGC_3)*coupl(     &
                         nGC_3695))/(48d0*pi**2d0)
      coupl(nGC_22439) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_343)*coupl(nGC_344) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_347) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_365) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_2677)*coupl(nGC_370) + 5d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_3295)*coupl(  &
                         nGC_334) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_382)*coupl(nGC_7453) - 4d0*Nc*cima*coupl(   &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_2677)*coupl(nGC_370 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_3295)*coupl(nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*&
                         coupl(nGC_209)*coupl(nGC_343)*coupl(nGC_344) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346)*    &
                         coupl(nGC_347) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(   &
                         nGC_7453) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*&
                         coupl(nGC_2677)*coupl(nGC_370) - 4d0*Nc*cima*coupl(   &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_3295)*coupl(nGC_334 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_343)*coupl(nGC_344) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364)*    &
                         coupl(nGC_365) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_7453) + 6d0*cima*   &
                         coupl(nGC_186)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_30) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_353) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_359) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_353) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_359) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_353  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_359) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_377) + 6d0*   &
                         coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_33295) = coupl(nGC_22523) + coupl(nGC_32)*dZHlHh_QED2 + coupl( &
                         nGC_37)*dZGMinusHMinus_QED2 + coupl(nGC_44)*          &
                         dZHMinus_QED2 + coupl(nGC_44)*dZHh_QED2
      coupl(nGC_22059) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) - coupl(&
                         nGC_1825)*coupl(nGC_2939)*coupl(nGC_373) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(       &
                         nGC_2677)*coupl(nGC_2741)*coupl(nGC_373) - coupl(     &
                         nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342&
                         )*coupl(nGC_369)*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_36475) = coupl(nGC_36471) + coupl(nGC_36474)
      coupl(nGC_33488) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22587) + coupl(  &
                         nGC_29)*dZA_QED2 + coupl(nGC_29)*dZHMinus_QED2
      coupl(nGC_22055) = coupl(nGC_197)*(Nc*coupl(nGC_2677)*coupl(nGC_373) + Nc&
                         *coupl(nGC_3295)*coupl(nGC_337) - Nc*coupl(nGC_340)*  &
                         coupl(nGC_344) - Nc*coupl(nGC_347)*coupl(nGC_349) - Nc&
                         *coupl(nGC_365)*coupl(nGC_367) + Nc*coupl(nGC_385)*   &
                         coupl(nGC_7453) - coupl(nGC_353)*coupl(nGC_355) -     &
                         coupl(nGC_359)*coupl(nGC_361) - coupl(nGC_377)*coupl( &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_32433) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/ &
                         2d0 + coupl(nGC_22556)
      coupl(nGC_33681) = coupl(nGC_33678) + coupl(nGC_33680)
      coupl(nGC_32438) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*        &
                         dZHh_QED2/2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(  &
                         nGC_215)*dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/&
                         2d0 + coupl(nGC_22712)
      coupl(nGC_36590) = -coupl(nGC_36588) + coupl(nGC_36589)
      coupl(nGC_40227) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZbL_QED2&
                          + coupl(nGC_22731)
      coupl(nGC_40229) = coupl(nGC_33678) + coupl(nGC_40227)
      coupl(nGC_40228) = coupl(nGC_33678) + coupl(nGC_40226)
      coupl(nGC_39367) = coupl(nGC_22721) + coupl(nGC_329)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_332)*dZHh_QED2/2d0 + coupl(nGC_332)*dZZ_QED2&
                          + coupl(nGC_TS_GC_224_Hh)
      coupl(nGC_57478) = -coupl(nGC_22165)
      coupl(nGC_59810) = -coupl(nGC_22131)
      coupl(nGC_21959) = cima*(Nc*coupl(nGC_1219)*coupl(nGC_386) + Nc*coupl(   &
                         nGC_1825)*coupl(nGC_374) + Nc*coupl(nGC_1833)*coupl(  &
                         nGC_368) + Nc*coupl(nGC_2665)*coupl(nGC_338) + Nc*    &
                         coupl(nGC_2939)*coupl(nGC_341) + Nc*coupl(nGC_350)*   &
                         coupl(nGC_5875) + coupl(nGC_1007)*coupl(nGC_380) +    &
                         coupl(nGC_1415)*coupl(nGC_362) + coupl(nGC_1773)*coupl&
                         (nGC_356))/(24d0*pi**2d0)
      coupl(nGC_22203) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(       &
                         nGC_3395)**2d0*coupl(nGC_348) - coupl(nGC_345)**2d0*  &
                         coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)*coupl( &
                         nGC_384) - coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(&
                         nGC_5875)**2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl( &
                         nGC_385))/(32d0*pi**2d0)
      coupl(nGC_21955) = cima*(Nc*coupl(nGC_1219)*coupl(nGC_383) + Nc*coupl(   &
                         nGC_1641)*coupl(nGC_368) + Nc*coupl(nGC_1825)*coupl(  &
                         nGC_371) + Nc*coupl(nGC_1833)*coupl(nGC_365) + Nc*    &
                         coupl(nGC_2665)*coupl(nGC_335) + Nc*coupl(nGC_2677)*  &
                         coupl(nGC_374) + Nc*coupl(nGC_2741)*coupl(nGC_341) +  &
                         Nc*coupl(nGC_2939)*coupl(nGC_344) + Nc*coupl(nGC_3295 &
                         )*coupl(nGC_338) + Nc*coupl(nGC_3395)*coupl(nGC_350   &
                         ) + Nc*coupl(nGC_347)*coupl(nGC_5875) + Nc*coupl(     &
                         nGC_386)*coupl(nGC_7453) + coupl(nGC_1007)*coupl(     &
                         nGC_377) + coupl(nGC_1415)*coupl(nGC_359) + coupl(    &
                         nGC_1773)*coupl(nGC_353) + coupl(nGC_2247)*coupl(     &
                         nGC_356) + coupl(nGC_2497)*coupl(nGC_380) + coupl(    &
                         nGC_362)*coupl(nGC_8311))/(48d0*pi**2d0)
      coupl(nGC_21956) = cima*(-Nc*cMB**2d0*coupl(nGC_2741)*coupl(nGC_341) - Nc&
                         *cMB**2d0*coupl(nGC_2939)*coupl(nGC_344) - Nc*cMC**2d0&
                         *coupl(nGC_2665)*coupl(nGC_335) - Nc*cMC**2d0*coupl(  &
                         nGC_3295)*coupl(nGC_338) - Nc*cMD**2d0*coupl(nGC_3395 &
                         )*coupl(nGC_350) - Nc*cMD**2d0*coupl(nGC_347)*coupl(  &
                         nGC_5875) - Nc*cMS**2d0*coupl(nGC_1641)*coupl(nGC_368 &
                         ) - Nc*cMS**2d0*coupl(nGC_1833)*coupl(nGC_365) - Nc*  &
                         cMT**2d0*coupl(nGC_1825)*coupl(nGC_371) - Nc*cMT**2d0*&
                         coupl(nGC_2677)*coupl(nGC_374) - Nc*cMU**2d0*coupl(   &
                         nGC_1219)*coupl(nGC_383) - Nc*cMU**2d0*coupl(nGC_386)*&
                         coupl(nGC_7453) - cME**2d0*coupl(nGC_1773)*coupl(     &
                         nGC_353) - cME**2d0*coupl(nGC_2247)*coupl(nGC_356) -  &
                         cMM**2d0*coupl(nGC_1415)*coupl(nGC_359) - cMM**2d0*   &
                         coupl(nGC_362)*coupl(nGC_8311) - cMTA**2d0*coupl(     &
                         nGC_1007)*coupl(nGC_377) - cMTA**2d0*coupl(nGC_2497)* &
                         coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_60175) = -coupl(nGC_22048)
      coupl(nGC_40044) = coupl(nGC_40042) + coupl(nGC_40043)
      coupl(nGC_60170) = -coupl(nGC_22022)
      coupl(nGC_37705) = coupl(nGC_22581) + coupl(nGC_248)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_257)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_52_Hh&
                         ) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_33225) = -coupl(nGC_33222) - coupl(nGC_33224)
      coupl(nGC_32218) = coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_203)*    &
                         dZZ_QED2/2d0 + coupl(nGC_22687) + coupl(nGC_7)*       &
                         dZAZ_QED2/2d0
    end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
