!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl34()
      coupl(nGC_22333) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(      &
                         nGC_2677)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_3295)*coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(     &
                         nGC_340)*coupl(nGC_344) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_385)*coupl(nGC_7453) + Nc*coupl(nGC_2)*coupl(     &
                         nGC_2677)*coupl(nGC_373) + Nc*coupl(nGC_2)*coupl(     &
                         nGC_3295)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_2)*coupl( &
                         nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_365)*coupl(nGC_367) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_385)*coupl(nGC_7453) + coupl(nGC_353)*coupl(      &
                         nGC_355)*coupl(nGC_4) + coupl(nGC_359)*coupl(nGC_361)*&
                         coupl(nGC_4) + coupl(nGC_377)*coupl(nGC_379)*coupl(   &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22332) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*  &
                         coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2&
                         )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*    &
                         coupl(nGC_210) - 2d0*cima*coupl(nGC_1563)**3d0*coupl( &
                         nGC_2313) - 2d0*cima*coupl(nGC_199)*coupl(nGC_3)**3d0 &
                          + cima*coupl(nGC_205)*coupl(nGC_9) + cima*coupl(     &
                         nGC_208)*coupl(nGC_4)**3d0 + cima*coupl(nGC_211)*coupl&
                         (nGC_4)**3d0 + coupl(nGC_1563)**2d0*coupl(nGC_205) +  &
                         coupl(nGC_1563)*coupl(nGC_2313)*coupl(nGC_9) + coupl( &
                         nGC_199)*coupl(nGC_3)*coupl(nGC_9) + coupl(nGC_205)*  &
                         coupl(nGC_3)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22339) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_336)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_384)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_366)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_372)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_384)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_354)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_360)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_1563)*   &
                         coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(nGC_1563)*    &
                         coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_38750) = coupl(nGC_38746) + coupl(nGC_38749)
      coupl(nGC_34751) = coupl(nGC_33126) + coupl(nGC_34748)
      coupl(nGC_22195) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0*&
                         Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD&
                         *coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl&
                         (nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(     &
                         nGC_197)**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(      &
                         nGC_197)**2d0*coupl(nGC_384) - 2d0*cME*coupl(nGC_197  &
                         )**2d0*coupl(nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*  &
                         coupl(nGC_360) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(  &
                         nGC_378) + 2d0*cima*coupl(nGC_11213)*coupl(nGC_272) + &
                         cima*coupl(nGC_195)*coupl(nGC_332) + 2d0*coupl(       &
                         nGC_1563)*coupl(nGC_272)*coupl(nGC_4) + 2d0*coupl(    &
                         nGC_198)*coupl(nGC_2313)*coupl(nGC_272) + 2d0*coupl(  &
                         nGC_199)*coupl(nGC_332)*coupl(nGC_3351))/(16d0*pi**2d0&
                         )
      coupl(nGC_22429) = 5d0*cima*(2d0*Nc*coupl(nGC_1219)*coupl(nGC_381)**2d0* &
                         coupl(nGC_383) + Nc*coupl(nGC_1219)*coupl(nGC_381)**  &
                         2d0*coupl(nGC_7453) + Nc*coupl(nGC_1641)*coupl(       &
                         nGC_1833)*coupl(nGC_363)**2d0 + 2d0*Nc*coupl(nGC_1641 &
                         )*coupl(nGC_363)**2d0*coupl(nGC_368) + Nc*coupl(      &
                         nGC_1825)*coupl(nGC_2677)*coupl(nGC_369)**2d0 + 2d0*Nc&
                         *coupl(nGC_1825)*coupl(nGC_369)**2d0*coupl(nGC_371) + &
                         2d0*Nc*coupl(nGC_1833)*coupl(nGC_363)**2d0*coupl(     &
                         nGC_365) + Nc*coupl(nGC_2665)*coupl(nGC_3295)*coupl(  &
                         nGC_333)**2d0 + 2d0*Nc*coupl(nGC_2665)*coupl(nGC_333  &
                         )**2d0*coupl(nGC_335) + 2d0*Nc*coupl(nGC_2677)*coupl( &
                         nGC_369)**2d0*coupl(nGC_374) + Nc*coupl(nGC_2741)*    &
                         coupl(nGC_2939)*coupl(nGC_342)**2d0 + 2d0*Nc*coupl(   &
                         nGC_2741)*coupl(nGC_341)*coupl(nGC_342)**2d0 + 2d0*Nc*&
                         coupl(nGC_2939)*coupl(nGC_342)**2d0*coupl(nGC_344) +  &
                         2d0*Nc*coupl(nGC_3295)*coupl(nGC_333)**2d0*coupl(     &
                         nGC_338) + Nc*coupl(nGC_333)**2d0*coupl(nGC_335)*coupl&
                         (nGC_338) + 2d0*Nc*coupl(nGC_3395)*coupl(nGC_345)**2d0&
                         *coupl(nGC_350) + Nc*coupl(nGC_3395)*coupl(nGC_345)** &
                         2d0*coupl(nGC_5875) + Nc*coupl(nGC_341)*coupl(nGC_342 &
                         )**2d0*coupl(nGC_344) + Nc*coupl(nGC_345)**2d0*coupl( &
                         nGC_347)*coupl(nGC_350) + 2d0*Nc*coupl(nGC_345)**2d0* &
                         coupl(nGC_347)*coupl(nGC_5875) + Nc*coupl(nGC_363)**  &
                         2d0*coupl(nGC_365)*coupl(nGC_368) + Nc*coupl(nGC_369  &
                         )**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*coupl(      &
                         nGC_381)**2d0*coupl(nGC_383)*coupl(nGC_386) + 2d0*Nc* &
                         coupl(nGC_381)**2d0*coupl(nGC_386)*coupl(nGC_7453) +  &
                         coupl(nGC_1007)*coupl(nGC_2497)*coupl(nGC_375)**2d0 + &
                         2d0*coupl(nGC_1007)*coupl(nGC_375)**2d0*coupl(nGC_377 &
                         ) + 2d0*coupl(nGC_1415)*coupl(nGC_357)**2d0*coupl(    &
                         nGC_359) + coupl(nGC_1415)*coupl(nGC_357)**2d0*coupl( &
                         nGC_8311) + coupl(nGC_1773)*coupl(nGC_2247)*coupl(    &
                         nGC_351)**2d0 + 2d0*coupl(nGC_1773)*coupl(nGC_351)**  &
                         2d0*coupl(nGC_353) + 2d0*coupl(nGC_2247)*coupl(nGC_351&
                         )**2d0*coupl(nGC_356) + 2d0*coupl(nGC_2497)*coupl(    &
                         nGC_375)**2d0*coupl(nGC_380) + coupl(nGC_351)**2d0*   &
                         coupl(nGC_353)*coupl(nGC_356) + coupl(nGC_357)**2d0*  &
                         coupl(nGC_359)*coupl(nGC_362) + 2d0*coupl(nGC_357)**  &
                         2d0*coupl(nGC_362)*coupl(nGC_8311) + coupl(nGC_375)** &
                         2d0*coupl(nGC_377)*coupl(nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22428) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_1219)*coupl(  &
                         nGC_383) - Nc*coupl(nGC_1641)*coupl(nGC_368) - Nc*    &
                         coupl(nGC_1825)*coupl(nGC_371) - Nc*coupl(nGC_1833)*  &
                         coupl(nGC_365) - Nc*coupl(nGC_2665)*coupl(nGC_335) -  &
                         Nc*coupl(nGC_2677)*coupl(nGC_374) - Nc*coupl(nGC_2741 &
                         )*coupl(nGC_341) - Nc*coupl(nGC_2939)*coupl(nGC_344   &
                         ) - Nc*coupl(nGC_3295)*coupl(nGC_338) - Nc*coupl(     &
                         nGC_3395)*coupl(nGC_350) - Nc*coupl(nGC_347)*coupl(   &
                         nGC_5875) - Nc*coupl(nGC_386)*coupl(nGC_7453) - coupl(&
                         nGC_1007)*coupl(nGC_377) - coupl(nGC_1415)*coupl(     &
                         nGC_359) - coupl(nGC_1773)*coupl(nGC_353) - coupl(    &
                         nGC_2247)*coupl(nGC_356) - coupl(nGC_2497)*coupl(     &
                         nGC_380) - coupl(nGC_362)*coupl(nGC_8311))/(12d0*pi** &
                         2d0)
      coupl(nGC_22421) = 5d0*cima*(Nc*coupl(nGC_1219)*coupl(nGC_3395)*coupl(   &
                         nGC_346)*coupl(nGC_382) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_346)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1219)*    &
                         coupl(nGC_382)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1641&
                         )*coupl(nGC_2665)*coupl(nGC_334)*coupl(nGC_364) + Nc* &
                         coupl(nGC_1641)*coupl(nGC_334)**2d0*coupl(nGC_368) +  &
                         Nc*coupl(nGC_1641)*coupl(nGC_364)**2d0*coupl(nGC_368  &
                         ) + Nc*coupl(nGC_1825)*coupl(nGC_2741)*coupl(nGC_343)*&
                         coupl(nGC_370) + Nc*coupl(nGC_1825)*coupl(nGC_343)**  &
                         2d0*coupl(nGC_371) + Nc*coupl(nGC_1825)*coupl(nGC_370 &
                         )**2d0*coupl(nGC_371) + Nc*coupl(nGC_1833)*coupl(     &
                         nGC_3295)*coupl(nGC_334)*coupl(nGC_364) + Nc*coupl(   &
                         nGC_1833)*coupl(nGC_334)**2d0*coupl(nGC_365) + Nc*    &
                         coupl(nGC_1833)*coupl(nGC_364)**2d0*coupl(nGC_365) +  &
                         Nc*coupl(nGC_2665)*coupl(nGC_334)**2d0*coupl(nGC_335  &
                         ) + Nc*coupl(nGC_2665)*coupl(nGC_335)*coupl(nGC_364)**&
                         2d0 + Nc*coupl(nGC_2677)*coupl(nGC_2939)*coupl(nGC_343&
                         )*coupl(nGC_370) + Nc*coupl(nGC_2677)*coupl(nGC_343)**&
                         2d0*coupl(nGC_374) + Nc*coupl(nGC_2677)*coupl(nGC_370 &
                         )**2d0*coupl(nGC_374) + Nc*coupl(nGC_2741)*coupl(     &
                         nGC_341)*coupl(nGC_343)**2d0 + Nc*coupl(nGC_2741)*    &
                         coupl(nGC_341)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_2939&
                         )*coupl(nGC_343)**2d0*coupl(nGC_344) + Nc*coupl(      &
                         nGC_2939)*coupl(nGC_344)*coupl(nGC_370)**2d0 + Nc*    &
                         coupl(nGC_3295)*coupl(nGC_334)**2d0*coupl(nGC_338) +  &
                         Nc*coupl(nGC_3295)*coupl(nGC_338)*coupl(nGC_364)**2d0 &
                          + Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_364)*   &
                         coupl(nGC_368) + Nc*coupl(nGC_334)*coupl(nGC_338)*    &
                         coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(nGC_3395)*   &
                         coupl(nGC_346)**2d0*coupl(nGC_350) + Nc*coupl(nGC_3395&
                         )*coupl(nGC_350)*coupl(nGC_382)**2d0 + Nc*coupl(      &
                         nGC_341)*coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_371  &
                         ) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370)*  &
                         coupl(nGC_374) + Nc*coupl(nGC_346)**2d0*coupl(nGC_347 &
                         )*coupl(nGC_5875) + Nc*coupl(nGC_346)**2d0*coupl(     &
                         nGC_386)*coupl(nGC_7453) + Nc*coupl(nGC_346)*coupl(   &
                         nGC_347)*coupl(nGC_382)*coupl(nGC_386) + Nc*coupl(    &
                         nGC_346)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_383  &
                         ) + Nc*coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_5875)* &
                         coupl(nGC_7453) + Nc*coupl(nGC_347)*coupl(nGC_382)**  &
                         2d0*coupl(nGC_5875) + Nc*coupl(nGC_382)**2d0*coupl(   &
                         nGC_386)*coupl(nGC_7453) + coupl(nGC_1007)*coupl(     &
                         nGC_376)**2d0*coupl(nGC_377) + coupl(nGC_1415)*coupl( &
                         nGC_358)**2d0*coupl(nGC_359) + coupl(nGC_1773)*coupl( &
                         nGC_352)**2d0*coupl(nGC_353) + coupl(nGC_2247)*coupl( &
                         nGC_352)**2d0*coupl(nGC_356) + coupl(nGC_2497)*coupl( &
                         nGC_376)**2d0*coupl(nGC_380) + coupl(nGC_358)**2d0*   &
                         coupl(nGC_362)*coupl(nGC_8311))/(48d0*pi**2d0)
      coupl(nGC_22420) = cima*(10d0*Nc*coupl(nGC_1219)**2d0*coupl(nGC_381)**2d0&
                          + 40d0*Nc*coupl(nGC_1219)*coupl(nGC_381)**2d0*coupl( &
                         nGC_386) + 10d0*Nc*coupl(nGC_1825)**2d0*coupl(nGC_369 &
                         )**2d0 + 40d0*Nc*coupl(nGC_1825)*coupl(nGC_369)**2d0* &
                         coupl(nGC_374) + 10d0*Nc*coupl(nGC_1833)**2d0*coupl(  &
                         nGC_363)**2d0 + 40d0*Nc*coupl(nGC_1833)*coupl(nGC_363 &
                         )**2d0*coupl(nGC_368) + 10d0*Nc*coupl(nGC_2665)**2d0* &
                         coupl(nGC_333)**2d0 + 40d0*Nc*coupl(nGC_2665)*coupl(  &
                         nGC_333)**2d0*coupl(nGC_338) + 10d0*Nc*coupl(nGC_2939 &
                         )**2d0*coupl(nGC_342)**2d0 + 40d0*Nc*coupl(nGC_2939)* &
                         coupl(nGC_341)*coupl(nGC_342)**2d0 + 10d0*Nc*coupl(   &
                         nGC_333)**2d0*coupl(nGC_338)**2d0 + 10d0*Nc*coupl(    &
                         nGC_341)**2d0*coupl(nGC_342)**2d0 + 10d0*Nc*coupl(    &
                         nGC_345)**2d0*coupl(nGC_350)**2d0 + 40d0*Nc*coupl(    &
                         nGC_345)**2d0*coupl(nGC_350)*coupl(nGC_5875) + 10d0*Nc&
                         *coupl(nGC_345)**2d0*coupl(nGC_5875)**2d0 + 10d0*Nc*  &
                         coupl(nGC_363)**2d0*coupl(nGC_368)**2d0 + 10d0*Nc*    &
                         coupl(nGC_369)**2d0*coupl(nGC_374)**2d0 + 10d0*Nc*    &
                         coupl(nGC_381)**2d0*coupl(nGC_386)**2d0 + 6d0*coupl(  &
                         nGC_100)*coupl(nGC_77) + 10d0*coupl(nGC_1007)**2d0*   &
                         coupl(nGC_375)**2d0 + 40d0*coupl(nGC_1007)*coupl(     &
                         nGC_375)**2d0*coupl(nGC_380) + 10d0*coupl(nGC_1415)** &
                         2d0*coupl(nGC_357)**2d0 + 40d0*coupl(nGC_1415)*coupl( &
                         nGC_357)**2d0*coupl(nGC_362) + 10d0*coupl(nGC_1773)** &
                         2d0*coupl(nGC_351)**2d0 + 40d0*coupl(nGC_1773)*coupl( &
                         nGC_351)**2d0*coupl(nGC_356) + 3d0*coupl(nGC_224)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_351)**2d0*coupl(      &
                         nGC_356)**2d0 + 10d0*coupl(nGC_357)**2d0*coupl(nGC_362&
                         )**2d0 + 10d0*coupl(nGC_375)**2d0*coupl(nGC_380)**2d0 &
                         )/(48d0*pi**2d0)
      coupl(nGC_22423) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1833)*coupl(    &
                         nGC_206)*coupl(nGC_364) - 4d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_209)*coupl(nGC_364) - 4d0*Nc*coupl(nGC_1833)*    &
                         coupl(nGC_210)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_206)*&
                         coupl(nGC_2939)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_206 &
                         )*coupl(nGC_346)*coupl(nGC_5875) + 5d0*Nc*coupl(      &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_338) + 5d0*Nc*coupl(&
                         nGC_207)*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(&
                         nGC_207)*coupl(nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_2939)*coupl(nGC_343) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_346)*coupl(nGC_5875) - 4d0*Nc*    &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_374) - 4d0*Nc*&
                         coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_386) - 4d0*Nc*&
                         coupl(nGC_210)*coupl(nGC_2939)*coupl(nGC_343) - 4d0*Nc&
                         *coupl(nGC_210)*coupl(nGC_334)*coupl(nGC_338) - 4d0*Nc&
                         *coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_5875) - 4d0* &
                         Nc*coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_374) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_382)*coupl(nGC_386) + 5d0*&
                         coupl(nGC_1007)*coupl(nGC_208)*coupl(nGC_376) - 4d0*  &
                         coupl(nGC_1007)*coupl(nGC_211)*coupl(nGC_376) - 4d0*  &
                         coupl(nGC_1007)*coupl(nGC_212)*coupl(nGC_376) + 5d0*  &
                         coupl(nGC_1415)*coupl(nGC_208)*coupl(nGC_358) - 4d0*  &
                         coupl(nGC_1415)*coupl(nGC_211)*coupl(nGC_358) - 4d0*  &
                         coupl(nGC_1415)*coupl(nGC_212)*coupl(nGC_358) + 5d0*  &
                         coupl(nGC_1773)*coupl(nGC_208)*coupl(nGC_352) - 4d0*  &
                         coupl(nGC_1773)*coupl(nGC_211)*coupl(nGC_352) - 4d0*  &
                         coupl(nGC_1773)*coupl(nGC_212)*coupl(nGC_352))/(48d0* &
                         pi**2d0)
      coupl(nGC_22425) = 5d0*cima*(Nc*coupl(nGC_1219)*coupl(nGC_383)**2d0*coupl&
                         (nGC_7453) + Nc*coupl(nGC_1641)**2d0*coupl(nGC_365)*  &
                         coupl(nGC_368) + Nc*coupl(nGC_1641)*coupl(nGC_1833)*  &
                         coupl(nGC_365)**2d0 + Nc*coupl(nGC_1825)*coupl(       &
                         nGC_2677)*coupl(nGC_371)**2d0 + Nc*coupl(nGC_2665)*   &
                         coupl(nGC_3295)*coupl(nGC_335)**2d0 + Nc*coupl(       &
                         nGC_2677)**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_2741)**2d0*coupl(nGC_341)*coupl(nGC_344) +  &
                         Nc*coupl(nGC_2741)*coupl(nGC_2939)*coupl(nGC_344)**2d0&
                          + Nc*coupl(nGC_3295)**2d0*coupl(nGC_335)*coupl(      &
                         nGC_338) + Nc*coupl(nGC_3395)**2d0*coupl(nGC_347)*    &
                         coupl(nGC_350) + Nc*coupl(nGC_3395)*coupl(nGC_347)**  &
                         2d0*coupl(nGC_5875) + Nc*coupl(nGC_383)*coupl(nGC_386 &
                         )*coupl(nGC_7453)**2d0 + coupl(nGC_1007)*coupl(       &
                         nGC_2497)*coupl(nGC_377)**2d0 + coupl(nGC_1415)*coupl(&
                         nGC_359)**2d0*coupl(nGC_8311) + coupl(nGC_1773)*coupl(&
                         nGC_2247)*coupl(nGC_353)**2d0 + coupl(nGC_2247)**2d0* &
                         coupl(nGC_353)*coupl(nGC_356) + coupl(nGC_2497)**2d0* &
                         coupl(nGC_377)*coupl(nGC_380) + coupl(nGC_359)*coupl( &
                         nGC_362)*coupl(nGC_8311)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22424) = (-8d0*Nc*cima*coupl(nGC_1219)*coupl(nGC_207)**2d0*    &
                         coupl(nGC_386) + 10d0*Nc*cima*coupl(nGC_1219)*coupl(  &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_386) - 8d0*Nc*cima* &
                         coupl(nGC_1219)*coupl(nGC_210)**2d0*coupl(nGC_386) -  &
                         8d0*Nc*cima*coupl(nGC_1825)*coupl(nGC_207)**2d0*coupl(&
                         nGC_374) + 10d0*Nc*cima*coupl(nGC_1825)*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_374) - 8d0*Nc*cima*coupl(  &
                         nGC_1825)*coupl(nGC_210)**2d0*coupl(nGC_374) - 8d0*Nc*&
                         cima*coupl(nGC_1833)*coupl(nGC_206)**2d0*coupl(nGC_368&
                         ) + 10d0*Nc*cima*coupl(nGC_1833)*coupl(nGC_206)*coupl(&
                         nGC_209)*coupl(nGC_368) - 8d0*Nc*cima*coupl(nGC_1833)*&
                         coupl(nGC_209)**2d0*coupl(nGC_368) - 8d0*Nc*cima*coupl&
                         (nGC_206)**2d0*coupl(nGC_2939)*coupl(nGC_341) - 8d0*Nc&
                         *cima*coupl(nGC_206)**2d0*coupl(nGC_350)*coupl(       &
                         nGC_5875) + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209 &
                         )*coupl(nGC_2939)*coupl(nGC_341) + 10d0*Nc*cima*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_350)*coupl(nGC_5875 &
                         ) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl(nGC_2665)*  &
                         coupl(nGC_338) + 10d0*Nc*cima*coupl(nGC_207)*coupl(   &
                         nGC_210)*coupl(nGC_2665)*coupl(nGC_338) - 8d0*Nc*cima*&
                         coupl(nGC_209)**2d0*coupl(nGC_2939)*coupl(nGC_341) -  &
                         8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_350)*coupl( &
                         nGC_5875) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(    &
                         nGC_2665)*coupl(nGC_338) + 3d0*cima*coupl(nGC_100)*   &
                         coupl(nGC_195) - 8d0*cima*coupl(nGC_1007)*coupl(      &
                         nGC_208)**2d0*coupl(nGC_380) + 10d0*cima*coupl(       &
                         nGC_1007)*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380 &
                         ) - 8d0*cima*coupl(nGC_1007)*coupl(nGC_211)**2d0*coupl&
                         (nGC_380) - 8d0*cima*coupl(nGC_1415)*coupl(nGC_208)** &
                         2d0*coupl(nGC_362) + 10d0*cima*coupl(nGC_1415)*coupl( &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_362) - 8d0*cima*    &
                         coupl(nGC_1415)*coupl(nGC_211)**2d0*coupl(nGC_362) -  &
                         8d0*cima*coupl(nGC_1773)*coupl(nGC_208)**2d0*coupl(   &
                         nGC_356) + 10d0*cima*coupl(nGC_1773)*coupl(nGC_208)*  &
                         coupl(nGC_211)*coupl(nGC_356) - 8d0*cima*coupl(       &
                         nGC_1773)*coupl(nGC_211)**2d0*coupl(nGC_356) + 3d0*   &
                         coupl(nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100&
                         )*coupl(nGC_2313)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22427) = 5d0*cima*(2d0*Nc*coupl(nGC_1219)*coupl(nGC_381)*coupl(&
                         nGC_383)*coupl(nGC_384) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_381)*coupl(nGC_384)*coupl(nGC_7453) + Nc*coupl(   &
                         nGC_1641)*coupl(nGC_1833)*coupl(nGC_363)*coupl(nGC_366&
                         ) + 2d0*Nc*coupl(nGC_1641)*coupl(nGC_363)*coupl(      &
                         nGC_366)*coupl(nGC_368) + Nc*coupl(nGC_1825)*coupl(   &
                         nGC_2677)*coupl(nGC_369)*coupl(nGC_372) + 2d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_369)*coupl(nGC_371)*coupl(nGC_372&
                         ) + 2d0*Nc*coupl(nGC_1833)*coupl(nGC_363)*coupl(      &
                         nGC_365)*coupl(nGC_366) + Nc*coupl(nGC_2665)*coupl(   &
                         nGC_3295)*coupl(nGC_333)*coupl(nGC_336) + 2d0*Nc*coupl&
                         (nGC_2665)*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_336&
                         ) + 2d0*Nc*coupl(nGC_2677)*coupl(nGC_369)*coupl(      &
                         nGC_372)*coupl(nGC_374) + Nc*coupl(nGC_2741)*coupl(   &
                         nGC_2939)*coupl(nGC_339)*coupl(nGC_342) + 2d0*Nc*coupl&
                         (nGC_2741)*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_342&
                         ) + 2d0*Nc*coupl(nGC_2939)*coupl(nGC_339)*coupl(      &
                         nGC_342)*coupl(nGC_344) + 2d0*Nc*coupl(nGC_3295)*coupl&
                         (nGC_333)*coupl(nGC_336)*coupl(nGC_338) + Nc*coupl(   &
                         nGC_333)*coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_338  &
                         ) + Nc*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_342)*  &
                         coupl(nGC_344) + 2d0*Nc*coupl(nGC_3395)*coupl(nGC_345 &
                         )*coupl(nGC_348)*coupl(nGC_350) + Nc*coupl(nGC_3395)* &
                         coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_5875) + Nc*   &
                         coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_348)*coupl(   &
                         nGC_350) + 2d0*Nc*coupl(nGC_345)*coupl(nGC_347)*coupl(&
                         nGC_348)*coupl(nGC_5875) + Nc*coupl(nGC_363)*coupl(   &
                         nGC_365)*coupl(nGC_366)*coupl(nGC_368) + Nc*coupl(    &
                         nGC_369)*coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_374  &
                         ) + Nc*coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_384)*  &
                         coupl(nGC_386) + 2d0*Nc*coupl(nGC_381)*coupl(nGC_384)*&
                         coupl(nGC_386)*coupl(nGC_7453) + coupl(nGC_1007)*coupl&
                         (nGC_2497)*coupl(nGC_375)*coupl(nGC_378) + 2d0*coupl( &
                         nGC_1007)*coupl(nGC_375)*coupl(nGC_377)*coupl(nGC_378 &
                         ) + 2d0*coupl(nGC_1415)*coupl(nGC_357)*coupl(nGC_359)*&
                         coupl(nGC_360) + coupl(nGC_1415)*coupl(nGC_357)*coupl(&
                         nGC_360)*coupl(nGC_8311) + coupl(nGC_1773)*coupl(     &
                         nGC_2247)*coupl(nGC_351)*coupl(nGC_354) + 2d0*coupl(  &
                         nGC_1773)*coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_354 &
                         ) + 2d0*coupl(nGC_2247)*coupl(nGC_351)*coupl(nGC_354)*&
                         coupl(nGC_356) + 2d0*coupl(nGC_2497)*coupl(nGC_375)*  &
                         coupl(nGC_378)*coupl(nGC_380) + coupl(nGC_351)*coupl( &
                         nGC_353)*coupl(nGC_354)*coupl(nGC_356) + coupl(nGC_357&
                         )*coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_362) + 2d0* &
                         coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_362)*coupl(   &
                         nGC_8311) + coupl(nGC_375)*coupl(nGC_377)*coupl(      &
                         nGC_378)*coupl(nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22426) = 5d0*cima*(2d0*Nc*coupl(nGC_1219)*coupl(nGC_383)*coupl(&
                         nGC_384)**2d0 + Nc*coupl(nGC_1219)*coupl(nGC_384)**2d0&
                         *coupl(nGC_7453) + Nc*coupl(nGC_1641)*coupl(nGC_1833)*&
                         coupl(nGC_366)**2d0 + 2d0*Nc*coupl(nGC_1641)*coupl(   &
                         nGC_366)**2d0*coupl(nGC_368) + Nc*coupl(nGC_1825)*    &
                         coupl(nGC_2677)*coupl(nGC_372)**2d0 + 2d0*Nc*coupl(   &
                         nGC_1825)*coupl(nGC_371)*coupl(nGC_372)**2d0 + 2d0*Nc*&
                         coupl(nGC_1833)*coupl(nGC_365)*coupl(nGC_366)**2d0 +  &
                         Nc*coupl(nGC_2665)*coupl(nGC_3295)*coupl(nGC_336)**2d0&
                          + 2d0*Nc*coupl(nGC_2665)*coupl(nGC_335)*coupl(nGC_336&
                         )**2d0 + 2d0*Nc*coupl(nGC_2677)*coupl(nGC_372)**2d0*  &
                         coupl(nGC_374) + Nc*coupl(nGC_2741)*coupl(nGC_2939)*  &
                         coupl(nGC_339)**2d0 + 2d0*Nc*coupl(nGC_2741)*coupl(   &
                         nGC_339)**2d0*coupl(nGC_341) + 2d0*Nc*coupl(nGC_2939)*&
                         coupl(nGC_339)**2d0*coupl(nGC_344) + 2d0*Nc*coupl(    &
                         nGC_3295)*coupl(nGC_336)**2d0*coupl(nGC_338) + Nc*    &
                         coupl(nGC_335)*coupl(nGC_336)**2d0*coupl(nGC_338) + Nc&
                         *coupl(nGC_339)**2d0*coupl(nGC_341)*coupl(nGC_344) +  &
                         2d0*Nc*coupl(nGC_3395)*coupl(nGC_348)**2d0*coupl(     &
                         nGC_350) + Nc*coupl(nGC_3395)*coupl(nGC_348)**2d0*    &
                         coupl(nGC_5875) + Nc*coupl(nGC_347)*coupl(nGC_348)**  &
                         2d0*coupl(nGC_350) + 2d0*Nc*coupl(nGC_347)*coupl(     &
                         nGC_348)**2d0*coupl(nGC_5875) + Nc*coupl(nGC_365)*    &
                         coupl(nGC_366)**2d0*coupl(nGC_368) + Nc*coupl(nGC_371 &
                         )*coupl(nGC_372)**2d0*coupl(nGC_374) + Nc*coupl(      &
                         nGC_383)*coupl(nGC_384)**2d0*coupl(nGC_386) + 2d0*Nc* &
                         coupl(nGC_384)**2d0*coupl(nGC_386)*coupl(nGC_7453) +  &
                         coupl(nGC_1007)*coupl(nGC_2497)*coupl(nGC_378)**2d0 + &
                         2d0*coupl(nGC_1007)*coupl(nGC_377)*coupl(nGC_378)**2d0&
                          + 2d0*coupl(nGC_1415)*coupl(nGC_359)*coupl(nGC_360)**&
                         2d0 + coupl(nGC_1415)*coupl(nGC_360)**2d0*coupl(      &
                         nGC_8311) + coupl(nGC_1773)*coupl(nGC_2247)*coupl(    &
                         nGC_354)**2d0 + 2d0*coupl(nGC_1773)*coupl(nGC_353)*   &
                         coupl(nGC_354)**2d0 + 2d0*coupl(nGC_2247)*coupl(      &
                         nGC_354)**2d0*coupl(nGC_356) + 2d0*coupl(nGC_2497)*   &
                         coupl(nGC_378)**2d0*coupl(nGC_380) + coupl(nGC_353)*  &
                         coupl(nGC_354)**2d0*coupl(nGC_356) + coupl(nGC_359)*  &
                         coupl(nGC_360)**2d0*coupl(nGC_362) + 2d0*coupl(nGC_360&
                         )**2d0*coupl(nGC_362)*coupl(nGC_8311) + coupl(nGC_377 &
                         )*coupl(nGC_378)**2d0*coupl(nGC_380))/(24d0*pi**2d0)
      coupl(nGC_34547) = -coupl(nGC_33585) + coupl(nGC_33586)
      coupl(nGC_38432) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(       &
                         nGC_TS_GC_244_Hh) + coupl(nGC_TS_GC_252_Hl)
      coupl(nGC_32533) = coupl(nGC_22705) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8&
                         )*dZWMinus_QED2
      coupl(nGC_32534) = -coupl(nGC_32532)/2d0 + coupl(nGC_32533)
      coupl(nGC_32535) = coupl(nGC_32532) - 2d0*coupl(nGC_32533)
      coupl(nGC_22049) = (Nc*cMB*coupl(nGC_1825)*coupl(nGC_343)*coupl(nGC_373  &
                         ) + Nc*cMB*coupl(nGC_2939)*coupl(nGC_340)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_2939)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl&
                         (nGC_343) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl&
                         (nGC_374) + Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMC*coupl(nGC_1833)*coupl(nGC_337)*    &
                         coupl(nGC_364) + Nc*cMC*coupl(nGC_2665)*coupl(nGC_334 &
                         )*coupl(nGC_337) + Nc*cMC*coupl(nGC_2665)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_338) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_367)*coupl(nGC_368) + Nc*cMC*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_367) + Nc*cMD*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_349)*coupl(nGC_350) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_349)*coupl(nGC_5875) + Nc*cMD*coupl(nGC_349)*    &
                         coupl(nGC_382)*coupl(nGC_386) + Nc*cMD*coupl(nGC_350)*&
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_382)*&
                         coupl(nGC_385)*coupl(nGC_5875) + Nc*cMS*coupl(nGC_1833&
                         )*coupl(nGC_334)*coupl(nGC_337) + Nc*cMS*coupl(       &
                         nGC_1833)*coupl(nGC_364)*coupl(nGC_367) + Nc*cMS*coupl&
                         (nGC_2665)*coupl(nGC_337)*coupl(nGC_364) + Nc*cMS*    &
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*cMS*&
                         coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_367) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*cMT*&
                         coupl(nGC_1825)*coupl(nGC_340)*coupl(nGC_343) + Nc*cMT&
                         *coupl(nGC_1825)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                         cMT*coupl(nGC_2939)*coupl(nGC_343)*coupl(nGC_373) + Nc&
                         *cMT*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370) + Nc&
                         *cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + Nc&
                         *cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc&
                         *cMU*coupl(nGC_1219)*coupl(nGC_346)*coupl(nGC_349) +  &
                         Nc*cMU*coupl(nGC_1219)*coupl(nGC_382)*coupl(nGC_385   &
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386&
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_385)*coupl(       &
                         nGC_5875) + Nc*cMU*coupl(nGC_349)*coupl(nGC_350)*coupl&
                         (nGC_382) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl&
                         (nGC_386) + cME*coupl(nGC_1773)*coupl(nGC_352)*coupl( &
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_355)*coupl(   &
                         nGC_356) + cMM*coupl(nGC_1415)*coupl(nGC_358)*coupl(  &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_362) + cMTA*coupl(nGC_1007)*coupl(nGC_376)*coupl( &
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                         nGC_380) + 2d0*cima*coupl(nGC_186)*coupl(nGC_321) +   &
                         2d0*cima*coupl(nGC_231)*coupl(nGC_30))/(16d0*pi**2d0)
      coupl(nGC_33880) = coupl(nGC_33876) + coupl(nGC_33879)
      coupl(nGC_22045) = (coupl(nGC_1)*coupl(nGC_382)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_385)**2d0 + coupl(nGC_1219)*coupl(nGC_2)*coupl(  &
                         nGC_386) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*  &
                         coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_381)**2d0&
                          + coupl(nGC_2)*coupl(nGC_383)*coupl(nGC_7453) + coupl&
                         (nGC_2)*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22044) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_346)**2d0 + coupl(nGC_1)*coupl(nGC_349)**2d0&
                          + coupl(nGC_1219)*coupl(nGC_2)*coupl(nGC_386) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)** &
                         3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(   &
                         nGC_2)*coupl(nGC_381)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_383)*coupl(nGC_7453) + coupl(nGC_2)*coupl(nGC_384 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_39590) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*      &
                         dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl&
                         (nGC_215)*dZZ_QED2/2d0 + coupl(nGC_22709)
      coupl(nGC_33134) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZtL_QED2&
                          + coupl(nGC_22730)
      coupl(nGC_33136) = coupl(nGC_33126) + coupl(nGC_33134)
      coupl(nGC_33133) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZtR_QED2&
                          + coupl(nGC_22729)
      coupl(nGC_33574) = -coupl(nGC_33569) - coupl(nGC_33573)
      coupl(nGC_39113) = coupl(nGC_32656) + coupl(nGC_39111)
      coupl(nGC_36221) = coupl(nGC_TS_GC_241_Hl) + coupl(nGC_TS_GC_249_Hh)
      coupl(nGC_39114) = coupl(nGC_32656) + coupl(nGC_39112)
      coupl(nGC_37232) = coupl(nGC_22663) + coupl(nGC_37226)
      coupl(nGC_37230) = -coupl(nGC_37224)
      coupl(nGC_37231) = -coupl(nGC_22663) - coupl(nGC_37226)
      coupl(nGC_32821) = -coupl(nGC_22640) - coupl(nGC_32820)
      coupl(nGC_32822) = coupl(nGC_22640) + coupl(nGC_32820)
      coupl(nGC_32823) = coupl(nGC_22641) + coupl(nGC_365)*dZHa_QED2/2d0 +     &
                         coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_32718) = coupl(nGC_22519) + coupl(nGC_35)*dZHhHl_QED2 + coupl( &
                         nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_32712) = coupl(nGC_22527) + coupl(nGC_32)*dZHMinusGMinus_QED2/ &
                         2d0 + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(  &
                         nGC_34)*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*&
                         dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_59579) = -coupl(nGC_22148)
      coupl(nGC_22403) = (5d0*Nc*cima*coupl(nGC_1833)*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1833)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_1833)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_2939)*coupl(nGC_340) + 5d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349)*coupl(   &
                         nGC_5875) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*&
                         coupl(nGC_337)*coupl(nGC_338) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_374  &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(  &
                         nGC_385)*coupl(nGC_386) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_2939)*coupl(nGC_340) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337)*   &
                         coupl(nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_349)*coupl(nGC_5875) - 4d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373)*coupl(   &
                         nGC_374) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                         coupl(nGC_385)*coupl(nGC_386) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_2939)*coupl(nGC_340 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_337)*coupl(nGC_338) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_5875) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373)*   &
                         coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_385)*coupl(nGC_386) + 5d0*cima*    &
                         coupl(nGC_1007)*coupl(nGC_197)*coupl(nGC_208)*coupl(  &
                         nGC_379) - 4d0*cima*coupl(nGC_1007)*coupl(nGC_197)*   &
                         coupl(nGC_211)*coupl(nGC_379) - 4d0*cima*coupl(       &
                         nGC_1007)*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379 &
                         ) + 5d0*cima*coupl(nGC_1415)*coupl(nGC_197)*coupl(    &
                         nGC_208)*coupl(nGC_361) - 4d0*cima*coupl(nGC_1415)*   &
                         coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361) - 4d0*   &
                         cima*coupl(nGC_1415)*coupl(nGC_197)*coupl(nGC_212)*   &
                         coupl(nGC_361) + 5d0*cima*coupl(nGC_1773)*coupl(      &
                         nGC_197)*coupl(nGC_208)*coupl(nGC_355) - 4d0*cima*    &
                         coupl(nGC_1773)*coupl(nGC_197)*coupl(nGC_211)*coupl(  &
                         nGC_355) - 4d0*cima*coupl(nGC_1773)*coupl(nGC_197)*   &
                         coupl(nGC_212)*coupl(nGC_355) + 6d0*cima*coupl(nGC_187&
                         )*coupl(nGC_809) + 6d0*cima*coupl(nGC_194)*coupl(     &
                         nGC_31) + 6d0*coupl(nGC_187)*coupl(nGC_2313)*coupl(   &
                         nGC_3) + 6d0*coupl(nGC_199)*coupl(nGC_2313)*coupl(    &
                         nGC_31))/(48d0*pi**2d0)
      coupl(nGC_22402) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_345)*coupl(    &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2665)*coupl(nGC_334)*coupl(nGC_363)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2939)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2939)*coupl&
                         (nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl&
                         (nGC_2939)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337&
                         )*coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(&
                         nGC_368) + 5d0*Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(&
                         nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_341)*coupl(nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_374  &
                         ) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_343&
                         )*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342&
                         )*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_374) + 5d0* &
                         Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349)*coupl(&
                         nGC_350) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_349)*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_345)*coupl&
                         (nGC_346)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_345)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385 &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385&
                         )*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(&
                         nGC_346)*coupl(nGC_350)*coupl(nGC_381)*coupl(nGC_385  &
                         ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382&
                         )*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_363)*coupl(      &
                         nGC_364)*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(&
                         nGC_369)*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374  &
                         ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         )*coupl(nGC_386) + 5d0*coupl(nGC_1007)*coupl(nGC_375)*&
                         coupl(nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_1415)*  &
                         coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 5d0*   &
                         coupl(nGC_1773)*coupl(nGC_351)*coupl(nGC_352)*coupl(  &
                         nGC_355) + 6d0*coupl(nGC_180)*coupl(nGC_187) + 6d0*   &
                         coupl(nGC_23)*coupl(nGC_31) + 5d0*coupl(nGC_351)*coupl&
                         (nGC_352)*coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(  &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362  &
                         ) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)* &
                         coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_32910) = -coupl(nGC_32907)/2d0 + coupl(nGC_32908)
      coupl(nGC_35235) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_22707)
      coupl(nGC_35236) = -2d0*coupl(nGC_35235)
      coupl(nGC_22396) = 5d0*cima*(Nc*coupl(nGC_1219)*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_386) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_349)*coupl(nGC_382)*coupl(nGC_5875) + Nc*coupl(   &
                         nGC_1219)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386 &
                         ) + Nc*coupl(nGC_1825)*coupl(nGC_2939)*coupl(nGC_340)*&
                         coupl(nGC_370) + Nc*coupl(nGC_1825)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_374) + Nc*coupl(nGC_1825)*   &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_1833)*coupl(nGC_2665)*coupl(nGC_334)*coupl( &
                         nGC_367) + Nc*coupl(nGC_1833)*coupl(nGC_334)*coupl(   &
                         nGC_337)*coupl(nGC_368) + Nc*coupl(nGC_1833)*coupl(   &
                         nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*coupl(    &
                         nGC_2665)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338 &
                         ) + Nc*coupl(nGC_2665)*coupl(nGC_338)*coupl(nGC_364)* &
                         coupl(nGC_367) + Nc*coupl(nGC_2939)*coupl(nGC_340)*   &
                         coupl(nGC_341)*coupl(nGC_343) + Nc*coupl(nGC_2939)*   &
                         coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364)*coupl(   &
                         nGC_368) + Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(    &
                         nGC_373)*coupl(nGC_374) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_5875) + Nc*coupl(   &
                         nGC_346)*coupl(nGC_350)*coupl(nGC_385)*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385)*  &
                         coupl(nGC_5875) + coupl(nGC_1007)*coupl(nGC_376)*coupl&
                         (nGC_379)*coupl(nGC_380) + coupl(nGC_1415)*coupl(     &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl(       &
                         nGC_1773)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_58059) = -coupl(nGC_22050)
      coupl(nGC_38973) = -coupl(nGC_38969)
      coupl(nGC_22098) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) - coupl(nGC_1825&
                         )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_1825)*    &
                         coupl(nGC_343)*coupl(nGC_370) + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_2939)*coupl(&
                         nGC_339)**2d0 - coupl(nGC_2939)*coupl(nGC_341)**2d0 - &
                         coupl(nGC_2939)*coupl(nGC_342)**2d0 - coupl(nGC_2939)*&
                         coupl(nGC_344)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
