!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl35()
      coupl(nGC_22094) = (Nc*coupl(nGC_1219)*coupl(nGC_207)*coupl(nGC_384) - Nc&
                         *coupl(nGC_1219)*coupl(nGC_210)*coupl(nGC_384) + Nc*  &
                         coupl(nGC_1825)*coupl(nGC_207)*coupl(nGC_372) - Nc*   &
                         coupl(nGC_1825)*coupl(nGC_210)*coupl(nGC_372) + Nc*   &
                         coupl(nGC_1833)*coupl(nGC_206)*coupl(nGC_366) - Nc*   &
                         coupl(nGC_1833)*coupl(nGC_209)*coupl(nGC_366) + Nc*   &
                         coupl(nGC_206)*coupl(nGC_2939)*coupl(nGC_339) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_339)*coupl(nGC_341) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_350) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_5875) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_366)*coupl(nGC_368) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_2665)*coupl(nGC_336) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_336)*coupl(nGC_338) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_374) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_384)*coupl(nGC_386) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_2939)*coupl(nGC_339) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_341) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_350) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_5875) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_368) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_2665)*coupl(nGC_336) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_336)*coupl(nGC_338) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_384)*coupl(nGC_386) + coupl( &
                         nGC_1007)*coupl(nGC_208)*coupl(nGC_378) - coupl(      &
                         nGC_1007)*coupl(nGC_211)*coupl(nGC_378) + coupl(      &
                         nGC_1415)*coupl(nGC_208)*coupl(nGC_360) - coupl(      &
                         nGC_1415)*coupl(nGC_211)*coupl(nGC_360) + coupl(      &
                         nGC_1773)*coupl(nGC_208)*coupl(nGC_354) - coupl(      &
                         nGC_1773)*coupl(nGC_211)*coupl(nGC_354) - coupl(      &
                         nGC_208)*coupl(nGC_354)*coupl(nGC_356) - coupl(nGC_208&
                         )*coupl(nGC_360)*coupl(nGC_362) - coupl(nGC_208)*coupl&
                         (nGC_378)*coupl(nGC_380) + coupl(nGC_211)*coupl(      &
                         nGC_354)*coupl(nGC_356) + coupl(nGC_211)*coupl(nGC_360&
                         )*coupl(nGC_362) + coupl(nGC_211)*coupl(nGC_378)*coupl&
                         (nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22095) = (Nc*coupl(nGC_1219)*coupl(nGC_207)*coupl(nGC_381) - Nc&
                         *coupl(nGC_1219)*coupl(nGC_210)*coupl(nGC_381) + Nc*  &
                         coupl(nGC_1825)*coupl(nGC_207)*coupl(nGC_369) - Nc*   &
                         coupl(nGC_1825)*coupl(nGC_210)*coupl(nGC_369) + Nc*   &
                         coupl(nGC_1833)*coupl(nGC_206)*coupl(nGC_363) - Nc*   &
                         coupl(nGC_1833)*coupl(nGC_209)*coupl(nGC_363) + Nc*   &
                         coupl(nGC_206)*coupl(nGC_2939)*coupl(nGC_342) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_342) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_350) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_5875) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_368) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_2665)*coupl(nGC_333) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_333)*coupl(nGC_338) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_374) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_381)*coupl(nGC_386) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_2939)*coupl(nGC_342) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_342) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_350) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_5875) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_368) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_2665)*coupl(nGC_333) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_338) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_386) + coupl( &
                         nGC_1007)*coupl(nGC_208)*coupl(nGC_375) - coupl(      &
                         nGC_1007)*coupl(nGC_211)*coupl(nGC_375) + coupl(      &
                         nGC_1415)*coupl(nGC_208)*coupl(nGC_357) - coupl(      &
                         nGC_1415)*coupl(nGC_211)*coupl(nGC_357) + coupl(      &
                         nGC_1773)*coupl(nGC_208)*coupl(nGC_351) - coupl(      &
                         nGC_1773)*coupl(nGC_211)*coupl(nGC_351) - coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_356) - coupl(nGC_208&
                         )*coupl(nGC_357)*coupl(nGC_362) - coupl(nGC_208)*coupl&
                         (nGC_375)*coupl(nGC_380) + coupl(nGC_211)*coupl(      &
                         nGC_351)*coupl(nGC_356) + coupl(nGC_211)*coupl(nGC_357&
                         )*coupl(nGC_362) + coupl(nGC_211)*coupl(nGC_375)*coupl&
                         (nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22096) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2939) + 8d0*coupl(   &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_2939) - coupl(      &
                         nGC_2741)**2d0*coupl(nGC_341) - coupl(nGC_2939)**2d0* &
                         coupl(nGC_341) - coupl(nGC_339)**2d0*coupl(nGC_341) - &
                         coupl(nGC_340)*coupl(nGC_373)*coupl(nGC_374) - coupl( &
                         nGC_341)*coupl(nGC_342)**2d0 - coupl(nGC_343)*coupl(  &
                         nGC_370)*coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_22097) = coupl(nGC_13)**2d0*coupl(nGC_2939)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22090) = coupl(nGC_197)*(-Nc*coupl(nGC_1219)*coupl(nGC_382) -  &
                         Nc*coupl(nGC_1825)*coupl(nGC_370) - Nc*coupl(nGC_2665 &
                         )*coupl(nGC_334) + Nc*coupl(nGC_341)*coupl(nGC_343) + &
                         Nc*coupl(nGC_346)*coupl(nGC_350) + Nc*coupl(nGC_364)* &
                         coupl(nGC_368) + coupl(nGC_352)*coupl(nGC_356) + coupl&
                         (nGC_358)*coupl(nGC_362) + coupl(nGC_376)*coupl(      &
                         nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22091) = coupl(nGC_197)*(-Nc*coupl(nGC_1833)*coupl(nGC_364) -  &
                         Nc*coupl(nGC_2939)*coupl(nGC_343) + Nc*coupl(nGC_334)*&
                         coupl(nGC_338) - Nc*coupl(nGC_346)*coupl(nGC_5875) +  &
                         Nc*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)* &
                         coupl(nGC_386) - coupl(nGC_1007)*coupl(nGC_376) -     &
                         coupl(nGC_1415)*coupl(nGC_358) - coupl(nGC_1773)*coupl&
                         (nGC_352))/(24d0*pi**2d0)
      coupl(nGC_22092) = (Nc*cMB*coupl(nGC_2741)*coupl(nGC_2939)*coupl(nGC_339 &
                         ) + 2d0*Nc*cMB*coupl(nGC_2741)*coupl(nGC_339)*coupl(  &
                         nGC_341) + 2d0*Nc*cMB*coupl(nGC_2939)*coupl(nGC_339)* &
                         coupl(nGC_344) + Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*&
                         coupl(nGC_344) + Nc*cMC*coupl(nGC_2665)*coupl(nGC_3295&
                         )*coupl(nGC_336) + 2d0*Nc*cMC*coupl(nGC_2665)*coupl(  &
                         nGC_335)*coupl(nGC_336) + 2d0*Nc*cMC*coupl(nGC_3295)* &
                         coupl(nGC_336)*coupl(nGC_338) + Nc*cMC*coupl(nGC_335)*&
                         coupl(nGC_336)*coupl(nGC_338) + 2d0*Nc*cMD*coupl(     &
                         nGC_3395)*coupl(nGC_348)*coupl(nGC_350) + Nc*cMD*coupl&
                         (nGC_3395)*coupl(nGC_348)*coupl(nGC_5875) + Nc*cMD*   &
                         coupl(nGC_347)*coupl(nGC_348)*coupl(nGC_350) + 2d0*Nc*&
                         cMD*coupl(nGC_347)*coupl(nGC_348)*coupl(nGC_5875) + Nc&
                         *cMS*coupl(nGC_1641)*coupl(nGC_1833)*coupl(nGC_366) + &
                         2d0*Nc*cMS*coupl(nGC_1641)*coupl(nGC_366)*coupl(      &
                         nGC_368) + 2d0*Nc*cMS*coupl(nGC_1833)*coupl(nGC_365)* &
                         coupl(nGC_366) + Nc*cMS*coupl(nGC_365)*coupl(nGC_366)*&
                         coupl(nGC_368) + Nc*cMT*coupl(nGC_1825)*coupl(nGC_2677&
                         )*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_1825)*coupl(  &
                         nGC_371)*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_2677)* &
                         coupl(nGC_372)*coupl(nGC_374) + Nc*cMT*coupl(nGC_371)*&
                         coupl(nGC_372)*coupl(nGC_374) + 2d0*Nc*cMU*coupl(     &
                         nGC_1219)*coupl(nGC_383)*coupl(nGC_384) + Nc*cMU*coupl&
                         (nGC_1219)*coupl(nGC_384)*coupl(nGC_7453) + Nc*cMU*   &
                         coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_386) + 2d0*Nc*&
                         cMU*coupl(nGC_384)*coupl(nGC_386)*coupl(nGC_7453) +   &
                         cME*coupl(nGC_1773)*coupl(nGC_2247)*coupl(nGC_354) +  &
                         2d0*cME*coupl(nGC_1773)*coupl(nGC_353)*coupl(nGC_354  &
                         ) + 2d0*cME*coupl(nGC_2247)*coupl(nGC_354)*coupl(     &
                         nGC_356) + cME*coupl(nGC_353)*coupl(nGC_354)*coupl(   &
                         nGC_356) + 2d0*cMM*coupl(nGC_1415)*coupl(nGC_359)*    &
                         coupl(nGC_360) + cMM*coupl(nGC_1415)*coupl(nGC_360)*  &
                         coupl(nGC_8311) + cMM*coupl(nGC_359)*coupl(nGC_360)*  &
                         coupl(nGC_362) + 2d0*cMM*coupl(nGC_360)*coupl(nGC_362 &
                         )*coupl(nGC_8311) + cMTA*coupl(nGC_1007)*coupl(       &
                         nGC_2497)*coupl(nGC_378) + 2d0*cMTA*coupl(nGC_1007)*  &
                         coupl(nGC_377)*coupl(nGC_378) + 2d0*cMTA*coupl(       &
                         nGC_2497)*coupl(nGC_378)*coupl(nGC_380) + cMTA*coupl( &
                         nGC_377)*coupl(nGC_378)*coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_22093) = (Nc*cMB*coupl(nGC_2741)*coupl(nGC_2939)*coupl(nGC_342 &
                         ) + 2d0*Nc*cMB*coupl(nGC_2741)*coupl(nGC_341)*coupl(  &
                         nGC_342) + 2d0*Nc*cMB*coupl(nGC_2939)*coupl(nGC_342)* &
                         coupl(nGC_344) + Nc*cMB*coupl(nGC_341)*coupl(nGC_342)*&
                         coupl(nGC_344) + Nc*cMC*coupl(nGC_2665)*coupl(nGC_3295&
                         )*coupl(nGC_333) + 2d0*Nc*cMC*coupl(nGC_2665)*coupl(  &
                         nGC_333)*coupl(nGC_335) + 2d0*Nc*cMC*coupl(nGC_3295)* &
                         coupl(nGC_333)*coupl(nGC_338) + Nc*cMC*coupl(nGC_333)*&
                         coupl(nGC_335)*coupl(nGC_338) + 2d0*Nc*cMD*coupl(     &
                         nGC_3395)*coupl(nGC_345)*coupl(nGC_350) + Nc*cMD*coupl&
                         (nGC_3395)*coupl(nGC_345)*coupl(nGC_5875) + Nc*cMD*   &
                         coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_350) + 2d0*Nc*&
                         cMD*coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_5875) + Nc&
                         *cMS*coupl(nGC_1641)*coupl(nGC_1833)*coupl(nGC_363) + &
                         2d0*Nc*cMS*coupl(nGC_1641)*coupl(nGC_363)*coupl(      &
                         nGC_368) + 2d0*Nc*cMS*coupl(nGC_1833)*coupl(nGC_363)* &
                         coupl(nGC_365) + Nc*cMS*coupl(nGC_363)*coupl(nGC_365)*&
                         coupl(nGC_368) + Nc*cMT*coupl(nGC_1825)*coupl(nGC_2677&
                         )*coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_1825)*coupl(  &
                         nGC_369)*coupl(nGC_371) + 2d0*Nc*cMT*coupl(nGC_2677)* &
                         coupl(nGC_369)*coupl(nGC_374) + Nc*cMT*coupl(nGC_369)*&
                         coupl(nGC_371)*coupl(nGC_374) + 2d0*Nc*cMU*coupl(     &
                         nGC_1219)*coupl(nGC_381)*coupl(nGC_383) + Nc*cMU*coupl&
                         (nGC_1219)*coupl(nGC_381)*coupl(nGC_7453) + Nc*cMU*   &
                         coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_386) + 2d0*Nc*&
                         cMU*coupl(nGC_381)*coupl(nGC_386)*coupl(nGC_7453) +   &
                         cME*coupl(nGC_1773)*coupl(nGC_2247)*coupl(nGC_351) +  &
                         2d0*cME*coupl(nGC_1773)*coupl(nGC_351)*coupl(nGC_353  &
                         ) + 2d0*cME*coupl(nGC_2247)*coupl(nGC_351)*coupl(     &
                         nGC_356) + cME*coupl(nGC_351)*coupl(nGC_353)*coupl(   &
                         nGC_356) + 2d0*cMM*coupl(nGC_1415)*coupl(nGC_357)*    &
                         coupl(nGC_359) + cMM*coupl(nGC_1415)*coupl(nGC_357)*  &
                         coupl(nGC_8311) + cMM*coupl(nGC_357)*coupl(nGC_359)*  &
                         coupl(nGC_362) + 2d0*cMM*coupl(nGC_357)*coupl(nGC_362 &
                         )*coupl(nGC_8311) + cMTA*coupl(nGC_1007)*coupl(       &
                         nGC_2497)*coupl(nGC_375) + 2d0*cMTA*coupl(nGC_1007)*  &
                         coupl(nGC_375)*coupl(nGC_377) + 2d0*cMTA*coupl(       &
                         nGC_2497)*coupl(nGC_375)*coupl(nGC_380) + cMTA*coupl( &
                         nGC_375)*coupl(nGC_377)*coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_38970) = coupl(nGC_22652) + coupl(nGC_377)*dZHaG0_QED2/2d0
      coupl(nGC_22309) = coupl(nGC_13)*sq2*(-coupl(nGC_1825)*coupl(nGC_374) -  &
                         4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*&
                         coupl(nGC_210)**2d0 - coupl(nGC_2677)*coupl(nGC_371   &
                         ) - coupl(nGC_340)**2d0 - coupl(nGC_343)**2d0 - coupl(&
                         nGC_369)**2d0 - coupl(nGC_372)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22300) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_206)**2d0 - coupl(nGC_3395)*coupl(nGC_347) -     &
                         coupl(nGC_345)**2d0 - coupl(nGC_346)**2d0 - coupl(    &
                         nGC_348)**2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)* &
                         coupl(nGC_5875))/(64d0*pi**2d0)
      coupl(nGC_48598) = coupl(nGC_48589) + coupl(nGC_48597)
      coupl(nGC_41415) = -coupl(nGC_38507)
      coupl(nGC_22481) = (18d0*Nc*cima*coupl(nGC_197)**4d0 + 6d0*cima*coupl(   &
                         nGC_11213)**2d0 - 4d0*cima*coupl(nGC_1563)**2d0*coupl(&
                         nGC_4)**2d0 - 8d0*cima*coupl(nGC_1563)*coupl(nGC_198)*&
                         coupl(nGC_2313)*coupl(nGC_4) - 8d0*cima*coupl(nGC_1563&
                         )*coupl(nGC_198)*coupl(nGC_3)*coupl(nGC_3351) - 8d0*  &
                         cima*coupl(nGC_1563)*coupl(nGC_3)*coupl(nGC_3695)*    &
                         coupl(nGC_4) + 3d0*cima*coupl(nGC_195)**2d0 + 18d0*   &
                         cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(nGC_198)**  &
                         2d0*coupl(nGC_2313)**2d0 - 8d0*cima*coupl(nGC_198)*   &
                         coupl(nGC_199)*coupl(nGC_2313)*coupl(nGC_3351) - 4d0* &
                         cima*coupl(nGC_199)**2d0*coupl(nGC_3351)**2d0 - 8d0*  &
                         cima*coupl(nGC_199)*coupl(nGC_2313)*coupl(nGC_3695)*  &
                         coupl(nGC_4) - 8d0*cima*coupl(nGC_199)*coupl(nGC_3)*  &
                         coupl(nGC_3351)*coupl(nGC_3695) + 6d0*cima*coupl(     &
                         nGC_205)**2d0 - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                         nGC_3695)**2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 6d0*    &
                         coupl(nGC_11213)*coupl(nGC_1563)*coupl(nGC_4) + 6d0*  &
                         coupl(nGC_11213)*coupl(nGC_198)*coupl(nGC_2313) + 6d0*&
                         coupl(nGC_11213)*coupl(nGC_199)*coupl(nGC_3351) + 6d0*&
                         coupl(nGC_11213)*coupl(nGC_3)*coupl(nGC_3695) + 6d0*  &
                         coupl(nGC_1563)*coupl(nGC_198)*coupl(nGC_205) + 6d0*  &
                         coupl(nGC_1563)*coupl(nGC_4)*coupl(nGC_9) + 6d0*coupl(&
                         nGC_195)*coupl(nGC_198)*coupl(nGC_2313) + 6d0*coupl(  &
                         nGC_195)*coupl(nGC_199)*coupl(nGC_3351) + 6d0*coupl(  &
                         nGC_199)*coupl(nGC_205)*coupl(nGC_3695) + 6d0*coupl(  &
                         nGC_205)*coupl(nGC_2313)*coupl(nGC_4) + 6d0*coupl(    &
                         nGC_205)*coupl(nGC_3)*coupl(nGC_3351) + 6d0*coupl(    &
                         nGC_3)*coupl(nGC_3695)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_22480) = (-30d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(  &
                         nGC_1563)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(    &
                         nGC_1563)*coupl(nGC_198)*coupl(nGC_2313)*coupl(nGC_4  &
                         ) - 8d0*cima*coupl(nGC_1563)*coupl(nGC_198)*coupl(    &
                         nGC_3)*coupl(nGC_3351) - 8d0*cima*coupl(nGC_1563)*    &
                         coupl(nGC_3)*coupl(nGC_3695)*coupl(nGC_4) + 3d0*cima* &
                         coupl(nGC_192)**2d0 - 30d0*cima*coupl(nGC_197)**4d0 - &
                         4d0*cima*coupl(nGC_198)**2d0*coupl(nGC_2313)**2d0 -   &
                         8d0*cima*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_2313 &
                         )*coupl(nGC_3351) - 4d0*cima*coupl(nGC_199)**2d0*coupl&
                         (nGC_3351)**2d0 - 8d0*cima*coupl(nGC_199)*coupl(      &
                         nGC_2313)*coupl(nGC_3695)*coupl(nGC_4) - 8d0*cima*    &
                         coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_3351)*coupl(    &
                         nGC_3695) - 4d0*cima*coupl(nGC_3)**2d0*coupl(nGC_3695 &
                         )**2d0 + 6d0*coupl(nGC_1563)*coupl(nGC_192)*coupl(    &
                         nGC_3) + 6d0*coupl(nGC_192)*coupl(nGC_198)*coupl(     &
                         nGC_3351) + 6d0*coupl(nGC_192)*coupl(nGC_199)*coupl(  &
                         nGC_2313) + 6d0*coupl(nGC_192)*coupl(nGC_3695)*coupl( &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22410) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1641)*coupl(    &
                         nGC_206)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_209)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1641)*    &
                         coupl(nGC_210)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*&
                         coupl(nGC_2741)*coupl(nGC_340) + 5d0*Nc*coupl(nGC_206 &
                         )*coupl(nGC_3395)*coupl(nGC_349) + 5d0*Nc*coupl(      &
                         nGC_207)*coupl(nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(&
                         nGC_207)*coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(&
                         nGC_207)*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_2741)*coupl(nGC_340) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_3395)*coupl(nGC_349) - 4d0*Nc*    &
                         coupl(nGC_209)*coupl(nGC_371)*coupl(nGC_373) - 4d0*Nc*&
                         coupl(nGC_209)*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc*&
                         coupl(nGC_210)*coupl(nGC_2741)*coupl(nGC_340) - 4d0*Nc&
                         *coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_337) - 4d0*Nc&
                         *coupl(nGC_210)*coupl(nGC_3395)*coupl(nGC_349) - 4d0* &
                         Nc*coupl(nGC_210)*coupl(nGC_371)*coupl(nGC_373) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_383)*coupl(nGC_385) + 5d0*&
                         coupl(nGC_208)*coupl(nGC_2247)*coupl(nGC_355) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_2497)*coupl(nGC_379) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_361)*coupl(nGC_8311) - 4d0*  &
                         coupl(nGC_211)*coupl(nGC_2247)*coupl(nGC_355) - 4d0*  &
                         coupl(nGC_211)*coupl(nGC_2497)*coupl(nGC_379) - 4d0*  &
                         coupl(nGC_211)*coupl(nGC_361)*coupl(nGC_8311) - 4d0*  &
                         coupl(nGC_212)*coupl(nGC_2247)*coupl(nGC_355) - 4d0*  &
                         coupl(nGC_212)*coupl(nGC_2497)*coupl(nGC_379) - 4d0*  &
                         coupl(nGC_212)*coupl(nGC_361)*coupl(nGC_8311))/(48d0* &
                         pi**2d0)
      coupl(nGC_22411) = cima*(10d0*Nc*coupl(nGC_1219)*coupl(nGC_346)**2d0*    &
                         coupl(nGC_386) + 10d0*Nc*coupl(nGC_1219)*coupl(nGC_346&
                         )*coupl(nGC_382)*coupl(nGC_5875) + 10d0*Nc*coupl(     &
                         nGC_1219)*coupl(nGC_382)**2d0*coupl(nGC_386) + 10d0*Nc&
                         *coupl(nGC_1825)*coupl(nGC_2939)*coupl(nGC_343)*coupl(&
                         nGC_370) + 10d0*Nc*coupl(nGC_1825)*coupl(nGC_343)**2d0&
                         *coupl(nGC_374) + 10d0*Nc*coupl(nGC_1825)*coupl(      &
                         nGC_370)**2d0*coupl(nGC_374) + 10d0*Nc*coupl(nGC_1833 &
                         )*coupl(nGC_2665)*coupl(nGC_334)*coupl(nGC_364) + 10d0&
                         *Nc*coupl(nGC_1833)*coupl(nGC_334)**2d0*coupl(nGC_368 &
                         ) + 10d0*Nc*coupl(nGC_1833)*coupl(nGC_364)**2d0*coupl(&
                         nGC_368) + 10d0*Nc*coupl(nGC_2665)*coupl(nGC_334)**2d0&
                         *coupl(nGC_338) + 10d0*Nc*coupl(nGC_2665)*coupl(      &
                         nGC_338)*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(nGC_2939 &
                         )*coupl(nGC_341)*coupl(nGC_343)**2d0 + 10d0*Nc*coupl( &
                         nGC_2939)*coupl(nGC_341)*coupl(nGC_370)**2d0 + 10d0*Nc&
                         *coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_364)*coupl(  &
                         nGC_368) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl&
                         (nGC_370)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_346)**2d0&
                         *coupl(nGC_350)*coupl(nGC_5875) + 10d0*Nc*coupl(      &
                         nGC_346)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_386  &
                         ) + 10d0*Nc*coupl(nGC_350)*coupl(nGC_382)**2d0*coupl( &
                         nGC_5875) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(     &
                         nGC_1007)*coupl(nGC_376)**2d0*coupl(nGC_380) + 10d0*  &
                         coupl(nGC_1415)*coupl(nGC_358)**2d0*coupl(nGC_362) +  &
                         10d0*coupl(nGC_1773)*coupl(nGC_352)**2d0*coupl(nGC_356&
                         ) + 3d0*coupl(nGC_229)*coupl(nGC_230))/(48d0*pi**2d0)
      coupl(nGC_22414) = 5d0*cima*(Nc*coupl(nGC_1219)**2d0*coupl(nGC_383)*coupl&
                         (nGC_386) + Nc*coupl(nGC_1219)*coupl(nGC_386)**2d0*   &
                         coupl(nGC_7453) + Nc*coupl(nGC_1641)*coupl(nGC_1833)* &
                         coupl(nGC_368)**2d0 + Nc*coupl(nGC_1825)**2d0*coupl(  &
                         nGC_371)*coupl(nGC_374) + Nc*coupl(nGC_1825)*coupl(   &
                         nGC_2677)*coupl(nGC_374)**2d0 + Nc*coupl(nGC_1833)**  &
                         2d0*coupl(nGC_365)*coupl(nGC_368) + Nc*coupl(nGC_2665 &
                         )**2d0*coupl(nGC_335)*coupl(nGC_338) + Nc*coupl(      &
                         nGC_2665)*coupl(nGC_3295)*coupl(nGC_338)**2d0 + Nc*   &
                         coupl(nGC_2741)*coupl(nGC_2939)*coupl(nGC_341)**2d0 + &
                         Nc*coupl(nGC_2939)**2d0*coupl(nGC_341)*coupl(nGC_344  &
                         ) + Nc*coupl(nGC_3395)*coupl(nGC_350)**2d0*coupl(     &
                         nGC_5875) + Nc*coupl(nGC_347)*coupl(nGC_350)*coupl(   &
                         nGC_5875)**2d0 + coupl(nGC_1007)**2d0*coupl(nGC_377)* &
                         coupl(nGC_380) + coupl(nGC_1007)*coupl(nGC_2497)*coupl&
                         (nGC_380)**2d0 + coupl(nGC_1415)**2d0*coupl(nGC_359)* &
                         coupl(nGC_362) + coupl(nGC_1415)*coupl(nGC_362)**2d0* &
                         coupl(nGC_8311) + coupl(nGC_1773)**2d0*coupl(nGC_353)*&
                         coupl(nGC_356) + coupl(nGC_1773)*coupl(nGC_2247)*coupl&
                         (nGC_356)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22415) = cima*(20d0*Nc*coupl(nGC_1219)**2d0*coupl(nGC_386)**2d0&
                          + 20d0*Nc*coupl(nGC_1825)**2d0*coupl(nGC_374)**2d0 + &
                         20d0*Nc*coupl(nGC_1833)**2d0*coupl(nGC_368)**2d0 +    &
                         20d0*Nc*coupl(nGC_2665)**2d0*coupl(nGC_338)**2d0 +    &
                         20d0*Nc*coupl(nGC_2939)**2d0*coupl(nGC_341)**2d0 +    &
                         20d0*Nc*coupl(nGC_350)**2d0*coupl(nGC_5875)**2d0 + 6d0&
                         *coupl(nGC_100)**2d0 + 20d0*coupl(nGC_1007)**2d0*coupl&
                         (nGC_380)**2d0 + 20d0*coupl(nGC_1415)**2d0*coupl(     &
                         nGC_362)**2d0 + 20d0*coupl(nGC_1773)**2d0*coupl(      &
                         nGC_356)**2d0 + 3d0*coupl(nGC_230)**2d0)/(16d0*pi**2d0&
                         )
      coupl(nGC_22416) = cima*(10d0*Nc*coupl(nGC_1219)**2d0*coupl(nGC_383)**2d0&
                          + 40d0*Nc*coupl(nGC_1219)*coupl(nGC_383)*coupl(      &
                         nGC_386)*coupl(nGC_7453) + 10d0*Nc*coupl(nGC_1641)**  &
                         2d0*coupl(nGC_368)**2d0 + 40d0*Nc*coupl(nGC_1641)*    &
                         coupl(nGC_1833)*coupl(nGC_365)*coupl(nGC_368) + 10d0* &
                         Nc*coupl(nGC_1825)**2d0*coupl(nGC_371)**2d0 + 40d0*Nc*&
                         coupl(nGC_1825)*coupl(nGC_2677)*coupl(nGC_371)*coupl( &
                         nGC_374) + 10d0*Nc*coupl(nGC_1833)**2d0*coupl(nGC_365 &
                         )**2d0 + 10d0*Nc*coupl(nGC_2665)**2d0*coupl(nGC_335)**&
                         2d0 + 40d0*Nc*coupl(nGC_2665)*coupl(nGC_3295)*coupl(  &
                         nGC_335)*coupl(nGC_338) + 10d0*Nc*coupl(nGC_2677)**2d0&
                         *coupl(nGC_374)**2d0 + 10d0*Nc*coupl(nGC_2741)**2d0*  &
                         coupl(nGC_341)**2d0 + 40d0*Nc*coupl(nGC_2741)*coupl(  &
                         nGC_2939)*coupl(nGC_341)*coupl(nGC_344) + 10d0*Nc*    &
                         coupl(nGC_2939)**2d0*coupl(nGC_344)**2d0 + 10d0*Nc*   &
                         coupl(nGC_3295)**2d0*coupl(nGC_338)**2d0 + 10d0*Nc*   &
                         coupl(nGC_3395)**2d0*coupl(nGC_350)**2d0 + 40d0*Nc*   &
                         coupl(nGC_3395)*coupl(nGC_347)*coupl(nGC_350)*coupl(  &
                         nGC_5875) + 10d0*Nc*coupl(nGC_347)**2d0*coupl(nGC_5875&
                         )**2d0 + 10d0*Nc*coupl(nGC_386)**2d0*coupl(nGC_7453)**&
                         2d0 + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(nGC_1007)**&
                         2d0*coupl(nGC_377)**2d0 + 40d0*coupl(nGC_1007)*coupl( &
                         nGC_2497)*coupl(nGC_377)*coupl(nGC_380) + 10d0*coupl( &
                         nGC_1415)**2d0*coupl(nGC_359)**2d0 + 40d0*coupl(      &
                         nGC_1415)*coupl(nGC_359)*coupl(nGC_362)*coupl(nGC_8311&
                         ) + 10d0*coupl(nGC_1773)**2d0*coupl(nGC_353)**2d0 +   &
                         40d0*coupl(nGC_1773)*coupl(nGC_2247)*coupl(nGC_353)*  &
                         coupl(nGC_356) + 10d0*coupl(nGC_2247)**2d0*coupl(     &
                         nGC_356)**2d0 + 3d0*coupl(nGC_230)**2d0 + 10d0*coupl( &
                         nGC_2497)**2d0*coupl(nGC_380)**2d0 + 10d0*coupl(      &
                         nGC_362)**2d0*coupl(nGC_8311)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22418) = 5d0*cima*(Nc*coupl(nGC_1219)**2d0*coupl(nGC_381)*coupl&
                         (nGC_384) + 4d0*Nc*coupl(nGC_1219)*coupl(nGC_381)*    &
                         coupl(nGC_384)*coupl(nGC_386) + Nc*coupl(nGC_1825)**  &
                         2d0*coupl(nGC_369)*coupl(nGC_372) + 4d0*Nc*coupl(     &
                         nGC_1825)*coupl(nGC_369)*coupl(nGC_372)*coupl(nGC_374 &
                         ) + Nc*coupl(nGC_1833)**2d0*coupl(nGC_363)*coupl(     &
                         nGC_366) + 4d0*Nc*coupl(nGC_1833)*coupl(nGC_363)*coupl&
                         (nGC_366)*coupl(nGC_368) + Nc*coupl(nGC_2665)**2d0*   &
                         coupl(nGC_333)*coupl(nGC_336) + 4d0*Nc*coupl(nGC_2665 &
                         )*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_338) + Nc*  &
                         coupl(nGC_2939)**2d0*coupl(nGC_339)*coupl(nGC_342) +  &
                         4d0*Nc*coupl(nGC_2939)*coupl(nGC_339)*coupl(nGC_341)* &
                         coupl(nGC_342) + Nc*coupl(nGC_333)*coupl(nGC_336)*    &
                         coupl(nGC_338)**2d0 + Nc*coupl(nGC_339)*coupl(nGC_341 &
                         )**2d0*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(      &
                         nGC_348)*coupl(nGC_350)**2d0 + 4d0*Nc*coupl(nGC_345)* &
                         coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_5875) + Nc*   &
                         coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_5875)**2d0 +  &
                         Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(nGC_368)**2d0  &
                          + Nc*coupl(nGC_369)*coupl(nGC_372)*coupl(nGC_374)**  &
                         2d0 + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386  &
                         )**2d0 + coupl(nGC_1007)**2d0*coupl(nGC_375)*coupl(   &
                         nGC_378) + 4d0*coupl(nGC_1007)*coupl(nGC_375)*coupl(  &
                         nGC_378)*coupl(nGC_380) + coupl(nGC_1415)**2d0*coupl( &
                         nGC_357)*coupl(nGC_360) + 4d0*coupl(nGC_1415)*coupl(  &
                         nGC_357)*coupl(nGC_360)*coupl(nGC_362) + coupl(       &
                         nGC_1773)**2d0*coupl(nGC_351)*coupl(nGC_354) + 4d0*   &
                         coupl(nGC_1773)*coupl(nGC_351)*coupl(nGC_354)*coupl(  &
                         nGC_356) + coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_356&
                         )**2d0 + coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_362  &
                         )**2d0 + coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_380  &
                         )**2d0)/(24d0*pi**2d0)
      coupl(nGC_34478) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_22695) +     &
                         coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_57722) = -coupl(nGC_22013)
      coupl(nGC_39535) = coupl(nGC_22569) + coupl(nGC_242)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_245)*dZHhHl_QED2/2d0 + coupl(nGC_246)*      &
                         dZHaG0_QED2/2d0 + coupl(nGC_253)*dZHa_QED2/2d0 + coupl&
                         (nGC_253)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_38_Hl) +    &
                         coupl(nGC_TS_GC_47_Hh)
      coupl(nGC_36710) = coupl(nGC_22862) + coupl(nGC_MW)*dZWMinus_QED2 + coupl&
                         (nGC_TS_GC_261_Hl) + coupl(nGC_TS_GC_272_Hh)
      coupl(nGC_32195) = coupl(nGC_22651) + coupl(nGC_359)*dZHaG0_QED2/2d0
      coupl(nGC_57850) = -coupl(nGC_22055)
      coupl(nGC_36976) = coupl(nGC_22718) + coupl(nGC_230)*dZZ_QED2
      coupl(nGC_33660) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22594)
      coupl(nGC_32895) = coupl(nGC_22671) + coupl(nGC_333)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_336)*dZHh_QED2/2d0
      coupl(nGC_32894) = coupl(nGC_22670) + coupl(nGC_32893)
      coupl(nGC_32896) = coupl(nGC_32892) + coupl(nGC_32895)
      coupl(nGC_22319) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 +   &
                         5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**&
                         2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*&
                         coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_2)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_2)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*&
                         coupl(nGC_2)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_382)**2d0 + 3d0*cima*coupl&
                         (nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*&
                         coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_358)**2d0*coupl&
                         (nGC_4)**2d0 - 4d0*cima*coupl(nGC_376)**2d0*coupl(    &
                         nGC_4)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_1563)**2d0 &
                          + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0)/(24d0*pi**2d0&
                         )
      coupl(nGC_36370) = -coupl(nGC_36367) - coupl(nGC_36369)
      coupl(nGC_36371) = coupl(nGC_36367) + coupl(nGC_36369)
      coupl(nGC_36372) = -coupl(nGC_36366)
      coupl(nGC_36373) = -coupl(nGC_22666) - coupl(nGC_36368)
      coupl(nGC_36374) = coupl(nGC_22666) + coupl(nGC_36368)
      coupl(nGC_32186) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22499) +     &
                         coupl(nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*      &
                         dZHa_QED2/2d0 + coupl(nGC_30)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_40243) = -coupl(nGC_40242)
      coupl(nGC_41042) = coupl(nGC_41033) + coupl(nGC_41041)
      coupl(nGC_22220) = (-coupl(nGC_1219)**2d0*coupl(nGC_384) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_384) - coupl(nGC_346)*coupl(nGC_348&
                         )*coupl(nGC_382) - coupl(nGC_348)*coupl(nGC_349)*coupl&
                         (nGC_385) - coupl(nGC_381)**2d0*coupl(nGC_384) - coupl&
                         (nGC_384)**3d0 - coupl(nGC_384)*coupl(nGC_7453)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_33575) = coupl(nGC_33569) + coupl(nGC_33573)
      coupl(nGC_35899) = coupl(nGC_35895) + coupl(nGC_35898)
      coupl(nGC_58301) = -coupl(nGC_22090)
      coupl(nGC_22454) = (-8d0*Nc*cima*coupl(nGC_1641)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_365) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_2677)*coupl(nGC_371) - 8d0*Nc*cima*coupl(nGC_197 &
                         )**2d0*coupl(nGC_2741)*coupl(nGC_344) - 8d0*Nc*cima*  &
                         coupl(nGC_197)**2d0*coupl(nGC_3295)*coupl(nGC_335) -  &
                         8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_3395)*coupl(&
                         nGC_347) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(     &
                         nGC_383)*coupl(nGC_7453) + 6d0*cima*coupl(nGC_100)*   &
                         coupl(nGC_11213) + 3d0*cima*coupl(nGC_195)*coupl(     &
                         nGC_230) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_2247&
                         )*coupl(nGC_353) - 8d0*cima*coupl(nGC_197)**2d0*coupl(&
                         nGC_2497)*coupl(nGC_377) - 8d0*cima*coupl(nGC_197)**  &
                         2d0*coupl(nGC_359)*coupl(nGC_8311) + 6d0*coupl(nGC_100&
                         )*coupl(nGC_1563)*coupl(nGC_4) + 6d0*coupl(nGC_100)*  &
                         coupl(nGC_198)*coupl(nGC_2313) + 6d0*coupl(nGC_199)*  &
                         coupl(nGC_230)*coupl(nGC_3351))/(48d0*pi**2d0)
      coupl(nGC_22455) = (-8d0*Nc*cima*coupl(nGC_1641)*coupl(nGC_206)**2d0*    &
                         coupl(nGC_365) + 10d0*Nc*cima*coupl(nGC_1641)*coupl(  &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_365) - 8d0*Nc*cima* &
                         coupl(nGC_1641)*coupl(nGC_209)**2d0*coupl(nGC_365) -  &
                         8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_2741)*coupl(&
                         nGC_344) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(     &
                         nGC_3395)*coupl(nGC_347) + 10d0*Nc*cima*coupl(nGC_206 &
                         )*coupl(nGC_209)*coupl(nGC_2741)*coupl(nGC_344) + 10d0&
                         *Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_3395 &
                         )*coupl(nGC_347) - 8d0*Nc*cima*coupl(nGC_207)**2d0*   &
                         coupl(nGC_2677)*coupl(nGC_371) - 8d0*Nc*cima*coupl(   &
                         nGC_207)**2d0*coupl(nGC_3295)*coupl(nGC_335) - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_383)*coupl(nGC_7453&
                         ) + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl( &
                         nGC_2677)*coupl(nGC_371) + 10d0*Nc*cima*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_3295)*coupl(nGC_335) + 10d0&
                         *Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_383)*&
                         coupl(nGC_7453) - 8d0*Nc*cima*coupl(nGC_209)**2d0*    &
                         coupl(nGC_2741)*coupl(nGC_344) - 8d0*Nc*cima*coupl(   &
                         nGC_209)**2d0*coupl(nGC_3395)*coupl(nGC_347) - 8d0*Nc*&
                         cima*coupl(nGC_210)**2d0*coupl(nGC_2677)*coupl(nGC_371&
                         ) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_3295)*  &
                         coupl(nGC_335) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl&
                         (nGC_383)*coupl(nGC_7453) + 3d0*cima*coupl(nGC_100)*  &
                         coupl(nGC_195) - 8d0*cima*coupl(nGC_208)**2d0*coupl(  &
                         nGC_2247)*coupl(nGC_353) - 8d0*cima*coupl(nGC_208)**  &
                         2d0*coupl(nGC_2497)*coupl(nGC_377) - 8d0*cima*coupl(  &
                         nGC_208)**2d0*coupl(nGC_359)*coupl(nGC_8311) + 10d0*  &
                         cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2247)*   &
                         coupl(nGC_353) + 10d0*cima*coupl(nGC_208)*coupl(      &
                         nGC_211)*coupl(nGC_2497)*coupl(nGC_377) + 10d0*cima*  &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359)*coupl(   &
                         nGC_8311) - 8d0*cima*coupl(nGC_211)**2d0*coupl(       &
                         nGC_2247)*coupl(nGC_353) - 8d0*cima*coupl(nGC_211)**  &
                         2d0*coupl(nGC_2497)*coupl(nGC_377) - 8d0*cima*coupl(  &
                         nGC_211)**2d0*coupl(nGC_359)*coupl(nGC_8311) + 3d0*   &
                         coupl(nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100&
                         )*coupl(nGC_2313)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22456) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0&
                          + 6d0*cima*coupl(nGC_11213)*coupl(nGC_77) + 3d0*cima*&
                         coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_378)**2d0 + 6d0*coupl(nGC_1563)*coupl(nGC_4&
                         )*coupl(nGC_77) + 6d0*coupl(nGC_198)*coupl(nGC_2313)* &
                         coupl(nGC_77) + 6d0*coupl(nGC_199)*coupl(nGC_224)*    &
                         coupl(nGC_3351))/(48d0*pi**2d0)
      coupl(nGC_32135) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(               &
                         nGC_TS_GC_245_Hh) + coupl(nGC_TS_GC_253_Hl)
      coupl(nGC_22298) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_206)**2d0 + coupl(nGC_3395)*coupl(nGC_347) + coupl&
                         (nGC_345)**2d0 + coupl(nGC_346)**2d0 + coupl(nGC_348  &
                         )**2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(  &
                         nGC_5875))/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
