!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl36()
      coupl(nGC_22299) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl&
                         (nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(     &
                         nGC_3395)*coupl(nGC_347) - coupl(nGC_345)**2d0 - coupl&
                         (nGC_348)**2d0 - coupl(nGC_350)*coupl(nGC_5875) -     &
                         coupl(nGC_382)**2d0 - coupl(nGC_385)**2d0)/(64d0*pi** &
                         2d0)
      coupl(nGC_22297) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(      &
                         nGC_3395)*coupl(nGC_347) + coupl(nGC_345)**2d0 + coupl&
                         (nGC_348)**2d0 + coupl(nGC_350)*coupl(nGC_5875) +     &
                         coupl(nGC_382)**2d0 + coupl(nGC_385)**2d0)/(64d0*pi** &
                         2d0*Nc)
      coupl(nGC_51444) = -coupl(nGC_45311)
      coupl(nGC_37530) = coupl(nGC_37524) + coupl(nGC_37528)
      coupl(nGC_37431) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*      &
                         dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl&
                         (nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 &
                          + coupl(nGC_22709)
      coupl(nGC_37432) = -coupl(nGC_37431)
      coupl(nGC_22074) = (Nc*cMB*coupl(nGC_1825)*coupl(nGC_340)*coupl(nGC_370  &
                         ) + Nc*cMB*coupl(nGC_2939)*coupl(nGC_340)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_2939)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl&
                         (nGC_343) + Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_373)*coupl&
                         (nGC_374) + Nc*cMC*coupl(nGC_1833)*coupl(nGC_334)*    &
                         coupl(nGC_367) + Nc*cMC*coupl(nGC_2665)*coupl(nGC_334 &
                         )*coupl(nGC_337) + Nc*cMC*coupl(nGC_2665)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_338) + Nc*cMC*coupl(nGC_337)*coupl(&
                         nGC_364)*coupl(nGC_368) + Nc*cMC*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_367) + Nc*cMD*coupl(nGC_1219)*coupl&
                         (nGC_349)*coupl(nGC_382) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_349)*coupl(nGC_350) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_349)*coupl(nGC_5875) + Nc*cMD*coupl(nGC_346)*    &
                         coupl(nGC_385)*coupl(nGC_386) + Nc*cMD*coupl(nGC_350)*&
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_382)*&
                         coupl(nGC_385)*coupl(nGC_5875) + Nc*cMS*coupl(nGC_1833&
                         )*coupl(nGC_334)*coupl(nGC_337) + Nc*cMS*coupl(       &
                         nGC_1833)*coupl(nGC_364)*coupl(nGC_367) + Nc*cMS*coupl&
                         (nGC_2665)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*    &
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*cMS*&
                         coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*cMT*&
                         coupl(nGC_1825)*coupl(nGC_340)*coupl(nGC_343) + Nc*cMT&
                         *coupl(nGC_1825)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                         cMT*coupl(nGC_2939)*coupl(nGC_340)*coupl(nGC_370) + Nc&
                         *cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + Nc&
                         *cMT*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_373) + Nc&
                         *cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc&
                         *cMU*coupl(nGC_1219)*coupl(nGC_346)*coupl(nGC_349) +  &
                         Nc*cMU*coupl(nGC_1219)*coupl(nGC_382)*coupl(nGC_385   &
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386&
                         ) + Nc*cMU*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_385&
                         ) + Nc*cMU*coupl(nGC_349)*coupl(nGC_382)*coupl(       &
                         nGC_5875) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl&
                         (nGC_386) + cME*coupl(nGC_1773)*coupl(nGC_352)*coupl( &
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_355)*coupl(   &
                         nGC_356) + cMM*coupl(nGC_1415)*coupl(nGC_358)*coupl(  &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_362) + cMTA*coupl(nGC_1007)*coupl(nGC_376)*coupl( &
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                         nGC_380) + 2d0*cima*coupl(nGC_187)*coupl(nGC_321) +   &
                         2d0*cima*coupl(nGC_231)*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_22075) = coupl(nGC_197)*(Nc*coupl(nGC_1833)*coupl(nGC_367) + Nc&
                         *coupl(nGC_2939)*coupl(nGC_340) - Nc*coupl(nGC_337)*  &
                         coupl(nGC_338) + Nc*coupl(nGC_349)*coupl(nGC_5875) -  &
                         Nc*coupl(nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)* &
                         coupl(nGC_386) + coupl(nGC_1007)*coupl(nGC_379) +     &
                         coupl(nGC_1415)*coupl(nGC_361) + coupl(nGC_1773)*coupl&
                         (nGC_355))/(24d0*pi**2d0)
      coupl(nGC_58845) = -coupl(nGC_22160)
      coupl(nGC_32416) = coupl(nGC_22704) + coupl(nGC_261)*dZHl_QED2/2d0 +     &
                         coupl(nGC_261)*dZWMinus_QED2 + coupl(nGC_272)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_77_Hl)
      coupl(nGC_37229) = coupl(nGC_37225) + coupl(nGC_37227)
      coupl(nGC_37228) = -coupl(nGC_37225) - coupl(nGC_37227)
      coupl(nGC_35134) = coupl(nGC_32690) + coupl(nGC_35131)
      coupl(nGC_37368) = coupl(nGC_34992) + coupl(nGC_37366)
      coupl(nGC_37369) = coupl(nGC_34992) + coupl(nGC_37367)
      coupl(nGC_34775) = coupl(nGC_22505) + coupl(nGC_55)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_55)*dZHaG0_QED2
      coupl(nGC_47198) = coupl(nGC_22844) + coupl(nGC_MHA)*dZHa_QED2 + coupl(  &
                         nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
      coupl(nGC_33654) = coupl(nGC_22532) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl&
                         (nGC_35)*dZHl_QED2/2d0 + coupl(nGC_43)*dZHhHl_QED2/2d0&
                          + coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_49)*         &
                         dZHlHh_QED2/2d0
      coupl(nGC_21976) = cima*(coupl(nGC_1563)*coupl(nGC_4) + coupl(nGC_198)*  &
                         coupl(nGC_2313) + coupl(nGC_199)*coupl(nGC_3351) +    &
                         coupl(nGC_3)*coupl(nGC_3695))/(48d0*pi**2d0)
      coupl(nGC_21977) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*  &
                         cima*coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(    &
                         nGC_197)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0  &
                          + Nc*cMT**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*&
                         cima*coupl(nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197&
                         )**2d0 + cMM**2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0&
                         *cima*coupl(nGC_197)**2d0 + cMW**2d0*cima*coupl(      &
                         nGC_1563)*coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_198)*&
                         coupl(nGC_2313) + cMW**2d0*cima*coupl(nGC_199)*coupl( &
                         nGC_3351) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_3695 &
                         ) - 2d0*cMW**2d0*coupl(nGC_11213) + cMZ**2d0*cima*    &
                         coupl(nGC_198)*coupl(nGC_2313) + cMZ**2d0*cima*coupl( &
                         nGC_199)*coupl(nGC_3351) - cMZ**2d0*coupl(nGC_195))/( &
                         16d0*pi**2d0)
      coupl(nGC_21975) = cima*(-3d0*Nc*coupl(nGC_197)**2d0 - coupl(nGC_1563)*  &
                         coupl(nGC_4) - 3d0*coupl(nGC_197)**2d0 - coupl(nGC_198&
                         )*coupl(nGC_2313) - coupl(nGC_199)*coupl(nGC_3351) -  &
                         coupl(nGC_3)*coupl(nGC_3695))/(48d0*pi**2d0)
      coupl(nGC_32909) = coupl(nGC_32907) - 2d0*coupl(nGC_32908)
      coupl(nGC_22089) = (2d0*Nc*cMB*coupl(nGC_2939)**2d0*coupl(nGC_342) + 8d0*&
                         Nc*cMB*coupl(nGC_2939)*coupl(nGC_341)*coupl(nGC_342   &
                         ) + 2d0*Nc*cMB*coupl(nGC_341)**2d0*coupl(nGC_342) +   &
                         2d0*Nc*cMC*coupl(nGC_2665)**2d0*coupl(nGC_333) + 8d0* &
                         Nc*cMC*coupl(nGC_2665)*coupl(nGC_333)*coupl(nGC_338   &
                         ) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_338)**2d0 +   &
                         2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_350)**2d0 + 8d0*Nc&
                         *cMD*coupl(nGC_345)*coupl(nGC_350)*coupl(nGC_5875) +  &
                         2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_5875)**2d0 + 2d0* &
                         Nc*cMS*coupl(nGC_1833)**2d0*coupl(nGC_363) + 8d0*Nc*  &
                         cMS*coupl(nGC_1833)*coupl(nGC_363)*coupl(nGC_368) +   &
                         2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_368)**2d0 + 2d0*Nc&
                         *cMT*coupl(nGC_1825)**2d0*coupl(nGC_369) + 8d0*Nc*cMT*&
                         coupl(nGC_1825)*coupl(nGC_369)*coupl(nGC_374) + 2d0*Nc&
                         *cMT*coupl(nGC_369)*coupl(nGC_374)**2d0 + 2d0*Nc*cMU* &
                         coupl(nGC_1219)**2d0*coupl(nGC_381) + 8d0*Nc*cMU*coupl&
                         (nGC_1219)*coupl(nGC_381)*coupl(nGC_386) + 2d0*Nc*cMU*&
                         coupl(nGC_381)*coupl(nGC_386)**2d0 + 2d0*cME*coupl(   &
                         nGC_1773)**2d0*coupl(nGC_351) + 8d0*cME*coupl(nGC_1773&
                         )*coupl(nGC_351)*coupl(nGC_356) + 2d0*cME*coupl(      &
                         nGC_351)*coupl(nGC_356)**2d0 + 2d0*cMM*coupl(nGC_1415 &
                         )**2d0*coupl(nGC_357) + 8d0*cMM*coupl(nGC_1415)*coupl(&
                         nGC_357)*coupl(nGC_362) + 2d0*cMM*coupl(nGC_357)*coupl&
                         (nGC_362)**2d0 + 2d0*cMTA*coupl(nGC_1007)**2d0*coupl( &
                         nGC_375) + 8d0*cMTA*coupl(nGC_1007)*coupl(nGC_375)*   &
                         coupl(nGC_380) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_380&
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + cima&
                         *coupl(nGC_230)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_22088) = (2d0*Nc*cMB*coupl(nGC_2939)**2d0*coupl(nGC_339) + 8d0*&
                         Nc*cMB*coupl(nGC_2939)*coupl(nGC_339)*coupl(nGC_341   &
                         ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_2665)**2d0*coupl(nGC_336) + 8d0* &
                         Nc*cMC*coupl(nGC_2665)*coupl(nGC_336)*coupl(nGC_338   &
                         ) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_338)**2d0 +   &
                         2d0*Nc*cMD*coupl(nGC_348)*coupl(nGC_350)**2d0 + 8d0*Nc&
                         *cMD*coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_5875) +  &
                         2d0*Nc*cMD*coupl(nGC_348)*coupl(nGC_5875)**2d0 + 2d0* &
                         Nc*cMS*coupl(nGC_1833)**2d0*coupl(nGC_366) + 8d0*Nc*  &
                         cMS*coupl(nGC_1833)*coupl(nGC_366)*coupl(nGC_368) +   &
                         2d0*Nc*cMS*coupl(nGC_366)*coupl(nGC_368)**2d0 + 2d0*Nc&
                         *cMT*coupl(nGC_1825)**2d0*coupl(nGC_372) + 8d0*Nc*cMT*&
                         coupl(nGC_1825)*coupl(nGC_372)*coupl(nGC_374) + 2d0*Nc&
                         *cMT*coupl(nGC_372)*coupl(nGC_374)**2d0 + 2d0*Nc*cMU* &
                         coupl(nGC_1219)**2d0*coupl(nGC_384) + 8d0*Nc*cMU*coupl&
                         (nGC_1219)*coupl(nGC_384)*coupl(nGC_386) + 2d0*Nc*cMU*&
                         coupl(nGC_384)*coupl(nGC_386)**2d0 + 2d0*cME*coupl(   &
                         nGC_1773)**2d0*coupl(nGC_354) + 8d0*cME*coupl(nGC_1773&
                         )*coupl(nGC_354)*coupl(nGC_356) + 2d0*cME*coupl(      &
                         nGC_354)*coupl(nGC_356)**2d0 + 2d0*cMM*coupl(nGC_1415 &
                         )**2d0*coupl(nGC_360) + 8d0*cMM*coupl(nGC_1415)*coupl(&
                         nGC_360)*coupl(nGC_362) + 2d0*cMM*coupl(nGC_360)*coupl&
                         (nGC_362)**2d0 + 2d0*cMTA*coupl(nGC_1007)**2d0*coupl( &
                         nGC_378) + 8d0*cMTA*coupl(nGC_1007)*coupl(nGC_378)*   &
                         coupl(nGC_380) + 2d0*cMTA*coupl(nGC_378)*coupl(nGC_380&
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_272) + cima&
                         *coupl(nGC_230)*coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_22087) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) - coupl(&
                         nGC_1219)*coupl(nGC_349)*coupl(nGC_5875) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(       &
                         nGC_3395)*coupl(nGC_349)*coupl(nGC_7453) - coupl(     &
                         nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_348&
                         )*coupl(nGC_349)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22084) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) - coupl(&
                         nGC_1641)*coupl(nGC_3295)*coupl(nGC_367) - coupl(     &
                         nGC_1833)*coupl(nGC_2665)*coupl(nGC_367) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(nGC_333&
                         )*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_336)*coupl&
                         (nGC_366)*coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22083) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) - coupl(&
                         nGC_1825)*coupl(nGC_2939)*coupl(nGC_340) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(       &
                         nGC_2677)*coupl(nGC_2741)*coupl(nGC_340) - coupl(     &
                         nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340&
                         )*coupl(nGC_342)*coupl(nGC_369))/(32d0*pi**2d0)
      coupl(nGC_35779) = coupl(nGC_22573) + coupl(nGC_233)*dZHh_QED2 + coupl(  &
                         nGC_233)*dZHl_QED2/2d0 + coupl(nGC_235)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_236)*dZHlHh_QED2 + coupl(             &
                         nGC_TS_GC_17_Hh) + coupl(nGC_TS_GC_20_Hl)
      coupl(nGC_34066) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*         &
                         dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/  &
                         2d0 + coupl(nGC_22713) + coupl(nGC_23)*dZHh_QED2/2d0  &
                          + coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*   &
                         dZZ_QED2/2d0
      coupl(nGC_32677) = coupl(nGC_22518) + coupl(nGC_36)*dZHlHh_QED2 + coupl( &
                         nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl(&
                         nGC_48)*dZHh_QED2
      coupl(nGC_22318) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 +   &
                         5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**&
                         2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*&
                         coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_2)*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*&
                         coupl(nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl&
                         (nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*&
                         coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl&
                         (nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(    &
                         nGC_4)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_1563)**2d0 &
                          + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0)/(24d0*pi**2d0&
                         )
      coupl(nGC_32770) = coupl(nGC_193)*dZZA_QED2/2d0 + coupl(nGC_203)*dZA_QED2&
                         /2d0 + coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_22687)
      coupl(nGC_22316) = coupl(nGC_13)*sq2*(coupl(nGC_1219)*coupl(nGC_386) +   &
                         4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 +     &
                         coupl(nGC_381)**2d0 + coupl(nGC_382)**2d0 + coupl(    &
                         nGC_383)*coupl(nGC_7453) + coupl(nGC_384)**2d0 + coupl&
                         (nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22315) = coupl(nGC_13)*sq2*(coupl(nGC_1219)*coupl(nGC_386) +   &
                         4d0*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*&
                         coupl(nGC_210)**2d0 + coupl(nGC_346)**2d0 + coupl(    &
                         nGC_349)**2d0 + coupl(nGC_381)**2d0 + coupl(nGC_383)* &
                         coupl(nGC_7453) + coupl(nGC_384)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22314) = coupl(nGC_13)*sq2*(-coupl(nGC_1219)*coupl(nGC_386) -  &
                         4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 -     &
                         coupl(nGC_381)**2d0 - coupl(nGC_382)**2d0 - coupl(    &
                         nGC_383)*coupl(nGC_7453) - coupl(nGC_384)**2d0 - coupl&
                         (nGC_385)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22313) = coupl(nGC_13)*sq2*(-coupl(nGC_1219)*coupl(nGC_386) -  &
                         4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*&
                         coupl(nGC_210)**2d0 - coupl(nGC_346)**2d0 - coupl(    &
                         nGC_349)**2d0 - coupl(nGC_381)**2d0 - coupl(nGC_383)* &
                         coupl(nGC_7453) - coupl(nGC_384)**2d0)/(64d0*pi**2d0* &
                         Nc)
      coupl(nGC_22312) = coupl(nGC_13)*sq2*(coupl(nGC_1825)*coupl(nGC_374) +   &
                         4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 +     &
                         coupl(nGC_2677)*coupl(nGC_371) + coupl(nGC_369)**2d0  &
                          + coupl(nGC_370)**2d0 + coupl(nGC_372)**2d0 + coupl( &
                         nGC_373)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22311) = coupl(nGC_13)*sq2*(coupl(nGC_1825)*coupl(nGC_374) +   &
                         4d0*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*&
                         coupl(nGC_210)**2d0 + coupl(nGC_2677)*coupl(nGC_371   &
                         ) + coupl(nGC_340)**2d0 + coupl(nGC_343)**2d0 + coupl(&
                         nGC_369)**2d0 + coupl(nGC_372)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22256) = coupl(nGC_197)*(coupl(nGC_1563)*coupl(nGC_4) + coupl( &
                         nGC_199)*coupl(nGC_212) + 2d0*coupl(nGC_211)*coupl(   &
                         nGC_212) + coupl(nGC_211)*coupl(nGC_2313))/(16d0*pi** &
                         2d0)
      coupl(nGC_22255) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(&
                         nGC_1)*coupl(nGC_3) - coupl(nGC_1563)*coupl(nGC_2) -  &
                         coupl(nGC_199)*coupl(nGC_209) + 2d0*coupl(nGC_209)*   &
                         coupl(nGC_210) - coupl(nGC_210)*coupl(nGC_2313))/(16d0&
                         *pi**2d0)
      coupl(nGC_22252) = (3d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_209) - 3d0*Nc*  &
                         coupl(nGC_197)**2d0*coupl(nGC_210) - coupl(nGC_1563)* &
                         coupl(nGC_199)*coupl(nGC_4) + 3d0*coupl(nGC_197)**2d0*&
                         coupl(nGC_211) - 3d0*coupl(nGC_197)**2d0*coupl(nGC_212&
                         ) - coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_2313))/(  &
                         24d0*pi**2d0)
      coupl(nGC_22253) = coupl(nGC_197)*(coupl(nGC_1)*coupl(nGC_1563) + 2d0*   &
                         coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_199)*coupl(     &
                         nGC_210) + coupl(nGC_2)*coupl(nGC_3) + 2d0*coupl(     &
                         nGC_209)*coupl(nGC_210) + coupl(nGC_209)*coupl(       &
                         nGC_2313))/(16d0*pi**2d0)
      coupl(nGC_50770) = -coupl(nGC_39590)
      coupl(nGC_44713) = coupl(nGC_22574) + coupl(nGC_246)*dZHa_QED2 + coupl(  &
                         nGC_246)*dZHl_QED2/2d0 + coupl(nGC_253)*dZG0Ha_QED2 + &
                         coupl(nGC_254)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_36_Hh&
                         ) + coupl(nGC_TS_GC_41_Hl)
      coupl(nGC_34479) = -coupl(nGC_34478)
      coupl(nGC_22419) = (-8d0*Nc*cima*coupl(nGC_1219)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_386) - 8d0*Nc*cima*coupl(nGC_1825)*coupl(   &
                         nGC_197)**2d0*coupl(nGC_374) - 8d0*Nc*cima*coupl(     &
                         nGC_1833)*coupl(nGC_197)**2d0*coupl(nGC_368) - 8d0*Nc*&
                         cima*coupl(nGC_197)**2d0*coupl(nGC_2665)*coupl(nGC_338&
                         ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2939)*  &
                         coupl(nGC_341) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_350)*coupl(nGC_5875) + 6d0*cima*coupl(nGC_100)*  &
                         coupl(nGC_11213) - 8d0*cima*coupl(nGC_1007)*coupl(    &
                         nGC_197)**2d0*coupl(nGC_380) - 8d0*cima*coupl(nGC_1415&
                         )*coupl(nGC_197)**2d0*coupl(nGC_362) - 8d0*cima*coupl(&
                         nGC_1773)*coupl(nGC_197)**2d0*coupl(nGC_356) + 3d0*   &
                         cima*coupl(nGC_195)*coupl(nGC_230) + 6d0*coupl(nGC_100&
                         )*coupl(nGC_1563)*coupl(nGC_4) + 6d0*coupl(nGC_100)*  &
                         coupl(nGC_198)*coupl(nGC_2313) + 6d0*coupl(nGC_199)*  &
                         coupl(nGC_230)*coupl(nGC_3351))/(48d0*pi**2d0)
      coupl(nGC_38028) = coupl(nGC_38024) + coupl(nGC_38027)
      coupl(nGC_22038) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1641)*&
                         coupl(nGC_365) + coupl(nGC_1)*coupl(nGC_1833)*coupl(  &
                         nGC_368) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 +     &
                         coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(&
                         nGC_366)**2d0 + 2d0*coupl(nGC_1563)*coupl(nGC_197)**  &
                         2d0 + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(   &
                         nGC_2)*coupl(nGC_334)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_337)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22030) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_206)**2d0 + coupl(nGC_1)*coupl(nGC_3395)*coupl(   &
                         nGC_347) + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(  &
                         nGC_1)*coupl(nGC_348)**2d0 + coupl(nGC_1)*coupl(      &
                         nGC_350)*coupl(nGC_5875) + coupl(nGC_2)*coupl(nGC_346 &
                         )**2d0 + coupl(nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi** &
                         2d0)
      coupl(nGC_38899) = coupl(nGC_32656) + coupl(nGC_38897)
    end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
