!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_41392) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_22263) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22267) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22265) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22269) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22483) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0&
                          - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl( &
                         nGC_210)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22482) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0 &
                          + coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl( &
                         nGC_210)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22486) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +    &
                         coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(   &
                         32d0*pi**2d0*Nc**2d0)
      coupl(nGC_22485) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -   &
                         coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_22484) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) +    &
                         coupl(nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(   &
                         128d0*pi**2d0)
      coupl(nGC_33843) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22006) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22004) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22002) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(   &
                         16d0*pi**2d0)
      coupl(nGC_22000) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0&
                          - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi&
                         **2d0*Nc)
      coupl(nGC_22009) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22733) = coupl(nGC_21762)*dsw_QED2 + coupl(nGC_21763)*dcw_QED2 &
                          + coupl(nGC_21764)*dZee_QED2
      coupl(nGC_22732) = coupl(nGC_21573)*dsw_QED2 + coupl(nGC_21574)*dcw_QED2 &
                          + coupl(nGC_21575)*dZee_QED2
      coupl(nGC_22735) = coupl(nGC_21313)*dsw_QED2 + coupl(nGC_21314)*dcw_QED2 &
                          + coupl(nGC_21315)*dZee_QED2
      coupl(nGC_22734) = coupl(nGC_21204)*dsw_QED2 + coupl(nGC_21205)*dcw_QED2 &
                          + coupl(nGC_21206)*dZee_QED2
      coupl(nGC_33397) = coupl(nGC_13)*dZsL_QCD2
      coupl(nGC_33396) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_22138) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22649) = coupl(nGC_21714)*db_QED2 + coupl(nGC_21715)*          &
                         dytau1_QED3 + coupl(nGC_21716)*dytau2_QED3
      coupl(nGC_22136) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22860) = -cima*dMB_QCD2
      coupl(nGC_22863) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_38681) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_22865) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_22864) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_35873) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_35874) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl( &
                         nGC_22728)
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33206) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZeMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_eL_QED2/2d0  &
                          + coupl(nGC_22728)
      coupl(nGC_35896) = coupl(nGC_366)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_40558) = coupl(nGC_371)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_36021) = coupl(nGC_22655) + coupl(nGC_375)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_378)*dZHh_QED2/2d0
      coupl(nGC_36022) = coupl(nGC_36020) + coupl(nGC_36021)
      coupl(nGC_47249) = -coupl(nGC_38058)
      coupl(nGC_35662) = -coupl(nGC_35661)
      coupl(nGC_32796) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32799) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_32597) = -coupl(nGC_32591)
      coupl(nGC_33159) = coupl(nGC_52)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
