!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_32206) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_35527) = coupl(nGC_13)*dZdL_QED2
      coupl(nGC_35528) = coupl(nGC_13)*dZdL_QCD2
      coupl(nGC_35529) = coupl(nGC_13)*dZdR_QED2
      coupl(nGC_36218) = coupl(nGC_I)*dZGMinus
      coupl(nGC_32999) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_48588) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_48589) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_38268) = -coupl(nGC_32799)
      coupl(nGC_22853) = -cima*dMT_QED2
      coupl(nGC_36859) = coupl(nGC_74)*dZGMinus
      coupl(nGC_36503) = coupl(nGC_347)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_22855) = -cima*dMD_QED2
      coupl(nGC_33223) = coupl(nGC_335)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_33222) = coupl(nGC_335)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_40352) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_39842) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_39841) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_39840) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_22619) = coupl(nGC_21566)*dyd13x3_QED1_QCD2 + coupl(nGC_21567)*&
                         dyb2_QED1_QCD2
      coupl(nGC_34690) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_38460) = coupl(nGC_22511) + coupl(nGC_36)*dZHhHl_QED2 + coupl( &
                         nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl(&
                         nGC_41)*dZHl_QED2
      coupl(nGC_32690) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_22727)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33009) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_34907) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_22699)
      coupl(nGC_32684) = coupl(nGC_13)*dZcR_QED2
      coupl(nGC_32685) = coupl(nGC_13)*dZcR_QCD2
      coupl(nGC_32686) = coupl(nGC_13)*dZcL_QED2
      coupl(nGC_32687) = coupl(nGC_13)*dZcL_QCD2
      coupl(nGC_32680) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33173) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_32191) = coupl(nGC_362)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_32194) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_32198) = -coupl(nGC_32194)
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_41039) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_22238) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC*&
                         coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(      &
                         nGC_363) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_22239) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(    &
                         nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22234) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22235) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(    &
                         nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22236) = coupl(nGC_351)*(-coupl(nGC_1773)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2247)**2d0 - coupl&
                         (nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22237) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC&
                         *coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(     &
                         nGC_363) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/( &
                         16d0*pi**2d0)
      coupl(nGC_22230) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(nGC_333&
                         )**3d0 - coupl(nGC_333)*coupl(nGC_335)**2d0 - coupl(  &
                         nGC_333)*coupl(nGC_336)**2d0 - coupl(nGC_333)*coupl(  &
                         nGC_338)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(  &
                         nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367&
                         ))/(32d0*pi**2d0)
      coupl(nGC_22231) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22233) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345&
                         )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(  &
                         nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(  &
                         nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                         nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385&
                         ))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
