!******************************************************************************!
!                                                                              !
!    vertices_info20.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info20.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info20
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl20()
      allocate(vertices(8655)%branchCT(0:0))
      call avCT(8655, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32263])

      allocate(vertices(8465)%branchCT(0:1))
      call avCT(8465, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_34075])

      call avCT(8465, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_34074])

      allocate(vertices(8656)%branchCT(0:0))
      call avCT(8656, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32189])

      allocate(vertices(8657)%branchCT(0:0))
      call avCT(8657, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33926])

      allocate(vertices(8659)%branchCT(0:0))
      call avCT(8659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32943])

      allocate(vertices(4089)%branchCT(0:3))
      call avCT(4089, 0, 28, 2, 0, FVFa0, 0, [1, 2], [nGC_35130, nGC_35128])

      call avCT(4089, 1, 28, 2, 0, FVFa0, 0, [3, 0], [nGC_35134, nGC_35135])

      call avCT(4089, 2, 29, 3, 0, FVFa0, 0, [1, 2], [nGC_35130, nGC_35128])

      call avCT(4089, 3, 29, 3, 0, FVFa0, 0, [3, 0], [nGC_35134, nGC_35135])

      allocate(vertices(10409)%branchCT(0:0))
      call avCT(10409, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33843])

      allocate(vertices(10410)%branchCT(0:0))
      call avCT(10410, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32976])

      allocate(vertices(8661)%branchCT(0:1))
      call avCT(8661, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33889])

      call avCT(8661, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33888])

      allocate(vertices(2525)%branchCT(0:1))
      call avCT(2525, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_34075])

      call avCT(2525, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_34074])

      allocate(vertices(5847)%branchCT(0:0))
      call avCT(5847, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_33334])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32288])

      allocate(vertices(10411)%branchCT(0:0))
      call avCT(10411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32969])

      allocate(vertices(8664)%branchCT(0:2))
      call avCT(8664, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_33501, nGC_33502])

      call avCT(8664, 1, 21, 1, 0, SFaF1, 0, [0, 1], [nGC_33503, nGC_33499])

      call avCT(8664, 2, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_33504, nGC_33505])

      allocate(vertices(10412)%branchCT(0:0))
      call avCT(10412, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32167])

      allocate(vertices(4093)%branchCT(0:1))
      call avCT(4093, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_36484])

      call avCT(4093, 1, 1, 1, 0, VSS0, 0, [0, 1], [nGC_33614])

      allocate(vertices(10413)%branchCT(0:0))
      call avCT(10413, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_32392])

      allocate(vertices(10414)%branchCT(0:1))
      call avCT(10414, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_37505, nGC_37501,    &
      nGC_37508, nGC_37508])

      call avCT(10414, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_37506, nGC_37502,    &
      nGC_37509, nGC_37509])

      allocate(vertices(6463)%branchCT(0:0))
      call avCT(6463, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_34375])

      allocate(vertices(10415)%branchCT(0:0))
      call avCT(10415, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_34522])

      allocate(vertices(10416)%branchCT(0:0))
      call avCT(10416, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32976])

      allocate(vertices(8668)%branchCT(0:0))
      call avCT(8668, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_32555, nGC_32556])

      allocate(vertices(6115)%branchCT(0:0))
      call avCT(6115, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32735])

      allocate(vertices(4222)%branchCT(0:1))
      call avCT(4222, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33049])

      call avCT(4222, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_33045])

      allocate(vertices(8670)%branchCT(0:1))
      call avCT(8670, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32331])

      call avCT(8670, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32328])

      allocate(vertices(4100)%branchCT(0:0))
      call avCT(4100, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_33792])

      allocate(vertices(10417)%branchCT(0:0))
      call avCT(10417, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_34522])

      allocate(vertices(8671)%branchCT(0:1))
      call avCT(8671, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33922])

      call avCT(8671, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33919])

      allocate(vertices(10418)%branchCT(0:0))
      call avCT(10418, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32206])

      allocate(vertices(8371)%branchCT(0:1))
      call avCT(8371, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_22498])

      call avCT(8371, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32529])

      allocate(vertices(7911)%branchCT(0:1))
      call avCT(7911, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32411])

      call avCT(7911, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32407])

      allocate(vertices(303)%branchCT(0:1))
      call avCT(303, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32524])

      call avCT(303, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_32521])

      allocate(vertices(8673)%branchCT(0:1))
      call avCT(8673, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_36777])

      call avCT(8673, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_36774])

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_32438])

      allocate(vertices(8674)%branchCT(0:0))
      call avCT(8674, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_33574, nGC_33575])

      allocate(vertices(4106)%branchCT(0:0))
      call avCT(4106, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_34386])

      allocate(vertices(8675)%branchCT(0:0))
      call avCT(8675, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33168])

      allocate(vertices(5262)%branchCT(0:0))
      call avCT(5262, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32735])

      allocate(vertices(10419)%branchCT(0:0))
      call avCT(10419, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33033])

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_32449])

      allocate(vertices(8004)%branchCT(0:1))
      call avCT(8004, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33016])

      call avCT(8004, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33012])

      allocate(vertices(10420)%branchCT(0:0))
      call avCT(10420, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_33463])

      allocate(vertices(10421)%branchCT(0:0))
      call avCT(10421, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_32301])

      allocate(vertices(4109)%branchCT(0:1))
      call avCT(4109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32331])

      call avCT(4109, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32328])

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32770])

      allocate(vertices(10422)%branchCT(0:0))
      call avCT(10422, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32167])

      allocate(vertices(3721)%branchCT(0:0))
      call avCT(3721, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32306])

      allocate(vertices(8678)%branchCT(0:0))
      call avCT(8678, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32473])

      allocate(vertices(8679)%branchCT(0:0))
      call avCT(8679, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_35235, nGC_35235,     &
      nGC_35236])

      allocate(vertices(10423)%branchCT(0:0))
      call avCT(10423, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_38432, nGC_38431])

      allocate(vertices(10424)%branchCT(0:0))
      call avCT(10424, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32625])

      allocate(vertices(4117)%branchCT(0:1))
      call avCT(4117, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_39590])

      call avCT(4117, 1, 1, 1, 0, VSS0, 0, [0, 1], [nGC_39587])

      allocate(vertices(10425)%branchCT(0:0))
      call avCT(10425, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33009])

      allocate(vertices(2103)%branchCT(0:1))
      call avCT(2103, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_35874])

      call avCT(2103, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_35873])

      allocate(vertices(8682)%branchCT(0:0))
      call avCT(8682, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_32527])

      allocate(vertices(10426)%branchCT(0:0))
      call avCT(10426, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32976])

      allocate(vertices(10427)%branchCT(0:0))
      call avCT(10427, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32144])

      allocate(vertices(1428)%branchCT(0:1))
      call avCT(1428, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32524])

      call avCT(1428, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32521])

      allocate(vertices(8685)%branchCT(0:3))
      call avCT(8685, 0, 27, 3, 0, VFaF1, 0, [1, 2], [nGC_33066, nGC_33068])

      call avCT(8685, 1, 27, 3, 0, VFaF1, 0, [3, 0], [nGC_33070, nGC_33071])

      call avCT(8685, 2, 26, 2, 0, VFaF1, 0, [1, 2], [nGC_33066, nGC_33068])

      call avCT(8685, 3, 26, 2, 0, VFaF1, 0, [3, 0], [nGC_33070, nGC_33071])

      allocate(vertices(4121)%branchCT(0:1))
      call avCT(4121, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_22554])

      call avCT(4121, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_32772])

      allocate(vertices(10428)%branchCT(0:0))
      call avCT(10428, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33883])

      allocate(vertices(8018)%branchCT(0:1))
      call avCT(8018, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33995])

      call avCT(8018, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33994])

      allocate(vertices(8026)%branchCT(0:0))
      call avCT(8026, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32218])

      allocate(vertices(10429)%branchCT(0:0))
      call avCT(10429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33883])

      allocate(vertices(8688)%branchCT(0:1))
      call avCT(8688, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_32222])

      call avCT(8688, 1, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_32221])

      allocate(vertices(4124)%branchCT(0:0))
      call avCT(4124, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32203])

      allocate(vertices(182)%branchCT(0:1))
      call avCT(182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34414])

      call avCT(182, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34411])

      allocate(vertices(8691)%branchCT(0:1))
      call avCT(8691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32766])

      call avCT(8691, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32765])

      allocate(vertices(10430)%branchCT(0:0))
      call avCT(10430, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32465])

      allocate(vertices(4125)%branchCT(0:1))
      call avCT(4125, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32613])

      call avCT(4125, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32610])

      allocate(vertices(8693)%branchCT(0:1))
      call avCT(8693, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_22497])

      call avCT(8693, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32581])

      allocate(vertices(8056)%branchCT(0:0))
      call avCT(8056, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32218])

      allocate(vertices(6049)%branchCT(0:1))
      call avCT(6049, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34775])

      call avCT(6049, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34774])

      allocate(vertices(4127)%branchCT(0:0))
      call avCT(4127, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_33334])

      allocate(vertices(8068)%branchCT(0:1))
      call avCT(8068, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_22552])

      call avCT(8068, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_33384])

      allocate(vertices(4128)%branchCT(0:0))
      call avCT(4128, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_36704, nGC_36704])

      allocate(vertices(10431)%branchCT(0:0))
      call avCT(10431, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33033])

      allocate(vertices(8788)%branchCT(0:0))
      call avCT(8788, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_33168])

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32263])

      allocate(vertices(8698)%branchCT(0:0))
      call avCT(8698, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32312])

      allocate(vertices(4131)%branchCT(0:0))
      call avCT(4131, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_37529, nGC_37530])

      allocate(vertices(4971)%branchCT(0:1))
      call avCT(4971, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_22554])

      call avCT(4971, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32772])

      allocate(vertices(4132)%branchCT(0:0))
      call avCT(4132, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32263])

      allocate(vertices(8702)%branchCT(0:0))
      call avCT(8702, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32943])

      allocate(vertices(8703)%branchCT(0:1))
      call avCT(8703, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33049])

      call avCT(8703, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33045])

      allocate(vertices(4133)%branchCT(0:1))
      call avCT(4133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34213])

      call avCT(4133, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34208])

      allocate(vertices(10432)%branchCT(0:0))
      call avCT(10432, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32138])

      allocate(vertices(8705)%branchCT(0:1))
      call avCT(8705, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32645])

      call avCT(8705, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32640])

      allocate(vertices(8706)%branchCT(0:0))
      call avCT(8706, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32770])

      allocate(vertices(6073)%branchCT(0:0))
      call avCT(6073, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32288])

      allocate(vertices(10433)%branchCT(0:0))
      call avCT(10433, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32743])

      allocate(vertices(8132)%branchCT(0:1))
      call avCT(8132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33995])

      call avCT(8132, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33994])

      allocate(vertices(4138)%branchCT(0:0))
      call avCT(4138, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_32760])

      allocate(vertices(10434)%branchCT(0:0))
      call avCT(10434, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32389])

      allocate(vertices(4140)%branchCT(0:2))
      call avCT(4140, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_40348, nGC_40349])

      call avCT(4140, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_40347, nGC_40343])

      call avCT(4140, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_40345, nGC_40346])

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_34386])

      allocate(vertices(4142)%branchCT(0:1))
      call avCT(4142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33742])

      call avCT(4142, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33738])

      allocate(vertices(8709)%branchCT(0:1))
      call avCT(8709, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_41472, nGC_41473])

      call avCT(8709, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_41468, nGC_41465])

      allocate(vertices(8154)%branchCT(0:0))
      call avCT(8154, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_32958])

      allocate(vertices(10435)%branchCT(0:0))
      call avCT(10435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32404])

      allocate(vertices(4143)%branchCT(0:1))
      call avCT(4143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32258])

      call avCT(4143, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32254])

      allocate(vertices(2862)%branchCT(0:1))
      call avCT(2862, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32481])

      call avCT(2862, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32478])

      allocate(vertices(8170)%branchCT(0:1))
      call avCT(8170, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_22554])

      call avCT(8170, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_32772])

      allocate(vertices(4145)%branchCT(0:1))
      call avCT(4145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33177])

      call avCT(4145, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33173])

      allocate(vertices(4147)%branchCT(0:1))
      call avCT(4147, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_35874])

      call avCT(4147, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_35873])

      allocate(vertices(10436)%branchCT(0:0))
      call avCT(10436, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33009])

      allocate(vertices(8715)%branchCT(0:1))
      call avCT(8715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_35073])

      call avCT(8715, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_33384])

      allocate(vertices(10437)%branchCT(0:0))
      call avCT(10437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32389])

      allocate(vertices(4148)%branchCT(0:0))
      call avCT(4148, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_34907])

      allocate(vertices(8203)%branchCT(0:0))
      call avCT(8203, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_38762])

      allocate(vertices(8718)%branchCT(0:0))
      call avCT(8718, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32288])

      allocate(vertices(8216)%branchCT(0:0))
      call avCT(8216, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32485])

      allocate(vertices(8720)%branchCT(0:0))
      call avCT(8720, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_32438])

      allocate(vertices(4975)%branchCT(0:0))
      call avCT(4975, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32968])

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34256])

      allocate(vertices(10438)%branchCT(0:0))
      call avCT(10438, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_41415])

      allocate(vertices(5695)%branchCT(0:1))
      call avCT(5695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33859])

      call avCT(5695, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33856])

      allocate(vertices(10439)%branchCT(0:0))
      call avCT(10439, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32917])

      allocate(vertices(8305)%branchCT(0:0))
      call avCT(8305, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32770])

      allocate(vertices(8240)%branchCT(0:1))
      call avCT(8240, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33016])

      call avCT(8240, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33012])

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32203])

      allocate(vertices(4157)%branchCT(0:0))
      call avCT(4157, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33520])

      allocate(vertices(3252)%branchCT(0:1))
      call avCT(3252, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_33016])

      call avCT(3252, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_33012])

      allocate(vertices(6792)%branchCT(0:0))
      call avCT(6792, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32312])

      allocate(vertices(8726)%branchCT(0:0))
      call avCT(8726, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32263])

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32485])

      allocate(vertices(8727)%branchCT(0:0))
      call avCT(8727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34256])

      allocate(vertices(10440)%branchCT(0:0))
      call avCT(10440, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32380])

      allocate(vertices(3613)%branchCT(0:1))
      call avCT(3613, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_22499])

      call avCT(3613, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32334])

      allocate(vertices(4161)%branchCT(0:1))
      call avCT(4161, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_34066])

      call avCT(4161, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_34062])

      allocate(vertices(10441)%branchCT(0:0))
      call avCT(10441, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_33103])

      allocate(vertices(8277)%branchCT(0:0))
      call avCT(8277, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33865])

      allocate(vertices(10442)%branchCT(0:0))
      call avCT(10442, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32138])

      allocate(vertices(3525)%branchCT(0:1))
      call avCT(3525, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_33681, nGC_33682])

      call avCT(3525, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_33677, nGC_33674])

      allocate(vertices(4165)%branchCT(0:1))
      call avCT(4165, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_33091])

      call avCT(4165, 1, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_33090])

      allocate(vertices(8733)%branchCT(0:0))
      call avCT(8733, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32369])

      allocate(vertices(4166)%branchCT(0:0))
      call avCT(4166, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32962])

      allocate(vertices(1667)%branchCT(0:1))
      call avCT(1667, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32386])

      call avCT(1667, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32385])

      allocate(vertices(10443)%branchCT(0:0))
      call avCT(10443, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_34522])

      allocate(vertices(4167)%branchCT(0:1))
      call avCT(4167, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_36473, nGC_36473])

      call avCT(4167, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_36475, nGC_36475])

      allocate(vertices(7248)%branchCT(0:0))
      call avCT(7248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33295])

      allocate(vertices(8738)%branchCT(0:0))
      call avCT(8738, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32881])

      allocate(vertices(8315)%branchCT(0:0))
      call avCT(8315, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32770])

      allocate(vertices(10444)%branchCT(0:0))
      call avCT(10444, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_34646])

      allocate(vertices(10445)%branchCT(0:0))
      call avCT(10445, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_41331])

      allocate(vertices(8742)%branchCT(0:0))
      call avCT(8742, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_32534, nGC_32535,     &
      nGC_32534])

      allocate(vertices(4170)%branchCT(0:0))
      call avCT(4170, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32203])

      allocate(vertices(4171)%branchCT(0:1))
      call avCT(4171, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_38971, nGC_38972])

      call avCT(4171, 1, 1, 1, 0, FaSF0, 0, [0, 1], [nGC_38973, nGC_38969])

      allocate(vertices(6671)%branchCT(0:0))
      call avCT(6671, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33865])

      allocate(vertices(4173)%branchCT(0:1))
      call avCT(4173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32683])

      call avCT(4173, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32680])

      allocate(vertices(10446)%branchCT(0:0))
      call avCT(10446, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32158])

      allocate(vertices(10447)%branchCT(0:0))
      call avCT(10447, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32263])

      allocate(vertices(4177)%branchCT(0:0))
      call avCT(4177, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_34587])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_36964])

      allocate(vertices(8751)%branchCT(0:0))
      call avCT(8751, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_35522])

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32186])

      allocate(vertices(10448)%branchCT(0:0))
      call avCT(10448, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32917])

      allocate(vertices(4181)%branchCT(0:0))
      call avCT(4181, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_35515])

      allocate(vertices(8753)%branchCT(0:1))
      call avCT(8753, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_22552])

      call avCT(8753, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_33384])

      allocate(vertices(4182)%branchCT(0:1))
      call avCT(4182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33162])

      call avCT(4182, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33159])

      allocate(vertices(8757)%branchCT(0:1))
      call avCT(8757, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_38683])

      call avCT(8757, 1, 1, 1, 0, VSS0, 0, [0, 1], [nGC_38684])

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_34907])

      allocate(vertices(10449)%branchCT(0:0))
      call avCT(10449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32404])

      allocate(vertices(8559)%branchCT(0:0))
      call avCT(8559, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32226])

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32214])

      allocate(vertices(10450)%branchCT(0:0))
      call avCT(10450, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33843])

      allocate(vertices(8760)%branchCT(0:0))
      call avCT(8760, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32396])

      allocate(vertices(8761)%branchCT(0:0))
      call avCT(8761, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32770])

      allocate(vertices(10451)%branchCT(0:0))
      call avCT(10451, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32251])

      allocate(vertices(10452)%branchCT(0:0))
      call avCT(10452, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_34020])

      allocate(vertices(4156)%branchCT(0:0))
      call avCT(4156, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32770])

      allocate(vertices(4187)%branchCT(0:0))
      call avCT(4187, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32968])

      allocate(vertices(10453)%branchCT(0:0))
      call avCT(10453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32925])

      allocate(vertices(8825)%branchCT(0:0))
      call avCT(8825, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32994])

      allocate(vertices(4188)%branchCT(0:0))
      call avCT(4188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32994])

      allocate(vertices(4189)%branchCT(0:1))
      call avCT(4189, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_35874])

      call avCT(4189, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_35873])

      allocate(vertices(4190)%branchCT(0:0))
      call avCT(4190, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32226])

      allocate(vertices(4191)%branchCT(0:0))
      call avCT(4191, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32473])

      allocate(vertices(4192)%branchCT(0:1))
      call avCT(4192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34220])

      call avCT(4192, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34216])

      allocate(vertices(10454)%branchCT(0:0))
      call avCT(10454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32976])

      allocate(vertices(10455)%branchCT(0:0))
      call avCT(10455, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32625])

      allocate(vertices(8769)%branchCT(0:1))
      call avCT(8769, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_22501])

      call avCT(8769, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_33189])

      allocate(vertices(6478)%branchCT(0:1))
      call avCT(6478, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32155])

      call avCT(6478, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32152])

      allocate(vertices(10456)%branchCT(0:0))
      call avCT(10456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32380])

      allocate(vertices(7226)%branchCT(0:0))
      call avCT(7226, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_35522])

      allocate(vertices(10457)%branchCT(0:0))
      call avCT(10457, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32389])

      allocate(vertices(10458)%branchCT(0:0))
      call avCT(10458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32404])

      allocate(vertices(10459)%branchCT(0:0))
      call avCT(10459, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_34021])

      allocate(vertices(7632)%branchCT(0:0))
      call avCT(7632, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32218])

      allocate(vertices(8725)%branchCT(0:0))
      call avCT(8725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_57009])

      allocate(vertices(8776)%branchCT(0:0))
      call avCT(8776, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32189])

      allocate(vertices(5619)%branchCT(0:1))
      call avCT(5619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34775])

      call avCT(5619, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34774])

      allocate(vertices(6176)%branchCT(0:1))
      call avCT(6176, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_33016])

      call avCT(6176, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_33012])

      allocate(vertices(10460)%branchCT(0:0))
      call avCT(10460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32404])

      allocate(vertices(7738)%branchCT(0:1))
      call avCT(7738, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32524])

      call avCT(7738, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32521])

      allocate(vertices(8499)%branchCT(0:0))
      call avCT(8499, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_34386])

      allocate(vertices(10461)%branchCT(0:0))
      call avCT(10461, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(4198)%branchCT(0:1))
      call avCT(4198, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_33091])

      call avCT(4198, 1, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_33090])

      allocate(vertices(7250)%branchCT(0:1))
      call avCT(7250, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32524])

      call avCT(7250, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32521])

      allocate(vertices(7329)%branchCT(0:1))
      call avCT(7329, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_35073])

      call avCT(7329, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_33384])

      allocate(vertices(10462)%branchCT(0:0))
      call avCT(10462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32976])

      allocate(vertices(7556)%branchCT(0:0))
      call avCT(7556, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_33334])

      allocate(vertices(10463)%branchCT(0:0))
      call avCT(10463, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32743])

      allocate(vertices(8783)%branchCT(0:0))
      call avCT(8783, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_34098])

      allocate(vertices(10464)%branchCT(0:0))
      call avCT(10464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32625])

      allocate(vertices(8784)%branchCT(0:1))
      call avCT(8784, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_33474])

      call avCT(8784, 1, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_33472])

      allocate(vertices(4204)%branchCT(0:0))
      call avCT(4204, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_32209])

      allocate(vertices(8786)%branchCT(0:1))
      call avCT(8786, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32512])

      call avCT(8786, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32508])

      allocate(vertices(1822)%branchCT(0:1))
      call avCT(1822, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_33016])

      call avCT(1822, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_33012])

      allocate(vertices(7171)%branchCT(0:0))
      call avCT(7171, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_33334])

      allocate(vertices(10465)%branchCT(0:0))
      call avCT(10465, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_34507])

      allocate(vertices(8787)%branchCT(0:0))
      call avCT(8787, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_33526])

      allocate(vertices(4207)%branchCT(0:1))
      call avCT(4207, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32155])

      call avCT(4207, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32152])

      allocate(vertices(4208)%branchCT(0:0))
      call avCT(4208, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32735])

      allocate(vertices(4209)%branchCT(0:1))
      call avCT(4209, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_38267])

      call avCT(4209, 1, 1, 1, 0, VSS0, 0, [0, 1], [nGC_38268])

      allocate(vertices(4210)%branchCT(0:1))
      call avCT(4210, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_50770])

      call avCT(4210, 1, 1, 1, 0, SSV0, 0, [0, 1], [nGC_50771])

      allocate(vertices(5051)%branchCT(0:1))
      call avCT(5051, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32613])

      call avCT(5051, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_32610])

      allocate(vertices(8573)%branchCT(0:1))
      call avCT(8573, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33084])

      call avCT(8573, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_33080])

      allocate(vertices(8575)%branchCT(0:1))
      call avCT(8575, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_33323])

      call avCT(8575, 1, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_33321])

      allocate(vertices(4214)%branchCT(0:1))
      call avCT(4214, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_32222])

      call avCT(4214, 1, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_32221])

      allocate(vertices(44)%branchCT(0:1))
      call avCT(44, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32613])

      call avCT(44, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32610])

      allocate(vertices(6856)%branchCT(0:1))
      call avCT(6856, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32155])

      call avCT(6856, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32152])

      allocate(vertices(8593)%branchCT(0:1))
      call avCT(8593, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32524])

      call avCT(8593, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32521])

      allocate(vertices(10466)%branchCT(0:0))
      call avCT(10466, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33843])

      allocate(vertices(10467)%branchCT(0:0))
      call avCT(10467, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(10468)%branchCT(0:0))
      call avCT(10468, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_36397])

      allocate(vertices(8798)%branchCT(0:0))
      call avCT(8798, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_33206])

      allocate(vertices(8799)%branchCT(0:1))
      call avCT(8799, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32155])

      call avCT(8799, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_32152])

      allocate(vertices(10469)%branchCT(0:0))
      call avCT(10469, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33103])

      allocate(vertices(10470)%branchCT(0:0))
      call avCT(10470, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(8404)%branchCT(0:0))
      call avCT(8404, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_32862])

      allocate(vertices(8803)%branchCT(0:0))
      call avCT(8803, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_38762])

      allocate(vertices(10471)%branchCT(0:0))
      call avCT(10471, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32206])

      allocate(vertices(4220)%branchCT(0:0))
      call avCT(4220, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32263])

      allocate(vertices(10472)%branchCT(0:0))
      call avCT(10472, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(10473)%branchCT(0:0))
      call avCT(10473, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33009])

      allocate(vertices(10474)%branchCT(0:0))
      call avCT(10474, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32380])

      allocate(vertices(10475)%branchCT(0:0))
      call avCT(10475, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_33030])

      allocate(vertices(4223)%branchCT(0:1))
      call avCT(4223, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32613])

      call avCT(4223, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32610])

      allocate(vertices(10476)%branchCT(0:0))
      call avCT(10476, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32138])

      allocate(vertices(10477)%branchCT(0:0))
      call avCT(10477, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_36397])

      allocate(vertices(8805)%branchCT(0:0))
      call avCT(8805, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_33971, nGC_33972])

      allocate(vertices(8806)%branchCT(0:1))
      call avCT(8806, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_22552])

      call avCT(8806, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_33384])

      allocate(vertices(4226)%branchCT(0:0))
      call avCT(4226, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_36964])

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_34643])

      allocate(vertices(4227)%branchCT(0:0))
      call avCT(4227, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33168])

      allocate(vertices(4228)%branchCT(0:0))
      call avCT(4228, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_32914])

      allocate(vertices(7912)%branchCT(0:5))
      call avCT(7912, 0, 58, 6, 0, UVUaV0, 0, [4, 0], [nGC_33660])

      call avCT(7912, 1, 117, 6, 0, UVUaV0, 0, [4, 0], [nGC_33660])

      call avCT(7912, 2, 59, 7, 0, UVUaV0, 0, [4, 0], [nGC_33669])

      call avCT(7912, 3, 116, 6, 0, UVUaV0, 0, [4, 0], [nGC_33660])

      call avCT(7912, 4, 60, 6, 0, UVUaV0, 0, [4, 0], [nGC_33660])

      call avCT(7912, 5, 61, 7, 0, UVUaV0, 0, [4, 0], [nGC_33669])

      allocate(vertices(10478)%branchCT(0:0))
      call avCT(10478, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33395])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32770])

      allocate(vertices(10479)%branchCT(0:0))
      call avCT(10479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32999])

      allocate(vertices(8810)%branchCT(0:1))
      call avCT(8810, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_22500])

      call avCT(8810, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32303])

      allocate(vertices(8811)%branchCT(0:0))
      call avCT(8811, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32186])

      allocate(vertices(8696)%branchCT(0:0))
      call avCT(8696, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_34907])

      allocate(vertices(10480)%branchCT(0:0))
      call avCT(10480, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33009])

      allocate(vertices(8816)%branchCT(0:0))
      call avCT(8816, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32149])

      allocate(vertices(4234)%branchCT(0:0))
      call avCT(4234, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_33971, nGC_33972])

      allocate(vertices(10481)%branchCT(0:0))
      call avCT(10481, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32167])

      allocate(vertices(8817)%branchCT(0:1))
      call avCT(8817, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_32246, nGC_32246])

      call avCT(8817, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_32248, nGC_32248])

      allocate(vertices(4989)%branchCT(0:1))
      call avCT(4989, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_34225])

      call avCT(4989, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32529])

      allocate(vertices(6501)%branchCT(0:0))
      call avCT(6501, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32203])

      allocate(vertices(10482)%branchCT(0:0))
      call avCT(10482, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32167])

      allocate(vertices(3435)%branchCT(0:1))
      call avCT(3435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32411])

      call avCT(3435, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32407])

      allocate(vertices(8820)%branchCT(0:0))
      call avCT(8820, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32214])

      allocate(vertices(8821)%branchCT(0:0))
      call avCT(8821, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_36590])

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_32298])

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_37431])

      allocate(vertices(6488)%branchCT(0:1))
      call avCT(6488, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32386])

      call avCT(6488, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_36938])

      allocate(vertices(10483)%branchCT(0:0))
      call avCT(10483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32380])

      allocate(vertices(4241)%branchCT(0:1))
      call avCT(4241, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32155])

      call avCT(4241, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32152])

      allocate(vertices(2832)%branchCT(0:1))
      call avCT(2832, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32613])

      call avCT(2832, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32610])

      allocate(vertices(10484)%branchCT(0:0))
      call avCT(10484, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32138])

      allocate(vertices(4242)%branchCT(0:0))
      call avCT(4242, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_35515])

      allocate(vertices(1446)%branchCT(0:1))
      call avCT(1446, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32462])

      call avCT(1446, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32458])

      allocate(vertices(5389)%branchCT(0:1))
      call avCT(5389, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_39146, nGC_39147])

      call avCT(5389, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_39140, nGC_39143])

      allocate(vertices(8828)%branchCT(0:0))
      call avCT(8828, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_32527])

      allocate(vertices(8017)%branchCT(0:0))
      call avCT(8017, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_34907])

      allocate(vertices(10485)%branchCT(0:0))
      call avCT(10485, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32138])

      allocate(vertices(10486)%branchCT(0:0))
      call avCT(10486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32404])

      allocate(vertices(4246)%branchCT(0:0))
      call avCT(4246, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_34643])

      allocate(vertices(4250)%branchCT(0:0))
      call avCT(4250, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_32770])

      allocate(vertices(8831)%branchCT(0:1))
      call avCT(8831, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32645])

      call avCT(8831, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32640])

      allocate(vertices(4626)%branchCT(0:1))
      call avCT(4626, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32481])

      call avCT(4626, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32478])

      allocate(vertices(8830)%branchCT(0:1))
      call avCT(8830, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_22553])

      call avCT(8830, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_32398])

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(10170)%branchR2(0:0))
      call avR2(10170, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5607)%branchR2(0:0))
      call avR2(5607, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22361,     &
      nGC_22363])

      allocate(vertices(3881)%branchR2(0:0))
      call avR2(3881, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1883)%branchR2(0:0))
      call avR2(1883, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(6905)%branchR2(0:0))
      call avR2(6905, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(6641)%branchR2(0:0))
      call avR2(6641, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(5805)%branchR2(0:1))
      call avR2(5805, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(5805, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(5100)%branchR2(0:0))
      call avR2(5100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22094])

      allocate(vertices(5000)%branchR2(0:0))
      call avR2(5000, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10289)%branchR2(0:0))
      call avR2(10289, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21958, nGC_21957])

      allocate(vertices(5442)%branchR2(0:0))
      call avR2(5442, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(6476)%branchR2(0:0))
      call avR2(6476, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(4832)%branchR2(0:0))
      call avR2(4832, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22072])

      allocate(vertices(9110)%branchR2(0:0))
      call avR2(9110, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22036])

      allocate(vertices(10005)%branchR2(0:0))
      call avR2(10005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(8414)%branchR2(0:0))
      call avR2(8414, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(7581)%branchR2(0:1))
      call avR2(7581, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(7581, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(10387)%branchR2(0:0))
      call avR2(10387, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(10487)%branchR2(0:0))
      call avR2(10487, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10488)%branchR2(0:1))
      call avR2(10488, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10488, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(7818)%branchR2(0:0))
      call avR2(7818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(7545)%branchR2(0:0))
      call avR2(7545, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(4055)%branchR2(0:0))
      call avR2(4055, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(4025)%branchR2(0:0))
      call avR2(4025, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(4342)%branchR2(0:1))
      call avR2(4342, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(4342, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(10489)%branchR2(0:1))
      call avR2(10489, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22399])

      call avR2(10489, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(4953)%branchR2(0:0))
      call avR2(4953, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22278])

      allocate(vertices(5886)%branchR2(0:0))
      call avR2(5886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(10321)%branchR2(0:0))
      call avR2(10321, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(6503)%branchR2(0:0))
      call avR2(6503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4626)%branchR2(0:0))
      call avR2(4626, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10278)%branchR2(0:0))
      call avR2(10278, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(6909)%branchR2(0:0))
      call avR2(6909, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22022])

      allocate(vertices(6377)%branchR2(0:0))
      call avR2(6377, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(3278)%branchR2(0:1))
      call avR2(3278, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(3278, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(3775)%branchR2(0:0))
      call avR2(3775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6164)%branchR2(0:0))
      call avR2(6164, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(7479)%branchR2(0:0))
      call avR2(7479, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(5515)%branchR2(0:0))
      call avR2(5515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57421])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7998)%branchR2(0:0))
      call avR2(7998, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57425])

      allocate(vertices(9246)%branchR2(0:0))
      call avR2(9246, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(5927)%branchR2(0:0))
      call avR2(5927, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(9673)%branchR2(0:0))
      call avR2(9673, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(9009)%branchR2(0:0))
      call avR2(9009, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(9437)%branchR2(0:0))
      call avR2(9437, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3814)%branchR2(0:0))
      call avR2(3814, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22276])

      allocate(vertices(5299)%branchR2(0:0))
      call avR2(5299, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22455])

      allocate(vertices(7865)%branchR2(0:1))
      call avR2(7865, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(7865, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(9802)%branchR2(0:0))
      call avR2(9802, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10089)%branchR2(0:0))
      call avR2(10089, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6023)%branchR2(0:1))
      call avR2(6023, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(6023, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(9734)%branchR2(0:0))
      call avR2(9734, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(7687)%branchR2(0:0))
      call avR2(7687, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22475,     &
      nGC_22476])

      allocate(vertices(3262)%branchR2(0:0))
      call avR2(3262, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22260])

      allocate(vertices(10480)%branchR2(0:0))
      call avR2(10480, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(8638)%branchR2(0:0))
      call avR2(8638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9722)%branchR2(0:0))
      call avR2(9722, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22090])

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(10490)%branchR2(0:1))
      call avR2(10490, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10490, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(9245)%branchR2(0:0))
      call avR2(9245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(8657)%branchR2(0:0))
      call avR2(8657, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(10491)%branchR2(0:1))
      call avR2(10491, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22431])

      call avR2(10491, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(3125)%branchR2(0:1))
      call avR2(3125, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(3125, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(10492)%branchR2(0:1))
      call avR2(10492, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22474])

      call avR2(10492, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22473])

      allocate(vertices(10493)%branchR2(0:0))
      call avR2(10493, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(9668)%branchR2(0:0))
      call avR2(9668, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(8317)%branchR2(0:0))
      call avR2(8317, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22079])

      allocate(vertices(6168)%branchR2(0:0))
      call avR2(6168, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(8429)%branchR2(0:0))
      call avR2(8429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(7432)%branchR2(0:0))
      call avR2(7432, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22151])

      allocate(vertices(9986)%branchR2(0:0))
      call avR2(9986, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57478])

      allocate(vertices(10075)%branchR2(0:0))
      call avR2(10075, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5262)%branchR2(0:0))
      call avR2(5262, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(6695)%branchR2(0:1))
      call avR2(6695, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(6695, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(7592)%branchR2(0:0))
      call avR2(7592, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10494)%branchR2(0:0))
      call avR2(10494, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(5811)%branchR2(0:0))
      call avR2(5811, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22071])

      allocate(vertices(3054)%branchR2(0:1))
      call avR2(3054, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(3054, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(3211)%branchR2(0:0))
      call avR2(3211, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9008)%branchR2(0:0))
      call avR2(9008, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3863)%branchR2(0:0))
      call avR2(3863, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22073])

      allocate(vertices(5908)%branchR2(0:3))
      call avR2(5908, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(5908, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(5908, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(5908, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(94)%branchR2(0:1))
      call avR2(94, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(94, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22024, nGC_22023])

      allocate(vertices(7849)%branchR2(0:0))
      call avR2(7849, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(10452)%branchR2(0:0))
      call avR2(10452, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57505])

      allocate(vertices(10436)%branchR2(0:0))
      call avR2(10436, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(1839)%branchR2(0:0))
      call avR2(1839, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10295)%branchR2(0:0))
      call avR2(10295, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10454)%branchR2(0:0))
      call avR2(10454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10350)%branchR2(0:0))
      call avR2(10350, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(5880)%branchR2(0:0))
      call avR2(5880, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22080])

      allocate(vertices(3766)%branchR2(0:0))
      call avR2(3766, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(7128)%branchR2(0:1))
      call avR2(7128, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(7128, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(9716)%branchR2(0:0))
      call avR2(9716, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(9643)%branchR2(0:0))
      call avR2(9643, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(1684)%branchR2(0:1))
      call avR2(1684, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(1684, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(10495)%branchR2(0:1))
      call avR2(10495, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22382])

      call avR2(10495, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22260])

      allocate(vertices(6133)%branchR2(0:0))
      call avR2(6133, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22464])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(5467)%branchR2(0:0))
      call avR2(5467, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22073])

      allocate(vertices(9458)%branchR2(0:0))
      call avR2(9458, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(7394)%branchR2(0:0))
      call avR2(7394, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(10496)%branchR2(0:0))
      call avR2(10496, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22331, nGC_22331,    &
      nGC_22331])

      allocate(vertices(9376)%branchR2(0:0))
      call avR2(9376, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22012])

      allocate(vertices(6355)%branchR2(0:0))
      call avR2(6355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(4145)%branchR2(0:0))
      call avR2(4145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(7940)%branchR2(0:0))
      call avR2(7940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(7223)%branchR2(0:0))
      call avR2(7223, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22464])

      allocate(vertices(9208)%branchR2(0:0))
      call avR2(9208, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9343)%branchR2(0:0))
      call avR2(9343, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(5947)%branchR2(0:0))
      call avR2(5947, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(6421)%branchR2(0:0))
      call avR2(6421, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(9163)%branchR2(0:0))
      call avR2(9163, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2275)%branchR2(0:1))
      call avR2(2275, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(2275, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(6998)%branchR2(0:0))
      call avR2(6998, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9366)%branchR2(0:1))
      call avR2(9366, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,     &
      nGC_22003, nGC_22003])

      call avR2(9366, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_22004, nGC_22004])

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22129])

      allocate(vertices(10497)%branchR2(0:0))
      call avR2(10497, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10498)%branchR2(0:0))
      call avR2(10498, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22341, nGC_22342,    &
      nGC_22342])

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4404)%branchR2(0:0))
      call avR2(4404, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(10499)%branchR2(0:1))
      call avR2(10499, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22431])

      call avR2(10499, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22430])

      allocate(vertices(9719)%branchR2(0:0))
      call avR2(9719, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22090])

      allocate(vertices(9350)%branchR2(0:0))
      call avR2(9350, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6327)%branchR2(0:0))
      call avR2(6327, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9165)%branchR2(0:0))
      call avR2(9165, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57574])

      allocate(vertices(3997)%branchR2(0:0))
      call avR2(3997, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(8667)%branchR2(0:0))
      call avR2(8667, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(10148)%branchR2(0:0))
      call avR2(10148, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6134)%branchR2(0:0))
      call avR2(6134, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(5012)%branchR2(0:0))
      call avR2(5012, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(6688)%branchR2(0:0))
      call avR2(6688, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(7819)%branchR2(0:0))
      call avR2(7819, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(5535)%branchR2(0:0))
      call avR2(5535, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9925)%branchR2(0:0))
      call avR2(9925, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(5089)%branchR2(0:1))
      call avR2(5089, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(5089, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57592])

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(4222)%branchR2(0:0))
      call avR2(4222, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(6254)%branchR2(0:3))
      call avR2(6254, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(6254, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6254, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(6254, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22149])

      allocate(vertices(2475)%branchR2(0:1))
      call avR2(2475, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22253])

      call avR2(2475, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(8398)%branchR2(0:0))
      call avR2(8398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(10500)%branchR2(0:0))
      call avR2(10500, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(4785)%branchR2(0:0))
      call avR2(4785, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(2103)%branchR2(0:1))
      call avR2(2103, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

      call avR2(2103, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(9918)%branchR2(0:0))
      call avR2(9918, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7003)%branchR2(0:0))
      call avR2(7003, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(8114)%branchR2(0:0))
      call avR2(8114, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(6810)%branchR2(0:0))
      call avR2(6810, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(5662)%branchR2(0:0))
      call avR2(5662, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(4544)%branchR2(0:0))
      call avR2(4544, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22010])

      allocate(vertices(9395)%branchR2(0:0))
      call avR2(9395, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(8993)%branchR2(0:0))
      call avR2(8993, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(5657)%branchR2(0:0))
      call avR2(5657, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22132])

      allocate(vertices(7180)%branchR2(0:0))
      call avR2(7180, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(10485)%branchR2(0:0))
      call avR2(10485, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2473)%branchR2(0:0))
      call avR2(2473, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22276])

      allocate(vertices(3696)%branchR2(0:0))
      call avR2(3696, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4166)%branchR2(0:0))
      call avR2(4166, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(4169)%branchR2(0:0))
      call avR2(4169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(3975)%branchR2(0:0))
      call avR2(3975, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5890)%branchR2(0:0))
      call avR2(5890, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(2365)%branchR2(0:1))
      call avR2(2365, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(2365, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(10501)%branchR2(0:0))
      call avR2(10501, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(7757)%branchR2(0:0))
      call avR2(7757, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(10502)%branchR2(0:1))
      call avR2(10502, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22399])

      call avR2(10502, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(7492)%branchR2(0:0))
      call avR2(7492, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22146])

      allocate(vertices(4652)%branchR2(0:0))
      call avR2(4652, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8433)%branchR2(0:1))
      call avR2(8433, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(8433, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(4421)%branchR2(0:0))
      call avR2(4421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(9416)%branchR2(0:0))
      call avR2(9416, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(9623)%branchR2(0:0))
      call avR2(9623, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22054])

      allocate(vertices(8618)%branchR2(0:0))
      call avR2(8618, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22146])

      allocate(vertices(10503)%branchR2(0:1))
      call avR2(10503, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22399])

      call avR2(10503, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(8391)%branchR2(0:0))
      call avR2(8391, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22196])

      allocate(vertices(10504)%branchR2(0:0))
      call avR2(10504, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(8132)%branchR2(0:0))
      call avR2(8132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(7993)%branchR2(0:0))
      call avR2(7993, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(5171)%branchR2(0:0))
      call avR2(5171, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9990)%branchR2(0:0))
      call avR2(9990, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(10179)%branchR2(0:0))
      call avR2(10179, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4510)%branchR2(0:0))
      call avR2(4510, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22095])

      allocate(vertices(10505)%branchR2(0:1))
      call avR2(10505, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22399])

      call avR2(10505, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(4796)%branchR2(0:0))
      call avR2(4796, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7117)%branchR2(0:1))
      call avR2(7117, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(7117, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(4072)%branchR2(0:0))
      call avR2(4072, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(5873)%branchR2(0:1))
      call avR2(5873, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(5873, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(8322)%branchR2(0:0))
      call avR2(8322, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(5913)%branchR2(0:0))
      call avR2(5913, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(3957)%branchR2(0:0))
      call avR2(3957, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22147])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(6982)%branchR2(0:0))
      call avR2(6982, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(8212)%branchR2(0:0))
      call avR2(8212, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9206)%branchR2(0:0))
      call avR2(9206, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(7430)%branchR2(0:0))
      call avR2(7430, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(7258)%branchR2(0:1))
      call avR2(7258, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(7258, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(3641)%branchR2(0:0))
      call avR2(3641, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(371)%branchR2(0:1))
      call avR2(371, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(371, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(6725)%branchR2(0:0))
      call avR2(6725, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22362,     &
      nGC_22361])

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(7205)%branchR2(0:0))
      call avR2(7205, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(6644)%branchR2(0:0))
      call avR2(6644, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(5512)%branchR2(0:0))
      call avR2(5512, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(3889)%branchR2(0:1))
      call avR2(3889, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(3889, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(9838)%branchR2(0:0))
      call avR2(9838, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21974, nGC_21973])

      allocate(vertices(6981)%branchR2(0:0))
      call avR2(6981, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(4815)%branchR2(0:1))
      call avR2(4815, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(4815, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(5921)%branchR2(0:0))
      call avR2(5921, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(5022)%branchR2(0:1))
      call avR2(5022, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(5022, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(6546)%branchR2(0:0))
      call avR2(6546, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(9814)%branchR2(0:0))
      call avR2(9814, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(8652)%branchR2(0:1))
      call avR2(8652, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(8652, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(9286)%branchR2(0:0))
      call avR2(9286, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(3753)%branchR2(0:0))
      call avR2(3753, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57722])

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3589)%branchR2(0:0))
      call avR2(3589, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(7244)%branchR2(0:0))
      call avR2(7244, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22073])

      allocate(vertices(5804)%branchR2(0:0))
      call avR2(5804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9757)%branchR2(0:0))
      call avR2(9757, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(9166)%branchR2(0:0))
      call avR2(9166, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(10506)%branchR2(0:0))
      call avR2(10506, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(4189)%branchR2(0:1))
      call avR2(4189, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

      call avR2(4189, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(9982)%branchR2(0:0))
      call avR2(9982, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(10507)%branchR2(0:0))
      call avR2(10507, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22372, nGC_22372,    &
      nGC_22372])

      allocate(vertices(9812)%branchR2(0:0))
      call avR2(9812, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9949)%branchR2(0:0))
      call avR2(9949, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(660)%branchR2(0:1))
      call avR2(660, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(660, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(6263)%branchR2(0:0))
      call avR2(6263, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8200)%branchR2(0:1))
      call avR2(8200, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(8200, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(8619)%branchR2(0:0))
      call avR2(8619, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(4299)%branchR2(0:0))
      call avR2(4299, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(10508)%branchR2(0:0))
      call avR2(10508, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(4909)%branchR2(0:0))
      call avR2(4909, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22146])

      allocate(vertices(10169)%branchR2(0:0))
      call avR2(10169, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(8082)%branchR2(0:0))
      call avR2(8082, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(7605)%branchR2(0:0))
      call avR2(7605, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10509)%branchR2(0:1))
      call avR2(10509, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10509, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(10510)%branchR2(0:1))
      call avR2(10510, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22447])

      call avR2(10510, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(7685)%branchR2(0:0))
      call avR2(7685, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9923)%branchR2(0:0))
      call avR2(9923, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10511)%branchR2(0:0))
      call avR2(10511, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22341,    &
      nGC_22342])

      allocate(vertices(10512)%branchR2(0:1))
      call avR2(10512, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22461])

      call avR2(10512, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22460])

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57425])

      allocate(vertices(5883)%branchR2(0:0))
      call avR2(5883, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(8996)%branchR2(0:0))
      call avR2(8996, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5637)%branchR2(0:0))
      call avR2(5637, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(9285)%branchR2(0:0))
      call avR2(9285, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(9644)%branchR2(0:0))
      call avR2(9644, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(3578)%branchR2(0:1))
      call avR2(3578, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(3578, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(10513)%branchR2(0:0))
      call avR2(10513, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22342,    &
      nGC_22341])

      allocate(vertices(4314)%branchR2(0:0))
      call avR2(4314, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(9625)%branchR2(0:0))
      call avR2(9625, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9066)%branchR2(0:0))
      call avR2(9066, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10514)%branchR2(0:1))
      call avR2(10514, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22447])

      call avR2(10514, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(8101)%branchR2(0:0))
      call avR2(8101, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(7286)%branchR2(0:0))
      call avR2(7286, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(4133)%branchR2(0:0))
      call avR2(4133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10475)%branchR2(0:0))
      call avR2(10475, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(9763)%branchR2(0:0))
      call avR2(9763, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4934)%branchR2(0:0))
      call avR2(4934, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22277])

      allocate(vertices(5411)%branchR2(0:0))
      call avR2(5411, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9290)%branchR2(0:0))
      call avR2(9290, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(6352)%branchR2(0:0))
      call avR2(6352, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(4666)%branchR2(0:0))
      call avR2(4666, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8240)%branchR2(0:0))
      call avR2(8240, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4490)%branchR2(0:0))
      call avR2(4490, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57802])

      allocate(vertices(4767)%branchR2(0:0))
      call avR2(4767, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(7058)%branchR2(0:0))
      call avR2(7058, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22072])

      allocate(vertices(1392)%branchR2(0:3))
      call avR2(1392, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(1392, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(1392, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(1392, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(10515)%branchR2(0:1))
      call avR2(10515, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22447])

      call avR2(10515, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(8489)%branchR2(0:0))
      call avR2(8489, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(5188)%branchR2(0:0))
      call avR2(5188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(4172)%branchR2(0:0))
      call avR2(4172, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(8691)%branchR2(0:0))
      call avR2(8691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(6809)%branchR2(0:1))
      call avR2(6809, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(6809, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(8632)%branchR2(0:0))
      call avR2(8632, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(9577)%branchR2(0:0))
      call avR2(9577, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5546)%branchR2(0:0))
      call avR2(5546, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(6217)%branchR2(0:3))
      call avR2(6217, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(6217, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6217, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(6217, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(10430)%branchR2(0:0))
      call avR2(10430, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7084)%branchR2(0:0))
      call avR2(7084, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10516)%branchR2(0:0))
      call avR2(10516, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(9995)%branchR2(0:0))
      call avR2(9995, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(4409)%branchR2(0:0))
      call avR2(4409, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(5892)%branchR2(0:0))
      call avR2(5892, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(8665)%branchR2(0:1))
      call avR2(8665, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(8665, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22255])

      allocate(vertices(10517)%branchR2(0:0))
      call avR2(10517, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(7300)%branchR2(0:0))
      call avR2(7300, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9384)%branchR2(0:0))
      call avR2(9384, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_22002])

      allocate(vertices(4293)%branchR2(0:0))
      call avR2(4293, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(9922)%branchR2(0:0))
      call avR2(9922, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(9019)%branchR2(0:0))
      call avR2(9019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(10336)%branchR2(0:0))
      call avR2(10336, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57850])

      allocate(vertices(4109)%branchR2(0:0))
      call avR2(4109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(6323)%branchR2(0:1))
      call avR2(6323, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(6323, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(8831)%branchR2(0:0))
      call avR2(8831, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(7380)%branchR2(0:0))
      call avR2(7380, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6480)%branchR2(0:0))
      call avR2(6480, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(7811)%branchR2(0:0))
      call avR2(7811, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(4337)%branchR2(0:0))
      call avR2(4337, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(9561)%branchR2(0:0))
      call avR2(9561, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(5983)%branchR2(0:0))
      call avR2(5983, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9618)%branchR2(0:0))
      call avR2(9618, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(9624)%branchR2(0:0))
      call avR2(9624, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22132])

      allocate(vertices(6538)%branchR2(0:0))
      call avR2(6538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(8742)%branchR2(0:0))
      call avR2(8742, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22326,     &
      nGC_22327])

      allocate(vertices(10348)%branchR2(0:0))
      call avR2(10348, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(6065)%branchR2(0:0))
      call avR2(6065, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(4708)%branchR2(0:0))
      call avR2(4708, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8532)%branchR2(0:0))
      call avR2(8532, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22363,     &
      nGC_22361])

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(10518)%branchR2(0:1))
      call avR2(10518, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22447])

      call avR2(10518, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(10519)%branchR2(0:1))
      call avR2(10519, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22474])

      call avR2(10519, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(10520)%branchR2(0:1))
      call avR2(10520, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22399])

      call avR2(10520, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(10521)%branchR2(0:1))
      call avR2(10521, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10521, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(8904)%branchR2(0:0))
      call avR2(8904, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(6395)%branchR2(0:0))
      call avR2(6395, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(3974)%branchR2(0:0))
      call avR2(3974, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(8553)%branchR2(0:0))
      call avR2(8553, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22465])

      allocate(vertices(3477)%branchR2(0:0))
      call avR2(3477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(8883)%branchR2(0:0))
      call avR2(8883, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57898])

      allocate(vertices(5797)%branchR2(0:0))
      call avR2(5797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(3005)%branchR2(0:1))
      call avR2(3005, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(3005, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(1263)%branchR2(0:1))
      call avR2(1263, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(1263, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(5876)%branchR2(0:0))
      call avR2(5876, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2122)%branchR2(0:1))
      call avR2(2122, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(2122, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(6899)%branchR2(0:0))
      call avR2(6899, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(7608)%branchR2(0:0))
      call avR2(7608, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10522)%branchR2(0:0))
      call avR2(10522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(7381)%branchR2(0:0))
      call avR2(7381, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(3686)%branchR2(0:1))
      call avR2(3686, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(3686, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(6853)%branchR2(0:0))
      call avR2(6853, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(7612)%branchR2(0:0))
      call avR2(7612, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(5678)%branchR2(0:1))
      call avR2(5678, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(5678, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(4044)%branchR2(0:0))
      call avR2(4044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(8310)%branchR2(0:1))
      call avR2(8310, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(8310, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(9835)%branchR2(0:0))
      call avR2(9835, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9270)%branchR2(0:0))
      call avR2(9270, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(8064)%branchR2(0:1))
      call avR2(8064, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      call avR2(8064, 1, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22259])

      allocate(vertices(7428)%branchR2(0:0))
      call avR2(7428, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(6519)%branchR2(0:0))
      call avR2(6519, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(7017)%branchR2(0:0))
      call avR2(7017, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(4480)%branchR2(0:0))
      call avR2(4480, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57940])

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(5493)%branchR2(0:0))
      call avR2(5493, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2839)%branchR2(0:3))
      call avR2(2839, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(2839, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(2839, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(2839, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(266)%branchR2(0:3))
      call avR2(266, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(266, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(266, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(266, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(10299)%branchR2(0:0))
      call avR2(10299, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10523)%branchR2(0:0))
      call avR2(10523, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(4284)%branchR2(0:0))
      call avR2(4284, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(9131)%branchR2(0:0))
      call avR2(9131, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(8100)%branchR2(0:0))
      call avR2(8100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(5701)%branchR2(0:0))
      call avR2(5701, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8837)%branchR2(0:0))
      call avR2(8837, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(10524)%branchR2(0:1))
      call avR2(10524, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10524, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(5215)%branchR2(0:0))
      call avR2(5215, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(7981)%branchR2(0:0))
      call avR2(7981, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(7579)%branchR2(0:1))
      call avR2(7579, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(7579, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(10111)%branchR2(0:0))
      call avR2(10111, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(994)%branchR2(0:3))
      call avR2(994, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(994, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(994, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(994, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(10525)%branchR2(0:0))
      call avR2(10525, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(3600)%branchR2(0:0))
      call avR2(3600, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9294)%branchR2(0:0))
      call avR2(9294, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10187)%branchR2(0:0))
      call avR2(10187, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(4286)%branchR2(0:0))
      call avR2(4286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(9634)%branchR2(0:0))
      call avR2(9634, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10526)%branchR2(0:1))
      call avR2(10526, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22398])

      call avR2(10526, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22399])

      allocate(vertices(2595)%branchR2(0:1))
      call avR2(2595, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(2595, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(6115)%branchR2(0:0))
      call avR2(6115, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(8396)%branchR2(0:0))
      call avR2(8396, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(5919)%branchR2(0:1))
      call avR2(5919, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(5919, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(5494)%branchR2(0:1))
      call avR2(5494, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(5494, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(4213)%branchR2(0:0))
      call avR2(4213, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_58007])

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(9476)%branchR2(0:0))
      call avR2(9476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4488)%branchR2(0:0))
      call avR2(4488, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22147])

      allocate(vertices(10272)%branchR2(0:0))
      call avR2(10272, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(4618)%branchR2(0:3))
      call avR2(4618, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(4618, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(4618, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(4618, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(10527)%branchR2(0:1))
      call avR2(10527, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22431])

      call avR2(10527, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22430])

      allocate(vertices(8528)%branchR2(0:0))
      call avR2(8528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(1719)%branchR2(0:0))
      call avR2(1719, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(5010)%branchR2(0:1))
      call avR2(5010, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(5010, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10528)%branchR2(0:0))
      call avR2(10528, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22372, nGC_22372,    &
      nGC_22372])

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58030])

      allocate(vertices(4313)%branchR2(0:0))
      call avR2(4313, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22261])

      allocate(vertices(10155)%branchR2(0:0))
      call avR2(10155, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(10529)%branchR2(0:0))
      call avR2(10529, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(8896)%branchR2(0:0))
      call avR2(8896, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(1747)%branchR2(0:3))
      call avR2(1747, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(1747, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(1747, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(1747, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(6331)%branchR2(0:0))
      call avR2(6331, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22327, nGC_22326,     &
      nGC_22325])

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(3148)%branchR2(0:0))
      call avR2(3148, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(5039)%branchR2(0:0))
      call avR2(5039, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(5450)%branchR2(0:0))
      call avR2(5450, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22019])

      allocate(vertices(10232)%branchR2(0:0))
      call avR2(10232, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(6006)%branchR2(0:0))
      call avR2(6006, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(7773)%branchR2(0:0))
      call avR2(7773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(9248)%branchR2(0:0))
      call avR2(9248, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3666)%branchR2(0:0))
      call avR2(3666, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58059])

      allocate(vertices(5779)%branchR2(0:0))
      call avR2(5779, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(8869)%branchR2(0:0))
      call avR2(8869, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(2762)%branchR2(0:1))
      call avR2(2762, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(2762, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(9340)%branchR2(0:0))
      call avR2(9340, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(3399)%branchR2(0:0))
      call avR2(3399, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(2982)%branchR2(0:1))
      call avR2(2982, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(2982, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(5423)%branchR2(0:0))
      call avR2(5423, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(4805)%branchR2(0:0))
      call avR2(4805, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(6212)%branchR2(0:0))
      call avR2(6212, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(4705)%branchR2(0:1))
      call avR2(4705, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(4705, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(6173)%branchR2(0:1))
      call avR2(6173, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(6173, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9841)%branchR2(0:0))
      call avR2(9841, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22091])

      allocate(vertices(6172)%branchR2(0:0))
      call avR2(6172, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6506)%branchR2(0:0))
      call avR2(6506, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(10530)%branchR2(0:1))
      call avR2(10530, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22399])

      call avR2(10530, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(5201)%branchR2(0:0))
      call avR2(5201, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(8986)%branchR2(0:0))
      call avR2(8986, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

    end subroutine fill_vertices_mdl20
end module vertices_info20
