!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(6723)%branchR2(0:0))
      call avR2(6723, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4788)%branchR2(0:3))
      call avR2(4788, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(4788, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(4788, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(4788, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(9207)%branchR2(0:0))
      call avR2(9207, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(3987)%branchR2(0:0))
      call avR2(3987, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7873)%branchR2(0:1))
      call avR2(7873, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(7873, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(9941)%branchR2(0:0))
      call avR2(9941, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(9626)%branchR2(0:0))
      call avR2(9626, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2729)%branchR2(0:0))
      call avR2(2729, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22129])

      allocate(vertices(8014)%branchR2(0:0))
      call avR2(8014, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9947)%branchR2(0:0))
      call avR2(9947, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(10595)%branchR2(0:1))
      call avR2(10595, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22382])

      call avR2(10595, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(10596)%branchR2(0:1))
      call avR2(10596, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10596, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(8235)%branchR2(0:0))
      call avR2(8235, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8067)%branchR2(0:0))
      call avR2(8067, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22278])

      allocate(vertices(5907)%branchR2(0:0))
      call avR2(5907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(5945)%branchR2(0:0))
      call avR2(5945, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(9693)%branchR2(0:0))
      call avR2(9693, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(6750)%branchR2(0:0))
      call avR2(6750, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(4550)%branchR2(0:0))
      call avR2(4550, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8121)%branchR2(0:0))
      call avR2(8121, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22010])

      allocate(vertices(7021)%branchR2(0:0))
      call avR2(7021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22325,     &
      nGC_22327])

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(9168)%branchR2(0:0))
      call avR2(9168, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(6678)%branchR2(0:0))
      call avR2(6678, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(4376)%branchR2(0:1))
      call avR2(4376, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(4376, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(9843)%branchR2(0:0))
      call avR2(9843, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(2972)%branchR2(0:1))
      call avR2(2972, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(2972, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(4797)%branchR2(0:0))
      call avR2(4797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22325,     &
      nGC_22327])

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22363,     &
      nGC_22361])

      allocate(vertices(8230)%branchR2(0:0))
      call avR2(8230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(1423)%branchR2(0:1))
      call avR2(1423, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(1423, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(6318)%branchR2(0:0))
      call avR2(6318, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(9480)%branchR2(0:0))
      call avR2(9480, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(10598)%branchR2(0:1))
      call avR2(10598, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10598, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7978)%branchR2(0:0))
      call avR2(7978, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(9461)%branchR2(0:0))
      call avR2(9461, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(5922)%branchR2(0:0))
      call avR2(5922, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7113)%branchR2(0:1))
      call avR2(7113, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(7113, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(4183)%branchR2(0:0))
      call avR2(4183, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(4420)%branchR2(0:1))
      call avR2(4420, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(4420, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(10128)%branchR2(0:0))
      call avR2(10128, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(4710)%branchR2(0:0))
      call avR2(4710, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(7640)%branchR2(0:1))
      call avR2(7640, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(7640, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(4903)%branchR2(0:0))
      call avR2(4903, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(4232)%branchR2(0:1))
      call avR2(4232, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(4232, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(10599)%branchR2(0:0))
      call avR2(10599, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22372, nGC_22372,    &
      nGC_22372])

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(6300)%branchR2(0:3))
      call avR2(6300, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(6300, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(6300, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(6300, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(7166)%branchR2(0:0))
      call avR2(7166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(7868)%branchR2(0:0))
      call avR2(7868, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(5910)%branchR2(0:0))
      call avR2(5910, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(5772)%branchR2(0:0))
      call avR2(5772, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10600)%branchR2(0:1))
      call avR2(10600, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10600, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(8473)%branchR2(0:0))
      call avR2(8473, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10601, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(6132)%branchR2(0:0))
      call avR2(6132, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22256])

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(8720)%branchR2(0:0))
      call avR2(8720, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22160])

      allocate(vertices(2862)%branchR2(0:0))
      call avR2(2862, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(1849)%branchR2(0:0))
      call avR2(1849, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(5080)%branchR2(0:1))
      call avR2(5080, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(5080, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(10602)%branchR2(0:0))
      call avR2(10602, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(6659)%branchR2(0:0))
      call avR2(6659, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(10603)%branchR2(0:0))
      call avR2(10603, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(9545)%branchR2(0:0))
      call avR2(9545, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(10604)%branchR2(0:1))
      call avR2(10604, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22399])

      call avR2(10604, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(10122)%branchR2(0:0))
      call avR2(10122, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(7871)%branchR2(0:0))
      call avR2(7871, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(8420)%branchR2(0:0))
      call avR2(8420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3627)%branchR2(0:0))
      call avR2(3627, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(6889)%branchR2(0:0))
      call avR2(6889, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(8591)%branchR2(0:0))
      call avR2(8591, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(3349)%branchR2(0:0))
      call avR2(3349, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(5545)%branchR2(0:0))
      call avR2(5545, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22149])

      allocate(vertices(9651)%branchR2(0:0))
      call avR2(9651, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(7537)%branchR2(0:1))
      call avR2(7537, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(7537, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(6878)%branchR2(0:0))
      call avR2(6878, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22165])

      allocate(vertices(10009)%branchR2(0:0))
      call avR2(10009, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4221)%branchR2(0:0))
      call avR2(4221, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10328)%branchR2(0:0))
      call avR2(10328, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(4582)%branchR2(0:0))
      call avR2(4582, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(690)%branchR2(0:1))
      call avR2(690, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(690, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(8844)%branchR2(0:0))
      call avR2(8844, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22012])

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(8163)%branchR2(0:0))
      call avR2(8163, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(2946)%branchR2(0:0))
      call avR2(2946, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(5367)%branchR2(0:1))
      call avR2(5367, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(5367, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22072])

      allocate(vertices(6242)%branchR2(0:0))
      call avR2(6242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(3201)%branchR2(0:1))
      call avR2(3201, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(3201, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(5953)%branchR2(0:0))
      call avR2(5953, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(6206)%branchR2(0:0))
      call avR2(6206, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

      allocate(vertices(8075)%branchR2(0:0))
      call avR2(8075, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(58)%branchR2(0:1))
      call avR2(58, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(58, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(10606)%branchR2(0:1))
      call avR2(10606, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10606, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10607)%branchR2(0:0))
      call avR2(10607, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22332, nGC_22332,    &
      nGC_22332])

      allocate(vertices(5682)%branchR2(0:0))
      call avR2(5682, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(3398)%branchR2(0:0))
      call avR2(3398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(8522)%branchR2(0:1))
      call avR2(8522, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      call avR2(8522, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22259])

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(5370)%branchR2(0:0))
      call avR2(5370, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(4916)%branchR2(0:1))
      call avR2(4916, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22253])

      call avR2(4916, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      allocate(vertices(8136)%branchR2(0:0))
      call avR2(8136, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2672)%branchR2(0:1))
      call avR2(2672, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(2672, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(8482)%branchR2(0:0))
      call avR2(8482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6070)%branchR2(0:0))
      call avR2(6070, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(4290)%branchR2(0:0))
      call avR2(4290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(5703)%branchR2(0:0))
      call avR2(5703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9877)%branchR2(0:0))
      call avR2(9877, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(8366)%branchR2(0:0))
      call avR2(8366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(1023)%branchR2(0:1))
      call avR2(1023, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(1023, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(5835)%branchR2(0:0))
      call avR2(5835, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(6827)%branchR2(0:0))
      call avR2(6827, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22130])

      allocate(vertices(6488)%branchR2(0:0))
      call avR2(6488, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(4924)%branchR2(0:0))
      call avR2(4924, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4006)%branchR2(0:0))
      call avR2(4006, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22073])

      allocate(vertices(5056)%branchR2(0:0))
      call avR2(5056, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(7044)%branchR2(0:0))
      call avR2(7044, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8952)%branchR2(0:0))
      call avR2(8952, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9441)%branchR2(0:0))
      call avR2(9441, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(3343)%branchR2(0:0))
      call avR2(3343, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(4289)%branchR2(0:0))
      call avR2(4289, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(10359)%branchR2(0:0))
      call avR2(10359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(10608)%branchR2(0:0))
      call avR2(10608, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(6408)%branchR2(0:0))
      call avR2(6408, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(7951)%branchR2(0:0))
      call avR2(7951, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(5463)%branchR2(0:0))
      call avR2(5463, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(9220)%branchR2(0:0))
      call avR2(9220, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(5083)%branchR2(0:0))
      call avR2(5083, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(4659)%branchR2(0:1))
      call avR2(4659, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(4659, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(9946)%branchR2(0:0))
      call avR2(9946, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22148])

      allocate(vertices(9430)%branchR2(0:0))
      call avR2(9430, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9036)%branchR2(0:0))
      call avR2(9036, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21965, nGC_21964,      &
      nGC_21966])

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22481, nGC_22481,     &
      nGC_22480])

      allocate(vertices(10457)%branchR2(0:0))
      call avR2(10457, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(4285)%branchR2(0:0))
      call avR2(4285, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22073])

      allocate(vertices(9968)%branchR2(0:0))
      call avR2(9968, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3404)%branchR2(0:0))
      call avR2(3404, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5516)%branchR2(0:1))
      call avR2(5516, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(5516, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(9783)%branchR2(0:0))
      call avR2(9783, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_22001, nGC_22001])

      allocate(vertices(7586)%branchR2(0:1))
      call avR2(7586, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(7586, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(8185)%branchR2(0:0))
      call avR2(8185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(9590)%branchR2(0:0))
      call avR2(9590, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(6137)%branchR2(0:0))
      call avR2(6137, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(8513)%branchR2(0:0))
      call avR2(8513, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(9111)%branchR2(0:0))
      call avR2(9111, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(4942)%branchR2(0:0))
      call avR2(4942, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22146])

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1569)%branchR2(0:0))
      call avR2(1569, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22327,     &
      nGC_22326])

      allocate(vertices(9109)%branchR2(0:0))
      call avR2(9109, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22037])

      allocate(vertices(1553)%branchR2(0:0))
      call avR2(1553, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(6043)%branchR2(0:0))
      call avR2(6043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(4759)%branchR2(0:0))
      call avR2(4759, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(4537)%branchR2(0:0))
      call avR2(4537, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7663)%branchR2(0:1))
      call avR2(7663, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(7663, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(9422)%branchR2(0:0))
      call avR2(9422, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9271)%branchR2(0:0))
      call avR2(9271, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22277])

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(5686)%branchR2(0:0))
      call avR2(5686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(10609)%branchR2(0:0))
      call avR2(10609, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22016])

      allocate(vertices(8705)%branchR2(0:0))
      call avR2(8705, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7639)%branchR2(0:0))
      call avR2(7639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(9897)%branchR2(0:0))
      call avR2(9897, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(9215)%branchR2(0:0))
      call avR2(9215, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(9780)%branchR2(0:0))
      call avR2(9780, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2895)%branchR2(0:1))
      call avR2(2895, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(2895, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(4054)%branchR2(0:0))
      call avR2(4054, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22481, nGC_22480,     &
      nGC_22481])

      allocate(vertices(9820)%branchR2(0:0))
      call avR2(9820, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4447)%branchR2(0:1))
      call avR2(4447, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(4447, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(8659)%branchR2(0:0))
      call avR2(8659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59579])

      allocate(vertices(2718)%branchR2(0:0))
      call avR2(2718, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3068)%branchR2(0:1))
      call avR2(3068, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(3068, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(8340)%branchR2(0:0))
      call avR2(8340, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9985)%branchR2(0:0))
      call avR2(9985, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(5628)%branchR2(0:0))
      call avR2(5628, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8247)%branchR2(0:0))
      call avR2(8247, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(5313)%branchR2(0:0))
      call avR2(5313, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(9573)%branchR2(0:0))
      call avR2(9573, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_22007, nGC_22007])

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(7988)%branchR2(0:0))
      call avR2(7988, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(4511)%branchR2(0:0))
      call avR2(4511, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(7420)%branchR2(0:0))
      call avR2(7420, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58059])

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22150])

      allocate(vertices(7841)%branchR2(0:0))
      call avR2(7841, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10610)%branchR2(0:0))
      call avR2(10610, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(2694)%branchR2(0:1))
      call avR2(2694, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(2694, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(3309)%branchR2(0:1))
      call avR2(3309, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(3309, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(6892)%branchR2(0:0))
      call avR2(6892, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(1403)%branchR2(0:1))
      call avR2(1403, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(1403, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(6783)%branchR2(0:0))
      call avR2(6783, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22071])

      allocate(vertices(4173)%branchR2(0:0))
      call avR2(4173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(5090)%branchR2(0:0))
      call avR2(5090, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22075])

      allocate(vertices(3661)%branchR2(0:1))
      call avR2(3661, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      call avR2(3661, 1, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22258])

      allocate(vertices(3882)%branchR2(0:0))
      call avR2(3882, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(5634)%branchR2(0:0))
      call avR2(5634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10196)%branchR2(0:0))
      call avR2(10196, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4807)%branchR2(0:0))
      call avR2(4807, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22476,     &
      nGC_22476])

      allocate(vertices(9041)%branchR2(0:0))
      call avR2(9041, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(6205)%branchR2(0:0))
      call avR2(6205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(5222)%branchR2(0:0))
      call avR2(5222, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22455])

      allocate(vertices(7069)%branchR2(0:0))
      call avR2(7069, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58986])

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(4321)%branchR2(0:0))
      call avR2(4321, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(10000)%branchR2(0:0))
      call avR2(10000, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(6969)%branchR2(0:0))
      call avR2(6969, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9614)%branchR2(0:0))
      call avR2(9614, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57898])

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(7565)%branchR2(0:0))
      call avR2(7565, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22257])

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(4657)%branchR2(0:0))
      call avR2(4657, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(4496)%branchR2(0:0))
      call avR2(4496, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(8073)%branchR2(0:0))
      call avR2(8073, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(5851)%branchR2(0:0))
      call avR2(5851, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22361,     &
      nGC_22363])

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22256])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10611)%branchR2(0:1))
      call avR2(10611, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10611, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5425)%branchR2(0:0))
      call avR2(5425, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8636)%branchR2(0:0))
      call avR2(8636, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(5345)%branchR2(0:0))
      call avR2(5345, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58588])

      allocate(vertices(4713)%branchR2(0:0))
      call avR2(4713, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(8407)%branchR2(0:0))
      call avR2(8407, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22147])

      allocate(vertices(1528)%branchR2(0:1))
      call avR2(1528, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(1528, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(5898)%branchR2(0:0))
      call avR2(5898, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(10478)%branchR2(0:0))
      call avR2(10478, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(6799)%branchR2(0:0))
      call avR2(6799, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(4019)%branchR2(0:0))
      call avR2(4019, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9735)%branchR2(0:0))
      call avR2(9735, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(8261)%branchR2(0:0))
      call avR2(8261, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57940])

      allocate(vertices(7174)%branchR2(0:0))
      call avR2(7174, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(5434)%branchR2(0:1))
      call avR2(5434, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(5434, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22255])

      allocate(vertices(8970)%branchR2(0:0))
      call avR2(8970, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21962, nGC_21961,     &
      nGC_21963])

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(10158)%branchR2(0:0))
      call avR2(10158, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(5112)%branchR2(0:0))
      call avR2(5112, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(3870)%branchR2(0:0))
      call avR2(3870, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22010])

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(2415)%branchR2(0:0))
      call avR2(2415, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(7360)%branchR2(0:1))
      call avR2(7360, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(7360, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(4082)%branchR2(0:0))
      call avR2(4082, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22128])

      allocate(vertices(7282)%branchR2(0:0))
      call avR2(7282, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(5700)%branchR2(0:0))
      call avR2(5700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22148])

      allocate(vertices(1756)%branchR2(0:1))
      call avR2(1756, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(1756, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(10612)%branchR2(0:0))
      call avR2(10612, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(10613)%branchR2(0:1))
      call avR2(10613, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10613, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(5389)%branchR2(0:1))
      call avR2(5389, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(5389, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(6815)%branchR2(0:0))
      call avR2(6815, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(4567)%branchR2(0:0))
      call avR2(4567, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(9101)%branchR2(0:0))
      call avR2(9101, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_21962, nGC_21961,      &
      nGC_21963])

      allocate(vertices(3494)%branchR2(0:0))
      call avR2(3494, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(8784)%branchR2(0:0))
      call avR2(8784, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22071])

      allocate(vertices(10215)%branchR2(0:0))
      call avR2(10215, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(10052)%branchR2(0:0))
      call avR2(10052, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_59732])

      allocate(vertices(4697)%branchR2(0:0))
      call avR2(4697, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(3099)%branchR2(0:1))
      call avR2(3099, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(3099, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(5020)%branchR2(0:0))
      call avR2(5020, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9717)%branchR2(0:0))
      call avR2(9717, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_22007, nGC_22007])

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(9520)%branchR2(0:0))
      call avR2(9520, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22036])

      allocate(vertices(6291)%branchR2(0:0))
      call avR2(6291, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(6838)%branchR2(0:0))
      call avR2(6838, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(10614)%branchR2(0:0))
      call avR2(10614, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(5940)%branchR2(0:0))
      call avR2(5940, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(3240)%branchR2(0:0))
      call avR2(3240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(6025)%branchR2(0:0))
      call avR2(6025, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57802])

      allocate(vertices(9185)%branchR2(0:0))
      call avR2(9185, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(6303)%branchR2(0:0))
      call avR2(6303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(6702)%branchR2(0:1))
      call avR2(6702, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(6702, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(8790)%branchR2(0:0))
      call avR2(8790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(5646)%branchR2(0:0))
      call avR2(5646, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22361,     &
      nGC_22362])

      allocate(vertices(10257)%branchR2(0:0))
      call avR2(10257, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22130])

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9359)%branchR2(0:0))
      call avR2(9359, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22037])

      allocate(vertices(5040)%branchR2(0:0))
      call avR2(5040, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(10012)%branchR2(0:0))
      call avR2(10012, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(4036)%branchR2(0:1))
      call avR2(4036, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(4036, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(3768)%branchR2(0:1))
      call avR2(3768, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(3768, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(5240)%branchR2(0:0))
      call avR2(5240, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(10615)%branchR2(0:1))
      call avR2(10615, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10615, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(8654)%branchR2(0:0))
      call avR2(8654, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(7005)%branchR2(0:0))
      call avR2(7005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(5096)%branchR2(0:0))
      call avR2(5096, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(9635)%branchR2(0:0))
      call avR2(9635, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1888)%branchR2(0:0))
      call avR2(1888, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(5101)%branchR2(0:0))
      call avR2(5101, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58030])

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8071)%branchR2(0:1))
      call avR2(8071, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(8071, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(5863)%branchR2(0:0))
      call avR2(5863, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(8944)%branchR2(0:0))
      call avR2(8944, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9754)%branchR2(0:0))
      call avR2(9754, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(9056)%branchR2(0:0))
      call avR2(9056, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(170)%branchR2(0:1))
      call avR2(170, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(170, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(4954)%branchR2(0:0))
      call avR2(4954, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(8156)%branchR2(0:0))
      call avR2(8156, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(10206)%branchR2(0:0))
      call avR2(10206, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(6289)%branchR2(0:0))
      call avR2(6289, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(6467)%branchR2(0:0))
      call avR2(6467, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_59810])

      allocate(vertices(5718)%branchR2(0:0))
      call avR2(5718, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7351)%branchR2(0:0))
      call avR2(7351, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(6049)%branchR2(0:0))
      call avR2(6049, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(3612)%branchR2(0:1))
      call avR2(3612, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(3612, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(10616)%branchR2(0:1))
      call avR2(10616, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22447])

      call avR2(10616, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(3337)%branchR2(0:0))
      call avR2(3337, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22363,     &
      nGC_22361])

      allocate(vertices(1708)%branchR2(0:1))
      call avR2(1708, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(1708, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22363,      &
      nGC_22362])

      allocate(vertices(10172)%branchR2(0:0))
      call avR2(10172, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22055])

      allocate(vertices(9073)%branchR2(0:0))
      call avR2(9073, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1490)%branchR2(0:1))
      call avR2(1490, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(1490, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(6141)%branchR2(0:0))
      call avR2(6141, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(3045)%branchR2(0:0))
      call avR2(3045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10385)%branchR2(0:0))
      call avR2(10385, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(6682)%branchR2(0:0))
      call avR2(6682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5536)%branchR2(0:0))
      call avR2(5536, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(10617)%branchR2(0:0))
      call avR2(10617, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(8260)%branchR2(0:0))
      call avR2(8260, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(10242)%branchR2(0:0))
      call avR2(10242, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(8545)%branchR2(0:1))
      call avR2(8545, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(8545, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(4162)%branchR2(0:0))
      call avR2(4162, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9672)%branchR2(0:0))
      call avR2(9672, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10361)%branchR2(0:0))
      call avR2(10361, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8570)%branchR2(0:1))
      call avR2(8570, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(8570, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(5448)%branchR2(0:0))
      call avR2(5448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(6591)%branchR2(0:0))
      call avR2(6591, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22362,     &
      nGC_22361])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(7984)%branchR2(0:0))
      call avR2(7984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(9796)%branchR2(0:0))
      call avR2(9796, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22015])

      allocate(vertices(9251)%branchR2(0:0))
      call avR2(9251, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(3739)%branchR2(0:0))
      call avR2(3739, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(5828)%branchR2(0:0))
      call avR2(5828, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(3621)%branchR2(0:0))
      call avR2(3621, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(7956)%branchR2(0:0))
      call avR2(7956, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22361,     &
      nGC_22362])

      allocate(vertices(1824)%branchR2(0:1))
      call avR2(1824, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(1824, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(8621)%branchR2(0:0))
      call avR2(8621, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8249)%branchR2(0:0))
      call avR2(8249, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(5293)%branchR2(0:0))
      call avR2(5293, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22361,     &
      nGC_22363])

      allocate(vertices(2785)%branchR2(0:0))
      call avR2(2785, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22476,     &
      nGC_22475])

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9001)%branchR2(0:0))
      call avR2(9001, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22020])

      allocate(vertices(7377)%branchR2(0:0))
      call avR2(7377, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(7218)%branchR2(0:0))
      call avR2(7218, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(10182)%branchR2(0:0))
      call avR2(10182, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(10618)%branchR2(0:0))
      call avR2(10618, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(10619)%branchR2(0:0))
      call avR2(10619, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(4639)%branchR2(0:0))
      call avR2(4639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(8202)%branchR2(0:0))
      call avR2(8202, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(8668)%branchR2(0:0))
      call avR2(8668, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(9886)%branchR2(0:0))
      call avR2(9886, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10620)%branchR2(0:1))
      call avR2(10620, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22208])

      call avR2(10620, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22209])

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10621)%branchR2(0:0))
      call avR2(10621, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(9004)%branchR2(0:0))
      call avR2(9004, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22149])

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(8825)%branchR2(0:0))
      call avR2(8825, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(6874)%branchR2(0:0))
      call avR2(6874, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(2637)%branchR2(0:1))
      call avR2(2637, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(2637, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(5819)%branchR2(0:0))
      call avR2(5819, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(9914)%branchR2(0:0))
      call avR2(9914, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(7767)%branchR2(0:0))
      call avR2(7767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(5888)%branchR2(0:0))
      call avR2(5888, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(9565)%branchR2(0:0))
      call avR2(9565, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5184)%branchR2(0:0))
      call avR2(5184, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22225])

      allocate(vertices(9328)%branchR2(0:0))
      call avR2(9328, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(2104)%branchR2(0:0))
      call avR2(2104, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(4487)%branchR2(0:0))
      call avR2(4487, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4117)%branchR2(0:0))
      call avR2(4117, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22094])

      allocate(vertices(7189)%branchR2(0:0))
      call avR2(7189, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(6692)%branchR2(0:0))
      call avR2(6692, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(4611)%branchR2(0:1))
      call avR2(4611, 0, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

      call avR2(4611, 1, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(10622)%branchR2(0:1))
      call avR2(10622, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22399])

      call avR2(10622, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(4348)%branchR2(0:0))
      call avR2(4348, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58845])

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(3486)%branchR2(0:1))
      call avR2(3486, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(3486, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(8316)%branchR2(0:0))
      call avR2(8316, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10623)%branchR2(0:1))
      call avR2(10623, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22473])

      call avR2(10623, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22474])

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59579])

      allocate(vertices(9956)%branchR2(0:0))
      call avR2(9956, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(10624)%branchR2(0:0))
      call avR2(10624, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(6034)%branchR2(0:1))
      call avR2(6034, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(6034, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(7694)%branchR2(0:0))
      call avR2(7694, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10625)%branchR2(0:1))
      call avR2(10625, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22399])

      call avR2(10625, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(1480)%branchR2(0:1))
      call avR2(1480, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(1480, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(10484)%branchR2(0:0))
      call avR2(10484, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(4167)%branchR2(0:1))
      call avR2(4167, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(4167, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(5139)%branchR2(0:0))
      call avR2(5139, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22476,     &
      nGC_22475])

      allocate(vertices(7010)%branchR2(0:0))
      call avR2(7010, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10626, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      allocate(vertices(9145)%branchR2(0:0))
      call avR2(9145, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6756)%branchR2(0:0))
      call avR2(6756, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4462)%branchR2(0:0))
      call avR2(4462, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(6571)%branchR2(0:0))
      call avR2(6571, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(9548)%branchR2(0:0))
      call avR2(9548, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(3915)%branchR2(0:0))
      call avR2(3915, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58278])

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(4483)%branchR2(0:0))
      call avR2(4483, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(10150)%branchR2(0:1))
      call avR2(10150, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,    &
      nGC_21990, nGC_21990])

      call avR2(10150, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_21991, nGC_21991])

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(10174)%branchR2(0:0))
      call avR2(10174, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(7713)%branchR2(0:0))
      call avR2(7713, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(9393)%branchR2(0:0))
      call avR2(9393, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(2242)%branchR2(0:1))
      call avR2(2242, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(2242, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(7172)%branchR2(0:0))
      call avR2(7172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(9329)%branchR2(0:0))
      call avR2(9329, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(3452)%branchR2(0:0))
      call avR2(3452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9300)%branchR2(0:0))
      call avR2(9300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22071])

      allocate(vertices(6895)%branchR2(0:0))
      call avR2(6895, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22022])

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(10627)%branchR2(0:1))
      call avR2(10627, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22441])

      call avR2(10627, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(7498)%branchR2(0:0))
      call avR2(7498, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(1204)%branchR2(0:1))
      call avR2(1204, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(1204, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(9774)%branchR2(0:0))
      call avR2(9774, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(5239)%branchR2(0:0))
      call avR2(5239, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(6987)%branchR2(0:0))
      call avR2(6987, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(5399)%branchR2(0:0))
      call avR2(5399, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10389)%branchR2(0:0))
      call avR2(10389, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6624)%branchR2(0:0))
      call avR2(6624, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(3540)%branchR2(0:0))
      call avR2(3540, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(6152)%branchR2(0:0))
      call avR2(6152, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(7165)%branchR2(0:0))
      call avR2(7165, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(5455)%branchR2(0:0))
      call avR2(5455, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(10628)%branchR2(0:1))
      call avR2(10628, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      call avR2(10628, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      allocate(vertices(4737)%branchR2(0:0))
      call avR2(4737, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(6811)%branchR2(0:1))
      call avR2(6811, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(6811, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(6374)%branchR2(0:0))
      call avR2(6374, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(9216)%branchR2(0:0))
      call avR2(9216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22128])

      allocate(vertices(10629)%branchR2(0:1))
      call avR2(10629, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22469])

      call avR2(10629, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22468])

      allocate(vertices(7012)%branchR2(0:0))
      call avR2(7012, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10630)%branchR2(0:0))
      call avR2(10630, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(6559)%branchR2(0:0))
      call avR2(6559, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(1433)%branchR2(0:1))
      call avR2(1433, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(1433, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(10631)%branchR2(0:1))
      call avR2(10631, 0, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22238])

      call avR2(10631, 1, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22237])

      allocate(vertices(7123)%branchR2(0:0))
      call avR2(7123, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(482)%branchR2(0:1))
      call avR2(482, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      call avR2(482, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22255])

      allocate(vertices(7079)%branchR2(0:0))
      call avR2(7079, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(8241)%branchR2(0:1))
      call avR2(8241, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(8241, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(6916)%branchR2(0:0))
      call avR2(6916, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(2330)%branchR2(0:0))
      call avR2(2330, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22010])

      allocate(vertices(9351)%branchR2(0:0))
      call avR2(9351, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(714)%branchR2(0:1))
      call avR2(714, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(714, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(6539)%branchR2(0:0))
      call avR2(6539, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(4357)%branchR2(0:0))
      call avR2(4357, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(4631)%branchR2(0:0))
      call avR2(4631, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22071])

      allocate(vertices(9584)%branchR2(0:0))
      call avR2(9584, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(10046)%branchR2(0:0))
      call avR2(10046, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(5320)%branchR2(0:1))
      call avR2(5320, 0, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22253])

      call avR2(5320, 1, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(10632)%branchR2(0:1))
      call avR2(10632, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22382])

      call avR2(10632, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(4576)%branchR2(0:1))
      call avR2(4576, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      call avR2(4576, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22258])

      allocate(vertices(10633)%branchR2(0:1))
      call avR2(10633, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22431])

      call avR2(10633, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(10634)%branchR2(0:0))
      call avR2(10634, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(8122)%branchR2(0:0))
      call avR2(8122, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(10411)%branchR2(0:0))
      call avR2(10411, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(4204)%branchR2(0:0))
      call avR2(4204, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22261])

      allocate(vertices(7827)%branchR2(0:0))
      call avR2(7827, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(3791)%branchR2(0:3))
      call avR2(3791, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(3791, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(3791, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(3791, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(10635)%branchR2(0:1))
      call avR2(10635, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22399])

      call avR2(10635, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(9262)%branchR2(0:0))
      call avR2(9262, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7319)%branchR2(0:0))
      call avR2(7319, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22327, nGC_22325,     &
      nGC_22326])

      allocate(vertices(10007)%branchR2(0:0))
      call avR2(10007, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22476,      &
      nGC_22476])

      allocate(vertices(3684)%branchR2(0:1))
      call avR2(3684, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(3684, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(10636)%branchR2(0:1))
      call avR2(10636, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10636, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(7465)%branchR2(0:0))
      call avR2(7465, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(5763)%branchR2(0:0))
      call avR2(5763, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(1987)%branchR2(0:0))
      call avR2(1987, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10237)%branchR2(0:0))
      call avR2(10237, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22080])

      allocate(vertices(4849)%branchR2(0:0))
      call avR2(4849, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(5496)%branchR2(0:0))
      call avR2(5496, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10370)%branchR2(0:0))
      call avR2(10370, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(5492)%branchR2(0:0))
      call avR2(5492, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5555)%branchR2(0:0))
      call avR2(5555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(1556)%branchR2(0:0))
      call avR2(1556, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(6363)%branchR2(0:0))
      call avR2(6363, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6928)%branchR2(0:0))
      call avR2(6928, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22363,     &
      nGC_22362])

      allocate(vertices(10637)%branchR2(0:0))
      call avR2(10637, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22479,    &
      nGC_22479])

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6752)%branchR2(0:0))
      call avR2(6752, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(8853)%branchR2(0:0))
      call avR2(8853, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4671)%branchR2(0:0))
      call avR2(4671, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(8204)%branchR2(0:0))
      call avR2(8204, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(4598)%branchR2(0:0))
      call avR2(4598, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(7290)%branchR2(0:0))
      call avR2(7290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(8099)%branchR2(0:1))
      call avR2(8099, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(8099, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(5528)%branchR2(0:0))
      call avR2(5528, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(5406)%branchR2(0:0))
      call avR2(5406, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(7924)%branchR2(0:0))
      call avR2(7924, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58986])

      allocate(vertices(5994)%branchR2(0:0))
      call avR2(5994, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(1626, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(3063)%branchR2(0:3))
      call avR2(3063, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(3063, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(3063, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(3063, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(4406)%branchR2(0:0))
      call avR2(4406, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(2768)%branchR2(0:0))
      call avR2(2768, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(2294)%branchR2(0:0))
      call avR2(2294, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(7399)%branchR2(0:1))
      call avR2(7399, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(7399, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(9852)%branchR2(0:0))
      call avR2(9852, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10333)%branchR2(0:0))
      call avR2(10333, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(5915)%branchR2(0:0))
      call avR2(5915, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9975)%branchR2(0:0))
      call avR2(9975, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5457)%branchR2(0:0))
      call avR2(5457, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_60170])

      allocate(vertices(4945)%branchR2(0:0))
      call avR2(4945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(7600)%branchR2(0:0))
      call avR2(7600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7086)%branchR2(0:0))
      call avR2(7086, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(7838)%branchR2(0:0))
      call avR2(7838, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60175])

      allocate(vertices(4751)%branchR2(0:0))
      call avR2(4751, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(775)%branchR2(0:3))
      call avR2(775, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(775, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(775, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(775, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(10638)%branchR2(0:1))
      call avR2(10638, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22461])

      call avR2(10638, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22460])

      allocate(vertices(3182)%branchR2(0:0))
      call avR2(3182, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(8627)%branchR2(0:0))
      call avR2(8627, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(4093)%branchR2(0:0))
      call avR2(4093, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22056])

      allocate(vertices(8346)%branchR2(0:0))
      call avR2(8346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(8280)%branchR2(0:1))
      call avR2(8280, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(8280, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(6946)%branchR2(0:0))
      call avR2(6946, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22131])

      allocate(vertices(7695)%branchR2(0:0))
      call avR2(7695, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(9825)%branchR2(0:0))
      call avR2(9825, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(7488)%branchR2(0:1))
      call avR2(7488, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(7488, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(5721)%branchR2(0:1))
      call avR2(5721, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(5721, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(10334)%branchR2(0:0))
      call avR2(10334, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4181)%branchR2(0:0))
      call avR2(4181, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22146])

      allocate(vertices(4564)%branchR2(0:0))
      call avR2(4564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5394)%branchR2(0:3))
      call avR2(5394, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(5394, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(5394, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(5394, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22341, nGC_22342,    &
      nGC_22342])

      allocate(vertices(7417)%branchR2(0:0))
      call avR2(7417, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58588])

      allocate(vertices(3571)%branchR2(0:0))
      call avR2(3571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(8251)%branchR2(0:0))
      call avR2(8251, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4153)%branchR2(0:0))
      call avR2(4153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(5739)%branchR2(0:0))
      call avR2(5739, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10078)%branchR2(0:0))
      call avR2(10078, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(9428)%branchR2(0:0))
      call avR2(9428, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(10423)%branchR2(0:0))
      call avR2(10423, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22145])

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(3069)%branchR2(0:1))
      call avR2(3069, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(3069, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(4908)%branchR2(0:0))
      call avR2(4908, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(6578)%branchR2(0:0))
      call avR2(6578, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4719)%branchR2(0:0))
      call avR2(4719, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(7390)%branchR2(0:0))
      call avR2(7390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(2379)%branchR2(0:1))
      call avR2(2379, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(2379, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(9750)%branchR2(0:0))
      call avR2(9750, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(7293)%branchR2(0:0))
      call avR2(7293, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7026)%branchR2(0:0))
      call avR2(7026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7389)%branchR2(0:0))
      call avR2(7389, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(9953)%branchR2(0:0))
      call avR2(9953, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4120)%branchR2(0:0))
      call avR2(4120, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9697)%branchR2(0:0))
      call avR2(9697, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(9232)%branchR2(0:0))
      call avR2(9232, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(8674)%branchR2(0:0))
      call avR2(8674, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(3230)%branchR2(0:0))
      call avR2(3230, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6438)%branchR2(0:3))
      call avR2(6438, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(6438, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(6438, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(6438, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(7404)%branchR2(0:0))
      call avR2(7404, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22048])

      allocate(vertices(5508)%branchR2(0:1))
      call avR2(5508, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(5508, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(8116)%branchR2(0:0))
      call avR2(8116, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5720)%branchR2(0:0))
      call avR2(5720, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(9978)%branchR2(0:0))
      call avR2(9978, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(5702)%branchR2(0:0))
      call avR2(5702, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(3813)%branchR2(0:0))
      call avR2(3813, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(10640)%branchR2(0:0))
      call avR2(10640, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(8404)%branchR2(0:0))
      call avR2(8404, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(4948)%branchR2(0:0))
      call avR2(4948, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(8987)%branchR2(0:0))
      call avR2(8987, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(1286)%branchR2(0:0))
      call avR2(1286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(2931)%branchR2(0:1))
      call avR2(2931, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(2931, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(9387)%branchR2(0:0))
      call avR2(9387, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(2710)%branchR2(0:0))
      call avR2(2710, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2951)%branchR2(0:3))
      call avR2(2951, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(2951, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(2951, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(2951, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(2775)%branchR2(0:0))
      call avR2(2775, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(3131)%branchR2(0:1))
      call avR2(3131, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(3131, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(4016)%branchR2(0:0))
      call avR2(4016, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(8077)%branchR2(0:0))
      call avR2(8077, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(8302)%branchR2(0:1))
      call avR2(8302, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(8302, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(9368)%branchR2(0:0))
      call avR2(9368, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(9332)%branchR2(0:0))
      call avR2(9332, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10028)%branchR2(0:0))
      call avR2(10028, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(10641)%branchR2(0:1))
      call avR2(10641, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22399])

      call avR2(10641, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(8264)%branchR2(0:0))
      call avR2(8264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10477)%branchR2(0:0))
      call avR2(10477, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8074)%branchR2(0:0))
      call avR2(8074, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(8089)%branchR2(0:1))
      call avR2(8089, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(8089, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(9221)%branchR2(0:0))
      call avR2(9221, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(7013)%branchR2(0:1))
      call avR2(7013, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(7013, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(8430)%branchR2(0:0))
      call avR2(8430, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(4850)%branchR2(0:0))
      call avR2(4850, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10642)%branchR2(0:1))
      call avR2(10642, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10642, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(10643)%branchR2(0:1))
      call avR2(10643, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      call avR2(10643, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      allocate(vertices(6064)%branchR2(0:0))
      call avR2(6064, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22476,     &
      nGC_22475])

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(9642)%branchR2(0:0))
      call avR2(9642, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4997)%branchR2(0:0))
      call avR2(4997, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22147])

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8194)%branchR2(0:0))
      call avR2(8194, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(7686)%branchR2(0:1))
      call avR2(7686, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(7686, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6474)%branchR2(0:0))
      call avR2(6474, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9927)%branchR2(0:0))
      call avR2(9927, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(4852)%branchR2(0:0))
      call avR2(4852, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5305)%branchR2(0:0))
      call avR2(5305, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10645)%branchR2(0:1))
      call avR2(10645, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10645, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(9530)%branchR2(0:0))
      call avR2(9530, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21972, nGC_21971])

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10646)%branchR2(0:0))
      call avR2(10646, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(8206)%branchR2(0:0))
      call avR2(8206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(5027)%branchR2(0:0))
      call avR2(5027, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(10647)%branchR2(0:0))
      call avR2(10647, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5016)%branchR2(0:1))
      call avR2(5016, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(5016, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(4881)%branchR2(0:0))
      call avR2(4881, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(6898)%branchR2(0:0))
      call avR2(6898, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(4161)%branchR2(0:0))
      call avR2(4161, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22056])

      allocate(vertices(4926)%branchR2(0:3))
      call avR2(4926, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(4926, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(4926, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(4926, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(7375)%branchR2(0:0))
      call avR2(7375, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22150])

      allocate(vertices(9676)%branchR2(0:0))
      call avR2(9676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(5334)%branchR2(0:0))
      call avR2(5334, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(5621)%branchR2(0:0))
      call avR2(5621, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8684)%branchR2(0:0))
      call avR2(8684, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10648)%branchR2(0:0))
      call avR2(10648, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(9170)%branchR2(0:0))
      call avR2(9170, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22021])

      allocate(vertices(8702)%branchR2(0:0))
      call avR2(8702, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(6482)%branchR2(0:0))
      call avR2(6482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(8259)%branchR2(0:1))
      call avR2(8259, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(8259, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(9900)%branchR2(0:0))
      call avR2(9900, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10127)%branchR2(0:0))
      call avR2(10127, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,    &
      nGC_22001, nGC_22001])

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(10649)%branchR2(0:1))
      call avR2(10649, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22382])

      call avR2(10649, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(8602)%branchR2(0:0))
      call avR2(8602, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22476,     &
      nGC_22476])

      allocate(vertices(3740)%branchR2(0:0))
      call avR2(3740, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57478])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22327, nGC_22326,      &
      nGC_22325])

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(6427)%branchR2(0:0))
      call avR2(6427, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22327,     &
      nGC_22325])

      allocate(vertices(10650)%branchR2(0:1))
      call avR2(10650, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22399])

      call avR2(10650, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(7529)%branchR2(0:1))
      call avR2(7529, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(7529, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(10651)%branchR2(0:1))
      call avR2(10651, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      call avR2(10651, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      allocate(vertices(8434)%branchR2(0:0))
      call avR2(8434, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(10652)%branchR2(0:5))
      call avR2(10652, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10652, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10652, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10652, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10652, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10652, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4841)%branchR2(0:1))
      call avR2(4841, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(4841, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(10464)%branchR2(0:0))
      call avR2(10464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4001)%branchR2(0:0))
      call avR2(4001, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22151])

      allocate(vertices(1287)%branchR2(0:1))
      call avR2(1287, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(1287, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(5281)%branchR2(0:1))
      call avR2(5281, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(5281, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

    end subroutine fill_vertices_mdl22
end module vertices_info22
