!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(3414)%branchR2(0:0))
      call avR2(3414, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(8811)%branchR2(0:0))
      call avR2(8811, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10653)%branchR2(0:0))
      call avR2(10653, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22372, nGC_22372,    &
      nGC_22372])

      allocate(vertices(10306)%branchR2(0:0))
      call avR2(10306, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(553)%branchR2(0:1))
      call avR2(553, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(553, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(4473)%branchR2(0:0))
      call avR2(4473, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(6543)%branchR2(0:0))
      call avR2(6543, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(2615)%branchR2(0:1))
      call avR2(2615, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(2615, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(8933)%branchR2(0:0))
      call avR2(8933, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(4031)%branchR2(0:0))
      call avR2(4031, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59810])

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(4885)%branchR2(0:0))
      call avR2(4885, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(10654)%branchR2(0:0))
      call avR2(10654, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(9417)%branchR2(0:0))
      call avR2(9417, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21979, nGC_21978,      &
      nGC_21980])

      allocate(vertices(8877)%branchR2(0:0))
      call avR2(8877, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5247)%branchR2(0:0))
      call avR2(5247, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(10655)%branchR2(0:1))
      call avR2(10655, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22441])

      call avR2(10655, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22440])

      allocate(vertices(6906)%branchR2(0:0))
      call avR2(6906, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(5865)%branchR2(0:0))
      call avR2(5865, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22225])

      allocate(vertices(6309)%branchR2(0:0))
      call avR2(6309, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(10382)%branchR2(0:0))
      call avR2(10382, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(2239)%branchR2(0:0))
      call avR2(2239, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(9317)%branchR2(0:0))
      call avR2(9317, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9649)%branchR2(0:0))
      call avR2(9649, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(7855)%branchR2(0:0))
      call avR2(7855, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(82)%branchR2(0:1))
      call avR2(82, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(82, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(4532)%branchR2(0:0))
      call avR2(4532, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7088)%branchR2(0:0))
      call avR2(7088, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(9669)%branchR2(0:0))
      call avR2(9669, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10656)%branchR2(0:0))
      call avR2(10656, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6439)%branchR2(0:0))
      call avR2(6439, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(10657)%branchR2(0:0))
      call avR2(10657, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(6493)%branchR2(0:0))
      call avR2(6493, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22080])

      allocate(vertices(5352)%branchR2(0:0))
      call avR2(5352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(9936)%branchR2(0:0))
      call avR2(9936, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4878)%branchR2(0:0))
      call avR2(4878, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(7090)%branchR2(0:0))
      call avR2(7090, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60506])

      allocate(vertices(7460)%branchR2(0:0))
      call avR2(7460, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(4724)%branchR2(0:3))
      call avR2(4724, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(4724, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(4724, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(4724, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22013])

      allocate(vertices(1354)%branchR2(0:1))
      call avR2(1354, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(1354, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(9799)%branchR2(0:0))
      call avR2(9799, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4450)%branchR2(0:1))
      call avR2(4450, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(4450, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(5461)%branchR2(0:0))
      call avR2(5461, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(9531)%branchR2(0:0))
      call avR2(9531, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10395)%branchR2(0:0))
      call avR2(10395, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(5803)%branchR2(0:0))
      call avR2(5803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4297)%branchR2(0:0))
      call avR2(4297, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22277])

      allocate(vertices(9575)%branchR2(0:0))
      call avR2(9575, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(8220)%branchR2(0:0))
      call avR2(8220, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(7808)%branchR2(0:1))
      call avR2(7808, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(7808, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(8578)%branchR2(0:0))
      call avR2(8578, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22010])

      allocate(vertices(1073)%branchR2(0:1))
      call avR2(1073, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(1073, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(5590)%branchR2(0:0))
      call avR2(5590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(6416)%branchR2(0:0))
      call avR2(6416, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(9279)%branchR2(0:0))
      call avR2(9279, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(10658)%branchR2(0:1))
      call avR2(10658, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22474])

      call avR2(10658, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22473])

      allocate(vertices(8227)%branchR2(0:0))
      call avR2(8227, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22145])

      allocate(vertices(10143)%branchR2(0:0))
      call avR2(10143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8878)%branchR2(0:0))
      call avR2(8878, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22225])

      allocate(vertices(5727)%branchR2(0:0))
      call avR2(5727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(10659)%branchR2(0:1))
      call avR2(10659, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22382])

      call avR2(10659, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(4089)%branchR2(0:3))
      call avR2(4089, 0, 29, 1, 0, FVFa0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(4089, 1, 29, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(4089, 2, 28, 1, 0, FVFa0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(4089, 3, 28, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9728)%branchR2(0:0))
      call avR2(9728, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22071])

      allocate(vertices(6076)%branchR2(0:0))
      call avR2(6076, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7902)%branchR2(0:0))
      call avR2(7902, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(9268)%branchR2(0:0))
      call avR2(9268, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(4438)%branchR2(0:0))
      call avR2(4438, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22464])

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8344)%branchR2(0:0))
      call avR2(8344, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10339)%branchR2(0:0))
      call avR2(10339, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(6092)%branchR2(0:0))
      call avR2(6092, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(10660)%branchR2(0:0))
      call avR2(10660, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(7681)%branchR2(0:0))
      call avR2(7681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10337)%branchR2(0:0))
      call avR2(10337, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(4584)%branchR2(0:0))
      call avR2(4584, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(7832)%branchR2(0:0))
      call avR2(7832, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10661)%branchR2(0:1))
      call avR2(10661, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22237])

      call avR2(10661, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22238])

      allocate(vertices(9645)%branchR2(0:0))
      call avR2(9645, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58301])

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(5726)%branchR2(0:1))
      call avR2(5726, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(5726, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9729)%branchR2(0:0))
      call avR2(9729, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(6227)%branchR2(0:0))
      call avR2(6227, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(6800)%branchR2(0:0))
      call avR2(6800, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22146])

      allocate(vertices(3065)%branchR2(0:1))
      call avR2(3065, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(3065, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(8766)%branchR2(0:0))
      call avR2(8766, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8876)%branchR2(0:0))
      call avR2(8876, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(5290)%branchR2(0:0))
      call avR2(5290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(10184)%branchR2(0:0))
      call avR2(10184, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(4543)%branchR2(0:0))
      call avR2(4543, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5871)%branchR2(0:1))
      call avR2(5871, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(5871, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(9388)%branchR2(0:0))
      call avR2(9388, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8387)%branchR2(0:0))
      call avR2(8387, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(10362)%branchR2(0:0))
      call avR2(10362, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4392)%branchR2(0:0))
      call avR2(4392, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7475)%branchR2(0:0))
      call avR2(7475, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22398])

      call avR2(10662, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22399])

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(8267)%branchR2(0:0))
      call avR2(8267, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(10663)%branchR2(0:0))
      call avR2(10663, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(8032)%branchR2(0:1))
      call avR2(8032, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22253])

      call avR2(8032, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      allocate(vertices(8821)%branchR2(0:0))
      call avR2(8821, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60506])

      allocate(vertices(9574)%branchR2(0:1))
      call avR2(9574, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_21987, nGC_21987])

      call avR2(9574, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_21988, nGC_21988])

      allocate(vertices(10664)%branchR2(0:0))
      call avR2(10664, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22017])

      allocate(vertices(5936)%branchR2(0:1))
      call avR2(5936, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(5936, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(10438)%branchR2(0:0))
      call avR2(10438, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58301])

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(5809)%branchR2(0:0))
      call avR2(5809, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22361,     &
      nGC_22363])

      allocate(vertices(6608)%branchR2(0:0))
      call avR2(6608, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22073])

      allocate(vertices(6570)%branchR2(0:0))
      call avR2(6570, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9397)%branchR2(0:0))
      call avR2(9397, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(4431)%branchR2(0:0))
      call avR2(4431, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(238)%branchR2(0:1))
      call avR2(238, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(238, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(7971)%branchR2(0:0))
      call avR2(7971, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(2725)%branchR2(0:0))
      call avR2(2725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(2144)%branchR2(0:1))
      call avR2(2144, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(2144, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8932)%branchR2(0:0))
      call avR2(8932, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10404)%branchR2(0:0))
      call avR2(10404, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4465)%branchR2(0:0))
      call avR2(4465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5576)%branchR2(0:0))
      call avR2(5576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(3439)%branchR2(0:0))
      call avR2(3439, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8135)%branchR2(0:0))
      call avR2(8135, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(2481)%branchR2(0:1))
      call avR2(2481, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(2481, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(6298)%branchR2(0:0))
      call avR2(6298, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10665)%branchR2(0:0))
      call avR2(10665, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(8823)%branchR2(0:1))
      call avR2(8823, 0, 3, 1, 0, VVV0, 0, [3, 0], [nGC_60663])

      call avR2(8823, 1, 2, 1, 0, VVV0, 0, [3, 0], [nGC_60665])

      allocate(vertices(8911)%branchR2(0:0))
      call avR2(8911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22050])

      allocate(vertices(8833)%branchR2(0:0))
      call avR2(8833, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57421])

      allocate(vertices(10114)%branchR2(0:0))
      call avR2(10114, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(2813)%branchR2(0:0))
      call avR2(2813, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(5211)%branchR2(0:0))
      call avR2(5211, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(10666)%branchR2(0:1))
      call avR2(10666, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22399])

      call avR2(10666, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22362,      &
      nGC_22361])

      allocate(vertices(6014)%branchR2(0:1))
      call avR2(6014, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(6014, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(8199)%branchR2(0:0))
      call avR2(8199, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22160])

      allocate(vertices(7845)%branchR2(0:0))
      call avR2(7845, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(2805)%branchR2(0:0))
      call avR2(2805, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(8203)%branchR2(0:0))
      call avR2(8203, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(10667)%branchR2(0:0))
      call avR2(10667, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10668)%branchR2(0:0))
      call avR2(10668, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22332, nGC_22332,    &
      nGC_22332])

      allocate(vertices(10669)%branchR2(0:1))
      call avR2(10669, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10669, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(8176)%branchR2(0:0))
      call avR2(8176, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(10670)%branchR2(0:0))
      call avR2(10670, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(8330)%branchR2(0:0))
      call avR2(8330, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(1559)%branchR2(0:1))
      call avR2(1559, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(1559, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(7534)%branchR2(0:0))
      call avR2(7534, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8485)%branchR2(0:0))
      call avR2(8485, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5087)%branchR2(0:0))
      call avR2(5087, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(6274)%branchR2(0:0))
      call avR2(6274, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(3624)%branchR2(0:0))
      call avR2(3624, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6195)%branchR2(0:0))
      call avR2(6195, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(4569)%branchR2(0:0))
      call avR2(4569, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(4585)%branchR2(0:0))
      call avR2(4585, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(2790)%branchR2(0:1))
      call avR2(2790, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(2790, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4555)%branchR2(0:0))
      call avR2(4555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(9014)%branchR2(0:0))
      call avR2(9014, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22145])

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(7284)%branchR2(0:0))
      call avR2(7284, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22257])

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(8266)%branchR2(0:0))
      call avR2(8266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(7341)%branchR2(0:0))
      call avR2(7341, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(7315)%branchR2(0:0))
      call avR2(7315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(1071)%branchR2(0:3))
      call avR2(1071, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(1071, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(1071, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(1071, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(7610)%branchR2(0:0))
      call avR2(7610, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(10671)%branchR2(0:1))
      call avR2(10671, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22440])

      call avR2(10671, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22441])

      allocate(vertices(4507)%branchR2(0:1))
      call avR2(4507, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(4507, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(4269)%branchR2(0:0))
      call avR2(4269, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22257])

      allocate(vertices(2289)%branchR2(0:0))
      call avR2(2289, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9853)%branchR2(0:0))
      call avR2(9853, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(9105)%branchR2(0:0))
      call avR2(9105, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10672)%branchR2(0:1))
      call avR2(10672, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22441])

      call avR2(10672, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(240)%branchR2(0:3))
      call avR2(240, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(240, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(240, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(240, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22277])

      allocate(vertices(8981)%branchR2(0:0))
      call avR2(8981, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(7202)%branchR2(0:0))
      call avR2(7202, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8798)%branchR2(0:0))
      call avR2(8798, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(1595)%branchR2(0:1))
      call avR2(1595, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(1595, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22081])

      allocate(vertices(7791)%branchR2(0:1))
      call avR2(7791, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(7791, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(10673)%branchR2(0:0))
      call avR2(10673, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(1304)%branchR2(0:1))
      call avR2(1304, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(1304, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(6002)%branchR2(0:0))
      call avR2(6002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(8467)%branchR2(0:0))
      call avR2(8467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9313)%branchR2(0:0))
      call avR2(9313, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9234)%branchR2(0:0))
      call avR2(9234, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(9099)%branchR2(0:0))
      call avR2(9099, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5282)%branchR2(0:0))
      call avR2(5282, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_60506])

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5974)%branchR2(0:0))
      call avR2(5974, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8002)%branchR2(0:0))
      call avR2(8002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(6336)%branchR2(0:0))
      call avR2(6336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10259)%branchR2(0:0))
      call avR2(10259, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22055])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(8437)%branchR2(0:0))
      call avR2(8437, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58219])

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(3525)%branchR2(0:1))
      call avR2(3525, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(3525, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(4871)%branchR2(0:0))
      call avR2(4871, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(10674)%branchR2(0:1))
      call avR2(10674, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22474])

      call avR2(10674, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(10675)%branchR2(0:0))
      call avR2(10675, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(7275)%branchR2(0:0))
      call avR2(7275, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22145])

      allocate(vertices(10069)%branchR2(0:1))
      call avR2(10069, 0, 16, 1, 0, VV1, 0, [2, 0], [nGC_21999, nGC_21998,     &
      nGC_22000])

      call avR2(10069, 1, 15, 1, 0, VV1, 0, [2, 0], [nGC_21996, nGC_21995,     &
      nGC_21997])

      allocate(vertices(10231)%branchR2(0:0))
      call avR2(10231, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22015])

      allocate(vertices(5110)%branchR2(0:0))
      call avR2(5110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10388)%branchR2(0:0))
      call avR2(10388, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57505])

      allocate(vertices(9301)%branchR2(0:0))
      call avR2(9301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10676)%branchR2(0:0))
      call avR2(10676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(3781)%branchR2(0:1))
      call avR2(3781, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(3781, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(8616)%branchR2(0:0))
      call avR2(8616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(3448)%branchR2(0:0))
      call avR2(3448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(7108)%branchR2(0:0))
      call avR2(7108, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7574)%branchR2(0:0))
      call avR2(7574, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(8256)%branchR2(0:0))
      call avR2(8256, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8820)%branchR2(0:0))
      call avR2(8820, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(4131)%branchR2(0:0))
      call avR2(4131, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(10375)%branchR2(0:0))
      call avR2(10375, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(7900)%branchR2(0:1))
      call avR2(7900, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(7900, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(10095)%branchR2(0:0))
      call avR2(10095, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22145])

      allocate(vertices(4484)%branchR2(0:0))
      call avR2(4484, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(6496)%branchR2(0:0))
      call avR2(6496, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

      allocate(vertices(10236)%branchR2(0:0))
      call avR2(10236, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22013])

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22326,     &
      nGC_22327])

      allocate(vertices(6960)%branchR2(0:0))
      call avR2(6960, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(7176)%branchR2(0:0))
      call avR2(7176, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22010])

      allocate(vertices(4982)%branchR2(0:0))
      call avR2(4982, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(5904)%branchR2(0:0))
      call avR2(5904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8764)%branchR2(0:0))
      call avR2(8764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(6340)%branchR2(0:0))
      call avR2(6340, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(4215)%branchR2(0:0))
      call avR2(4215, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(8059)%branchR2(0:0))
      call avR2(8059, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(10677)%branchR2(0:0))
      call avR2(10677, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5298)%branchR2(0:0))
      call avR2(5298, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22011])

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8738)%branchR2(0:0))
      call avR2(8738, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9960)%branchR2(0:0))
      call avR2(9960, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10678)%branchR2(0:0))
      call avR2(10678, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(5255)%branchR2(0:0))
      call avR2(5255, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(9281)%branchR2(0:0))
      call avR2(9281, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_21994, nGC_21994])

      allocate(vertices(6669)%branchR2(0:0))
      call avR2(6669, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(6554)%branchR2(0:0))
      call avR2(6554, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9798)%branchR2(0:0))
      call avR2(9798, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9507)%branchR2(0:0))
      call avR2(9507, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6837)%branchR2(0:0))
      call avR2(6837, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(9265)%branchR2(0:0))
      call avR2(9265, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_22002])

      allocate(vertices(7764)%branchR2(0:1))
      call avR2(7764, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(7764, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(4534)%branchR2(0:0))
      call avR2(4534, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22073])

      allocate(vertices(4757)%branchR2(0:0))
      call avR2(4757, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(4319)%branchR2(0:0))
      call avR2(4319, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(4418)%branchR2(0:0))
      call avR2(4418, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(594)%branchR2(0:3))
      call avR2(594, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(594, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(594, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(594, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(1860)%branchR2(0:1))
      call avR2(1860, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(1860, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(9077)%branchR2(0:0))
      call avR2(9077, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9061)%branchR2(0:0))
      call avR2(9061, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_60175])

      allocate(vertices(9193)%branchR2(0:0))
      call avR2(9193, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22079])

      allocate(vertices(10679)%branchR2(0:1))
      call avR2(10679, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10679, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(5422)%branchR2(0:0))
      call avR2(5422, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(8399)%branchR2(0:0))
      call avR2(8399, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(9037)%branchR2(0:0))
      call avR2(9037, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9097)%branchR2(0:0))
      call avR2(9097, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_21976, nGC_21975,      &
      nGC_21977])

      allocate(vertices(2257)%branchR2(0:1))
      call avR2(2257, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(2257, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(3492)%branchR2(0:1))
      call avR2(3492, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(3492, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(4227)%branchR2(0:0))
      call avR2(4227, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22147])

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(9714)%branchR2(0:0))
      call avR2(9714, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(5559)%branchR2(0:0))
      call avR2(5559, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(4754)%branchR2(0:0))
      call avR2(4754, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(8361)%branchR2(0:0))
      call avR2(8361, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9650)%branchR2(0:0))
      call avR2(9650, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(9510)%branchR2(0:0))
      call avR2(9510, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9133)%branchR2(0:0))
      call avR2(9133, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22036])

      allocate(vertices(10680)%branchR2(0:1))
      call avR2(10680, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22460])

      call avR2(10680, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22461])

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6027)%branchR2(0:0))
      call avR2(6027, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_60170])

      allocate(vertices(10681)%branchR2(0:1))
      call avR2(10681, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22474])

      call avR2(10681, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22473])

      allocate(vertices(7392)%branchR2(0:0))
      call avR2(7392, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(2778)%branchR2(0:1))
      call avR2(2778, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(2778, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22195])

      allocate(vertices(5074)%branchR2(0:0))
      call avR2(5074, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9196)%branchR2(0:0))
      call avR2(9196, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22091])

      allocate(vertices(2490)%branchR2(0:0))
      call avR2(2490, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(4268)%branchR2(0:0))
      call avR2(4268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(650)%branchR2(0:1))
      call avR2(650, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(650, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(7551)%branchR2(0:0))
      call avR2(7551, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22011])

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(7535)%branchR2(0:0))
      call avR2(7535, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(6718)%branchR2(0:1))
      call avR2(6718, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(6718, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(6015)%branchR2(0:0))
      call avR2(6015, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(8035)%branchR2(0:0))
      call avR2(8035, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57592])

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(5011)%branchR2(0:0))
      call avR2(5011, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22261])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5676)%branchR2(0:0))
      call avR2(5676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10682)%branchR2(0:0))
      call avR2(10682, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9426)%branchR2(0:0))
      call avR2(9426, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(7497)%branchR2(0:0))
      call avR2(7497, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2065)%branchR2(0:1))
      call avR2(2065, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(2065, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(10683)%branchR2(0:0))
      call avR2(10683, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(4928)%branchR2(0:0))
      call avR2(4928, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8675)%branchR2(0:0))
      call avR2(8675, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(10684)%branchR2(0:0))
      call avR2(10684, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10685)%branchR2(0:0))
      call avR2(10685, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(9758)%branchR2(0:0))
      call avR2(9758, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_22002])

      allocate(vertices(3446)%branchR2(0:0))
      call avR2(3446, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(6840)%branchR2(0:0))
      call avR2(6840, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9367)%branchR2(0:0))
      call avR2(9367, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(8640)%branchR2(0:0))
      call avR2(8640, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(3935)%branchR2(0:1))
      call avR2(3935, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(3935, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(0)%branchR2(0:1))
      call avR2(0, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(0, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22011])

      allocate(vertices(9320)%branchR2(0:0))
      call avR2(9320, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(5268)%branchR2(0:0))
      call avR2(5268, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(5786)%branchR2(0:0))
      call avR2(5786, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8468)%branchR2(0:0))
      call avR2(8468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7182)%branchR2(0:0))
      call avR2(7182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(2812)%branchR2(0:1))
      call avR2(2812, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(2812, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(7011)%branchR2(0:0))
      call avR2(7011, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(9571)%branchR2(0:0))
      call avR2(9571, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(8951)%branchR2(0:0))
      call avR2(8951, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9189)%branchR2(0:0))
      call avR2(9189, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21960, nGC_21959])

      allocate(vertices(1314)%branchR2(0:1))
      call avR2(1314, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(1314, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(6135)%branchR2(0:0))
      call avR2(6135, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(8803)%branchR2(0:0))
      call avR2(8803, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(10686)%branchR2(0:0))
      call avR2(10686, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(7109)%branchR2(0:0))
      call avR2(7109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(5765)%branchR2(0:0))
      call avR2(5765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(4976)%branchR2(0:0))
      call avR2(4976, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22261])

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(8232)%branchR2(0:0))
      call avR2(8232, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(5214)%branchR2(0:0))
      call avR2(5214, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(7903)%branchR2(0:0))
      call avR2(7903, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(4394)%branchR2(0:0))
      call avR2(4394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(3374)%branchR2(0:0))
      call avR2(3374, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(1013)%branchR2(0:1))
      call avR2(1013, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(1013, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(9174)%branchR2(0:0))
      call avR2(9174, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(5486)%branchR2(0:0))
      call avR2(5486, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(10687)%branchR2(0:1))
      call avR2(10687, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22474])

      call avR2(10687, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(6637)%branchR2(0:0))
      call avR2(6637, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22071])

      allocate(vertices(6979)%branchR2(0:0))
      call avR2(6979, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3622)%branchR2(0:0))
      call avR2(3622, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22481, nGC_22480,     &
      nGC_22481])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8193)%branchR2(0:0))
      call avR2(8193, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5413)%branchR2(0:0))
      call avR2(5413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(5369)%branchR2(0:0))
      call avR2(5369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(3733)%branchR2(0:0))
      call avR2(3733, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(6238)%branchR2(0:0))
      call avR2(6238, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(5043)%branchR2(0:0))
      call avR2(5043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(5108)%branchR2(0:0))
      call avR2(5108, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10414)%branchR2(0:1))
      call avR2(10414, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_22008, nGC_22008])

      call avR2(10414, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22009, nGC_22009])

      allocate(vertices(7219)%branchR2(0:0))
      call avR2(7219, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22196])

      allocate(vertices(10329)%branchR2(0:0))
      call avR2(10329, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22035])

      allocate(vertices(8051)%branchR2(0:0))
      call avR2(8051, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(4574)%branchR2(0:0))
      call avR2(4574, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5675)%branchR2(0:0))
      call avR2(5675, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(4613)%branchR2(0:0))
      call avR2(4613, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(7759)%branchR2(0:0))
      call avR2(7759, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22223])

      allocate(vertices(5695)%branchR2(0:0))
      call avR2(5695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9361)%branchR2(0:0))
      call avR2(9361, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22090])

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(5764)%branchR2(0:1))
      call avR2(5764, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(5764, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10688)%branchR2(0:1))
      call avR2(10688, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22447])

      call avR2(10688, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(10689)%branchR2(0:0))
      call avR2(10689, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(9203)%branchR2(0:0))
      call avR2(9203, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22021])

      allocate(vertices(8594)%branchR2(0:0))
      call avR2(8594, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(5509)%branchR2(0:0))
      call avR2(5509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(7008)%branchR2(0:0))
      call avR2(7008, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22073])

      allocate(vertices(9211)%branchR2(0:0))
      call avR2(9211, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(8373)%branchR2(0:0))
      call avR2(8373, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(5884)%branchR2(0:0))
      call avR2(5884, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(8393)%branchR2(0:1))
      call avR2(8393, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(8393, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(8979)%branchR2(0:0))
      call avR2(8979, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(9871)%branchR2(0:0))
      call avR2(9871, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(5684)%branchR2(0:0))
      call avR2(5684, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(9833)%branchR2(0:0))
      call avR2(9833, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4482)%branchR2(0:0))
      call avR2(4482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(5242)%branchR2(0:0))
      call avR2(5242, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(4266)%branchR2(0:0))
      call avR2(4266, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(4182)%branchR2(0:0))
      call avR2(4182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(6729)%branchR2(0:0))
      call avR2(6729, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(9685)%branchR2(0:0))
      call avR2(9685, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10132)%branchR2(0:0))
      call avR2(10132, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57505])

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(10146)%branchR2(0:0))
      call avR2(10146, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10198)%branchR2(0:0))
      call avR2(10198, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(8728)%branchR2(0:0))
      call avR2(8728, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(1950)%branchR2(0:1))
      call avR2(1950, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      call avR2(1950, 1, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22258])

      allocate(vertices(9969)%branchR2(0:0))
      call avR2(9969, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3907)%branchR2(0:0))
      call avR2(3907, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8342)%branchR2(0:0))
      call avR2(8342, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10690)%branchR2(0:1))
      call avR2(10690, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22399])

      call avR2(10690, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(10263)%branchR2(0:0))
      call avR2(10263, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22145])

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(5725)%branchR2(0:0))
      call avR2(5725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(3799)%branchR2(0:0))
      call avR2(3799, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(8673)%branchR2(0:0))
      call avR2(8673, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

      allocate(vertices(10691)%branchR2(0:5))
      call avR2(10691, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10691, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10691, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10691, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10691, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10691, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(9899)%branchR2(0:0))
      call avR2(9899, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(5526)%branchR2(0:0))
      call avR2(5526, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(4361)%branchR2(0:1))
      call avR2(4361, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(4361, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(9462)%branchR2(0:0))
      call avR2(9462, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(9773)%branchR2(0:0))
      call avR2(9773, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(5416)%branchR2(0:0))
      call avR2(5416, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(6058)%branchR2(0:0))
      call avR2(6058, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4234)%branchR2(0:0))
      call avR2(4234, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(8590)%branchR2(0:0))
      call avR2(8590, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7547)%branchR2(0:0))
      call avR2(7547, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(2821)%branchR2(0:0))
      call avR2(2821, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(9836)%branchR2(0:0))
      call avR2(9836, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(2433)%branchR2(0:1))
      call avR2(2433, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(2433, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7955)%branchR2(0:0))
      call avR2(7955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(4326)%branchR2(0:0))
      call avR2(4326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(10692)%branchR2(0:0))
      call avR2(10692, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10693)%branchR2(0:0))
      call avR2(10693, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(5837)%branchR2(0:0))
      call avR2(5837, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(6145)%branchR2(0:0))
      call avR2(6145, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(9816)%branchR2(0:0))
      call avR2(9816, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22037])

      allocate(vertices(10694)%branchR2(0:0))
      call avR2(10694, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(3592)%branchR2(0:0))
      call avR2(3592, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(4712)%branchR2(0:1))
      call avR2(4712, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(4712, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(6280)%branchR2(0:0))
      call avR2(6280, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(5104)%branchR2(0:1))
      call avR2(5104, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(5104, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(9143)%branchR2(0:0))
      call avR2(9143, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10695)%branchR2(0:1))
      call avR2(10695, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22382])

      call avR2(10695, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(5106)%branchR2(0:0))
      call avR2(5106, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8990)%branchR2(0:0))
      call avR2(8990, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(7911)%branchR2(0:0))
      call avR2(7911, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(10696)%branchR2(0:0))
      call avR2(10696, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22342,    &
      nGC_22341])

      allocate(vertices(9876)%branchR2(0:0))
      call avR2(9876, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4188)%branchR2(0:0))
      call avR2(4188, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(4248)%branchR2(0:0))
      call avR2(4248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5505)%branchR2(0:0))
      call avR2(5505, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(4938)%branchR2(0:0))
      call avR2(4938, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9762)%branchR2(0:0))
      call avR2(9762, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(4899)%branchR2(0:0))
      call avR2(4899, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(10697)%branchR2(0:0))
      call avR2(10697, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10698)%branchR2(0:1))
      call avR2(10698, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22447])

      call avR2(10698, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(5550)%branchR2(0:0))
      call avR2(5550, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7597)%branchR2(0:0))
      call avR2(7597, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(9466)%branchR2(0:0))
      call avR2(9466, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22012])

      allocate(vertices(3891)%branchR2(0:0))
      call avR2(3891, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(10699)%branchR2(0:0))
      call avR2(10699, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5122)%branchR2(0:0))
      call avR2(5122, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(9723)%branchR2(0:0))
      call avR2(9723, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9868)%branchR2(0:0))
      call avR2(9868, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21956, nGC_21955])

      allocate(vertices(5728)%branchR2(0:0))
      call avR2(5728, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(5123)%branchR2(0:0))
      call avR2(5123, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8087)%branchR2(0:0))
      call avR2(8087, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22081])

      allocate(vertices(6625)%branchR2(0:1))
      call avR2(6625, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(6625, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(6937)%branchR2(0:0))
      call avR2(6937, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7893)%branchR2(0:0))
      call avR2(7893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58142])

      allocate(vertices(4049)%branchR2(0:0))
      call avR2(4049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22224])

      allocate(vertices(2820)%branchR2(0:1))
      call avR2(2820, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(2820, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(2074)%branchR2(0:0))
      call avR2(2074, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7320)%branchR2(0:0))
      call avR2(7320, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22276])

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(10341)%branchR2(0:0))
      call avR2(10341, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7793)%branchR2(0:0))
      call avR2(7793, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10700)%branchR2(0:1))
      call avR2(10700, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      call avR2(10700, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      allocate(vertices(7346)%branchR2(0:1))
      call avR2(7346, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(7346, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(7647)%branchR2(0:0))
      call avR2(7647, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(5085)%branchR2(0:0))
      call avR2(5085, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(8514)%branchR2(0:1))
      call avR2(8514, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(8514, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(7540)%branchR2(0:0))
      call avR2(7540, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6072)%branchR2(0:1))
      call avR2(6072, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(6072, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(9917)%branchR2(0:0))
      call avR2(9917, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10035)%branchR2(0:0))
      call avR2(10035, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(6952)%branchR2(0:0))
      call avR2(6952, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22147])

      allocate(vertices(4816)%branchR2(0:0))
      call avR2(4816, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5519)%branchR2(0:0))
      call avR2(5519, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7969)%branchR2(0:0))
      call avR2(7969, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22327,     &
      nGC_22325])

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(3366)%branchR2(0:0))
      call avR2(3366, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(10701)%branchR2(0:0))
      call avR2(10701, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22017])

      allocate(vertices(8255)%branchR2(0:0))
      call avR2(8255, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(7554)%branchR2(0:0))
      call avR2(7554, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(8792)%branchR2(0:0))
      call avR2(8792, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(8786)%branchR2(0:0))
      call avR2(8786, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8023)%branchR2(0:0))
      call avR2(8023, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10047)%branchR2(0:1))
      call avR2(10047, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21982,   &
      nGC_21983, nGC_21983])

      call avR2(10047, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,   &
      nGC_21984, nGC_21984])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(6535)%branchR2(0:1))
      call avR2(6535, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(6535, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10702)%branchR2(0:1))
      call avR2(10702, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      call avR2(10702, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1783)%branchR2(0:1))
      call avR2(1783, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(1783, 1, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(8567)%branchR2(0:0))
      call avR2(8567, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4469)%branchR2(0:0))
      call avR2(4469, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(3331)%branchR2(0:0))
      call avR2(3331, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(6472)%branchR2(0:0))
      call avR2(6472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10703)%branchR2(0:0))
      call avR2(10703, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(4363)%branchR2(0:0))
      call avR2(4363, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(7506)%branchR2(0:0))
      call avR2(7506, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10704)%branchR2(0:1))
      call avR2(10704, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22399])

      call avR2(10704, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(4365)%branchR2(0:1))
      call avR2(4365, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(4365, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9454)%branchR2(0:0))
      call avR2(9454, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7495)%branchR2(0:0))
      call avR2(7495, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(6020)%branchR2(0:0))
      call avR2(6020, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(6530)%branchR2(0:3))
      call avR2(6530, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(6530, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(6530, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(6530, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(4604)%branchR2(0:0))
      call avR2(4604, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(20)%branchR2(0:1))
      call avR2(20, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(20, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(8679)%branchR2(0:0))
      call avR2(8679, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22481, nGC_22481,     &
      nGC_22480])

      allocate(vertices(9153)%branchR2(0:0))
      call avR2(9153, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10705)%branchR2(0:0))
      call avR2(10705, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(9192)%branchR2(0:0))
      call avR2(9192, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(3984)%branchR2(0:0))
      call avR2(3984, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10706)%branchR2(0:1))
      call avR2(10706, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22469])

      call avR2(10706, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22468])

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(3718)%branchR2(0:1))
      call avR2(3718, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(3718, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(10331)%branchR2(0:0))
      call avR2(10331, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4311)%branchR2(0:1))
      call avR2(4311, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(4311, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(4638)%branchR2(0:0))
      call avR2(4638, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(10707)%branchR2(0:1))
      call avR2(10707, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10707, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(10708)%branchR2(0:0))
      call avR2(10708, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(3199)%branchR2(0:0))
      call avR2(3199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(10709)%branchR2(0:1))
      call avR2(10709, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10709, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(4478)%branchR2(0:0))
      call avR2(4478, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9733)%branchR2(0:0))
      call avR2(9733, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(10710)%branchR2(0:0))
      call avR2(10710, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(2141)%branchR2(0:1))
      call avR2(2141, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(2141, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7618)%branchR2(0:0))
      call avR2(7618, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(6441)%branchR2(0:0))
      call avR2(6441, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22257])

      allocate(vertices(7840)%branchR2(0:0))
      call avR2(7840, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(9880)%branchR2(0:0))
      call avR2(9880, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(7133)%branchR2(0:0))
      call avR2(7133, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22094])

      allocate(vertices(9869)%branchR2(0:0))
      call avR2(9869, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(10711)%branchR2(0:1))
      call avR2(10711, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22468])

      call avR2(10711, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22469])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(6590)%branchR2(0:0))
      call avR2(6590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(8128)%branchR2(0:1))
      call avR2(8128, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(8128, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(8331)%branchR2(0:0))
      call avR2(8331, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(2801)%branchR2(0:0))
      call avR2(2801, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22277])

      allocate(vertices(3458)%branchR2(0:0))
      call avR2(3458, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22276])

      allocate(vertices(10208)%branchR2(0:0))
      call avR2(10208, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(9903)%branchR2(0:0))
      call avR2(9903, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22015])

      allocate(vertices(6683)%branchR2(0:0))
      call avR2(6683, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7203)%branchR2(0:0))
      call avR2(7203, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(606)%branchR2(0:1))
      call avR2(606, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(606, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(5306)%branchR2(0:0))
      call avR2(5306, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(4539)%branchR2(0:0))
      call avR2(4539, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22146])

      allocate(vertices(6614)%branchR2(0:0))
      call avR2(6614, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(8384)%branchR2(0:0))
      call avR2(8384, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22128])

      allocate(vertices(6215)%branchR2(0:0))
      call avR2(6215, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(8521)%branchR2(0:0))
      call avR2(8521, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3325)%branchR2(0:0))
      call avR2(3325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(1334)%branchR2(0:0))
      call avR2(1334, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22276])

      allocate(vertices(4676)%branchR2(0:0))
      call avR2(4676, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(6521)%branchR2(0:0))
      call avR2(6521, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(10227)%branchR2(0:0))
      call avR2(10227, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(9318)%branchR2(0:0))
      call avR2(9318, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22278])

      allocate(vertices(4177)%branchR2(0:0))
      call avR2(4177, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22278])

      allocate(vertices(7744)%branchR2(0:0))
      call avR2(7744, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(6453)%branchR2(0:0))
      call avR2(6453, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(10280)%branchR2(0:0))
      call avR2(10280, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(3405)%branchR2(0:0))
      call avR2(3405, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(6681)%branchR2(0:0))
      call avR2(6681, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(5894)%branchR2(0:0))
      call avR2(5894, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10712)%branchR2(0:5))
      call avR2(10712, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10712, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10712, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10712, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10712, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10712, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(6176)%branchR2(0:0))
      call avR2(6176, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(7756)%branchR2(0:0))
      call avR2(7756, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(6868)%branchR2(0:0))
      call avR2(6868, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22145])

      allocate(vertices(10713)%branchR2(0:1))
      call avR2(10713, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22474])

      call avR2(10713, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(2470)%branchR2(0:1))
      call avR2(2470, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(2470, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10043)%branchR2(0:0))
      call avR2(10043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3269)%branchR2(0:0))
      call avR2(3269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4208)%branchR2(0:0))
      call avR2(4208, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(7485)%branchR2(0:0))
      call avR2(7485, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(10413)%branchR2(0:0))
      call avR2(10413, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_59055])

      allocate(vertices(10714)%branchR2(0:1))
      call avR2(10714, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22474])

      call avR2(10714, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(9365)%branchR2(0:0))
      call avR2(9365, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(4456)%branchR2(0:0))
      call avR2(4456, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22048])

      allocate(vertices(10326)%branchR2(0:0))
      call avR2(10326, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59732])

      allocate(vertices(9610)%branchR2(0:0))
      call avR2(9610, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10715)%branchR2(0:5))
      call avR2(10715, 0, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10715, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10715, 2, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10715, 3, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10715, 4, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10715, 5, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      allocate(vertices(8377)%branchR2(0:1))
      call avR2(8377, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(8377, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(7279)%branchR2(0:0))
      call avR2(7279, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(5757)%branchR2(0:0))
      call avR2(5757, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(3175)%branchR2(0:0))
      call avR2(3175, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(4533)%branchR2(0:0))
      call avR2(4533, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(8856)%branchR2(0:0))
      call avR2(8856, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5198)%branchR2(0:0))
      call avR2(5198, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22466])

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(9720)%branchR2(0:0))
      call avR2(9720, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(4517)%branchR2(0:0))
      call avR2(4517, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22056])

      allocate(vertices(8219)%branchR2(0:0))
      call avR2(8219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(6761)%branchR2(0:1))
      call avR2(6761, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(6761, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(9469)%branchR2(0:0))
      call avR2(9469, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(6652)%branchR2(0:0))
      call avR2(6652, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22048])

      allocate(vertices(9587)%branchR2(0:0))
      call avR2(9587, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(9385)%branchR2(0:0))
      call avR2(9385, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22037])

      allocate(vertices(5773)%branchR2(0:0))
      call avR2(5773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(4740)%branchR2(0:0))
      call avR2(4740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8623)%branchR2(0:0))
      call avR2(8623, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3856)%branchR2(0:0))
      call avR2(3856, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(4502)%branchR2(0:0))
      call avR2(4502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(3651)%branchR2(0:0))
      call avR2(3651, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9727)%branchR2(0:0))
      call avR2(9727, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9075)%branchR2(0:0))
      call avR2(9075, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2293)%branchR2(0:0))
      call avR2(2293, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58059])

      allocate(vertices(10316)%branchR2(0:0))
      call avR2(10316, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(5839)%branchR2(0:0))
      call avR2(5839, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(8476)%branchR2(0:0))
      call avR2(8476, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(1616, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(3344)%branchR2(0:0))
      call avR2(3344, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58728])

      allocate(vertices(3980)%branchR2(0:0))
      call avR2(3980, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10226)%branchR2(0:0))
      call avR2(10226, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22037])

      allocate(vertices(6348)%branchR2(0:0))
      call avR2(6348, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(8539)%branchR2(0:0))
      call avR2(8539, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9863)%branchR2(0:0))
      call avR2(9863, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(2458)%branchR2(0:0))
      call avR2(2458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6734)%branchR2(0:1))
      call avR2(6734, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(6734, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(7228)%branchR2(0:0))
      call avR2(7228, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9636)%branchR2(0:0))
      call avR2(9636, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7690)%branchR2(0:0))
      call avR2(7690, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(2115)%branchR2(0:1))
      call avR2(2115, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(2115, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(5317)%branchR2(0:0))
      call avR2(5317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(9372)%branchR2(0:0))
      call avR2(9372, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22036])

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22362,     &
      nGC_22363])

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22072])

      allocate(vertices(3898)%branchR2(0:0))
      call avR2(3898, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9233)%branchR2(0:0))
      call avR2(9233, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(462)%branchR2(0:1))
      call avR2(462, 0, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(462, 1, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(4489)%branchR2(0:0))
      call avR2(4489, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(8054)%branchR2(0:0))
      call avR2(8054, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(10716)%branchR2(0:1))
      call avR2(10716, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22382])

      call avR2(10716, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6431)%branchR2(0:0))
      call avR2(6431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(4140)%branchR2(0:1))
      call avR2(4140, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(4140, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(10221)%branchR2(0:0))
      call avR2(10221, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(7385)%branchR2(0:0))
      call avR2(7385, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(6344)%branchR2(0:0))
      call avR2(6344, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(8721)%branchR2(0:0))
      call avR2(8721, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22072])

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4354)%branchR2(0:0))
      call avR2(4354, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(10305)%branchR2(0:0))
      call avR2(10305, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(5697)%branchR2(0:0))
      call avR2(5697, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(5581)%branchR2(0:0))
      call avR2(5581, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(10134)%branchR2(0:0))
      call avR2(10134, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2697)%branchR2(0:0))
      call avR2(2697, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

    end subroutine fill_vertices_mdl23
end module vertices_info23
