!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(5278)%branchR2(0:0))
      call avR2(5278, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(9747)%branchR2(0:0))
      call avR2(9747, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(4336)%branchR2(0:0))
      call avR2(4336, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(7513)%branchR2(0:0))
      call avR2(7513, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7684)%branchR2(0:1))
      call avR2(7684, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(7684, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(8418)%branchR2(0:0))
      call avR2(8418, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22277])

      allocate(vertices(3946)%branchR2(0:0))
      call avR2(3946, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(9186)%branchR2(0:0))
      call avR2(9186, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5417)%branchR2(0:0))
      call avR2(5417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(10717)%branchR2(0:0))
      call avR2(10717, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(10718)%branchR2(0:1))
      call avR2(10718, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22381])

      call avR2(10718, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22382])

      allocate(vertices(10719)%branchR2(0:1))
      call avR2(10719, 0, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22209])

      call avR2(10719, 1, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22208])

      allocate(vertices(6804)%branchR2(0:0))
      call avR2(6804, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22130])

      allocate(vertices(7329)%branchR2(0:0))
      call avR2(7329, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(5209)%branchR2(0:0))
      call avR2(5209, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(9277)%branchR2(0:0))
      call avR2(9277, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(4612)%branchR2(0:0))
      call avR2(4612, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22071])

      allocate(vertices(10063)%branchR2(0:0))
      call avR2(10063, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(4965)%branchR2(0:0))
      call avR2(4965, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(5203)%branchR2(0:0))
      call avR2(5203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9093)%branchR2(0:0))
      call avR2(9093, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4471)%branchR2(0:3))
      call avR2(4471, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(4471, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(4471, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(4471, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(5760)%branchR2(0:0))
      call avR2(5760, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(8538)%branchR2(0:0))
      call avR2(8538, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(6848)%branchR2(0:0))
      call avR2(6848, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(6414)%branchR2(0:0))
      call avR2(6414, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(2394)%branchR2(0:1))
      call avR2(2394, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(2394, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(10720)%branchR2(0:0))
      call avR2(10720, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(8018)%branchR2(0:0))
      call avR2(8018, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10064)%branchR2(0:0))
      call avR2(10064, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(6171)%branchR2(0:0))
      call avR2(6171, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22261])

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10025)%branchR2(0:0))
      call avR2(10025, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5497)%branchR2(0:1))
      call avR2(5497, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(5497, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(10351)%branchR2(0:0))
      call avR2(10351, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(1029)%branchR2(0:1))
      call avR2(1029, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(1029, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(9067)%branchR2(0:0))
      call avR2(9067, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22037])

      allocate(vertices(202)%branchR2(0:0))
      call avR2(202, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22131])

      allocate(vertices(9337)%branchR2(0:0))
      call avR2(9337, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6959)%branchR2(0:0))
      call avR2(6959, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10721)%branchR2(0:0))
      call avR2(10721, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22016])

      allocate(vertices(10722)%branchR2(0:0))
      call avR2(10722, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(6977)%branchR2(0:0))
      call avR2(6977, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(10723)%branchR2(0:0))
      call avR2(10723, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22332, nGC_22332,    &
      nGC_22332])

      allocate(vertices(3828)%branchR2(0:0))
      call avR2(3828, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9123)%branchR2(0:0))
      call avR2(9123, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5003)%branchR2(0:3))
      call avR2(5003, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(5003, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(5003, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(5003, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(6334)%branchR2(0:0))
      call avR2(6334, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9326)%branchR2(0:0))
      call avR2(9326, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(8085)%branchR2(0:0))
      call avR2(8085, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(2835)%branchR2(0:1))
      call avR2(2835, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(2835, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(7583)%branchR2(0:0))
      call avR2(7583, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22327, nGC_22325,      &
      nGC_22326])

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(4874)%branchR2(0:0))
      call avR2(4874, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(2412)%branchR2(0:1))
      call avR2(2412, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(2412, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(4804)%branchR2(0:0))
      call avR2(4804, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22145])

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(6452)%branchR2(0:0))
      call avR2(6452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(2198)%branchR2(0:1))
      call avR2(2198, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(2198, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(9776)%branchR2(0:0))
      call avR2(9776, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21968, nGC_21967])

      allocate(vertices(1508)%branchR2(0:1))
      call avR2(1508, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(1508, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(8907)%branchR2(0:0))
      call avR2(8907, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22071])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(3118)%branchR2(0:1))
      call avR2(3118, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

      call avR2(3118, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(10724)%branchR2(0:1))
      call avR2(10724, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22399])

      call avR2(10724, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(8575)%branchR2(0:0))
      call avR2(8575, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22072])

      allocate(vertices(5078)%branchR2(0:0))
      call avR2(5078, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(7232)%branchR2(0:0))
      call avR2(7232, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(6144)%branchR2(0:0))
      call avR2(6144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(6668)%branchR2(0:0))
      call avR2(6668, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(7670)%branchR2(0:0))
      call avR2(7670, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10420)%branchR2(0:0))
      call avR2(10420, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(6661)%branchR2(0:0))
      call avR2(6661, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8319)%branchR2(0:0))
      call avR2(8319, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(9282)%branchR2(0:0))
      call avR2(9282, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7184)%branchR2(0:0))
      call avR2(7184, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22079])

      allocate(vertices(10725)%branchR2(0:0))
      call avR2(10725, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(1067)%branchR2(0:1))
      call avR2(1067, 0, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22253])

      call avR2(1067, 1, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(1841)%branchR2(0:1))
      call avR2(1841, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(1841, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(9547)%branchR2(0:0))
      call avR2(9547, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10038)%branchR2(0:0))
      call avR2(10038, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22327,      &
      nGC_22326])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10017)%branchR2(0:0))
      call avR2(10017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(8873)%branchR2(0:0))
      call avR2(8873, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(3682)%branchR2(0:0))
      call avR2(3682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(4504)%branchR2(0:0))
      call avR2(4504, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(8690)%branchR2(0:0))
      call avR2(8690, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(8095)%branchR2(0:0))
      call avR2(8095, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22073])

      allocate(vertices(5395)%branchR2(0:0))
      call avR2(5395, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22022])

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(9944)%branchR2(0:0))
      call avR2(9944, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10104)%branchR2(0:0))
      call avR2(10104, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57850])

      allocate(vertices(10726)%branchR2(0:1))
      call avR2(10726, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10726, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(5975)%branchR2(0:0))
      call avR2(5975, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(5471)%branchR2(0:1))
      call avR2(5471, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(5471, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(5228)%branchR2(0:0))
      call avR2(5228, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(4558)%branchR2(0:0))
      call avR2(4558, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22274, nGC_22275])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22252])

      allocate(vertices(9199)%branchR2(0:0))
      call avR2(9199, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9034)%branchR2(0:0))
      call avR2(9034, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10468)%branchR2(0:0))
      call avR2(10468, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(9954)%branchR2(0:0))
      call avR2(9954, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(5221)%branchR2(0:0))
      call avR2(5221, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22058])

      allocate(vertices(10727)%branchR2(0:1))
      call avR2(10727, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22382])

      call avR2(10727, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(5185)%branchR2(0:0))
      call avR2(5185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22057])

      allocate(vertices(8293)%branchR2(0:0))
      call avR2(8293, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(8822)%branchR2(0:0))
      call avR2(8822, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(4932)%branchR2(0:0))
      call avR2(4932, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8716)%branchR2(0:0))
      call avR2(8716, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(6865)%branchR2(0:0))
      call avR2(6865, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(4896)%branchR2(0:0))
      call avR2(4896, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22146])

      allocate(vertices(5055)%branchR2(0:0))
      call avR2(5055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(5386)%branchR2(0:0))
      call avR2(5386, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(8278)%branchR2(0:0))
      call avR2(8278, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22363,     &
      nGC_22362])

      allocate(vertices(187)%branchR2(0:1))
      call avR2(187, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(187, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58278])

      allocate(vertices(1557)%branchR2(0:0))
      call avR2(1557, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(8040)%branchR2(0:0))
      call avR2(8040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(4439)%branchR2(0:0))
      call avR2(4439, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(3991)%branchR2(0:3))
      call avR2(3991, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(3991, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(3991, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(3991, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(10416)%branchR2(0:0))
      call avR2(10416, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59810])

      allocate(vertices(6849)%branchR2(0:0))
      call avR2(6849, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(10001)%branchR2(0:0))
      call avR2(10001, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(9065)%branchR2(0:0))
      call avR2(9065, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22054])

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(7725)%branchR2(0:0))
      call avR2(7725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5460)%branchR2(0:0))
      call avR2(5460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(4600)%branchR2(0:0))
      call avR2(4600, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(8038)%branchR2(0:0))
      call avR2(8038, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(9599)%branchR2(0:0))
      call avR2(9599, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(5196)%branchR2(0:0))
      call avR2(5196, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22240, nGC_22239])

      allocate(vertices(9408)%branchR2(0:0))
      call avR2(9408, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(5076)%branchR2(0:1))
      call avR2(5076, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22253])

      call avR2(5076, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(5250)%branchR2(0:0))
      call avR2(5250, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10728)%branchR2(0:1))
      call avR2(10728, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22441])

      call avR2(10728, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(7456)%branchR2(0:0))
      call avR2(7456, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(656)%branchR2(0:1))
      call avR2(656, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(656, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(5770)%branchR2(0:0))
      call avR2(5770, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22147])

      allocate(vertices(6038)%branchR2(0:0))
      call avR2(6038, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8589)%branchR2(0:0))
      call avR2(8589, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(10729)%branchR2(0:1))
      call avR2(10729, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22478])

      call avR2(10729, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22477])

      allocate(vertices(6784)%branchR2(0:0))
      call avR2(6784, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(5402)%branchR2(0:0))
      call avR2(5402, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(10730)%branchR2(0:5))
      call avR2(10730, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10730, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10730, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10730, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10730, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10730, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      allocate(vertices(8004)%branchR2(0:0))
      call avR2(8004, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(5202)%branchR2(0:1))
      call avR2(5202, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(5202, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22255])

      allocate(vertices(6847)%branchR2(0:0))
      call avR2(6847, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(6950)%branchR2(0:0))
      call avR2(6950, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22475,     &
      nGC_22476])

      allocate(vertices(10473)%branchR2(0:0))
      call avR2(10473, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9824)%branchR2(0:0))
      call avR2(9824, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(7179)%branchR2(0:0))
      call avR2(7179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6182)%branchR2(0:1))
      call avR2(6182, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(6182, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(9892)%branchR2(0:0))
      call avR2(9892, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4022)%branchR2(0:0))
      call avR2(4022, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(10300)%branchR2(0:0))
      call avR2(10300, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3685)%branchR2(0:0))
      call avR2(3685, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(8709)%branchR2(0:1))
      call avR2(8709, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(8709, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(10731)%branchR2(0:1))
      call avR2(10731, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

      call avR2(10731, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22447])

      allocate(vertices(3517)%branchR2(0:0))
      call avR2(3517, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_60175])

      allocate(vertices(9830)%branchR2(0:0))
      call avR2(9830, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3840)%branchR2(0:0))
      call avR2(3840, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(7169)%branchR2(0:0))
      call avR2(7169, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22145])

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(7914)%branchR2(0:0))
      call avR2(7914, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(7029)%branchR2(0:0))
      call avR2(7029, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22072])

      allocate(vertices(7257)%branchR2(0:0))
      call avR2(7257, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22095])

      allocate(vertices(4640)%branchR2(0:1))
      call avR2(4640, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(4640, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(9296)%branchR2(0:0))
      call avR2(9296, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3227)%branchR2(0:0))
      call avR2(3227, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22095])

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(4656)%branchR2(0:0))
      call avR2(4656, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8931)%branchR2(0:0))
      call avR2(8931, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57574])

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(4137)%branchR2(0:0))
      call avR2(4137, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(8050)%branchR2(0:0))
      call avR2(8050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8573)%branchR2(0:0))
      call avR2(8573, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10732)%branchR2(0:0))
      call avR2(10732, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(10139)%branchR2(0:0))
      call avR2(10139, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10733)%branchR2(0:1))
      call avR2(10733, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22441])

      call avR2(10733, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(6354)%branchR2(0:0))
      call avR2(6354, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22147])

      allocate(vertices(7235)%branchR2(0:0))
      call avR2(7235, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(10045)%branchR2(0:0))
      call avR2(10045, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(9840)%branchR2(0:0))
      call avR2(9840, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(6897)%branchR2(0:0))
      call avR2(6897, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(9223)%branchR2(0:0))
      call avR2(9223, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9964)%branchR2(0:0))
      call avR2(9964, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5036)%branchR2(0:1))
      call avR2(5036, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(5036, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(8812)%branchR2(0:0))
      call avR2(8812, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22072])

      allocate(vertices(4485)%branchR2(0:0))
      call avR2(4485, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(7015)%branchR2(0:23))
      call avR2(7015, 0, 173, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22490,   &
      nGC_22490])

      call avR2(7015, 1, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22487,     &
      nGC_22493])

      call avR2(7015, 2, 186, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,   &
      nGC_22495])

      call avR2(7015, 3, 176, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22491,   &
      nGC_22490])

      call avR2(7015, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_22488, nGC_22488,     &
      nGC_22487])

      call avR2(7015, 5, 182, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,   &
      nGC_22495])

      call avR2(7015, 6, 179, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,   &
      nGC_22489])

      call avR2(7015, 7, 172, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,   &
      nGC_22489])

      call avR2(7015, 8, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_22487, nGC_22492,     &
      nGC_22494])

      call avR2(7015, 9, 175, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22490,   &
      nGC_22491])

      call avR2(7015, 10, 188, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,  &
      nGC_22495])

      call avR2(7015, 11, 185, 1, 0, VVVV0, 0, [4, 0], [nGC_22496, nGC_22496,  &
      nGC_22496])

      call avR2(7015, 12, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_22488, nGC_22488,    &
      nGC_22487])

      call avR2(7015, 13, 178, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 14, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22487,    &
      nGC_22493])

      call avR2(7015, 15, 181, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 16, 174, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 17, 171, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 18, 184, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,  &
      nGC_22495])

      call avR2(7015, 19, 187, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,  &
      nGC_22495])

      call avR2(7015, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_22487, nGC_22492,    &
      nGC_22494])

      call avR2(7015, 21, 180, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 22, 177, 1, 0, VVVV0, 0, [4, 0], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(7015, 23, 183, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22495,  &
      nGC_22495])

      allocate(vertices(9490)%branchR2(0:0))
      call avR2(9490, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59055])

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22257])

      allocate(vertices(4475)%branchR2(0:0))
      call avR2(4475, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8685)%branchR2(0:3))
      call avR2(8685, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(8685, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(8685, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(8685, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(3257)%branchR2(0:0))
      call avR2(3257, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(7568)%branchR2(0:0))
      call avR2(7568, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22260])

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(8401)%branchR2(0:0))
      call avR2(8401, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22019])

      allocate(vertices(10113)%branchR2(0:0))
      call avR2(10113, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6775)%branchR2(0:0))
      call avR2(6775, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7760)%branchR2(0:0))
      call avR2(7760, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(9775)%branchR2(0:0))
      call avR2(9775, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(6102)%branchR2(0:0))
      call avR2(6102, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(3679)%branchR2(0:0))
      call avR2(3679, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22476,     &
      nGC_22475])

      allocate(vertices(6061)%branchR2(0:0))
      call avR2(6061, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(4880)%branchR2(0:1))
      call avR2(4880, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(4880, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(3922)%branchR2(0:0))
      call avR2(3922, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(9866)%branchR2(0:1))
      call avR2(9866, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,     &
      nGC_21983, nGC_21983])

      call avR2(9866, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_21984, nGC_21984])

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58845])

      allocate(vertices(7006)%branchR2(0:0))
      call avR2(7006, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(5912)%branchR2(0:0))
      call avR2(5912, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(9139)%branchR2(0:1))
      call avR2(9139, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_22008, nGC_22008])

      call avR2(9139, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22009, nGC_22009])

      allocate(vertices(5192)%branchR2(0:3))
      call avR2(5192, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(5192, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(5192, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(5192, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57802])

      allocate(vertices(10734)%branchR2(0:0))
      call avR2(10734, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10735)%branchR2(0:0))
      call avR2(10735, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(4968)%branchR2(0:1))
      call avR2(4968, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(4968, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(9227)%branchR2(0:0))
      call avR2(9227, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22475,      &
      nGC_22476])

      allocate(vertices(3314)%branchR2(0:0))
      call avR2(3314, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(3752)%branchR2(0:0))
      call avR2(3752, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(7418)%branchR2(0:0))
      call avR2(7418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(7511)%branchR2(0:0))
      call avR2(7511, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(4367)%branchR2(0:0))
      call avR2(4367, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(9622)%branchR2(0:0))
      call avR2(9622, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9479)%branchR2(0:0))
      call avR2(9479, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9079)%branchR2(0:0))
      call avR2(9079, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6008)%branchR2(0:1))
      call avR2(6008, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(6008, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(7221)%branchR2(0:1))
      call avR2(7221, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(7221, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22259])

      allocate(vertices(9283)%branchR2(0:0))
      call avR2(9283, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(4833)%branchR2(0:0))
      call avR2(4833, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22475, nGC_22476,     &
      nGC_22476])

      allocate(vertices(9913)%branchR2(0:0))
      call avR2(9913, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22432])

      allocate(vertices(9694)%branchR2(0:0))
      call avR2(9694, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57898])

      allocate(vertices(4059)%branchR2(0:0))
      call avR2(4059, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22050])

      allocate(vertices(2371)%branchR2(0:0))
      call avR2(2371, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(7785)%branchR2(0:0))
      call avR2(7785, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(3581)%branchR2(0:1))
      call avR2(3581, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(3581, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(5155)%branchR2(0:0))
      call avR2(5155, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22278])

      allocate(vertices(8852)%branchR2(0:0))
      call avR2(8852, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4374)%branchR2(0:0))
      call avR2(4374, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22145])

      allocate(vertices(6360)%branchR2(0:0))
      call avR2(6360, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(625)%branchR2(0:1))
      call avR2(625, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(625, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(10145)%branchR2(0:0))
      call avR2(10145, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(8308)%branchR2(0:0))
      call avR2(8308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10736)%branchR2(0:0))
      call avR2(10736, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(6465)%branchR2(0:1))
      call avR2(6465, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(6465, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(10200)%branchR2(0:0))
      call avR2(10200, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(4887)%branchR2(0:0))
      call avR2(4887, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10737)%branchR2(0:0))
      call avR2(10737, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(6394)%branchR2(0:3))
      call avR2(6394, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(6394, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6394, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(6394, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(10738)%branchR2(0:0))
      call avR2(10738, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(7863)%branchR2(0:1))
      call avR2(7863, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(7863, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(8084)%branchR2(0:0))
      call avR2(8084, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1524)%branchR2(0:1))
      call avR2(1524, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(1524, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(5431)%branchR2(0:1))
      call avR2(5431, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(5431, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7412)%branchR2(0:0))
      call avR2(7412, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(10308)%branchR2(0:0))
      call avR2(10308, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22035])

      allocate(vertices(10739)%branchR2(0:1))
      call avR2(10739, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      call avR2(10739, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(9303)%branchR2(0:0))
      call avR2(9303, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(7977)%branchR2(0:0))
      call avR2(7977, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(8055)%branchR2(0:0))
      call avR2(8055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(5984)%branchR2(0:0))
      call avR2(5984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(7862)%branchR2(0:0))
      call avR2(7862, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10740)%branchR2(0:1))
      call avR2(10740, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22430])

      call avR2(10740, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22431])

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22058])

      allocate(vertices(8947)%branchR2(0:0))
      call avR2(8947, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(8507)%branchR2(0:0))
      call avR2(8507, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(9962)%branchR2(0:0))
      call avR2(9962, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59732])

      allocate(vertices(10741)%branchR2(0:1))
      call avR2(10741, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22478])

      call avR2(10741, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22477])

      allocate(vertices(4505)%branchR2(0:0))
      call avR2(4505, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(8003)%branchR2(0:1))
      call avR2(8003, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(8003, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(7046)%branchR2(0:0))
      call avR2(7046, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10459)%branchR2(0:0))
      call avR2(10459, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22078])

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22075])

      allocate(vertices(9107)%branchR2(0:0))
      call avR2(9107, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4425)%branchR2(0:0))
      call avR2(4425, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(5530)%branchR2(0:0))
      call avR2(5530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6389)%branchR2(0:0))
      call avR2(6389, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(4741)%branchR2(0:0))
      call avR2(4741, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(8891)%branchR2(0:0))
      call avR2(8891, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21970, nGC_21969])

      allocate(vertices(8357)%branchR2(0:0))
      call avR2(8357, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22148])

      allocate(vertices(7472)%branchR2(0:0))
      call avR2(7472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(5004)%branchR2(0:0))
      call avR2(5004, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8111)%branchR2(0:0))
      call avR2(8111, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(5977)%branchR2(0:0))
      call avR2(5977, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_60170])

      allocate(vertices(8581)%branchR2(0:0))
      call avR2(8581, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22480, nGC_22481,     &
      nGC_22481])

      allocate(vertices(8181)%branchR2(0:0))
      call avR2(8181, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5619)%branchR2(0:0))
      call avR2(5619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(10479)%branchR2(0:0))
      call avR2(10479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(6671)%branchR2(0:0))
      call avR2(6671, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5963)%branchR2(0:0))
      call avR2(5963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

      allocate(vertices(5220)%branchR2(0:0))
      call avR2(5220, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(6260)%branchR2(0:0))
      call avR2(6260, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(4821)%branchR2(0:0))
      call avR2(4821, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22147])

      allocate(vertices(4756)%branchR2(0:0))
      call avR2(4756, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22018])

      allocate(vertices(10238)%branchR2(0:0))
      call avR2(10238, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,    &
      nGC_21994, nGC_21994])

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(2902)%branchR2(0:1))
      call avR2(2902, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(2902, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(9391)%branchR2(0:0))
      call avR2(9391, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57574])

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8294)%branchR2(0:0))
      call avR2(8294, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(4813)%branchR2(0:0))
      call avR2(4813, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(5827)%branchR2(0:0))
      call avR2(5827, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(9413)%branchR2(0:0))
      call avR2(9413, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(4868)%branchR2(0:0))
      call avR2(4868, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22146])

      allocate(vertices(9965)%branchR2(0:0))
      call avR2(9965, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10083)%branchR2(0:0))
      call avR2(10083, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22071])

      allocate(vertices(5504)%branchR2(0:0))
      call avR2(5504, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7137)%branchR2(0:0))
      call avR2(7137, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(8531)%branchR2(0:0))
      call avR2(8531, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(10431)%branchR2(0:0))
      call avR2(10431, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(6947)%branchR2(0:1))
      call avR2(6947, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(6947, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(9761)%branchR2(0:0))
      call avR2(9761, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(9210)%branchR2(0:0))
      call avR2(9210, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(6742)%branchR2(0:0))
      call avR2(6742, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10369)%branchR2(0:0))
      call avR2(10369, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22057])

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(3939)%branchR2(0:0))
      call avR2(3939, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7395)%branchR2(0:0))
      call avR2(7395, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10373)%branchR2(0:0))
      call avR2(10373, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(7222)%branchR2(0:0))
      call avR2(7222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(6471)%branchR2(0:0))
      call avR2(6471, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(4577)%branchR2(0:0))
      call avR2(4577, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(6285)%branchR2(0:0))
      call avR2(6285, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7776)%branchR2(0:0))
      call avR2(7776, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10742)%branchR2(0:0))
      call avR2(10742, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(9333)%branchR2(0:0))
      call avR2(9333, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(6912)%branchR2(0:0))
      call avR2(6912, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10743)%branchR2(0:1))
      call avR2(10743, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22441])

      call avR2(10743, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22440])

      allocate(vertices(9945)%branchR2(0:0))
      call avR2(9945, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22035])

      allocate(vertices(9323)%branchR2(0:1))
      call avR2(9323, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,     &
      nGC_21987, nGC_21987])

      call avR2(9323, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_21988, nGC_21988])

      allocate(vertices(7302)%branchR2(0:0))
      call avR2(7302, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(5191)%branchR2(0:0))
      call avR2(5191, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(4810)%branchR2(0:0))
      call avR2(4810, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22252])

      allocate(vertices(4930)%branchR2(0:0))
      call avR2(4930, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4386)%branchR2(0:0))
      call avR2(4386, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(7721)%branchR2(0:0))
      call avR2(7721, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22224])

      allocate(vertices(6000)%branchR2(0:0))
      call avR2(6000, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(6942)%branchR2(0:0))
      call avR2(6942, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(6390)%branchR2(0:1))
      call avR2(6390, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(6390, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(8788)%branchR2(0:0))
      call avR2(8788, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8848)%branchR2(0:0))
      call avR2(8848, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22077])

      allocate(vertices(10405)%branchR2(0:0))
      call avR2(10405, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(4981)%branchR2(0:1))
      call avR2(4981, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(4981, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22259])

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10744)%branchR2(0:1))
      call avR2(10744, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10744, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(7187)%branchR2(0:1))
      call avR2(7187, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(7187, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10745)%branchR2(0:0))
      call avR2(10745, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(6312)%branchR2(0:0))
      call avR2(6312, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22257])

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10746)%branchR2(0:0))
      call avR2(10746, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(7788)%branchR2(0:0))
      call avR2(7788, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22146])

      allocate(vertices(9310)%branchR2(0:0))
      call avR2(9310, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(1193)%branchR2(0:1))
      call avR2(1193, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(1193, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(5304)%branchR2(0:0))
      call avR2(5304, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_59579])

      allocate(vertices(6224)%branchR2(0:0))
      call avR2(6224, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22057])

      allocate(vertices(3297)%branchR2(0:1))
      call avR2(3297, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22024, nGC_22023])

      call avR2(3297, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(8352)%branchR2(0:1))
      call avR2(8352, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(8352, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(8989)%branchR2(0:0))
      call avR2(8989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(8137)%branchR2(0:0))
      call avR2(8137, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(8926)%branchR2(0:0))
      call avR2(8926, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(7370)%branchR2(0:0))
      call avR2(7370, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(4641)%branchR2(0:0))
      call avR2(4641, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8057)%branchR2(0:0))
      call avR2(8057, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(6403)%branchR2(0:0))
      call avR2(6403, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4793)%branchR2(0:0))
      call avR2(4793, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(8651)%branchR2(0:1))
      call avR2(8651, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(8651, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(10747)%branchR2(0:0))
      call avR2(10747, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9311)%branchR2(0:0))
      call avR2(9311, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9948)%branchR2(0:0))
      call avR2(9948, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(6045)%branchR2(0:0))
      call avR2(6045, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22131])

      allocate(vertices(10748)%branchR2(0:1))
      call avR2(10748, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22478])

      call avR2(10748, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22477])

      allocate(vertices(10287)%branchR2(0:0))
      call avR2(10287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(7778)%branchR2(0:0))
      call avR2(7778, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10749)%branchR2(0:1))
      call avR2(10749, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22399])

      call avR2(10749, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(8172)%branchR2(0:1))
      call avR2(8172, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(8172, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7076)%branchR2(0:0))
      call avR2(7076, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(6986)%branchR2(0:0))
      call avR2(6986, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(5482)%branchR2(0:0))
      call avR2(5482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(10034)%branchR2(0:0))
      call avR2(10034, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(9916)%branchR2(0:0))
      call avR2(9916, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(8459)%branchR2(0:0))
      call avR2(8459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(7837)%branchR2(0:0))
      call avR2(7837, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(6770)%branchR2(0:0))
      call avR2(6770, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22073])

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(7898)%branchR2(0:0))
      call avR2(7898, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(10750)%branchR2(0:0))
      call avR2(10750, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22341,    &
      nGC_22342])

      allocate(vertices(4616)%branchR2(0:0))
      call avR2(4616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(7437)%branchR2(0:0))
      call avR2(7437, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22403])

    end subroutine fill_vertices_mdl24
end module vertices_info24
