!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_40620) = coupl(nGC_348)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_32420) = coupl(nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_32424) = coupl(nGC_29)*dZGMinus
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_40238) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22210) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(    &
                         nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22216) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339&
                         )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl&
                         (nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl( &
                         nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl(&
                         nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22217) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22214) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32640) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_41471) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_22368) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +  &
                         10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0&
                         *Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*&
                         coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*    &
                         coupl(nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(  &
                         nGC_100)**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(  &
                         nGC_229)**2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(  &
                         nGC_352)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358&
                         )**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*&
                         coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22548) = coupl(nGC_21335)*dl3_QED4 + coupl(nGC_21336)*dl1_QED4 &
                          + coupl(nGC_21337)*dl2_QED4 + coupl(nGC_21338)*      &
                         dl5_QED4 + coupl(nGC_21339)*dl4_QED4 + coupl(nGC_21340&
                         )*db_QED2
      coupl(nGC_22549) = coupl(nGC_20708)*dl3_QED4 + coupl(nGC_20709)*dl1_QED4 &
                          + coupl(nGC_20710)*dl2_QED4 + coupl(nGC_20711)*      &
                         dl5_QED4 + coupl(nGC_20712)*dl4_QED4 + coupl(nGC_20713&
                         )*db_QED2
      coupl(nGC_22546) = coupl(nGC_20727)*dl3_QED4 + coupl(nGC_20728)*dl1_QED4 &
                          + coupl(nGC_20729)*dl2_QED4 + coupl(nGC_20730)*      &
                         dl5_QED4 + coupl(nGC_20731)*dl4_QED4 + coupl(nGC_20732&
                         )*db_QED2
      coupl(nGC_22547) = coupl(nGC_20714)*dl3_QED4 + coupl(nGC_20715)*dl1_QED4 &
                          + coupl(nGC_20716)*dl2_QED4 + coupl(nGC_20717)*      &
                         dl5_QED4 + coupl(nGC_20718)*dl4_QED4 + coupl(nGC_20719&
                         )*db_QED2
      coupl(nGC_22544) = coupl(nGC_20720)*dl3_QED4 + coupl(nGC_20721)*dl1_QED4 &
                          + coupl(nGC_20722)*dl2_QED4 + coupl(nGC_20723)*      &
                         dl5_QED4 + coupl(nGC_20724)*dl4_QED4 + coupl(nGC_20725&
                         )*db_QED2
      coupl(nGC_22545) = coupl(nGC_21341)*dl3_QED4 + coupl(nGC_21342)*dl1_QED4 &
                          + coupl(nGC_21343)*dl2_QED4 + coupl(nGC_21344)*      &
                         dl5_QED4 + coupl(nGC_21345)*dl4_QED4 + coupl(nGC_21346&
                         )*db_QED2
      coupl(nGC_22542) = coupl(nGC_21138)*dl3_QED4 + coupl(nGC_21139)*db_QED2  &
                          + coupl(nGC_21140)*dl2_QED4 + coupl(nGC_21141)*      &
                         dl5_QED4 + coupl(nGC_21142)*dl4_QED4 + coupl(nGC_21143&
                         )*dl1_QED4 + coupl(nGC_21144)*da_QED2
      coupl(nGC_22543) = coupl(nGC_21149)*dl3_QED4 + coupl(nGC_21150)*db_QED2  &
                          + coupl(nGC_21151)*dl2_QED4 + coupl(nGC_21152)*      &
                         dl5_QED4 + coupl(nGC_21153)*dl4_QED4 + coupl(nGC_21154&
                         )*dl1_QED4 + coupl(nGC_21155)*da_QED2
      coupl(nGC_22540) = coupl(nGC_21103)*dl3_QED4 + coupl(nGC_21104)*db_QED2  &
                          + coupl(nGC_21105)*dl2_QED4 + coupl(nGC_21106)*      &
                         dl5_QED4 + coupl(nGC_21107)*dl4_QED4 + coupl(nGC_21108&
                         )*dl1_QED4 + coupl(nGC_21109)*da_QED2
      coupl(nGC_22541) = coupl(nGC_21327)*db_QED2 + coupl(nGC_21328)*dl5_QED4  &
                          + coupl(nGC_21329)*dl4_QED4 + coupl(nGC_21330)*      &
                         da_QED2
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22149) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc&
                         *coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*   &
                         coupl(nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc&
                         *coupl(nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*   &
                         coupl(nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl&
                         (nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(      &
                         nGC_378))/(24d0*pi**2d0)
      coupl(nGC_22142) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22143) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl( &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346&
                         )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl&
                         (nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(      &
                         nGC_350)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22140) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22146) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi**&
                         2d0)
      coupl(nGC_22147) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi**&
                         2d0)
      coupl(nGC_22144) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22145) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi**&
                         2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22213) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334&
                         )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl( &
                         nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl(&
                         nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22644) = coupl(nGC_21783)*db_QED2 + coupl(nGC_21784)*dye2_QED3 &
                          + coupl(nGC_21785)*dye1_QED3
      coupl(nGC_22647) = coupl(nGC_20819)*db_QED2 + coupl(nGC_20820)*dye2_QED3 &
                          + coupl(nGC_20821)*dye1_QED3
      coupl(nGC_22646) = coupl(nGC_21703)*db_QED2 + coupl(nGC_21704)*          &
                         dytau1_QED3 + coupl(nGC_21705)*dytau2_QED3
      coupl(nGC_22137) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl( &
                         nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335&
                         )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl&
                         (nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(      &
                         nGC_364)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22643) = coupl(nGC_21829)*dyd13x3_QED1_QCD2 + coupl(nGC_21830)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22134) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22218) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(    &
                         nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_38387) = coupl(nGC_I)*dZG0
      coupl(nGC_33600) = coupl(nGC_345)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_48048) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_36954) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_36955) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_22691)
      coupl(nGC_34776) = coupl(nGC_329)*dZZA_QED2/2d0
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
