!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_32651) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_22376) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_340)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_349)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_367)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(   &
                         nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(     &
                         nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(     &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_367)**2d0 - 4d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*&
                         cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(   &
                         nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(     &
                         nGC_209)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_367)**2d0 + 3d0*cima*coupl(   &
                         nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0&
                         *coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*  &
                         coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_379)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(  &
                         nGC_212)*coupl(nGC_355)**2d0 + 5d0*cima*coupl(nGC_208 &
                         )*coupl(nGC_212)*coupl(nGC_361)**2d0 + 5d0*cima*coupl(&
                         nGC_208)*coupl(nGC_212)*coupl(nGC_379)**2d0 - 4d0*cima&
                         *coupl(nGC_212)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*  &
                         coupl(nGC_212)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*   &
                         coupl(nGC_212)**2d0*coupl(nGC_379)**2d0 + 3d0*coupl(  &
                         nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*    &
                         coupl(nGC_2313)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22365) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                          + Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*   &
                         coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(   &
                         nGC_364)**2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370  &
                         )**2d0*coupl(nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*  &
                         coupl(nGC_385)**2d0 + coupl(nGC_352)**2d0*coupl(      &
                         nGC_355)**2d0 + coupl(nGC_358)**2d0*coupl(nGC_361)**  &
                         2d0 + coupl(nGC_376)**2d0*coupl(nGC_379)**2d0)/(24d0* &
                         pi**2d0)
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22551) = coupl(nGC_20881)*dsw_QED2 + coupl(nGC_20882)*dZee_QED2
      coupl(nGC_22550) = coupl(nGC_20761)*dsw_QED2 + coupl(nGC_20762)*dZee_QED2
      coupl(nGC_22553) = coupl(nGC_20987)*dsw_QED2 + coupl(nGC_20988)*dZee_QED2
      coupl(nGC_22552) = coupl(nGC_21391)*dsw_QED2 + coupl(nGC_21392)*dZee_QED2
      coupl(nGC_22555) = coupl(nGC_21910)*dsw_QED2 + coupl(nGC_21911)*db_QED2  &
                          + coupl(nGC_21912)*dZee_QED2 + coupl(nGC_21913)*     &
                         da_QED2
      coupl(nGC_22554) = coupl(nGC_20705)*dsw_QED2 + coupl(nGC_20706)*dcw_QED2 &
                          + coupl(nGC_20707)*dZee_QED2
      coupl(nGC_22557) = coupl(nGC_21840)*dsw_QED2 + coupl(nGC_21841)*db_QED2  &
                          + coupl(nGC_21842)*dZee_QED2 + coupl(nGC_21843)*     &
                         da_QED2
      coupl(nGC_22556) = coupl(nGC_21849)*dsw_QED2 + coupl(nGC_21850)*db_QED2  &
                          + coupl(nGC_21851)*dZee_QED2 + coupl(nGC_21852)*     &
                         da_QED2
      coupl(nGC_22559) = coupl(nGC_21601)*dZee_QED2 + coupl(nGC_21602)*dsw_QED2&
                          + coupl(nGC_21603)*dcw_QED2 + coupl(nGC_21604)*      &
                         dvev2_QED1 + coupl(nGC_21605)*dvev1_QED1 + coupl(     &
                         nGC_21606)*da_QED2
      coupl(nGC_22558) = coupl(nGC_21568)*dvev2_QED1 + coupl(nGC_21569)*       &
                         dcw_QED2 + coupl(nGC_21570)*db_QED2 + coupl(nGC_21571 &
                         )*dvev1_QED1 + coupl(nGC_21572)*dZee_QED2
      coupl(nGC_33919) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_22155) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl( &
                         nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334&
                         )*coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl&
                         (nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(      &
                         nGC_338)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22156) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl( &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347&
                         )*coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl&
                         (nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(      &
                         nGC_382)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22151) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*&
                         coupl(nGC_321)*coupl(nGC_809) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_231)*coupl(nGC_2313) + 2d0*coupl(nGC_2313)* &
                         coupl(nGC_3)*coupl(nGC_321))/(16d0*pi**2d0)
      coupl(nGC_22150) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc&
                         *coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*   &
                         coupl(nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc&
                         *coupl(nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*   &
                         coupl(nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl&
                         (nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(      &
                         nGC_376))/(24d0*pi**2d0)
      coupl(nGC_22152) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl( &
                         nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341&
                         )*coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(      &
                         nGC_370)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32244) = coupl(nGC_372)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_32245) = coupl(nGC_372)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_32246) = coupl(nGC_22672) + coupl(nGC_32245)
      coupl(nGC_32247) = coupl(nGC_22673) + coupl(nGC_369)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_372)*dZHh_QED2/2d0
      coupl(nGC_32881) = coupl(nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_175&
                         )*dZHhHl_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 +     &
                         coupl(nGC_180)*dZHMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZHl_QED2/2d0 + coupl(nGC_180)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22688) + coupl(nGC_23)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32398) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32396) = coupl(nGC_22551) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_32341) = coupl(nGC_22646) + coupl(nGC_376)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(      &
                         nGC_379)*dZtauMinusR_QED2/2d0
      coupl(nGC_32392) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32393) = -coupl(nGC_32392)
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33353) = coupl(nGC_22559) + coupl(nGC_328)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_331)*dZHh_QED2/2d0
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34386) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +   &
                         coupl(nGC_22586)
      coupl(nGC_32532) = coupl(nGC_205)*dZZA_QED2
      coupl(nGC_33285) = coupl(nGC_22596) + coupl(nGC_382)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_385)*dZdL_QED2/2d0 + coupl(nGC_385)*  &
                         dZuR_QED2/2d0
      coupl(nGC_33284) = coupl(nGC_22599) + coupl(nGC_346)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*  &
                         dZuL_QED2/2d0
      coupl(nGC_33283) = coupl(nGC_22597) + coupl(nGC_385)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_385)*dZuR_QCD2/2d0
      coupl(nGC_33282) = coupl(nGC_22598) + coupl(nGC_349)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_32404) = dZGMinusHMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_34835) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_33132) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_32717) = coupl(nGC_49)*dZG0
      coupl(nGC_22099) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22308) = sq2**3d0*(Nc*cima*coupl(nGC_7349)**3d0 - 12d0*coupl(  &
                         nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_32666) = coupl(nGC_22547) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +  &
                         coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*    &
                         dZG0Ha_QED2/2d0
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
