!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_38747) = coupl(nGC_363)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_38746) = coupl(nGC_363)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_38749) = coupl(nGC_22635) + coupl(nGC_363)*dZHl_QED2/2d0 +     &
                         coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_38748) = coupl(nGC_22634) + coupl(nGC_38747)
      coupl(nGC_34026) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_34027) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl( &
                         nGC_22728)
      coupl(nGC_32524) = coupl(nGC_174)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_175&
                         )*dZHlHh_QED2/2d0 + coupl(nGC_181)*dZHh_QED2/2d0 +    &
                         coupl(nGC_22555)
      coupl(nGC_32527) = coupl(nGC_22589) + coupl(nGC_6)*dZWMinus_QED2/2d0
      coupl(nGC_32521) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_32529) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32419) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32411) = coupl(nGC_22546) + coupl(nGC_57)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)*&
                         dZHMinusGMinus_QED2 + coupl(nGC_74)*                  &
                         dZHMinusGMinus_QED2/2d0
      coupl(nGC_33384) = coupl(nGC_187)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_22694) = coupl(nGC_21525)*dsw_QED2 + coupl(nGC_21526)*db_QED2  &
                          + coupl(nGC_21527)*dZee_QED2 + coupl(nGC_21528)*     &
                         da_QED2
      coupl(nGC_57802) = -coupl(nGC_22150)
      coupl(nGC_37366) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZmuMinusR_QED2 + coupl(nGC_22734)
      coupl(nGC_37367) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZmuMinusL_QED2 + coupl(nGC_22735)
      coupl(nGC_32707) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_21973) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0 &
                          + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 +  &
                         Nc*coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 +     &
                         coupl(nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(    &
                         nGC_375)**2d0)/(24d0*pi**2d0)
      coupl(nGC_21970) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl( &
                         nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl( &
                         nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_33657) = coupl(nGC_22550) + coupl(nGC_99)*dZHa_QED2
      coupl(nGC_21978) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(     &
                         nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*  &
                         coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl(&
                         nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(  &
                         nGC_212)**2d0 - coupl(nGC_2313)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21979) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_2313)**2d0)/(   &
                         48d0*pi**2d0)
      coupl(nGC_21998) = cima*sq2**2d0*(-Nc*coupl(nGC_7349)**2d0 + 6d0*coupl(  &
                         nGC_13)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_21999) = cima*coupl(nGC_7349)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_21990) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_21991) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_21992) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0* &
                         pi**2d0)
      coupl(nGC_21993) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 +     &
                         coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21994) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_21995) = cima*sq2**2d0*(Nc*coupl(nGC_7349)**2d0 - 6d0*coupl(   &
                         nGC_13)**2d0)/(96d0*pi**2d0)
      coupl(nGC_21996) = -Nc*cima*coupl(nGC_7349)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_21997) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 &
                          + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi&
                         **2d0)
      coupl(nGC_22191) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33738) = coupl(nGC_34)*dZGMinus/2d0
      coupl(nGC_22086) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl( &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347&
                         )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl&
                         (nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(      &
                         nGC_385)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_33735) = coupl(nGC_22576) + coupl(nGC_243)*dZHMinus_QED2 +     &
                         coupl(nGC_243)*dZHl_QED2/2d0 + coupl(nGC_251)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_252)*dZGMinusHMinus_QED2  &
                          + coupl(nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_40_Hl)
      coupl(nGC_33403) = coupl(nGC_32690) + coupl(nGC_33397)
      coupl(nGC_22081) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*&
                         coupl(nGC_324)*coupl(nGC_809) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_2313)*coupl(nGC_237) + 2d0*coupl(nGC_2313)* &
                         coupl(nGC_3)*coupl(nGC_324))/(16d0*pi**2d0)
      coupl(nGC_22080) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc&
                         *coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*   &
                         coupl(nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc&
                         *coupl(nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*   &
                         coupl(nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl&
                         (nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_33402) = coupl(nGC_32690) + coupl(nGC_33401)
      coupl(nGC_22317) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl( &
                         nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*   &
                         coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(      &
                         nGC_346)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*   &
                         coupl(nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)** &
                         2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1&
                         )**2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) +   &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(&
                         nGC_343) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_2)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) +   &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(&
                         nGC_385) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*   &
                         coupl(nGC_337) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(      &
                         nGC_340)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)**2d0*   &
                         coupl(nGC_346)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_2)** &
                         2d0*coupl(nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_2&
                         )**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(  &
                         nGC_2)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0*coupl(&
                         nGC_352)*coupl(nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(&
                         nGC_358)*coupl(nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(&
                         nGC_376)*coupl(nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi** &
                         2d0)
      coupl(nGC_36165) = coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_22194) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0&
                         *Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc* &
                         cMD*coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS* &
                         coupl(nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl&
                         (nGC_369)**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(    &
                         nGC_381)**2d0*coupl(nGC_384) + 12d0*cME*coupl(nGC_351 &
                         )**2d0*coupl(nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0* &
                         coupl(nGC_360) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl( &
                         nGC_378) + cima*coupl(nGC_224)*coupl(nGC_332) + 2d0*  &
                         cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_35199) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_22196) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0*&
                         Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) - &
                         2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc&
                         *cMC*coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC* &
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc*&
                         cMC*coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*  &
                         coupl(nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*  &
                         coupl(nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(&
                         nGC_206)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(      &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*  &
                         coupl(nGC_209)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(&
                         nGC_207)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_372) - 2d0*Nc*cMT*  &
                         coupl(nGC_210)**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(&
                         nGC_207)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_384) - 2d0*Nc*cMU*  &
                         coupl(nGC_210)**2d0*coupl(nGC_384) - 2d0*cME*coupl(   &
                         nGC_208)**2d0*coupl(nGC_354) + 2d0*cME*coupl(nGC_208)*&
                         coupl(nGC_211)*coupl(nGC_354) - 2d0*cME*coupl(nGC_211 &
                         )**2d0*coupl(nGC_354) - 2d0*cMM*coupl(nGC_208)**2d0*  &
                         coupl(nGC_360) + 2d0*cMM*coupl(nGC_208)*coupl(nGC_211 &
                         )*coupl(nGC_360) - 2d0*cMM*coupl(nGC_211)**2d0*coupl( &
                         nGC_360) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(nGC_378 &
                         ) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(     &
                         nGC_378) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_378 &
                         ) + cima*coupl(nGC_195)*coupl(nGC_272) + coupl(nGC_199&
                         )**2d0*coupl(nGC_272) + coupl(nGC_2313)**2d0*coupl(   &
                         nGC_272))/(8d0*pi**2d0)
      coupl(nGC_22537) = coupl(nGC_21081)*dl3_QED4 + coupl(nGC_21082)*db_QED2  &
                          + coupl(nGC_21083)*dl2_QED4 + coupl(nGC_21084)*      &
                         dl5_QED4 + coupl(nGC_21085)*dl4_QED4 + coupl(nGC_21086&
                         )*dl1_QED4 + coupl(nGC_21087)*da_QED2
      coupl(nGC_22536) = coupl(nGC_20912)*dl3_QED4 + coupl(nGC_20913)*dl1_QED4 &
                          + coupl(nGC_20914)*dl2_QED4 + coupl(nGC_20915)*      &
                         dl5_QED4 + coupl(nGC_20916)*dl4_QED4 + coupl(nGC_20917&
                         )*da_QED2
      coupl(nGC_22535) = coupl(nGC_21117)*dl3_QED4 + coupl(nGC_21118)*db_QED2  &
                          + coupl(nGC_21119)*dl2_QED4 + coupl(nGC_21120)*      &
                         dl5_QED4 + coupl(nGC_21121)*dl4_QED4 + coupl(nGC_21122&
                         )*dl1_QED4 + coupl(nGC_21123)*da_QED2
      coupl(nGC_22534) = coupl(nGC_20933)*dl3_QED4 + coupl(nGC_20934)*dl1_QED4 &
                          + coupl(nGC_20935)*dl2_QED4 + coupl(nGC_20936)*      &
                         dl5_QED4 + coupl(nGC_20937)*dl4_QED4 + coupl(nGC_20938&
                         )*da_QED2
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
