!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_22533) = coupl(nGC_21088)*dl3_QED4 + coupl(nGC_21089)*db_QED2  &
                          + coupl(nGC_21090)*dl2_QED4 + coupl(nGC_21091)*      &
                         dl5_QED4 + coupl(nGC_21092)*dl4_QED4 + coupl(nGC_21093&
                         )*dl1_QED4 + coupl(nGC_21094)*da_QED2
      coupl(nGC_22531) = coupl(nGC_21145)*dcw_QED2 + coupl(nGC_21146)*db_QED2  &
                          + coupl(nGC_21147)*dZee_QED2 + coupl(nGC_21148)*     &
                         da_QED2
      coupl(nGC_22530) = coupl(nGC_20978)*dcw_QED2 + coupl(nGC_20979)*db_QED2  &
                          + coupl(nGC_20980)*dZee_QED2 + coupl(nGC_20981)*     &
                         da_QED2
      coupl(nGC_22539) = coupl(nGC_21124)*dl3_QED4 + coupl(nGC_21125)*db_QED2  &
                          + coupl(nGC_21126)*dl2_QED4 + coupl(nGC_21127)*      &
                         dl5_QED4 + coupl(nGC_21128)*dl4_QED4 + coupl(nGC_21129&
                         )*dl1_QED4 + coupl(nGC_21130)*da_QED2
      coupl(nGC_22538) = coupl(nGC_21331)*db_QED2 + coupl(nGC_21332)*dl5_QED4  &
                          + coupl(nGC_21333)*dl4_QED4 + coupl(nGC_21334)*      &
                         da_QED2
      coupl(nGC_22407) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(64d0*pi**2d0)
      coupl(nGC_22409) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_22408) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) -     &
                         coupl(nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_22629) = coupl(nGC_20763)*dys2_QED3 + coupl(nGC_20764)*        &
                         dyd12x2_QED3 + coupl(nGC_20765)*da_QED2
      coupl(nGC_22628) = coupl(nGC_20763)*dys2_QED1_QCD2 + coupl(nGC_20764)*   &
                         dyd12x2_QED1_QCD2
      coupl(nGC_22623) = coupl(nGC_21393)*dyd12x2_QED3 + coupl(nGC_21394)*     &
                         dys2_QED3 + coupl(nGC_21395)*db_QED2
      coupl(nGC_22622) = coupl(nGC_21393)*dyd12x2_QED1_QCD2 + coupl(nGC_21394)*&
                         dys2_QED1_QCD2
      coupl(nGC_22621) = coupl(nGC_21748)*dydo2_QED3 + coupl(nGC_21749)*db_QED2&
                          + coupl(nGC_21750)*dydo1_QED3
      coupl(nGC_22620) = coupl(nGC_21748)*dydo2_QED1_QCD2 + coupl(nGC_21750)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22627) = coupl(nGC_21834)*dydo1_QED3 + coupl(nGC_21835)*       &
                         dydo2_QED3 + coupl(nGC_21836)*da_QED2
      coupl(nGC_22626) = coupl(nGC_21834)*dydo1_QED1_QCD2 + coupl(nGC_21835)*  &
                         dydo2_QED1_QCD2
      coupl(nGC_22625) = coupl(nGC_21442)*dyd13x3_QED1_QCD2 + coupl(nGC_21443)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22624) = coupl(nGC_21441)*db_QED2 + coupl(nGC_21442)*          &
                         dyd13x3_QED3 + coupl(nGC_21443)*dyb2_QED3
      coupl(nGC_32263) = coupl(nGC_174)*dZHMinus_QED2/2d0 + coupl(nGC_174)*    &
                         dZHh_QED2/2d0 + coupl(nGC_181)*dZGMinusHMinus_QED2/2d0&
                          + coupl(nGC_181)*dZHlHh_QED2/2d0 + coupl(nGC_22557)
      coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
      coupl(nGC_39006) = coupl(nGC_333)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_40362) = coupl(nGC_22851) + coupl(nGC_TS_GC_333_Hl) + coupl(   &
                         nGC_TS_GC_336_Hh)
      coupl(nGC_36964) = coupl(nGC_22588) + coupl(nGC_5)*dZWMinus_QED2/2d0
      coupl(nGC_34708) = coupl(nGC_22643) + coupl(nGC_34706)
      coupl(nGC_34707) = -coupl(nGC_22643) - coupl(nGC_34706)
      coupl(nGC_22221) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl&
                         (nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl( &
                         nGC_384) - coupl(nGC_383)**2d0*coupl(nGC_384) - coupl(&
                         nGC_384)**3d0 - coupl(nGC_384)*coupl(nGC_386)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22692) = coupl(nGC_21801)*dsw_QED2 + coupl(nGC_21802)*db_QED2  &
                          + coupl(nGC_21803)*dZee_QED2 + coupl(nGC_21804)*     &
                         da_QED2
      coupl(nGC_36369) = coupl(nGC_22667) + coupl(nGC_371)*dZHaG0_QED2/2d0
      coupl(nGC_36368) = coupl(nGC_374)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_36367) = coupl(nGC_374)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_36366) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_53925) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_22593)
      coupl(nGC_32281) = coupl(nGC_22603) + coupl(nGC_337)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_337)*dZsL_QCD2/2d0
      coupl(nGC_32283) = coupl(nGC_22602) + coupl(nGC_334)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*  &
                         dZsL_QED2/2d0
      coupl(nGC_34522) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_37426) = coupl(nGC_22542) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl&
                         (nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +  &
                         coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/&
                         2d0
      coupl(nGC_37422) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32465) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_32462) = coupl(nGC_22548) + coupl(nGC_54)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
      coupl(nGC_35670) = coupl(nGC_22572) + coupl(nGC_241)*dZHl_QED2/2d0 +     &
                         coupl(nGC_249)*dZHhHl_QED2/2d0 + coupl(nGC_252)*      &
                         dZHMinusGMinus_QED2 + coupl(nGC_TS_GC_33_Hh) + coupl( &
                         nGC_TS_GC_45_Hl)
      coupl(nGC_33395) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_21969) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0 &
                          + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 +  &
                         Nc*coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 +     &
                         coupl(nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(    &
                         nGC_378)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22519) = coupl(nGC_21306)*dl3_QED4 + coupl(nGC_21307)*db_QED2  &
                          + coupl(nGC_21308)*dl2_QED4 + coupl(nGC_21309)*      &
                         dl5_QED4 + coupl(nGC_21310)*dl4_QED4 + coupl(nGC_21311&
                         )*dl1_QED4 + coupl(nGC_21312)*da_QED2
      coupl(nGC_21972) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342   &
                         ) - 4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) -   &
                         4d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc&
                         *cMS**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**&
                         2d0*coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*  &
                         coupl(nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(   &
                         nGC_351)*coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*&
                         coupl(nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(  &
                         nGC_378) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl( &
                         nGC_329)*coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_21989) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_21988) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_21983) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_21982) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl&
                         (nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21981) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                         64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
