!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_21980) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*  &
                         cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(    &
                         nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0  &
                          + Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*&
                         cima*coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(    &
                         nGC_206)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0  &
                          + Nc*cMT**2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*&
                         cima*coupl(nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(    &
                         nGC_207)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0  &
                          + cME**2d0*cima*coupl(nGC_208)**2d0 + cME**2d0*cima* &
                         coupl(nGC_211)**2d0 + cMM**2d0*cima*coupl(nGC_208)**  &
                         2d0 + cMM**2d0*cima*coupl(nGC_211)**2d0 + cMTA**2d0*  &
                         cima*coupl(nGC_208)**2d0 + cMTA**2d0*cima*coupl(      &
                         nGC_211)**2d0 + cMW**2d0*cima*coupl(nGC_199)**2d0 +   &
                         cMW**2d0*cima*coupl(nGC_2313)**2d0 - cMW**2d0*coupl(  &
                         nGC_195))/(8d0*pi**2d0)
      coupl(nGC_21987) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_21986) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl&
                         (nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21985) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_21984) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22515) = coupl(nGC_20766)*dl3_QED4 + coupl(nGC_20767)*dl1_QED4 &
                          + coupl(nGC_20768)*dl2_QED4 + coupl(nGC_20769)*      &
                         dl5_QED4 + coupl(nGC_20770)*dl4_QED4 + coupl(nGC_20771&
                         )*db_QED2
      coupl(nGC_21971) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(    &
                         nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(    &
                         nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl&
                         (nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(   &
                         nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(     &
                         nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378&
                         ))/(24d0*pi**2d0)
      coupl(nGC_22514) = coupl(nGC_21156)*dl3_QED4 + coupl(nGC_21157)*db_QED2  &
                          + coupl(nGC_21158)*dl2_QED4 + coupl(nGC_21159)*      &
                         dl5_QED4 + coupl(nGC_21160)*dl4_QED4 + coupl(nGC_21161&
                         )*dl1_QED4 + coupl(nGC_21162)*da_QED2
      coupl(nGC_33650) = coupl(nGC_35)*dZG0
      coupl(nGC_32607) = coupl(nGC_22545) + coupl(nGC_55)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*&
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_22324) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_339)*coupl(     &
                         nGC_342) - Nc*coupl(nGC_1)**2d0*coupl(nGC_345)*coupl( &
                         nGC_348) - Nc*coupl(nGC_1)**2d0*coupl(nGC_363)*coupl( &
                         nGC_366) - Nc*coupl(nGC_2)**2d0*coupl(nGC_333)*coupl( &
                         nGC_336) - Nc*coupl(nGC_2)**2d0*coupl(nGC_369)*coupl( &
                         nGC_372) - Nc*coupl(nGC_2)**2d0*coupl(nGC_381)*coupl( &
                         nGC_384) - coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4  &
                         )**2d0 - coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4)** &
                         2d0 - coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_4)**2d0 &
                         )/(4d0*pi**2d0)
      coupl(nGC_32603) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_22510) = coupl(nGC_20777)*dl3_QED4 + coupl(nGC_20778)*dl1_QED4 &
                          + coupl(nGC_20779)*dl2_QED4 + coupl(nGC_20780)*      &
                         dl5_QED4 + coupl(nGC_20781)*dl4_QED4 + coupl(nGC_20782&
                         )*db_QED2
      coupl(nGC_22513) = coupl(nGC_20755)*dl3_QED4 + coupl(nGC_20756)*dl1_QED4 &
                          + coupl(nGC_20757)*dl2_QED4 + coupl(nGC_20758)*      &
                         dl5_QED4 + coupl(nGC_20759)*dl4_QED4 + coupl(nGC_20760&
                         )*db_QED2
      coupl(nGC_TS_GC_332_Hh) = -coupl(nGC_332)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22186) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -   &
                         coupl(nGC_2497)*coupl(nGC_375)**2d0 - coupl(nGC_2497)*&
                         coupl(nGC_377)**2d0 - coupl(nGC_2497)*coupl(nGC_378)**&
                         2d0 - coupl(nGC_2497)*coupl(nGC_380)**2d0 + 8d0*coupl(&
                         nGC_377)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22187) = (-coupl(nGC_1007)**2d0*coupl(nGC_377) + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_2497) - coupl(      &
                         nGC_2497)**2d0*coupl(nGC_377) + 8d0*coupl(nGC_2497)*  &
                         coupl(nGC_4)**2d0 - coupl(nGC_375)**2d0*coupl(nGC_377 &
                         ) - coupl(nGC_377)*coupl(nGC_378)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22184) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_371) - coupl(       &
                         nGC_2677)*coupl(nGC_369)**2d0 - coupl(nGC_2677)*coupl(&
                         nGC_371)**2d0 - coupl(nGC_2677)*coupl(nGC_372)**2d0 - &
                         coupl(nGC_2677)*coupl(nGC_374)**2d0 - coupl(nGC_2741)*&
                         coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_2741)*coupl(&
                         nGC_343)*coupl(nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22185) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22182) = (-coupl(nGC_1825)**2d0*coupl(nGC_371) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_2677) + 8d0*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_2677) - coupl(nGC_2677)**2d0*coupl&
                         (nGC_371) - coupl(nGC_340)*coupl(nGC_344)*coupl(      &
                         nGC_373) - coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_370&
                         ) - coupl(nGC_369)**2d0*coupl(nGC_371) - coupl(nGC_371&
                         )*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22183) = coupl(nGC_13)**2d0*coupl(nGC_2677)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22180) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_365) - coupl(nGC_1641&
                         )*coupl(nGC_363)**2d0 - coupl(nGC_1641)*coupl(nGC_365 &
                         )**2d0 - coupl(nGC_1641)*coupl(nGC_366)**2d0 - coupl( &
                         nGC_1641)*coupl(nGC_368)**2d0 + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_365) - coupl(nGC_3295)*coupl(&
                         nGC_334)*coupl(nGC_364) - coupl(nGC_3295)*coupl(      &
                         nGC_337)*coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22181) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22436) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl(&
                         nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(&
                         nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl(&
                         nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)**&
                         2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(     &
                         nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343&
                         )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(  &
                         nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                         coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)*&
                         coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*&
                         coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) +   &
                         5d0*Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(      &
                         nGC_348) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(&
                         nGC_348)*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**&
                         2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(     &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382  &
                         ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(  &
                         nGC_366) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370)**2d0* &
                         coupl(nGC_372) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382  &
                         )**2d0*coupl(nGC_384) + 6d0*coupl(nGC_175)*coupl(     &
                         nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_351)*coupl(nGC_352)**2d0*coupl(nGC_354) + 5d0*   &
                         coupl(nGC_357)*coupl(nGC_358)**2d0*coupl(nGC_360) +   &
                         5d0*coupl(nGC_375)*coupl(nGC_376)**2d0*coupl(nGC_378  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22437) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0 &
                          + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +  &
                         20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)* &
                         coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(   &
                         nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(    &
                         nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(    &
                         nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)*&
                         coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343 &
                         )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)** &
                         2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*&
                         coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(   &
                         nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl&
                         (nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(   &
                         nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(    &
                         nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl&
                         (nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +  &
                         10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*  &
                         coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl( &
                         nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22435) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0 &
                          + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +  &
                         20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)* &
                         coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(   &
                         nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)*&
                         coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343 &
                         )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)** &
                         2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0*&
                         coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(   &
                         nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl&
                         (nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(   &
                         nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(    &
                         nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(    &
                         nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*    &
                         coupl(nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229 &
                         ) + 10d0*coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 +    &
                         10d0*coupl(nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*  &
                         coupl(nGC_376)**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_22433) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(      &
                         nGC_343)**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*  &
                         coupl(nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0&
                         *Nc*coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 +   &
                         6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 +   &
                         3d0*coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0&
                         *coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*&
                         pi**2d0)
      coupl(nGC_22618) = coupl(nGC_21565)*db_QED2 + coupl(nGC_21566)*          &
                         dyd13x3_QED3 + coupl(nGC_21567)*dyb2_QED3
      coupl(nGC_22616) = coupl(nGC_20684)*db_QED2 + coupl(nGC_20685)*dyt1_QED3 &
                          + coupl(nGC_20686)*dyt2_QED3
      coupl(nGC_22617) = coupl(nGC_20685)*dyt1_QED1_QCD2 + coupl(nGC_20686)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_22614) = coupl(nGC_21457)*dyd12x2_QED1_QCD2 + coupl(nGC_21458)*&
                         dys2_QED1_QCD2
      coupl(nGC_22615) = coupl(nGC_21457)*dyd12x2_QED3 + coupl(nGC_21458)*     &
                         dys2_QED3 + coupl(nGC_21459)*db_QED2
      coupl(nGC_22612) = coupl(nGC_21629)*db_QED2 + coupl(nGC_21630)*dyc1_QED3 &
                          + coupl(nGC_21631)*dyc2_QED3
      coupl(nGC_22613) = coupl(nGC_21630)*dyc1_QED1_QCD2 + coupl(nGC_21631)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_32277) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_36774) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_36777) = coupl(nGC_22544) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl&
                         (nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*         &
                         dZHaG0_QED2/2d0
      coupl(nGC_22058) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*&
                         coupl(nGC_324)*coupl(nGC_809) + 2d0*coupl(nGC_198)*   &
                         coupl(nGC_199)*coupl(nGC_237) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_324)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22508) = coupl(nGC_21197)*dl3_QED4 + coupl(nGC_21198)*db_QED2  &
                          + coupl(nGC_21199)*dl2_QED4 + coupl(nGC_21200)*      &
                         dl5_QED4 + coupl(nGC_21201)*dl4_QED4 + coupl(nGC_21202&
                         )*dl1_QED4 + coupl(nGC_21203)*da_QED2
      coupl(nGC_22509) = coupl(nGC_20945)*dl3_QED4 + coupl(nGC_20946)*dl1_QED4 &
                          + coupl(nGC_20947)*dl2_QED4 + coupl(nGC_20948)*      &
                         dl5_QED4 + coupl(nGC_20949)*dl4_QED4 + coupl(nGC_20950&
                         )*da_QED2
      coupl(nGC_22502) = coupl(nGC_20992)*dcw_QED2 + coupl(nGC_20993)*db_QED2  &
                          + coupl(nGC_20994)*dZee_QED2 + coupl(nGC_20995)*     &
                         da_QED2
      coupl(nGC_22503) = coupl(nGC_21752)*dsw_QED2 + coupl(nGC_21753)*dcw_QED2 &
                          + coupl(nGC_21754)*dZee_QED2
      coupl(nGC_22500) = coupl(nGC_21021)*dZee_QED2
      coupl(nGC_22506) = coupl(nGC_20783)*dl3_QED4 + coupl(nGC_20784)*dl1_QED4 &
                          + coupl(nGC_20785)*dl2_QED4 + coupl(nGC_20786)*      &
                         dl5_QED4 + coupl(nGC_20787)*dl4_QED4 + coupl(nGC_20788&
                         )*db_QED2
      coupl(nGC_22504) = coupl(nGC_20807)*dl3_QED4 + coupl(nGC_20808)*dl1_QED4 &
                          + coupl(nGC_20809)*dl2_QED4 + coupl(nGC_20810)*      &
                         dl5_QED4 + coupl(nGC_20811)*dl4_QED4 + coupl(nGC_20812&
                         )*db_QED2
      coupl(nGC_22505) = coupl(nGC_20789)*dl3_QED4 + coupl(nGC_20790)*dl1_QED4 &
                          + coupl(nGC_20791)*dl2_QED4 + coupl(nGC_20792)*      &
                         dl5_QED4 + coupl(nGC_20793)*dl4_QED4 + coupl(nGC_20794&
                         )*db_QED2
      coupl(nGC_34730) = coupl(nGC_22567) + coupl(nGC_241)*dZGMinusHMinus_QED2/&
                         2d0 + coupl(nGC_243)*dZHMinusGMinus_QED2/2d0 + coupl( &
                         nGC_244)*dZHhHl_QED2/2d0 + coupl(nGC_252)*            &
                         dZHMinus_QED2/2d0 + coupl(nGC_252)*dZHl_QED2/2d0 +    &
                         coupl(nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_39106) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_36602) = coupl(nGC_324)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
