!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_36605) = coupl(nGC_22689) + coupl(nGC_237)*dZZA_QED2/2d0 +     &
                         coupl(nGC_321)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_324&
                         )*dZA_QED2/2d0 + coupl(nGC_324)*dZWMinus_QED2/2d0 +   &
                         coupl(nGC_TS_GC_174_Hl) + coupl(nGC_TS_GC_180_Hh)
      coupl(nGC_39109) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_35531) = coupl(nGC_32690) + coupl(nGC_35530)
      coupl(nGC_32962) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22498) +     &
                         coupl(nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*      &
                         dZHa_QED2/2d0 + coupl(nGC_31)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_31)*dZZ_QED2/2d0
      coupl(nGC_32298) = coupl(nGC_22647) + coupl(nGC_352)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*   &
                         dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/&
                         2d0
      coupl(nGC_39740) = coupl(nGC_22619) + coupl(nGC_343)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_34195) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(    &
                         nGC_TS_GC_236_Hl)
      coupl(nGC_34190) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_22085) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl( &
                         nGC_333)*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_335&
                         )*coupl(nGC_337)*coupl(nGC_365) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_366) - coupl(nGC_337)*coupl(      &
                         nGC_338)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22082) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl( &
                         nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341&
                         )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(      &
                         nGC_371)*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_38507) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_34996) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZeMinusR_QED2 + coupl(nGC_22734)
      coupl(nGC_34995) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZeMinusL_QED2 + coupl(nGC_22735)
      coupl(nGC_34992) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_34998) = coupl(nGC_34992) + coupl(nGC_34995)
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_47300) = coupl(nGC_22847) + coupl(nGC_TS_GC_357_Hl) + coupl(   &
                         nGC_TS_GC_360_Hh)
      coupl(nGC_32473) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*    &
                         dZHa_QED2/2d0 + coupl(nGC_22553)
      coupl(nGC_34864) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_22056) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc*&
                         coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*    &
                         coupl(nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc&
                         *coupl(nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*   &
                         coupl(nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl&
                         (nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22310) = coupl(nGC_13)*sq2*(-coupl(nGC_1825)*coupl(nGC_374) -  &
                         4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 -     &
                         coupl(nGC_2677)*coupl(nGC_371) - coupl(nGC_369)**2d0  &
                          - coupl(nGC_370)**2d0 - coupl(nGC_372)**2d0 - coupl( &
                         nGC_373)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22257) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0* &
                         coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl( &
                         nGC_2313) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_44065) = coupl(nGC_22650) + coupl(nGC_353)*dZHaG0_QED2/2d0
      coupl(nGC_44067) = coupl(nGC_44064) + coupl(nGC_44065)
      coupl(nGC_44066) = -coupl(nGC_44064) - coupl(nGC_44065)
      coupl(nGC_33678) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_57009) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*    &
                         dZHh_QED2 + coupl(nGC_22509)
      coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22532) = coupl(nGC_21110)*dl3_QED4 + coupl(nGC_21111)*db_QED2  &
                          + coupl(nGC_21112)*dl2_QED4 + coupl(nGC_21113)*      &
                         dl5_QED4 + coupl(nGC_21114)*dl4_QED4 + coupl(nGC_21115&
                         )*dl1_QED4 + coupl(nGC_21116)*da_QED2
      coupl(nGC_22335) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_336)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_384)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_366)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_372)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_384)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_354)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_360)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22334) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_206)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(&
                         nGC_1)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*    &
                         coupl(nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*  &
                         coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*  &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*&
                         coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(     &
                         nGC_337) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                         nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_209)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_1)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) + &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_346)*    &
                         coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*  &
                         coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2)*  &
                         coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*&
                         coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_346)*coupl(     &
                         nGC_349) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                         nGC_364)*coupl(nGC_367) - 8d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_337) - 8d0*Nc*coupl(&
                         nGC_2)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) - &
                         8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_382)*    &
                         coupl(nGC_385) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*  &
                         coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2)*  &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*&
                         coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_382)*coupl(     &
                         nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(  &
                         nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl(nGC_2)*coupl(  &
                         nGC_210)*coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(&
                         nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) - &
                         8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_355)*coupl&
                         (nGC_4) - 8d0*coupl(nGC_208)*coupl(nGC_358)*coupl(    &
                         nGC_361)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(     &
                         nGC_376)*coupl(nGC_379)*coupl(nGC_4) + 5d0*coupl(     &
                         nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_4) + &
                         5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361)*coupl&
                         (nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_376)*coupl(    &
                         nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22336) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(nGC_174)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_32613) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)*&
                         dZHlHh_QED2/2d0 + coupl(nGC_22502) + coupl(nGC_24)*   &
                         dZHh_QED2/2d0
      coupl(nGC_32610) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_22338) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1641)* &
                         coupl(nGC_367) + Nc*coupl(nGC_1)*coupl(nGC_2741)*coupl&
                         (nGC_340) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_335)*coupl( &
                         nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_3395)*coupl(     &
                         nGC_349) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(  &
                         nGC_373) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(  &
                         nGC_385) - 4d0*Nc*coupl(nGC_1641)*coupl(nGC_2)*coupl( &
                         nGC_367) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_2741)*coupl( &
                         nGC_340) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(      &
                         nGC_337) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_3395)*coupl( &
                         nGC_349) + Nc*coupl(nGC_2)*coupl(nGC_371)*coupl(      &
                         nGC_373) + Nc*coupl(nGC_2)*coupl(nGC_383)*coupl(      &
                         nGC_385) + coupl(nGC_2247)*coupl(nGC_355)*coupl(nGC_4 &
                         ) + coupl(nGC_2497)*coupl(nGC_379)*coupl(nGC_4) +     &
                         coupl(nGC_361)*coupl(nGC_4)*coupl(nGC_8311))/(48d0*pi &
                         **2d0)
      coupl(nGC_22199) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22198) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339&
                         )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(  &
                         nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(  &
                         nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(  &
                         nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372&
                         ))/(32d0*pi**2d0)
      coupl(nGC_36161) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_33400) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_22193) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0&
                         *Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc* &
                         cMD*coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS* &
                         coupl(nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl&
                         (nGC_369)*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(    &
                         nGC_381)*coupl(nGC_384)**2d0 + 12d0*cME*coupl(nGC_351 &
                         )*coupl(nGC_354)**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(&
                         nGC_360)**2d0 + 12d0*cMTA*coupl(nGC_375)*coupl(nGC_378&
                         )**2d0 + cima*coupl(nGC_224)*coupl(nGC_329) + 2d0*cima&
                         *coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_22192) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*    &
                         coupl(nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 +   &
                         4d0*cMTA*coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*   &
                         coupl(nGC_332) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_36164) = coupl(nGC_22863) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_22197) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(       &
                         nGC_2741)**2d0*coupl(nGC_339) - coupl(nGC_2939)**2d0* &
                         coupl(nGC_339) - coupl(nGC_339)**3d0 - coupl(nGC_339)*&
                         coupl(nGC_342)**2d0 - coupl(nGC_340)*coupl(nGC_372)*  &
                         coupl(nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl( &
                         nGC_372))/(32d0*pi**2d0)
      coupl(nGC_36166) = -coupl(nGC_36165)
      coupl(nGC_22422) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1219)*coupl(    &
                         nGC_207)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_209)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1219)*    &
                         coupl(nGC_210)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1825 &
                         )*coupl(nGC_207)*coupl(nGC_370) - 4d0*Nc*coupl(       &
                         nGC_1825)*coupl(nGC_209)*coupl(nGC_370) - 4d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_210)*coupl(nGC_370) + 5d0*Nc*    &
                         coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*&
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_350) + 5d0*Nc*&
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*&
                         coupl(nGC_207)*coupl(nGC_2665)*coupl(nGC_334) - 4d0*Nc&
                         *coupl(nGC_209)*coupl(nGC_2665)*coupl(nGC_334) - 4d0* &
                         Nc*coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_343) - 4d0*&
                         Nc*coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_350) - 4d0*&
                         Nc*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_368) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_2665)*coupl(nGC_334) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_341)*coupl(nGC_343) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_350) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_368) + 5d0&
                         *coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_356) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_358)*coupl(nGC_362) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_376)*coupl(nGC_380) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_356) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_358)*coupl(nGC_362) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_380) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_356) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_362) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_380))/(48d0*pi&
                         **2d0)
      coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22601) = coupl(nGC_21324)*dyd12x2_QED3 + coupl(nGC_21325)*     &
                         dys2_QED3 + coupl(nGC_21326)*db_QED2
      coupl(nGC_22600) = coupl(nGC_21324)*dyd12x2_QED1_QCD2 + coupl(nGC_21325)*&
                         dys2_QED1_QCD2
      coupl(nGC_22605) = coupl(nGC_20814)*dyt1_QED1_QCD2 + coupl(nGC_20815)*   &
                         dyt2_QED1_QCD2
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
