!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_22604) = coupl(nGC_20813)*db_QED2 + coupl(nGC_20814)*dyt1_QED3 &
                          + coupl(nGC_20815)*dyt2_QED3
      coupl(nGC_22607) = coupl(nGC_21898)*dyd13x3_QED1_QCD2 + coupl(nGC_21899)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22606) = coupl(nGC_21897)*db_QED2 + coupl(nGC_21898)*          &
                         dyd13x3_QED3 + coupl(nGC_21899)*dyb2_QED3
      coupl(nGC_22048) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(    &
                         nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl&
                         (nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0&
                          - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                         nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl&
                         (nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0&
                          + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(  &
                         nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl&
                         (nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0&
                          + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208 &
                         )*coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379  &
                         )**2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(  &
                         nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(  &
                         nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_33889) = coupl(nGC_22522) + coupl(nGC_56)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)* &
                         dZHMinus_QED2
      coupl(nGC_22518) = coupl(nGC_21265)*dl3_QED4 + coupl(nGC_21266)*db_QED2  &
                          + coupl(nGC_21267)*dl2_QED4 + coupl(nGC_21268)*      &
                         dl5_QED4 + coupl(nGC_21269)*dl4_QED4 + coupl(nGC_21270&
                         )*dl1_QED4 + coupl(nGC_21271)*da_QED2
      coupl(nGC_22043) = (coupl(nGC_1007)*coupl(nGC_380)*coupl(nGC_4) - 2d0*   &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) + coupl(nGC_2497)*coupl(nGC_377)* &
                         coupl(nGC_4) + coupl(nGC_375)**2d0*coupl(nGC_4) +     &
                         coupl(nGC_378)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_22042) = coupl(nGC_4)*(coupl(nGC_1007)*coupl(nGC_380) + 4d0*   &
                         coupl(nGC_208)**2d0 + coupl(nGC_2497)*coupl(nGC_377   &
                         ) + coupl(nGC_375)**2d0 + coupl(nGC_378)**2d0 + 4d0*  &
                         coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22041) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_373)**2d0 + coupl(nGC_1825)*coupl(nGC_2)*coupl(  &
                         nGC_374) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*  &
                         coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_2677)*   &
                         coupl(nGC_371) + coupl(nGC_2)*coupl(nGC_369)**2d0 +   &
                         coupl(nGC_2)*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22040) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0&
                          + coupl(nGC_1825)*coupl(nGC_2)*coupl(nGC_374) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)** &
                         3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(   &
                         nGC_2)*coupl(nGC_2677)*coupl(nGC_371) + coupl(nGC_2)* &
                         coupl(nGC_369)**2d0 + coupl(nGC_2)*coupl(nGC_372)**2d0&
                         )/(32d0*pi**2d0)
      coupl(nGC_22047) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0* &
                         Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + &
                         2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_337)*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_345)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*  &
                         coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*  &
                         coupl(nGC_363)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_340)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(      &
                         nGC_340)*coupl(nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*  &
                         coupl(nGC_369)*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*  &
                         coupl(nGC_349)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(&
                         nGC_381)*coupl(nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*&
                         coupl(nGC_355)**2d0 + 2d0*cMM*coupl(nGC_357)*coupl(   &
                         nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_379 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + 4d0*&
                         cima*coupl(nGC_174)*coupl(nGC_324) + 4d0*cima*coupl(  &
                         nGC_21)*coupl(nGC_237) + cima*coupl(nGC_229)*coupl(   &
                         nGC_329))/(16d0*pi**2d0)
      coupl(nGC_22046) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc&
                         *cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*  &
                         coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*  &
                         coupl(nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*  &
                         coupl(nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(&
                         nGC_372)*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(      &
                         nGC_348)*coupl(nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*  &
                         coupl(nGC_349)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(&
                         nGC_384)*coupl(nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*&
                         coupl(nGC_355)**2d0 + 2d0*cMM*coupl(nGC_360)*coupl(   &
                         nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_378)*coupl(nGC_379 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_272) + 4d0*&
                         cima*coupl(nGC_180)*coupl(nGC_324) + cima*coupl(      &
                         nGC_229)*coupl(nGC_332) + 4d0*cima*coupl(nGC_23)*coupl&
                         (nGC_237))/(16d0*pi**2d0)
      coupl(nGC_22512) = coupl(nGC_20939)*dl3_QED4 + coupl(nGC_20940)*dl1_QED4 &
                          + coupl(nGC_20941)*dl2_QED4 + coupl(nGC_20942)*      &
                         dl5_QED4 + coupl(nGC_20943)*dl4_QED4 + coupl(nGC_20944&
                         )*da_QED2
      coupl(nGC_34726) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_35128) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_35129) = coupl(nGC_13)*dZbL_QCD2
      coupl(nGC_39111) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_36589) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*    &
                         dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_22693)
      coupl(nGC_39112) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_36343) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZtauMinusR_QED2 + coupl(nGC_22734)
      coupl(nGC_36342) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZtauMinusL_QED2 + coupl(nGC_22735)
      coupl(nGC_36345) = coupl(nGC_34992) + coupl(nGC_36342)
      coupl(nGC_36344) = coupl(nGC_34992) + coupl(nGC_36343)
      coupl(nGC_47160) = -coupl(nGC_32420)
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32914) = coupl(nGC_201)*dZZ_QED2/2d0 + coupl(nGC_22591) + coupl&
                         (nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_34189) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_38409) = coupl(nGC_200)*dZWMinus_QED2/2d0 + coupl(nGC_22592)
      coupl(nGC_33045) = coupl(nGC_180)*dZGMinus/2d0
      coupl(nGC_34507) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/&
                         2d0
      coupl(nGC_40344) = coupl(nGC_22621) + coupl(nGC_347)*dZHaG0_QED2/2d0
      coupl(nGC_33084) = coupl(nGC_174)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHl_QED2&
                         /2d0 + coupl(nGC_21)*dZWMinus_QED2/2d0 + coupl(nGC_21 &
                         )*dZZ_QED2/2d0 + coupl(nGC_22531) + coupl(nGC_23)*    &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*dZHhHl_QED2/  &
                         2d0
      coupl(nGC_33080) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_34116) = coupl(nGC_22853) + coupl(nGC_TS_GC_369_Hl) + coupl(   &
                         nGC_TS_GC_372_Hh)
      coupl(nGC_33249) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34879) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_32449) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_muL_QED2 + coupl(nGC_22733)
      coupl(nGC_37578) = coupl(nGC_22611) + coupl(nGC_382)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_382)*dZuR_QCD2/2d0
      coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32595) = -coupl(nGC_22625) - coupl(nGC_32594)
      coupl(nGC_32596) = coupl(nGC_22625) + coupl(nGC_32594)
      coupl(nGC_33068) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_34117) = coupl(nGC_34112) + coupl(nGC_34116)
      coupl(nGC_32598) = coupl(nGC_22624) + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_32599) = -coupl(nGC_32593) - coupl(nGC_32598)
      coupl(nGC_32622) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*        &
                         dZWMinus_QED2 + coupl(nGC_22698)
      coupl(nGC_32625) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
