!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_35130) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_32834) = coupl(nGC_22568) + coupl(nGC_248)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_257)*dZHMinus_QED2/2d0 + coupl(nGC_257)*    &
                         dZHa_QED2/2d0 + coupl(nGC_TS_GC_52_Hl) + coupl(       &
                         nGC_TS_GC_62_Hh)
      coupl(nGC_32832) = coupl(nGC_257)*dZGMinus/2d0
      coupl(nGC_47193) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_36938) = coupl(nGC_100)*dZG0
      coupl(nGC_32908) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2&
                          + coupl(nGC_22723)
      coupl(nGC_38966) = coupl(nGC_380)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_38969) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_34062) = coupl(nGC_23)*dZGMinus/2d0
      coupl(nGC_34266) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 +    &
                         coupl(nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_22553) + &
                         coupl(nGC_30)*dZZA_QED2/2d0
      coupl(nGC_34080) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*            &
                         dZWMinus_QED2 + coupl(nGC_22698)
      coupl(nGC_51270) = coupl(nGC_22575) + 3d0*coupl(nGC_234)*dZHl_QED2/2d0 + &
                         3d0*coupl(nGC_236)*dZHhHl_QED2/2d0 + coupl(           &
                         nGC_TS_GC_16_Hh) + coupl(nGC_TS_GC_18_Hl)
      coupl(nGC_40409) = coupl(nGC_22563) + coupl(nGC_245)*dZG0Ha_QED2 + coupl(&
                         nGC_246)*dZHlHh_QED2/2d0 + coupl(nGC_254)*dZHa_QED2 + &
                         coupl(nGC_254)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_36_Hl  &
                         ) + coupl(nGC_TS_GC_48_Hh)
      coupl(nGC_33279) = coupl(nGC_385)*dZGMinus/2d0
      coupl(nGC_38897) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_38895) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_38898) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_34402) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_34403) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_32455) = coupl(nGC_201)*dZWMinus_QED2/2d0 + coupl(nGC_22591)
      coupl(nGC_33180) = -coupl(nGC_32309)
      coupl(nGC_32446) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_40242) = coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_37504) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_32155) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_22530) + coupl&
                         (nGC_24)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*     &
                         dZHhHl_QED2/2d0
      coupl(nGC_22474) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl&
                         (nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(    &
                         nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366&
                         ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*   &
                         coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_40622) = coupl(nGC_22627) + coupl(nGC_345)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_348)*dZHh_QED2/2d0
      coupl(nGC_40621) = coupl(nGC_22626) + coupl(nGC_40620)
      coupl(nGC_22373) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +  &
                         20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)* &
                         coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(   &
                         nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(    &
                         nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(    &
                         nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)*&
                         coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342 &
                         )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)** &
                         2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*&
                         coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(   &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl&
                         (nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(   &
                         nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(    &
                         nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*    &
                         coupl(nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229 &
                         ) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 +    &
                         10d0*coupl(nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*  &
                         coupl(nGC_375)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_32657) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_32656) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_22726)
      coupl(nGC_32654) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_32632) = coupl(nGC_22564) + coupl(nGC_233)*dZHhHl_QED2 + coupl(&
                         nGC_234)*dZHlHh_QED2/2d0 + coupl(nGC_236)*dZHh_QED2/  &
                         2d0 + coupl(nGC_236)*dZHl_QED2 + coupl(nGC_TS_GC_16_Hl&
                         ) + coupl(nGC_TS_GC_20_Hh)
      coupl(nGC_57592) = -coupl(nGC_22057)
      coupl(nGC_33463) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_58278) = -coupl(nGC_22056)
      coupl(nGC_22449) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_370) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_342)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_364) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_352) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_352  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_2313)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_2313))/(48d0*pi&
                         **2d0)
      coupl(nGC_22448) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(   &
                         nGC_372) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364)*    &
                         coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(   &
                         nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_366) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*    &
                         coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima*    &
                         coupl(nGC_175)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_22) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_354) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_354  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*   &
                         coupl(nGC_175)*coupl(nGC_2313)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_22)*coupl(nGC_2313))/(48d0*pi&
                         **2d0)
      coupl(nGC_32129) = coupl(nGC_22605) + coupl(nGC_373)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_32128) = coupl(nGC_22607) + coupl(nGC_340)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_22445) = (5d0*Nc*cima*coupl(nGC_1641)*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_1641)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) - 4d0*Nc*&
                         cima*coupl(nGC_1641)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_2741)*coupl(nGC_343) + 5d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_3395)*coupl(  &
                         nGC_346) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371  &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(  &
                         nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_2741)*coupl(nGC_343) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334)*   &
                         coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_3395)*coupl(nGC_346) - 4d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370)*coupl(   &
                         nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                         coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_2741)*coupl(nGC_343 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_334)*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_3395)*coupl(nGC_346) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*   &
                         coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_383) + 6d0*cima*    &
                         coupl(nGC_187)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_31) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_2247)*coupl(nGC_352) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_2497)*coupl(  &
                         nGC_376) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_358)*coupl(nGC_8311) - 4d0*cima*coupl(      &
                         nGC_197)*coupl(nGC_211)*coupl(nGC_2247)*coupl(nGC_352 &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(     &
                         nGC_2497)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*   &
                         coupl(nGC_211)*coupl(nGC_358)*coupl(nGC_8311) - 4d0*  &
                         cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_2247)*   &
                         coupl(nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212&
                         )*coupl(nGC_2497)*coupl(nGC_376) - 4d0*cima*coupl(    &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_8311 &
                         ) + 6d0*coupl(nGC_187)*coupl(nGC_2313)*coupl(nGC_3) + &
                         6d0*coupl(nGC_199)*coupl(nGC_2313)*coupl(nGC_31))/(   &
                         48d0*pi**2d0)
      coupl(nGC_22444) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_370) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_342)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_364) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_352) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_352  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_22443) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(   &
                         nGC_372) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364)*    &
                         coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(   &
                         nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_366) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*    &
                         coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima*    &
                         coupl(nGC_175)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_22) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_354) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_354  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*   &
                         coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_22442) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(   &
                         nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(     &
                         nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(     &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*&
                         cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(   &
                         nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(     &
                         nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(   &
                         nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0&
                         *coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*  &
                         coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(  &
                         nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208 &
                         )*coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(&
                         nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima&
                         *coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*  &
                         coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*   &
                         coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(  &
                         nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*    &
                         coupl(nGC_2313)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22289) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_206)**2d0 + coupl(nGC_2741)*coupl(nGC_344) + coupl&
                         (nGC_2939)*coupl(nGC_341) + coupl(nGC_339)**2d0 +     &
                         coupl(nGC_340)**2d0 + coupl(nGC_342)**2d0 + coupl(    &
                         nGC_343)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22288) = -coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(     &
                         nGC_7349) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_22285) = (coupl(nGC_1219)*coupl(nGC_207)*coupl(nGC_386) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                         nGC_210) + coupl(nGC_206)*coupl(nGC_346)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_349)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_381)**2d0 + coupl(nGC_207)*coupl(nGC_383)*coupl(  &
                         nGC_7453) + coupl(nGC_207)*coupl(nGC_384)**2d0 + 4d0* &
                         coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22284) = (coupl(nGC_1007)*coupl(nGC_208)*coupl(nGC_380) - 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_2497 &
                         )*coupl(nGC_377) + coupl(nGC_208)*coupl(nGC_375)**2d0 &
                          + coupl(nGC_208)*coupl(nGC_378)**2d0 + 4d0*coupl(    &
                         nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22287) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(&
                         nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(      &
                         nGC_2741)*coupl(nGC_344) + coupl(nGC_2939)*coupl(     &
                         nGC_341) + coupl(nGC_339)**2d0 + coupl(nGC_342)**2d0  &
                          + coupl(nGC_370)**2d0 + coupl(nGC_373)**2d0)/(64d0*pi&
                         **2d0*Nc)
      coupl(nGC_22286) = (coupl(nGC_1219)*coupl(nGC_210)*coupl(nGC_386) + 4d0* &
                         coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207  &
                         )**3d0 + coupl(nGC_209)*coupl(nGC_382)**2d0 + coupl(  &
                         nGC_209)*coupl(nGC_385)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_381)**2d0 + coupl(nGC_210)*coupl(nGC_383)*coupl(  &
                         nGC_7453) + coupl(nGC_210)*coupl(nGC_384)**2d0)/(32d0*&
                         pi**2d0)
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
