!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_22281) = (coupl(nGC_1825)*coupl(nGC_207)*coupl(nGC_374) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                         nGC_210) + coupl(nGC_206)*coupl(nGC_340)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_343)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_2677)*coupl(nGC_371) + coupl(nGC_207)*coupl(      &
                         nGC_369)**2d0 + coupl(nGC_207)*coupl(nGC_372)**2d0 +  &
                         4d0*coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22280) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + coupl(nGC_1641&
                         )*coupl(nGC_209)*coupl(nGC_365) + coupl(nGC_1833)*    &
                         coupl(nGC_209)*coupl(nGC_368) + 4d0*coupl(nGC_206)**  &
                         3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 + coupl(     &
                         nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_364)**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22283) = (coupl(nGC_1007)*coupl(nGC_211)*coupl(nGC_380) + 4d0* &
                         coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4  &
                         )**2d0 + coupl(nGC_211)*coupl(nGC_2497)*coupl(nGC_377 &
                         ) + coupl(nGC_211)*coupl(nGC_375)**2d0 + coupl(nGC_211&
                         )*coupl(nGC_378)**2d0 + coupl(nGC_212)*coupl(nGC_376  &
                         )**2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_22282) = (coupl(nGC_1825)*coupl(nGC_210)*coupl(nGC_374) + 4d0* &
                         coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207  &
                         )**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 + coupl(  &
                         nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_2677)*coupl(nGC_371) + coupl(nGC_210)*coupl(      &
                         nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_372)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_33995) = coupl(nGC_22508) + coupl(nGC_33)*dZHlHh_QED2 + coupl( &
                         nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_33994) = coupl(nGC_42)*dZGMinus
      coupl(nGC_22663) = coupl(nGC_20877)*dyup1_QED1_QCD2 + coupl(nGC_20878)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22662) = coupl(nGC_20876)*db_QED2 + coupl(nGC_20877)*dyup1_QED3&
                          + coupl(nGC_20878)*dyup2_QED3
      coupl(nGC_22661) = coupl(nGC_20687)*db_QED2 + coupl(nGC_20688)*          &
                         dytau1_QED3 + coupl(nGC_20689)*dytau2_QED3
      coupl(nGC_22660) = coupl(nGC_21293)*db_QED2 + coupl(nGC_21294)*dym1_QED3 &
                          + coupl(nGC_21295)*dym2_QED3
      coupl(nGC_22669) = coupl(nGC_20804)*dyup2_QED3 + coupl(nGC_20805)*       &
                         dyup1_QED3 + coupl(nGC_20806)*da_QED2
      coupl(nGC_22668) = coupl(nGC_20804)*dyup2_QED1_QCD2 + coupl(nGC_20805)*  &
                         dyup1_QED1_QCD2
      coupl(nGC_33514) = coupl(nGC_173)*dZHhHl_QED2/2d0 + coupl(nGC_178)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_178)*dZHl_QED2/2d0 +    &
                         coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_22694)
      coupl(nGC_22061) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl( &
                         nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340&
                         )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl&
                         (nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(      &
                         nGC_344)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22060) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22063) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl( &
                         nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335&
                         )*coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl&
                         (nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(      &
                         nGC_367)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22062) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22065) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) - coupl(&
                         nGC_1641)*coupl(nGC_3295)*coupl(nGC_337) - coupl(     &
                         nGC_1833)*coupl(nGC_2665)*coupl(nGC_337) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl(nGC_333&
                         )*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_366))/(32d0*pi**2d0)
      coupl(nGC_22064) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33865) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22719) + coupl(  &
                         nGC_229)*dZHMinus_QED2 + coupl(nGC_229)*dZZ_QED2
      coupl(nGC_22066) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22069) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl( &
                         nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347&
                         )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl&
                         (nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(      &
                         nGC_350)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22068) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22718) = coupl(nGC_21053)*dsw_QED2 + coupl(nGC_21054)*dcw_QED2 &
                          + coupl(nGC_21055)*dZee_QED2
      coupl(nGC_22713) = coupl(nGC_21320)*dcw_QED2 + coupl(nGC_21321)*db_QED2  &
                          + coupl(nGC_21322)*dZee_QED2 + coupl(nGC_21323)*     &
                         da_QED2
      coupl(nGC_22712) = coupl(nGC_21517)*dcw_QED2 + coupl(nGC_21518)*db_QED2  &
                          + coupl(nGC_21519)*dsw_QED2 + coupl(nGC_21520)*      &
                         dZee_QED2 + coupl(nGC_21521)*da_QED2
      coupl(nGC_22716) = coupl(nGC_21505)*dvev2_QED1 + coupl(nGC_21506)*       &
                         dcw_QED2 + coupl(nGC_21507)*db_QED2 + coupl(nGC_21508 &
                         )*dvev1_QED1 + coupl(nGC_21509)*dZee_QED2
      coupl(nGC_22715) = coupl(nGC_20700)*dvev2_QED1 + coupl(nGC_20701)*       &
                         dcw_QED2 + coupl(nGC_20702)*db_QED2 + coupl(nGC_20703 &
                         )*dvev1_QED1 + coupl(nGC_20704)*dZee_QED2
      coupl(nGC_22714) = coupl(nGC_21027)*dsw_QED2 + coupl(nGC_21028)*dcw_QED2 &
                          + coupl(nGC_21029)*dZee_QED2
      coupl(nGC_32331) = coupl(nGC_22538) + coupl(nGC_53)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/&
                         2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*  &
                         dZHhHl_QED2/2d0
      coupl(nGC_39739) = coupl(nGC_22616) + coupl(nGC_370)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*        &
                         dZtR_QED2/2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32935) = coupl(nGC_22515) + 2d0*coupl(nGC_56)*                 &
                         dZGMinusHMinus_QED2 + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_32938) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_22503)
      coupl(nGC_TS_GC_251_Hh) = -coupl(nGC_251)*dtHh_QED1/cMHH**2d0
      coupl(nGC_35073) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_22552) + coupl(nGC_31)* &
                         dZZA_QED2/2d0
      coupl(nGC_34275) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*      &
                         dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*  &
                         coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_22534)
      coupl(nGC_32801) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 +  &
                         coupl(nGC_22693)
      coupl(nGC_34091) = coupl(nGC_22701) + coupl(nGC_77)*dZHl_QED2 + coupl(   &
                         nGC_77)*dZWMinus_QED2
      coupl(nGC_33262) = coupl(nGC_22520) + coupl(nGC_33)*dZHhHl_QED2 + coupl( &
                         nGC_34)*dZHMinusGMinus_QED2 + coupl(nGC_45)*dZHl_QED2
      coupl(nGC_34414) = coupl(nGC_22525) + coupl(nGC_52)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_63)*dZHl_QED2/2d0
      coupl(nGC_33069) = coupl(nGC_13)*dZtL_QCD2
      coupl(nGC_33067) = coupl(nGC_13)*dZtR_QCD2
      coupl(nGC_33066) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_33680) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZdR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_40348) = -coupl(nGC_22620) - coupl(nGC_40339)
      coupl(nGC_40349) = coupl(nGC_22620) + coupl(nGC_40339)
      coupl(nGC_33049) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*      &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 &
                          + coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*     &
                         dZWMinus_QED2/2d0 + coupl(nGC_22688) + coupl(nGC_23)* &
                         dZZA_QED2/2d0
      coupl(nGC_40345) = -coupl(nGC_40338) - coupl(nGC_40344)
      coupl(nGC_40346) = coupl(nGC_40338) + coupl(nGC_40344)
      coupl(nGC_40347) = -coupl(nGC_40343)
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
