!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl24()
      coupl(nGC_22659) = coupl(nGC_20883)*db_QED2 + coupl(nGC_20884)*dye2_QED3 &
                          + coupl(nGC_20885)*dye1_QED3
      coupl(nGC_22120) = (-coupl(nGC_1007)*coupl(nGC_375)**2d0 - coupl(nGC_1007&
                         )*coupl(nGC_377)**2d0 - coupl(nGC_1007)*coupl(nGC_378 &
                         )**2d0 - coupl(nGC_1007)*coupl(nGC_380)**2d0 + 8d0*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) + 8d0*   &
                         coupl(nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22653) = coupl(nGC_20930)*da_QED2 + coupl(nGC_20931)*dye1_QED3 &
                          + coupl(nGC_20932)*dye2_QED3
      coupl(nGC_22122) = (-coupl(nGC_1219)**2d0*coupl(nGC_386) + 8d0*coupl(    &
                         nGC_1219)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1219)*    &
                         coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_346)*coupl( &
                         nGC_350)*coupl(nGC_382) - coupl(nGC_349)*coupl(nGC_350&
                         )*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(nGC_386  &
                         ) - coupl(nGC_384)**2d0*coupl(nGC_386) - coupl(nGC_386&
                         )*coupl(nGC_7453)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22123) = coupl(nGC_1219)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22656) = coupl(nGC_21613)*da_QED2 + coupl(nGC_21614)*dye1_QED3 &
                          + coupl(nGC_21615)*dye2_QED3
      coupl(nGC_22125) = coupl(nGC_13)**2d0*coupl(nGC_386)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22126) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc&
                         *cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC* &
                         coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc*&
                         cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(&
                         nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(      &
                         nGC_334)*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*  &
                         coupl(nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(&
                         nGC_339)*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*  &
                         coupl(nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(&
                         nGC_370)**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(      &
                         nGC_346)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(      &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_382) + 2d0*Nc*cMU*  &
                         coupl(nGC_382)**2d0*coupl(nGC_384) + 2d0*cME*coupl(   &
                         nGC_352)**2d0*coupl(nGC_354) + 2d0*cMM*coupl(nGC_358  &
                         )**2d0*coupl(nGC_360) + 2d0*cMTA*coupl(nGC_376)**2d0* &
                         coupl(nGC_378) + 2d0*cima*coupl(nGC_100)*coupl(nGC_272&
                         ) + 4d0*cima*coupl(nGC_175)*coupl(nGC_321) + 4d0*cima*&
                         coupl(nGC_22)*coupl(nGC_231) + cima*coupl(nGC_229)*   &
                         coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_22127) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc&
                         *cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*  &
                         coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*&
                         cMS*coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*  &
                         coupl(nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_342)*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*  &
                         coupl(nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(&
                         nGC_369)*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(      &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*  &
                         coupl(nGC_346)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(&
                         nGC_381)*coupl(nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*&
                         coupl(nGC_352)**2d0 + 2d0*cMM*coupl(nGC_357)*coupl(   &
                         nGC_358)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + 4d0*&
                         cima*coupl(nGC_180)*coupl(nGC_321) + cima*coupl(      &
                         nGC_229)*coupl(nGC_329) + 4d0*cima*coupl(nGC_23)*coupl&
                         (nGC_231))/(16d0*pi**2d0)
      coupl(nGC_36860) = coupl(nGC_22529) + coupl(nGC_56)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)* &
                         dZHMinus_QED2
      coupl(nGC_22652) = coupl(nGC_21562)*db_QED2 + coupl(nGC_21563)*          &
                         dytau1_QED3 + coupl(nGC_21564)*dytau2_QED3
      coupl(nGC_34646) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/&
                         2d0
      coupl(nGC_22121) = (-coupl(nGC_1007)**2d0*coupl(nGC_380) + 8d0*coupl(    &
                         nGC_1007)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(  &
                         nGC_1007)*coupl(nGC_4)**2d0 - coupl(nGC_2497)**2d0*   &
                         coupl(nGC_380) - coupl(nGC_375)**2d0*coupl(nGC_380) - &
                         coupl(nGC_378)**2d0*coupl(nGC_380))/(32d0*pi**2d0)
      coupl(nGC_22651) = coupl(nGC_20839)*db_QED2 + coupl(nGC_20840)*dym1_QED3 &
                          + coupl(nGC_20841)*dym2_QED3
      coupl(nGC_35201) = coupl(nGC_32690) + coupl(nGC_35198)
      coupl(nGC_35202) = coupl(nGC_32690) + coupl(nGC_35200)
      coupl(nGC_44995) = coupl(nGC_22679) + coupl(nGC_369)*dZHl_QED2/2d0 +     &
                         coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_44994) = coupl(nGC_22678) + coupl(nGC_44989)
      coupl(nGC_44996) = coupl(nGC_44988) + coupl(nGC_44995)
      coupl(nGC_35061) = coupl(nGC_250)*dZG0
      coupl(nGC_35063) = coupl(nGC_22560) + coupl(nGC_242)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_245)*dZHaG0_QED2 + coupl(nGC_250)*dZHh_QED2/&
                         2d0 + coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_43_Hh)
      coupl(nGC_38235) = coupl(nGC_22571) + coupl(nGC_242)*dZHl_QED2/2d0 +     &
                         coupl(nGC_250)*dZHhHl_QED2/2d0 + coupl(nGC_253)*      &
                         dZHaG0_QED2 + coupl(nGC_TS_GC_35_Hh) + coupl(         &
                         nGC_TS_GC_49_Hl)
      coupl(nGC_39895) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_eL_QED2 + coupl(nGC_22733)
      coupl(nGC_35667) = coupl(nGC_241)*dZGMinus
      coupl(nGC_35842) = coupl(nGC_33513) - coupl(nGC_33514)
      coupl(nGC_38431) = coupl(nGC_I)*(dZGMinusHMinus_QED2 +                   &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_37522) = coupl(nGC_224)*dZHl_QED2 + coupl(nGC_224)*dZZ_QED2 +  &
                         coupl(nGC_22720)
      coupl(nGC_37831) = -coupl(nGC_37830)
      coupl(nGC_37528) = coupl(nGC_22661) + coupl(nGC_377)*dZHa_QED2/2d0 +     &
                         coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_37529) = -coupl(nGC_37524) - coupl(nGC_37528)
      coupl(nGC_22516) = coupl(nGC_20861)*dl3_QED4 + coupl(nGC_20862)*dl1_QED4 &
                          + coupl(nGC_20863)*dl2_QED4 + coupl(nGC_20864)*      &
                         dl5_QED4 + coupl(nGC_20865)*dl4_QED4 + coupl(nGC_20866&
                         )*db_QED2
      coupl(nGC_60663) = -coupl(nGC_22308)
      coupl(nGC_60665) = -coupl(nGC_22307)
      coupl(nGC_40603) = coupl(nGC_200)*dZZA_QED2/2d0 + coupl(nGC_22589) +     &
                         coupl(nGC_6)*dZA_QED2/2d0
      coupl(nGC_32127) = coupl(nGC_22604) + coupl(nGC_370)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*  &
                         dZtR_QED2/2d0
      coupl(nGC_32126) = coupl(nGC_22606) + coupl(nGC_340)*dZbR_QED2/2d0 +     &
                         coupl(nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*        &
                         dZHMinusGMinus_QED2/2d0
      coupl(nGC_44296) = coupl(nGC_22848) + coupl(nGC_TS_GC_375_Hl) + coupl(   &
                         nGC_TS_GC_378_Hh)
      coupl(nGC_44297) = coupl(nGC_44294) + coupl(nGC_44296)
      coupl(nGC_22397) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_342  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_174)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_21) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_355) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_22395) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_366)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_384)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_340  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_366)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_372)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_809) + 6d0*cima*coupl(nGC_194&
                         )*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl(      &
                         nGC_208)*coupl(nGC_354)*coupl(nGC_355) + 5d0*cima*    &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_22394) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_207)*coupl(&
                         nGC_2677)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl&
                         (nGC_3295)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_207)*    &
                         coupl(nGC_385)*coupl(nGC_7453) - 4d0*Nc*coupl(nGC_209 &
                         )*coupl(nGC_2677)*coupl(nGC_373) - 4d0*Nc*coupl(      &
                         nGC_209)*coupl(nGC_3295)*coupl(nGC_337) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl&
                         (nGC_209)*coupl(nGC_385)*coupl(nGC_7453) - 4d0*Nc*    &
                         coupl(nGC_210)*coupl(nGC_2677)*coupl(nGC_373) - 4d0*Nc&
                         *coupl(nGC_210)*coupl(nGC_3295)*coupl(nGC_337) - 4d0* &
                         Nc*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_344) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_347)*coupl(nGC_349) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_365)*coupl(nGC_367) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_385)*coupl(nGC_7453) + 5d0&
                         *coupl(nGC_208)*coupl(nGC_353)*coupl(nGC_355) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_359)*coupl(nGC_361) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_377)*coupl(nGC_379) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_355) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_361) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_379) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_353)*coupl(nGC_355) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_359)*coupl(nGC_361) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_377)*coupl(nGC_379))/(48d0*pi&
                         **2d0)
      coupl(nGC_22393) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl&
                         (nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*&
                         coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349  &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364&
                         )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(  &
                         nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0* &
                         coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207  &
                         )**2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337  &
                         ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209&
                         )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209&
                         )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(  &
                         nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc* &
                         coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) -   &
                         4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(      &
                         nGC_343) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)* &
                         coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*    &
                         coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(nGC_208)**  &
                         2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208 &
                         )**2d0*coupl(nGC_376)*coupl(nGC_379) + 5d0*coupl(     &
                         nGC_208)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355  &
                         ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)* &
                         coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(nGC_212)*   &
                         coupl(nGC_376)*coupl(nGC_379) - 4d0*coupl(nGC_212)**  &
                         2d0*coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(nGC_212 &
                         )**2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(     &
                         nGC_212)**2d0*coupl(nGC_376)*coupl(nGC_379))/(24d0*pi &
                         **2d0)
      coupl(nGC_22392) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(   &
                         nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl&
                         (nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(   &
                         nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl&
                         (nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(      &
                         nGC_355) - coupl(nGC_358)*coupl(nGC_361) - coupl(     &
                         nGC_376)*coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_22391) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl(&
                         nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)* &
                         coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*&
                         coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*&
                         coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*&
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 +   &
                         5d0*Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(      &
                         nGC_343) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(&
                         nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**&
                         2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(     &
                         nGC_342)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_346)*coupl(  &
                         nGC_349) + 5d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_382)* &
                         coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*&
                         coupl(nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*&
                         coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*&
                         coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)**2d0 +   &
                         5d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_364)*coupl(      &
                         nGC_367) + 5d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_370)* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_381)**2d0*coupl(    &
                         nGC_382)*coupl(nGC_385) + 6d0*coupl(nGC_174)*coupl(   &
                         nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_351)**2d0*coupl(nGC_352)*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_357)**2d0*coupl(nGC_358)*coupl(nGC_361) +   &
                         5d0*coupl(nGC_375)**2d0*coupl(nGC_376)*coupl(nGC_379  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22390) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(    &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(&
                         nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl&
                         (nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367 &
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364&
                         )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(      &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366  &
                         ) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363&
                         )*coupl(nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370  &
                         ) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(      &
                         nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_372  &
                         ) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(      &
                         nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_342)*coupl(&
                         nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl&
                         (nGC_345)*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349 &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_384&
                         )*coupl(nGC_385) + 10d0*Nc*coupl(nGC_345)*coupl(      &
                         nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_381&
                         )*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(&
                         nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382  &
                         ) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(      &
                         nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl&
                         (nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*    &
                         coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(   &
                         nGC_385) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*   &
                         coupl(nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22  &
                         ) + 6d0*coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl&
                         (nGC_352)*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl( &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361  &
                         ) + 10d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22399) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl&
                         (nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(    &
                         nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367&
                         ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*   &
                         coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_22398) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*    &
                         coupl(nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl&
                         (nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(      &
                         nGC_367) - coupl(nGC_370)*coupl(nGC_373) - coupl(     &
                         nGC_382)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_22465) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(    &
                         nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc*&
                         coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +   &
                         20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0 &
                          + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0&
                          + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_22464) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                         nGC_339)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(    &
                         nGC_209)*coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl&
                         (nGC_372)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(   &
                         nGC_210)*coupl(nGC_384)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_339)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_348)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_384)**2d0 + 3d0*cima*coupl(   &
                         nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0*&
                         coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_378)**2d0 + 10d0*cima*coupl(nGC_208)*coupl( &
                         nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*coupl(nGC_208&
                         )*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0*cima*coupl&
                         (nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*   &
                         coupl(nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_2313&
                         )**2d0*coupl(nGC_77))/(24d0*pi**2d0)
      coupl(nGC_22467) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl&
                         (nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*&
                         coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(    &
                         nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348  &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363&
                         )*coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(  &
                         nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0* &
                         coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207  &
                         )**2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(  &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336  &
                         ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369&
                         )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210&
                         )*coupl(nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209&
                         )**2d0*coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(  &
                         nGC_209)**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc* &
                         coupl(nGC_209)**2d0*coupl(nGC_363)*coupl(nGC_366) -   &
                         4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_333)*coupl(      &
                         nGC_336) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_369)* &
                         coupl(nGC_372) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(    &
                         nGC_381)*coupl(nGC_384) - 4d0*coupl(nGC_208)**2d0*    &
                         coupl(nGC_351)*coupl(nGC_354) - 4d0*coupl(nGC_208)**  &
                         2d0*coupl(nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_208 &
                         )**2d0*coupl(nGC_375)*coupl(nGC_378) + 5d0*coupl(     &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_354  &
                         ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_357)* &
                         coupl(nGC_360) + 5d0*coupl(nGC_208)*coupl(nGC_211)*   &
                         coupl(nGC_375)*coupl(nGC_378) - 4d0*coupl(nGC_211)**  &
                         2d0*coupl(nGC_351)*coupl(nGC_354) - 4d0*coupl(nGC_211 &
                         )**2d0*coupl(nGC_357)*coupl(nGC_360) - 4d0*coupl(     &
                         nGC_211)**2d0*coupl(nGC_375)*coupl(nGC_378))/(12d0*pi &
                         **2d0)
    end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
