!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl28()
      coupl(nGC_22118) = (-coupl(nGC_1825)*coupl(nGC_369)**2d0 - coupl(nGC_1825&
                         )*coupl(nGC_371)**2d0 - coupl(nGC_1825)*coupl(nGC_372 &
                         )**2d0 - coupl(nGC_1825)*coupl(nGC_374)**2d0 + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_2939)*coupl(&
                         nGC_340)*coupl(nGC_373) - coupl(nGC_2939)*coupl(      &
                         nGC_343)*coupl(nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22022) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*    &
                         coupl(nGC_197)**2d0*coupl(nGC_2) - coupl(nGC_1563)*   &
                         coupl(nGC_3)*coupl(nGC_4) + 3d0*coupl(nGC_197)**2d0*  &
                         coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_2313)*coupl(  &
                         nGC_3))/(24d0*pi**2d0)
      coupl(nGC_35522) = coupl(nGC_22497) + coupl(nGC_227)*dZHa_QED2
      coupl(nGC_32203) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*      &
                         dZHh_QED2/2d0 + coupl(nGC_22531) + coupl(nGC_24)*     &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/  &
                         2d0
      coupl(nGC_35258) = -coupl(nGC_33792)
      coupl(nGC_39531) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_32994) = coupl(nGC_22513) + coupl(nGC_54)*dZG0Ha_QED2 + coupl( &
                         nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*          &
                         dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
      coupl(nGC_38267) = coupl(nGC_32796) - coupl(nGC_32801)
      coupl(nGC_36509) = coupl(nGC_22639) + coupl(nGC_347)*dZHa_QED2/2d0 +     &
                         coupl(nGC_350)*dZG0Ha_QED2/2d0
      coupl(nGC_33224) = coupl(nGC_22682) + coupl(nGC_335)*dZHa_QED2/2d0 +     &
                         coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_33227) = -coupl(nGC_22683) - coupl(nGC_33223)
      coupl(nGC_33226) = coupl(nGC_33222) + coupl(nGC_33224)
      coupl(nGC_33228) = coupl(nGC_22683) + coupl(nGC_33223)
      coupl(nGC_39843) = coupl(nGC_22846) + coupl(nGC_TS_GC_351_Hl) + coupl(   &
                         nGC_TS_GC_354_Hh)
      coupl(nGC_39844) = coupl(nGC_39841) + coupl(nGC_39843)
      coupl(nGC_34694) = coupl(nGC_22539) + coupl(nGC_37)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_37)*dZHh_QED2 + coupl(nGC_42)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_44)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2
      coupl(nGC_32683) = coupl(nGC_22526) + coupl(nGC_53)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_58142) = -coupl(nGC_22128)
      coupl(nGC_33177) = coupl(nGC_22545) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl&
                         (nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/ &
                         2d0 + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_44489) = coupl(nGC_22631) + coupl(nGC_339)*dZHh_QED2/2d0 +     &
                         coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_44487) = coupl(nGC_339)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_44486) = coupl(nGC_339)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_57505) = -coupl(nGC_22078)
      coupl(nGC_22111) = (-coupl(nGC_1415)**2d0*coupl(nGC_362) + 8d0*coupl(    &
                         nGC_1415)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(  &
                         nGC_1415)*coupl(nGC_4)**2d0 - coupl(nGC_357)**2d0*    &
                         coupl(nGC_362) - coupl(nGC_360)**2d0*coupl(nGC_362) - &
                         coupl(nGC_362)*coupl(nGC_8311)**2d0)/(32d0*pi**2d0)
      coupl(nGC_41031) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_41033) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_41032) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_41034) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_22232) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(       &
                         nGC_3395)**2d0*coupl(nGC_345) - coupl(nGC_345)**3d0 - &
                         coupl(nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*  &
                         coupl(nGC_5875)**2d0 - coupl(nGC_346)*coupl(nGC_381)* &
                         coupl(nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl( &
                         nGC_385))/(32d0*pi**2d0)
      coupl(nGC_36474) = coupl(nGC_22637) + coupl(nGC_339)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_342)*dZHl_QED2/2d0
      coupl(nGC_22050) = coupl(nGC_197)*(Nc*coupl(nGC_1219)*coupl(nGC_385) + Nc&
                         *coupl(nGC_1825)*coupl(nGC_373) + Nc*coupl(nGC_2665)* &
                         coupl(nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_341) - Nc&
                         *coupl(nGC_349)*coupl(nGC_350) - Nc*coupl(nGC_367)*   &
                         coupl(nGC_368) - coupl(nGC_355)*coupl(nGC_356) - coupl&
                         (nGC_361)*coupl(nGC_362) - coupl(nGC_379)*coupl(      &
                         nGC_380))/(24d0*pi**2d0)
      coupl(nGC_36044) = coupl(nGC_22562) + 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 &
                          + 3d0*coupl(nGC_235)*dZHh_QED2/2d0 + coupl(          &
                         nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_19_Hh)
      coupl(nGC_22052) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(      &
                         nGC_343) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*&
                         coupl(nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*&
                         coupl(nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(     &
                         nGC_336)*coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_366)*coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*  &
                         coupl(nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*&
                         coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(     &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(&
                         nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*&
                         coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*&
                         cMS*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0&
                         *Nc*cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367   &
                         ) + Nc*cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370&
                         ) + Nc*cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373&
                         ) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(   &
                         nGC_372) + 2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*  &
                         coupl(nGC_373) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*&
                         coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(     &
                         nGC_349)*coupl(nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(&
                         nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*  &
                         coupl(nGC_384)*coupl(nGC_385) + 2d0*cME*coupl(nGC_352 &
                         )*coupl(nGC_354)*coupl(nGC_355) + 2d0*cMM*coupl(      &
                         nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 2d0*cMTA*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_175)*coupl(nGC_324) + 2d0*cima*coupl(  &
                         nGC_180)*coupl(nGC_321) + 2d0*cima*coupl(nGC_22)*coupl&
                         (nGC_237) + 2d0*cima*coupl(nGC_23)*coupl(nGC_231))/(  &
                         16d0*pi**2d0)
      coupl(nGC_22583) = coupl(nGC_21658)*dsw_QED2 + coupl(nGC_21659)*         &
                         dvev2_QED1 + coupl(nGC_21660)*dvev1_QED1 + coupl(     &
                         nGC_21661)*dZee_QED2 + coupl(nGC_21662)*da_QED2
      coupl(nGC_22581) = coupl(nGC_20957)*dl4_QED4 + coupl(nGC_20958)*dl5_QED4 &
                          + coupl(nGC_20959)*db_QED2 + coupl(nGC_20960)*       &
                         dvev1_QED1 + coupl(nGC_20961)*dvev2_QED1
      coupl(nGC_22587) = coupl(nGC_21654)*dZee_QED2
      coupl(nGC_22507) = coupl(nGC_21228)*dl3_QED4 + coupl(nGC_21229)*db_QED2  &
                          + coupl(nGC_21230)*dl2_QED4 + coupl(nGC_21231)*      &
                         dl5_QED4 + coupl(nGC_21232)*dl4_QED4 + coupl(nGC_21233&
                         )*dl1_QED4 + coupl(nGC_21234)*da_QED2
      coupl(nGC_22340) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(nGC_1563)*   &
                         coupl(nGC_174)*coupl(nGC_3) + 6d0*coupl(nGC_1563)*    &
                         coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_22341) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima* &
                         coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(&
                         nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(     &
                         nGC_1563)**2d0*coupl(nGC_2313)**2d0 + cima*coupl(     &
                         nGC_195)*coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0* &
                         coupl(nGC_3)**2d0 + cima*coupl(nGC_208)**2d0*coupl(   &
                         nGC_4)**2d0 + cima*coupl(nGC_211)**2d0*coupl(nGC_4)** &
                         2d0 + coupl(nGC_1563)**2d0*coupl(nGC_195) + coupl(    &
                         nGC_195)*coupl(nGC_3)**2d0 + coupl(nGC_199)**2d0*coupl&
                         (nGC_9) + coupl(nGC_2313)**2d0*coupl(nGC_9))/(8d0*pi**&
                         2d0)
      coupl(nGC_22342) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima* &
                         coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(&
                         nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(     &
                         nGC_1563)**2d0*coupl(nGC_2313)**2d0 - 2d0*cima*coupl( &
                         nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205  &
                         )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 + 2d0*coupl&
                         (nGC_1563)*coupl(nGC_205)*coupl(nGC_2313) + 2d0*coupl(&
                         nGC_199)*coupl(nGC_205)*coupl(nGC_3))/(8d0*pi**2d0)
      coupl(nGC_22343) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(      &
                         nGC_1219)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_1825)*coupl(nGC_370) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_2665)*coupl(nGC_334) + Nc*coupl(nGC_1)*coupl(     &
                         nGC_341)*coupl(nGC_343) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_346)*coupl(nGC_350) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_2)*coupl(nGC_382) + Nc*coupl(nGC_1825)*coupl(nGC_2&
                         )*coupl(nGC_370) + Nc*coupl(nGC_2)*coupl(nGC_2665)*   &
                         coupl(nGC_334) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_341)*  &
                         coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_346)*  &
                         coupl(nGC_350) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_364)*  &
                         coupl(nGC_368) + coupl(nGC_352)*coupl(nGC_356)*coupl( &
                         nGC_4) + coupl(nGC_358)*coupl(nGC_362)*coupl(nGC_4) + &
                         coupl(nGC_376)*coupl(nGC_380)*coupl(nGC_4))/(48d0*pi**&
                         2d0)
      coupl(nGC_22344) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1833)* &
                         coupl(nGC_364) + Nc*coupl(nGC_1)*coupl(nGC_2939)*coupl&
                         (nGC_343) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_334)*coupl( &
                         nGC_338) + Nc*coupl(nGC_1)*coupl(nGC_346)*coupl(      &
                         nGC_5875) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_370)*coupl( &
                         nGC_374) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_382)*coupl(  &
                         nGC_386) - 4d0*Nc*coupl(nGC_1833)*coupl(nGC_2)*coupl( &
                         nGC_364) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_2939)*coupl( &
                         nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(      &
                         nGC_338) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(  &
                         nGC_5875) + Nc*coupl(nGC_2)*coupl(nGC_370)*coupl(     &
                         nGC_374) + Nc*coupl(nGC_2)*coupl(nGC_382)*coupl(      &
                         nGC_386) + coupl(nGC_1007)*coupl(nGC_376)*coupl(nGC_4 &
                         ) + coupl(nGC_1415)*coupl(nGC_358)*coupl(nGC_4) +     &
                         coupl(nGC_1773)*coupl(nGC_352)*coupl(nGC_4))/(48d0*pi &
                         **2d0)
      coupl(nGC_22345) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_2677)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_197)*coupl(nGC_3295)*coupl(nGC_334) + Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_343)*coupl(&
                         nGC_344) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl( &
                         nGC_346)*coupl(nGC_347) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_7453) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(&
                         nGC_2677)*coupl(nGC_370) + Nc*cima*coupl(nGC_197)*    &
                         coupl(nGC_2)*coupl(nGC_3295)*coupl(nGC_334) - 4d0*Nc* &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343)*coupl(&
                         nGC_344) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_365) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*   &
                         coupl(nGC_7453) + 6d0*cima*coupl(nGC_186)*coupl(      &
                         nGC_2523) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl( &
                         nGC_353)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_4) + cima*coupl(    &
                         nGC_197)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_4) + &
                         6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(    &
                         nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198&
                         )*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_22346) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206&
                         )*coupl(nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_206)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_370)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_207)*coupl(     &
                         nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                         )*coupl(nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_209)*coupl(nGC_370)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_382)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_343)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(     &
                         nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210&
                         )*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_206)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_206)*coupl(nGC_346)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_364)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(     &
                         nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207&
                         )*coupl(nGC_370)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_207)*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_209)*coupl(nGC_334)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(     &
                         nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_210&
                         )*coupl(nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 6d0*cima* &
                         coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(nGC_208&
                         )*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0* &
                         coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_1563)*    &
                         coupl(nGC_2313) + 6d0*coupl(nGC_100)*coupl(nGC_199)*  &
                         coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22347) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1833)*coupl(nGC_206)*&
                         coupl(nGC_368) - Nc*cima*coupl(nGC_1)*coupl(nGC_1833)*&
                         coupl(nGC_209)*coupl(nGC_368) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_206)*coupl(nGC_2939)*coupl(nGC_341) - Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_350)*coupl(&
                         nGC_5875) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(&
                         nGC_2939)*coupl(nGC_341) - Nc*cima*coupl(nGC_1)*coupl(&
                         nGC_209)*coupl(nGC_350)*coupl(nGC_5875) - Nc*cima*    &
                         coupl(nGC_1219)*coupl(nGC_2)*coupl(nGC_207)*coupl(    &
                         nGC_386) - Nc*cima*coupl(nGC_1219)*coupl(nGC_2)*coupl(&
                         nGC_210)*coupl(nGC_386) - Nc*cima*coupl(nGC_1825)*    &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_374) - Nc*cima* &
                         coupl(nGC_1825)*coupl(nGC_2)*coupl(nGC_210)*coupl(    &
                         nGC_374) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl( &
                         nGC_2665)*coupl(nGC_338) - Nc*cima*coupl(nGC_2)*coupl(&
                         nGC_210)*coupl(nGC_2665)*coupl(nGC_338) + cima*coupl( &
                         nGC_100)*coupl(nGC_205) - cima*coupl(nGC_1007)*coupl( &
                         nGC_208)*coupl(nGC_380)*coupl(nGC_4) - cima*coupl(    &
                         nGC_1007)*coupl(nGC_211)*coupl(nGC_380)*coupl(nGC_4   &
                         ) - cima*coupl(nGC_1415)*coupl(nGC_208)*coupl(nGC_362 &
                         )*coupl(nGC_4) - cima*coupl(nGC_1415)*coupl(nGC_211)* &
                         coupl(nGC_362)*coupl(nGC_4) - cima*coupl(nGC_1773)*   &
                         coupl(nGC_208)*coupl(nGC_356)*coupl(nGC_4) - cima*    &
                         coupl(nGC_1773)*coupl(nGC_211)*coupl(nGC_356)*coupl(  &
                         nGC_4) + coupl(nGC_100)*coupl(nGC_1563)*coupl(nGC_2313&
                         ) + coupl(nGC_100)*coupl(nGC_199)*coupl(nGC_3))/(8d0* &
                         pi**2d0)
      coupl(nGC_22348) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_334)*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364 &
                         )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_384) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(&
                         nGC_348) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_364)*coupl(nGC_366) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_372) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*coupl(    &
                         nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_358)*    &
                         coupl(nGC_360)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(nGC_175)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_22)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22349) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_382) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_346) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_364) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_370) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_2523) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_352)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22569) = coupl(nGC_21272)*dl3_QED4 + coupl(nGC_21273)*db_QED2  &
                          + coupl(nGC_21274)*dl2_QED4 + coupl(nGC_21275)*      &
                         dl5_QED4 + coupl(nGC_21276)*dvev2_QED1 + coupl(       &
                         nGC_21277)*dvev1_QED1 + coupl(nGC_21278)*dl1_QED4 +   &
                         coupl(nGC_21279)*dl4_QED4 + coupl(nGC_21280)*da_QED2
      coupl(nGC_22565) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dl2_QED4 +    &
                         coupl(nGC_515)*dl3_QED4 + coupl(nGC_517)*dl5_QED4 +   &
                         coupl(nGC_519)*dl4_QED4 + coupl(nGC_521)*dl1_QED4 +   &
                         coupl(nGC_523)*dvev1_QED1 + coupl(nGC_525)*dvev2_QED1 &
                          + coupl(nGC_527)*da_QED2
    end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
