!******************************************************************************!
!                                                                              !
!    fill_ctcouplings31.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings31.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings31
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl31()
      coupl(nGC_33118) = coupl(nGC_22577) + coupl(nGC_244)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_244)*dZHh_QED2/2d0 + coupl(nGC_249)*        &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_251)*             &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_252)*dZHlHh_QED2/ &
                         2d0 + coupl(nGC_TS_GC_37_Hh) + coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_37131) = coupl(nGC_22580) + coupl(nGC_247)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_258)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_53_Hh&
                         ) + coupl(nGC_TS_GC_62_Hl)
      coupl(nGC_60506) = -coupl(nGC_22149)
      coupl(nGC_22212) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) - coupl(nGC_1641&
                         )**2d0*coupl(nGC_366) - coupl(nGC_1833)**2d0*coupl(   &
                         nGC_366) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                         nGC_366) - coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364&
                         ) - coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_367) -    &
                         coupl(nGC_363)**2d0*coupl(nGC_366) - coupl(nGC_366)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_32735) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*         &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_22713) + coupl(nGC_23)*dZHMinus_QED2/ &
                         2d0 + coupl(nGC_23)*dZHl_QED2/2d0 + coupl(nGC_23)*    &
                         dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0
      coupl(nGC_22211) = coupl(nGC_360)*(-coupl(nGC_1415)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_357)**2d0 - coupl(&
                         nGC_360)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_8311&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22215) = (-coupl(nGC_1825)**2d0*coupl(nGC_372) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_372) - coupl(nGC_2677)**2d0*coupl( &
                         nGC_372) - coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_373&
                         ) - coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_370) -    &
                         coupl(nGC_369)**2d0*coupl(nGC_372) - coupl(nGC_372)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_33602) = coupl(nGC_22633) + coupl(nGC_345)*dZHl_QED2/2d0 +     &
                         coupl(nGC_348)*dZHhHl_QED2/2d0
      coupl(nGC_33601) = coupl(nGC_22632) + coupl(nGC_33600)
      coupl(nGC_22219) = coupl(nGC_378)*(-coupl(nGC_1007)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2497)**2d0 - coupl&
                         (nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_32288) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*        &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_22502) + coupl(   &
                         nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*dZHl_QED2/  &
                         2d0
      coupl(nGC_39738) = coupl(nGC_22618) + coupl(nGC_340)*dZGMinusHMinus_QED2/&
                         2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343&
                         )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_32280) = coupl(nGC_22600) + coupl(nGC_367)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_36511) = coupl(nGC_36503) + coupl(nGC_36509)
      coupl(nGC_32282) = coupl(nGC_22601) + coupl(nGC_364)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*  &
                         dZsR_QED2/2d0
      coupl(nGC_33742) = coupl(nGC_22540) + coupl(nGC_34)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
      coupl(nGC_32645) = coupl(nGC_22524) + coupl(nGC_54)*dZHMinusGMinus_QED2/ &
                         2d0 + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*  &
                         dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/  &
                         2d0 + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*&
                         dZHa_QED2/2d0
      coupl(nGC_22441) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1219)*    &
                         coupl(nGC_383) + coupl(nGC_1641)*coupl(nGC_368) +     &
                         coupl(nGC_1825)*coupl(nGC_371) + coupl(nGC_1833)*coupl&
                         (nGC_365) + coupl(nGC_2665)*coupl(nGC_335) + coupl(   &
                         nGC_2677)*coupl(nGC_374) + coupl(nGC_2741)*coupl(     &
                         nGC_341) + coupl(nGC_2939)*coupl(nGC_344) + coupl(    &
                         nGC_3295)*coupl(nGC_338) + coupl(nGC_3395)*coupl(     &
                         nGC_350) + coupl(nGC_347)*coupl(nGC_5875) + coupl(    &
                         nGC_386)*coupl(nGC_7453))/(32d0*pi**2d0*Nc)
      coupl(nGC_22440) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1219)*   &
                         coupl(nGC_383) - coupl(nGC_1641)*coupl(nGC_368) -     &
                         coupl(nGC_1825)*coupl(nGC_371) - coupl(nGC_1833)*coupl&
                         (nGC_365) - coupl(nGC_2665)*coupl(nGC_335) - coupl(   &
                         nGC_2677)*coupl(nGC_374) - coupl(nGC_2741)*coupl(     &
                         nGC_341) - coupl(nGC_2939)*coupl(nGC_344) - coupl(    &
                         nGC_3295)*coupl(nGC_338) - coupl(nGC_3395)*coupl(     &
                         nGC_350) - coupl(nGC_347)*coupl(nGC_5875) - coupl(    &
                         nGC_386)*coupl(nGC_7453))/(32d0*pi**2d0)
      coupl(nGC_22366) = cima*(10d0*Nc*coupl(nGC_1219)*coupl(nGC_349)**2d0*    &
                         coupl(nGC_386) + 10d0*Nc*coupl(nGC_1219)*coupl(nGC_349&
                         )*coupl(nGC_385)*coupl(nGC_5875) + 10d0*Nc*coupl(     &
                         nGC_1219)*coupl(nGC_385)**2d0*coupl(nGC_386) + 10d0*Nc&
                         *coupl(nGC_1825)*coupl(nGC_2939)*coupl(nGC_340)*coupl(&
                         nGC_373) + 10d0*Nc*coupl(nGC_1825)*coupl(nGC_340)**2d0&
                         *coupl(nGC_374) + 10d0*Nc*coupl(nGC_1825)*coupl(      &
                         nGC_373)**2d0*coupl(nGC_374) + 10d0*Nc*coupl(nGC_1833 &
                         )*coupl(nGC_2665)*coupl(nGC_337)*coupl(nGC_367) + 10d0&
                         *Nc*coupl(nGC_1833)*coupl(nGC_337)**2d0*coupl(nGC_368 &
                         ) + 10d0*Nc*coupl(nGC_1833)*coupl(nGC_367)**2d0*coupl(&
                         nGC_368) + 10d0*Nc*coupl(nGC_2665)*coupl(nGC_337)**2d0&
                         *coupl(nGC_338) + 10d0*Nc*coupl(nGC_2665)*coupl(      &
                         nGC_338)*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(nGC_2939 &
                         )*coupl(nGC_340)**2d0*coupl(nGC_341) + 10d0*Nc*coupl( &
                         nGC_2939)*coupl(nGC_341)*coupl(nGC_373)**2d0 + 10d0*Nc&
                         *coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_367)*coupl(  &
                         nGC_368) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl&
                         (nGC_373)*coupl(nGC_374) + 10d0*Nc*coupl(nGC_349)**2d0&
                         *coupl(nGC_350)*coupl(nGC_5875) + 10d0*Nc*coupl(      &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_385)*coupl(nGC_386  &
                         ) + 10d0*Nc*coupl(nGC_350)*coupl(nGC_385)**2d0*coupl( &
                         nGC_5875) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(     &
                         nGC_1007)*coupl(nGC_379)**2d0*coupl(nGC_380) + 10d0*  &
                         coupl(nGC_1415)*coupl(nGC_361)**2d0*coupl(nGC_362) +  &
                         10d0*coupl(nGC_1773)*coupl(nGC_355)**2d0*coupl(nGC_356&
                         ) + 12d0*coupl(nGC_186)*coupl(nGC_187) + 3d0*coupl(   &
                         nGC_229)*coupl(nGC_230) + 12d0*coupl(nGC_30)*coupl(   &
                         nGC_31))/(48d0*pi**2d0)
      coupl(nGC_22367) = 5d0*cima*(Nc*coupl(nGC_1219)*coupl(nGC_3395)*coupl(   &
                         nGC_349)*coupl(nGC_385) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_349)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1219)*    &
                         coupl(nGC_383)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_1641&
                         )*coupl(nGC_2665)*coupl(nGC_337)*coupl(nGC_367) + Nc* &
                         coupl(nGC_1641)*coupl(nGC_337)**2d0*coupl(nGC_368) +  &
                         Nc*coupl(nGC_1641)*coupl(nGC_367)**2d0*coupl(nGC_368  &
                         ) + Nc*coupl(nGC_1825)*coupl(nGC_2741)*coupl(nGC_340)*&
                         coupl(nGC_373) + Nc*coupl(nGC_1825)*coupl(nGC_340)**  &
                         2d0*coupl(nGC_371) + Nc*coupl(nGC_1825)*coupl(nGC_371 &
                         )*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1833)*coupl(     &
                         nGC_3295)*coupl(nGC_337)*coupl(nGC_367) + Nc*coupl(   &
                         nGC_1833)*coupl(nGC_337)**2d0*coupl(nGC_365) + Nc*    &
                         coupl(nGC_1833)*coupl(nGC_365)*coupl(nGC_367)**2d0 +  &
                         Nc*coupl(nGC_2665)*coupl(nGC_335)*coupl(nGC_337)**2d0 &
                          + Nc*coupl(nGC_2665)*coupl(nGC_335)*coupl(nGC_367)** &
                         2d0 + Nc*coupl(nGC_2677)*coupl(nGC_2939)*coupl(nGC_340&
                         )*coupl(nGC_373) + Nc*coupl(nGC_2677)*coupl(nGC_340)**&
                         2d0*coupl(nGC_374) + Nc*coupl(nGC_2677)*coupl(nGC_373 &
                         )**2d0*coupl(nGC_374) + Nc*coupl(nGC_2741)*coupl(     &
                         nGC_340)**2d0*coupl(nGC_341) + Nc*coupl(nGC_2741)*    &
                         coupl(nGC_341)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_2939&
                         )*coupl(nGC_340)**2d0*coupl(nGC_344) + Nc*coupl(      &
                         nGC_2939)*coupl(nGC_344)*coupl(nGC_373)**2d0 + Nc*    &
                         coupl(nGC_3295)*coupl(nGC_337)**2d0*coupl(nGC_338) +  &
                         Nc*coupl(nGC_3295)*coupl(nGC_338)*coupl(nGC_367)**2d0 &
                          + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_367)*   &
                         coupl(nGC_368) + Nc*coupl(nGC_337)*coupl(nGC_338)*    &
                         coupl(nGC_365)*coupl(nGC_367) + Nc*coupl(nGC_3395)*   &
                         coupl(nGC_349)**2d0*coupl(nGC_350) + Nc*coupl(nGC_3395&
                         )*coupl(nGC_350)*coupl(nGC_385)**2d0 + Nc*coupl(      &
                         nGC_340)*coupl(nGC_341)*coupl(nGC_371)*coupl(nGC_373  &
                         ) + Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_373)*  &
                         coupl(nGC_374) + Nc*coupl(nGC_347)*coupl(nGC_349)**2d0&
                         *coupl(nGC_5875) + Nc*coupl(nGC_347)*coupl(nGC_349)*  &
                         coupl(nGC_385)*coupl(nGC_386) + Nc*coupl(nGC_347)*    &
                         coupl(nGC_385)**2d0*coupl(nGC_5875) + Nc*coupl(nGC_349&
                         )**2d0*coupl(nGC_386)*coupl(nGC_7453) + Nc*coupl(     &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_383)*coupl(nGC_385  &
                         ) + Nc*coupl(nGC_349)*coupl(nGC_385)*coupl(nGC_5875)* &
                         coupl(nGC_7453) + Nc*coupl(nGC_385)**2d0*coupl(nGC_386&
                         )*coupl(nGC_7453) + coupl(nGC_1007)*coupl(nGC_377)*   &
                         coupl(nGC_379)**2d0 + coupl(nGC_1415)*coupl(nGC_359)* &
                         coupl(nGC_361)**2d0 + coupl(nGC_1773)*coupl(nGC_353)* &
                         coupl(nGC_355)**2d0 + coupl(nGC_2247)*coupl(nGC_355)**&
                         2d0*coupl(nGC_356) + coupl(nGC_2497)*coupl(nGC_379)** &
                         2d0*coupl(nGC_380) + coupl(nGC_361)**2d0*coupl(nGC_362&
                         )*coupl(nGC_8311))/(48d0*pi**2d0)
      coupl(nGC_22362) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0* &
                         coupl(nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) - 8d0*cima* &
                         coupl(nGC_1563)*coupl(nGC_199)*coupl(nGC_3)*coupl(    &
                         nGC_4) + 6d0*cima*coupl(nGC_194)*coupl(nGC_202) - 6d0*&
                         cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_4   &
                         ) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212)*coupl(&
                         nGC_4) - 8d0*cima*coupl(nGC_198)*coupl(nGC_199)*coupl(&
                         nGC_2313)*coupl(nGC_3) + 6d0*cima*coupl(nGC_2523)*    &
                         coupl(nGC_809) + 6d0*coupl(nGC_1563)*coupl(nGC_3)*    &
                         coupl(nGC_809) + 6d0*coupl(nGC_194)*coupl(nGC_2313)*  &
                         coupl(nGC_3) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl&
                         (nGC_202) + 6d0*coupl(nGC_199)*coupl(nGC_2523)*coupl( &
                         nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22363) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0* &
                         coupl(nGC_2)*coupl(nGC_209) - 6d0*Nc*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) - 8d0*cima* &
                         coupl(nGC_1563)*coupl(nGC_199)*coupl(nGC_3)*coupl(    &
                         nGC_4) + 6d0*cima*coupl(nGC_194)*coupl(nGC_202) - 6d0*&
                         cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_4   &
                         ) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212)*coupl(&
                         nGC_4) - 8d0*cima*coupl(nGC_198)*coupl(nGC_199)*coupl(&
                         nGC_2313)*coupl(nGC_3) + 6d0*cima*coupl(nGC_2523)*    &
                         coupl(nGC_809) + 6d0*coupl(nGC_194)*coupl(nGC_198)*   &
                         coupl(nGC_3) + 6d0*coupl(nGC_199)*coupl(nGC_202)*coupl&
                         (nGC_2313) + 6d0*coupl(nGC_2313)*coupl(nGC_2523)*coupl&
                         (nGC_3) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_809 &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22360) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_345)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                         coupl(nGC_363)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_342)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_209)*coupl(nGC_345)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_363)**2d0 - Nc*cima*  &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333)**2d0 - Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369)**2d0  &
                          - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381  &
                         )**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                         nGC_333)**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*  &
                         coupl(nGC_369)**2d0 - Nc*cima*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_381)**2d0 + cima*coupl(nGC_205)*   &
                         coupl(nGC_77) - cima*coupl(nGC_208)*coupl(nGC_351)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(nGC_357  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(      &
                         nGC_375)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*coupl&
                         (nGC_351)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_357)**2d0*coupl(nGC_4) - cima*coupl(nGC_211 &
                         )*coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(nGC_1563)* &
                         coupl(nGC_2313)*coupl(nGC_77) + coupl(nGC_199)*coupl( &
                         nGC_3)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_22361) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)** &
                         2d0*coupl(nGC_210) - 15d0*Nc*cima*coupl(nGC_197)**2d0*&
                         coupl(nGC_2)*coupl(nGC_209) + 18d0*Nc*cima*coupl(     &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima* &
                         coupl(nGC_11213)*coupl(nGC_205) - 8d0*cima*coupl(     &
                         nGC_1563)*coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_4) +  &
                         18d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(   &
                         nGC_4) - 15d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212)*&
                         coupl(nGC_4) - 8d0*cima*coupl(nGC_198)*coupl(nGC_199)*&
                         coupl(nGC_2313)*coupl(nGC_3) + 6d0*coupl(nGC_11213)*  &
                         coupl(nGC_1563)*coupl(nGC_2313) + 6d0*coupl(nGC_11213 &
                         )*coupl(nGC_199)*coupl(nGC_3) + 6d0*coupl(nGC_1563)*  &
                         coupl(nGC_205)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl&
                         (nGC_205)*coupl(nGC_2313))/(48d0*pi**2d0)
      coupl(nGC_22369) = cima*(10d0*Nc*coupl(nGC_1641)*coupl(nGC_3295)*coupl(  &
                         nGC_337)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_1641)*    &
                         coupl(nGC_337)**2d0*coupl(nGC_365) + 10d0*Nc*coupl(   &
                         nGC_1641)*coupl(nGC_365)*coupl(nGC_367)**2d0 + 10d0*Nc&
                         *coupl(nGC_2677)*coupl(nGC_2741)*coupl(nGC_340)*coupl(&
                         nGC_373) + 10d0*Nc*coupl(nGC_2677)*coupl(nGC_340)**2d0&
                         *coupl(nGC_371) + 10d0*Nc*coupl(nGC_2677)*coupl(      &
                         nGC_371)*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_2741 &
                         )*coupl(nGC_340)**2d0*coupl(nGC_344) + 10d0*Nc*coupl( &
                         nGC_2741)*coupl(nGC_344)*coupl(nGC_373)**2d0 + 10d0*Nc&
                         *coupl(nGC_3295)*coupl(nGC_335)*coupl(nGC_337)**2d0 + &
                         10d0*Nc*coupl(nGC_3295)*coupl(nGC_335)*coupl(nGC_367  &
                         )**2d0 + 10d0*Nc*coupl(nGC_335)*coupl(nGC_337)*coupl( &
                         nGC_365)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_3395)*    &
                         coupl(nGC_347)*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(   &
                         nGC_3395)*coupl(nGC_347)*coupl(nGC_385)**2d0 + 10d0*Nc&
                         *coupl(nGC_3395)*coupl(nGC_349)*coupl(nGC_385)*coupl( &
                         nGC_7453) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_344)*    &
                         coupl(nGC_371)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_347 &
                         )*coupl(nGC_349)*coupl(nGC_383)*coupl(nGC_385) + 10d0*&
                         Nc*coupl(nGC_349)**2d0*coupl(nGC_383)*coupl(nGC_7453  &
                         ) + 10d0*Nc*coupl(nGC_383)*coupl(nGC_385)**2d0*coupl( &
                         nGC_7453) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(     &
                         nGC_2247)*coupl(nGC_353)*coupl(nGC_355)**2d0 + 3d0*   &
                         coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(nGC_2497)* &
                         coupl(nGC_377)*coupl(nGC_379)**2d0 + 10d0*coupl(      &
                         nGC_359)*coupl(nGC_361)**2d0*coupl(nGC_8311))/(48d0*pi&
                         **2d0)
      coupl(nGC_33300) = coupl(nGC_33104) - coupl(nGC_33108)
      coupl(nGC_22148) = coupl(nGC_197)*(Nc*coupl(nGC_1641)*coupl(nGC_364) + Nc&
                         *coupl(nGC_2741)*coupl(nGC_343) - Nc*coupl(nGC_334)*  &
                         coupl(nGC_335) + Nc*coupl(nGC_3395)*coupl(nGC_346) -  &
                         Nc*coupl(nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)* &
                         coupl(nGC_383) + coupl(nGC_2247)*coupl(nGC_352) +     &
                         coupl(nGC_2497)*coupl(nGC_376) + coupl(nGC_358)*coupl(&
                         nGC_8311))/(24d0*pi**2d0)
      coupl(nGC_33515) = -coupl(nGC_33513) + coupl(nGC_33514)
      coupl(nGC_22141) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) - coupl(&
                         nGC_1219)*coupl(nGC_382)*coupl(nGC_5875) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(       &
                         nGC_3395)*coupl(nGC_382)*coupl(nGC_7453) - coupl(     &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348&
                         )*coupl(nGC_382)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22067) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) - coupl(&
                         nGC_1219)*coupl(nGC_385)*coupl(nGC_5875) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(       &
                         nGC_3395)*coupl(nGC_385)*coupl(nGC_7453) - coupl(     &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348&
                         )*coupl(nGC_384)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_53367) = coupl(nGC_22510) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0&
                         *coupl(nGC_66)*dZHa_QED2
      coupl(nGC_32542) = coupl(nGC_32540) + coupl(nGC_32541)
      coupl(nGC_35515) = coupl(nGC_22648) + coupl(nGC_358)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_358)*dZmuMinusR_QED2/2d0 + coupl(nGC_358)*  &
                         dZnu_muL_QED2/2d0 + coupl(nGC_361)*dZGMinusHMinus_QED2&
                         /2d0
      coupl(nGC_32237) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_22702)
      coupl(nGC_32336) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22499) +     &
                         coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*      &
                         dZZ_QED2/2d0
      coupl(nGC_58728) = -coupl(nGC_22129)
      coupl(nGC_21965) = cima*(coupl(nGC_1563)**2d0 + coupl(nGC_3)**2d0)/(48d0*&
                         pi**2d0)
      coupl(nGC_21964) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2  &
                         )**2d0 - coupl(nGC_1563)**2d0 - coupl(nGC_3)**2d0 -   &
                         6d0*coupl(nGC_4)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21967) = cima*(Nc*coupl(nGC_1641)*coupl(nGC_365) + Nc*coupl(   &
                         nGC_2677)*coupl(nGC_371) + Nc*coupl(nGC_2741)*coupl(  &
                         nGC_344) + Nc*coupl(nGC_3295)*coupl(nGC_335) + Nc*    &
                         coupl(nGC_3395)*coupl(nGC_347) + Nc*coupl(nGC_383)*   &
                         coupl(nGC_7453) + coupl(nGC_2247)*coupl(nGC_353) +    &
                         coupl(nGC_2497)*coupl(nGC_377) + coupl(nGC_359)*coupl(&
                         nGC_8311))/(24d0*pi**2d0)
      coupl(nGC_21966) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**&
                         2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                         coupl(nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1  &
                         )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*&
                         Nc*cMU**2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima&
                         *coupl(nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)** &
                         2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*&
                         cima*coupl(nGC_1563)**2d0 + cMW**2d0*cima*coupl(nGC_3 &
                         )**2d0 - cMW**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_21961) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*   &
                         coupl(nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*    &
                         coupl(nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - &
                         coupl(nGC_1563)*coupl(nGC_2313) - coupl(nGC_199)*coupl&
                         (nGC_3) - 3d0*coupl(nGC_208)*coupl(nGC_4) - 3d0*coupl(&
                         nGC_211)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_21960) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_2939)*coupl(nGC_341  &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_2665)*coupl(nGC_338&
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_350)*coupl(nGC_5875&
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_1833)*coupl(nGC_368&
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_1825)*coupl(nGC_374&
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_1219)*coupl(nGC_386&
                         ) - 4d0*cME**2d0*cima*coupl(nGC_1773)*coupl(nGC_356   &
                         ) - 4d0*cMM**2d0*cima*coupl(nGC_1415)*coupl(nGC_362   &
                         ) - 4d0*cMTA**2d0*cima*coupl(nGC_1007)*coupl(nGC_380  &
                         ) - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(     &
                         nGC_230))/(16d0*pi**2d0)
      coupl(nGC_21963) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_206) + Nc*cMB&
                         **2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*cMC**2d0* &
                         cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMC**2d0*cima*  &
                         coupl(nGC_2)*coupl(nGC_210) + Nc*cMD**2d0*cima*coupl( &
                         nGC_1)*coupl(nGC_206) + Nc*cMD**2d0*cima*coupl(nGC_1)*&
                         coupl(nGC_209) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                         nGC_206) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_209&
                         ) + Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc*&
                         cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_210) + Nc*cMU**  &
                         2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMU**2d0*   &
                         cima*coupl(nGC_2)*coupl(nGC_210) + cME**2d0*cima*coupl&
                         (nGC_208)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_211)*&
                         coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_208)*coupl(    &
                         nGC_4) + cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_4) +  &
                         cMTA**2d0*cima*coupl(nGC_208)*coupl(nGC_4) + cMTA**2d0&
                         *cima*coupl(nGC_211)*coupl(nGC_4) + cMW**2d0*cima*    &
                         coupl(nGC_1563)*coupl(nGC_2313) + cMW**2d0*cima*coupl(&
                         nGC_199)*coupl(nGC_3) - cMW**2d0*coupl(nGC_205))/(8d0*&
                         pi**2d0)
      coupl(nGC_21962) = cima*(coupl(nGC_1563)*coupl(nGC_2313) + coupl(nGC_199 &
                         )*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_21968) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_2741)*coupl(nGC_344  &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_3295)*coupl(nGC_335&
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_3395)*coupl(nGC_347&
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_1641)*coupl(nGC_365&
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_2677)*coupl(nGC_371&
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_383)*coupl(nGC_7453&
                         ) - 4d0*cME**2d0*cima*coupl(nGC_2247)*coupl(nGC_353   &
                         ) - 4d0*cMM**2d0*cima*coupl(nGC_359)*coupl(nGC_8311   &
                         ) - 4d0*cMTA**2d0*cima*coupl(nGC_2497)*coupl(nGC_377  &
                         ) - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(     &
                         nGC_230))/(16d0*pi**2d0)
      coupl(nGC_36882) = -coupl(nGC_36881)
      coupl(nGC_32931) = coupl(nGC_22516) + coupl(nGC_58)*dZHaG0_QED2 + coupl( &
                         nGC_59)*dZG0Ha_QED2 + coupl(nGC_73)*dZHa_QED2
      coupl(nGC_44490) = coupl(nGC_44486) + coupl(nGC_44489)
      coupl(nGC_36510) = -coupl(nGC_36503) - coupl(nGC_36509)
    end subroutine fill_CTcouplings_mdl31
end module fill_ctcouplings31
