!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl33()
      coupl(nGC_22379) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_345)*coupl(    &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_340)*coupl(      &
                         nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_342)*coupl(nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_333)*coupl(      &
                         nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2665)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364&
                         ) + 5d0*Nc*coupl(nGC_2939)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2939)*coupl&
                         (nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2939)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(&
                         nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(&
                         nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_341)*coupl(nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_341)*coupl(nGC_369)*coupl(nGC_370  &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370&
                         )*coupl(nGC_374) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343&
                         )*coupl(nGC_369)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_341&
                         )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349)*coupl(&
                         nGC_350) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_349)*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_345)*coupl&
                         (nGC_349)*coupl(nGC_382)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_345)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385 &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385&
                         )*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(&
                         nGC_346)*coupl(nGC_381)*coupl(nGC_385)*coupl(nGC_5875 &
                         ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_381&
                         )*coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364&
                         )*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_369&
                         )*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + 5d0* &
                         Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385)*coupl(&
                         nGC_386) + 5d0*coupl(nGC_1007)*coupl(nGC_375)*coupl(  &
                         nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_1415)*coupl(  &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_1773)*coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_355 &
                         ) + 6d0*coupl(nGC_180)*coupl(nGC_186) + 6d0*coupl(    &
                         nGC_23)*coupl(nGC_30) + 5d0*coupl(nGC_351)*coupl(     &
                         nGC_352)*coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(   &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362  &
                         ) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)* &
                         coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_22378) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_346)*coupl(    &
                         nGC_348)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_339)*coupl(      &
                         nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_334)*coupl(      &
                         nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2665)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366&
                         ) + 5d0*Nc*coupl(nGC_2939)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2939)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2939)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_368) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_366)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_340)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_374  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_341)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341&
                         )*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_374) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*coupl(&
                         nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(&
                         nGC_349)*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_346)*coupl&
                         (nGC_349)*coupl(nGC_384)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_346)*coupl(nGC_384)*coupl(nGC_385)*coupl(nGC_5875&
                         ) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_382&
                         )*coupl(nGC_386) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_350&
                         )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348&
                         )*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_5875) + 5d0*&
                         Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_382)*coupl(&
                         nGC_384) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(&
                         nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_370)*coupl(&
                         nGC_372)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(&
                         nGC_382)*coupl(nGC_384)*coupl(nGC_385)*coupl(nGC_386  &
                         ) + 5d0*coupl(nGC_1007)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379) + 5d0*coupl(nGC_1415)*coupl(nGC_358)*  &
                         coupl(nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_175)*   &
                         coupl(nGC_186) + 5d0*coupl(nGC_1773)*coupl(nGC_352)*  &
                         coupl(nGC_354)*coupl(nGC_355) + 6d0*coupl(nGC_22)*    &
                         coupl(nGC_30) + 5d0*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_358)*   &
                         coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_362) + 5d0*   &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl(   &
                         nGC_380))/(48d0*pi**2d0)
      coupl(nGC_32659) = coupl(nGC_32656) + coupl(nGC_32657)
      coupl(nGC_22476) = (-3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0 &
                          + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*    &
                         coupl(nGC_210) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_210)**2d0 - 4d0*cima*coupl(nGC_1563)*coupl(      &
                         nGC_199)**2d0*coupl(nGC_4) + 3d0*cima*coupl(nGC_194)**&
                         2d0 - 3d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)**2d0&
                          + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl( &
                         nGC_212) - 3d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212 &
                         )**2d0 - 4d0*cima*coupl(nGC_198)*coupl(nGC_199)**2d0* &
                         coupl(nGC_2313) + 3d0*cima*coupl(nGC_809)**2d0 + 3d0* &
                         coupl(nGC_1563)*coupl(nGC_199)*coupl(nGC_809) + 3d0*  &
                         coupl(nGC_194)*coupl(nGC_198)*coupl(nGC_199) + 3d0*   &
                         coupl(nGC_194)*coupl(nGC_199)*coupl(nGC_2313) + 3d0*  &
                         coupl(nGC_199)*coupl(nGC_4)*coupl(nGC_809))/(24d0*pi**&
                         2d0)
      coupl(nGC_22475) = (9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0  &
                          - 15d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*   &
                         coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_210)**2d0 + 3d0*cima*coupl(nGC_11213)*coupl(     &
                         nGC_195) - 4d0*cima*coupl(nGC_1563)*coupl(nGC_199)**  &
                         2d0*coupl(nGC_4) + 9d0*cima*coupl(nGC_197)**2d0*coupl(&
                         nGC_211)**2d0 - 15d0*cima*coupl(nGC_197)**2d0*coupl(  &
                         nGC_211)*coupl(nGC_212) + 9d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_212)**2d0 - 4d0*cima*coupl(nGC_198)*coupl( &
                         nGC_199)**2d0*coupl(nGC_2313) + 3d0*coupl(nGC_11213)* &
                         coupl(nGC_199)**2d0 + 3d0*coupl(nGC_11213)*coupl(     &
                         nGC_2313)**2d0 + 3d0*coupl(nGC_1563)*coupl(nGC_195)*  &
                         coupl(nGC_4) + 3d0*coupl(nGC_195)*coupl(nGC_198)*coupl&
                         (nGC_2313))/(24d0*pi**2d0)
      coupl(nGC_34046) = coupl(nGC_22718) + coupl(nGC_230)*dZHa_QED2 + coupl(  &
                         nGC_230)*dZZ_QED2
      coupl(nGC_22372) = (Nc*cima*coupl(nGC_1)*coupl(nGC_206)**3d0 + Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_209)**3d0 + Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_207)**3d0 + Nc*cima*coupl(nGC_2)*coupl(   &
                         nGC_210)**3d0 - 2d0*cima*coupl(nGC_1563)*coupl(       &
                         nGC_2313)**3d0 + cima*coupl(nGC_195)*coupl(nGC_205) - &
                         2d0*cima*coupl(nGC_199)**3d0*coupl(nGC_3) + cima*coupl&
                         (nGC_208)**3d0*coupl(nGC_4) + cima*coupl(nGC_211)**3d0&
                         *coupl(nGC_4) + coupl(nGC_1563)*coupl(nGC_195)*coupl( &
                         nGC_2313) + coupl(nGC_195)*coupl(nGC_199)*coupl(nGC_3 &
                         ) + coupl(nGC_199)**2d0*coupl(nGC_205) + coupl(nGC_205&
                         )*coupl(nGC_2313)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22375) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0&
                          + 6d0*cima*coupl(nGC_100)*coupl(nGC_11213) + 3d0*cima&
                         *coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(      &
                         nGC_197)**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl(   &
                         nGC_197)**2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(   &
                         nGC_197)**2d0*coupl(nGC_379)**2d0 + 6d0*cima*coupl(   &
                         nGC_205)*coupl(nGC_221) + 3d0*cima*coupl(nGC_29)*coupl&
                         (nGC_9) + 6d0*coupl(nGC_100)*coupl(nGC_1563)*coupl(   &
                         nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_198)*coupl(     &
                         nGC_2313) + 6d0*coupl(nGC_199)*coupl(nGC_221)*coupl(  &
                         nGC_3695) + 6d0*coupl(nGC_199)*coupl(nGC_229)*coupl(  &
                         nGC_3351) + 6d0*coupl(nGC_221)*coupl(nGC_3)*coupl(    &
                         nGC_3351) + 6d0*coupl(nGC_29)*coupl(nGC_3)*coupl(     &
                         nGC_3695))/(48d0*pi**2d0)
      coupl(nGC_22374) = 5d0*cima*(Nc*coupl(nGC_1219)*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_386) + Nc*coupl(nGC_1219)*coupl(   &
                         nGC_346)*coupl(nGC_385)*coupl(nGC_5875) + Nc*coupl(   &
                         nGC_1219)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386 &
                         ) + Nc*coupl(nGC_1825)*coupl(nGC_2939)*coupl(nGC_343)*&
                         coupl(nGC_373) + Nc*coupl(nGC_1825)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_374) + Nc*coupl(nGC_1825)*   &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_1833)*coupl(nGC_2665)*coupl(nGC_337)*coupl( &
                         nGC_364) + Nc*coupl(nGC_1833)*coupl(nGC_334)*coupl(   &
                         nGC_337)*coupl(nGC_368) + Nc*coupl(nGC_1833)*coupl(   &
                         nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*coupl(    &
                         nGC_2665)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338 &
                         ) + Nc*coupl(nGC_2665)*coupl(nGC_338)*coupl(nGC_364)* &
                         coupl(nGC_367) + Nc*coupl(nGC_2939)*coupl(nGC_340)*   &
                         coupl(nGC_341)*coupl(nGC_343) + Nc*coupl(nGC_2939)*   &
                         coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_367)*coupl(   &
                         nGC_368) + Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(    &
                         nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_5875) + Nc*coupl(   &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385)*  &
                         coupl(nGC_5875) + coupl(nGC_1007)*coupl(nGC_376)*coupl&
                         (nGC_379)*coupl(nGC_380) + coupl(nGC_1415)*coupl(     &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl(       &
                         nGC_1773)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22377) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_3395)*coupl(   &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1641)*coupl(nGC_2665)*coupl(     &
                         nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_368) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_2741)*coupl(     &
                         nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_371) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_3295)*coupl(     &
                         nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_365) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_334)*coupl(      &
                         nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_335)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_2939)*coupl(nGC_343)*coupl(      &
                         nGC_373) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_340)*coupl&
                         (nGC_343)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_2677)*    &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*&
                         coupl(nGC_2741)*coupl(nGC_340)*coupl(nGC_341)*coupl(  &
                         nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_341)*coupl&
                         (nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2939)*    &
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*&
                         coupl(nGC_2939)*coupl(nGC_344)*coupl(nGC_370)*coupl(  &
                         nGC_373) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_3295)*    &
                         coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*&
                         coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367)*coupl(   &
                         nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(&
                         nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3395)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_350) + 5d0*Nc*coupl&
                         (nGC_3395)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370&
                         )*coupl(nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_344&
                         )*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_5875) + 5d0*&
                         Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386)*coupl(&
                         nGC_7453) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_385)*coupl&
                         (nGC_5875)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_347)*   &
                         coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_386) + 5d0*Nc*&
                         coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385)*coupl(   &
                         nGC_5875) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_350)*coupl&
                         (nGC_382)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_382)*coupl&
                         (nGC_385)*coupl(nGC_386)*coupl(nGC_7453) + 5d0*coupl( &
                         nGC_1007)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379 &
                         ) + 5d0*coupl(nGC_1415)*coupl(nGC_358)*coupl(nGC_359)*&
                         coupl(nGC_361) + 5d0*coupl(nGC_1773)*coupl(nGC_352)*  &
                         coupl(nGC_353)*coupl(nGC_355) + 6d0*coupl(nGC_186)*   &
                         coupl(nGC_187) + 5d0*coupl(nGC_2247)*coupl(nGC_352)*  &
                         coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_2497)*  &
                         coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380) + 6d0*   &
                         coupl(nGC_30)*coupl(nGC_31) + 5d0*coupl(nGC_358)*coupl&
                         (nGC_361)*coupl(nGC_362)*coupl(nGC_8311))/(48d0*pi**  &
                         2d0)
      coupl(nGC_22270) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0&
                         *coupl(nGC_2313) + coupl(nGC_206)*coupl(nGC_3395)*    &
                         coupl(nGC_347) + coupl(nGC_206)*coupl(nGC_345)**2d0 + &
                         coupl(nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_206)*  &
                         coupl(nGC_350)*coupl(nGC_5875) + coupl(nGC_207)*coupl(&
                         nGC_382)**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22271) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(    &
                         nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_3395)*coupl( &
                         nGC_347) + coupl(nGC_209)*coupl(nGC_345)**2d0 + coupl(&
                         nGC_209)*coupl(nGC_348)**2d0 + coupl(nGC_209)*coupl(  &
                         nGC_350)*coupl(nGC_5875) + coupl(nGC_210)*coupl(      &
                         nGC_346)**2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_34286) = coupl(nGC_191)*dZWMinus_QED2 + coupl(nGC_22696)
      coupl(nGC_34997) = coupl(nGC_34992) + coupl(nGC_34996)
      coupl(nGC_33091) = coupl(nGC_22558) + coupl(nGC_232)*dZHMinusGMinus_QED2/&
                         2d0
      coupl(nGC_37960) = coupl(nGC_22659) + coupl(nGC_353)*dZHa_QED2/2d0 +     &
                         coupl(nGC_356)*dZG0Ha_QED2/2d0
      coupl(nGC_37961) = -coupl(nGC_37959) - coupl(nGC_37960)
      coupl(nGC_33254) = coupl(nGC_22841) + coupl(nGC_MHC)*dZHMinus_QED2 +     &
                         coupl(nGC_TS_GC_243_Hl) + coupl(nGC_TS_GC_251_Hh)
      coupl(nGC_47301) = coupl(nGC_47298) + coupl(nGC_47300)
      coupl(nGC_36004) = coupl(nGC_33678) + coupl(nGC_36002)
      coupl(nGC_22159) = (2d0*Nc*cMB*coupl(nGC_2741)**2d0*coupl(nGC_342) + 8d0*&
                         Nc*cMB*coupl(nGC_2741)*coupl(nGC_342)*coupl(nGC_344   &
                         ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_344)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_3295)**2d0*coupl(nGC_333) + 8d0* &
                         Nc*cMC*coupl(nGC_3295)*coupl(nGC_333)*coupl(nGC_335   &
                         ) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_335)**2d0 +   &
                         2d0*Nc*cMD*coupl(nGC_3395)**2d0*coupl(nGC_345) + 8d0* &
                         Nc*cMD*coupl(nGC_3395)*coupl(nGC_345)*coupl(nGC_347   &
                         ) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_347)**2d0 +   &
                         2d0*Nc*cMS*coupl(nGC_1641)**2d0*coupl(nGC_363) + 8d0* &
                         Nc*cMS*coupl(nGC_1641)*coupl(nGC_363)*coupl(nGC_365   &
                         ) + 2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_365)**2d0 +   &
                         2d0*Nc*cMT*coupl(nGC_2677)**2d0*coupl(nGC_369) + 8d0* &
                         Nc*cMT*coupl(nGC_2677)*coupl(nGC_369)*coupl(nGC_371   &
                         ) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_371)**2d0 +   &
                         2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_383)**2d0 + 8d0*Nc&
                         *cMU*coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_7453) +  &
                         2d0*Nc*cMU*coupl(nGC_381)*coupl(nGC_7453)**2d0 + 2d0* &
                         cME*coupl(nGC_2247)**2d0*coupl(nGC_351) + 8d0*cME*    &
                         coupl(nGC_2247)*coupl(nGC_351)*coupl(nGC_353) + 2d0*  &
                         cME*coupl(nGC_351)*coupl(nGC_353)**2d0 + 2d0*cMM*coupl&
                         (nGC_357)*coupl(nGC_359)**2d0 + 8d0*cMM*coupl(nGC_357 &
                         )*coupl(nGC_359)*coupl(nGC_8311) + 2d0*cMM*coupl(     &
                         nGC_357)*coupl(nGC_8311)**2d0 + 2d0*cMTA*coupl(       &
                         nGC_2497)**2d0*coupl(nGC_375) + 8d0*cMTA*coupl(       &
                         nGC_2497)*coupl(nGC_375)*coupl(nGC_377) + 2d0*cMTA*   &
                         coupl(nGC_375)*coupl(nGC_377)**2d0 + 2d0*cima*coupl(  &
                         nGC_100)*coupl(nGC_261) + cima*coupl(nGC_230)*coupl(  &
                         nGC_329))/(16d0*pi**2d0)
      coupl(nGC_22158) = (2d0*Nc*cMB*coupl(nGC_2741)**2d0*coupl(nGC_339) + 8d0*&
                         Nc*cMB*coupl(nGC_2741)*coupl(nGC_339)*coupl(nGC_344   &
                         ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_3295)**2d0*coupl(nGC_336) + 8d0* &
                         Nc*cMC*coupl(nGC_3295)*coupl(nGC_335)*coupl(nGC_336   &
                         ) + 2d0*Nc*cMC*coupl(nGC_335)**2d0*coupl(nGC_336) +   &
                         2d0*Nc*cMD*coupl(nGC_3395)**2d0*coupl(nGC_348) + 8d0* &
                         Nc*cMD*coupl(nGC_3395)*coupl(nGC_347)*coupl(nGC_348   &
                         ) + 2d0*Nc*cMD*coupl(nGC_347)**2d0*coupl(nGC_348) +   &
                         2d0*Nc*cMS*coupl(nGC_1641)**2d0*coupl(nGC_366) + 8d0* &
                         Nc*cMS*coupl(nGC_1641)*coupl(nGC_365)*coupl(nGC_366   &
                         ) + 2d0*Nc*cMS*coupl(nGC_365)**2d0*coupl(nGC_366) +   &
                         2d0*Nc*cMT*coupl(nGC_2677)**2d0*coupl(nGC_372) + 8d0* &
                         Nc*cMT*coupl(nGC_2677)*coupl(nGC_371)*coupl(nGC_372   &
                         ) + 2d0*Nc*cMT*coupl(nGC_371)**2d0*coupl(nGC_372) +   &
                         2d0*Nc*cMU*coupl(nGC_383)**2d0*coupl(nGC_384) + 8d0*Nc&
                         *cMU*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_7453) +  &
                         2d0*Nc*cMU*coupl(nGC_384)*coupl(nGC_7453)**2d0 + 2d0* &
                         cME*coupl(nGC_2247)**2d0*coupl(nGC_354) + 8d0*cME*    &
                         coupl(nGC_2247)*coupl(nGC_353)*coupl(nGC_354) + 2d0*  &
                         cME*coupl(nGC_353)**2d0*coupl(nGC_354) + 2d0*cMM*coupl&
                         (nGC_359)**2d0*coupl(nGC_360) + 8d0*cMM*coupl(nGC_359 &
                         )*coupl(nGC_360)*coupl(nGC_8311) + 2d0*cMM*coupl(     &
                         nGC_360)*coupl(nGC_8311)**2d0 + 2d0*cMTA*coupl(       &
                         nGC_2497)**2d0*coupl(nGC_378) + 8d0*cMTA*coupl(       &
                         nGC_2497)*coupl(nGC_377)*coupl(nGC_378) + 2d0*cMTA*   &
                         coupl(nGC_377)**2d0*coupl(nGC_378) + 2d0*cima*coupl(  &
                         nGC_100)*coupl(nGC_272) + cima*coupl(nGC_230)*coupl(  &
                         nGC_332))/(16d0*pi**2d0)
      coupl(nGC_22154) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) - coupl(&
                         nGC_1641)*coupl(nGC_3295)*coupl(nGC_364) - coupl(     &
                         nGC_1833)*coupl(nGC_2665)*coupl(nGC_364) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(nGC_333&
                         )*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_336)*coupl&
                         (nGC_364)*coupl(nGC_366))/(32d0*pi**2d0)
      coupl(nGC_22157) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) - coupl(&
                         nGC_1219)*coupl(nGC_346)*coupl(nGC_5875) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(       &
                         nGC_3395)*coupl(nGC_346)*coupl(nGC_7453) - coupl(     &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22153) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) - coupl(&
                         nGC_1825)*coupl(nGC_2939)*coupl(nGC_343) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(       &
                         nGC_2677)*coupl(nGC_2741)*coupl(nGC_343) - coupl(     &
                         nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_342&
                         )*coupl(nGC_343)*coupl(nGC_369))/(32d0*pi**2d0)
      coupl(nGC_22014) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(  &
                         nGC_2523)*coupl(nGC_324) + 2d0*coupl(nGC_1563)*coupl( &
                         nGC_199)*coupl(nGC_237) + 2d0*coupl(nGC_1563)*coupl(  &
                         nGC_3)*coupl(nGC_324))/(16d0*pi**2d0)
      coupl(nGC_22016) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_384) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_272)*coupl(nGC_9) + coupl(nGC_1563)**2d0*coupl(   &
                         nGC_272) + coupl(nGC_272)*coupl(nGC_3)**2d0)/(8d0*pi**&
                         2d0)
      coupl(nGC_22017) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_381) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_261)*coupl(nGC_9) + coupl(nGC_1563)**2d0*coupl(   &
                         nGC_261) + coupl(nGC_261)*coupl(nGC_3)**2d0)/(8d0*pi**&
                         2d0)
      coupl(nGC_22019) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(  &
                         nGC_2523)*coupl(nGC_321) + 2d0*coupl(nGC_1563)*coupl( &
                         nGC_199)*coupl(nGC_231) + 2d0*coupl(nGC_1563)*coupl(  &
                         nGC_3)*coupl(nGC_321))/(16d0*pi**2d0)
      coupl(nGC_38762) = coupl(nGC_22565) + coupl(nGC_243)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_244)*dZGMinusHMinus_QED2 + coupl(nGC_251)*  &
                         dZHMinus_QED2 + coupl(nGC_251)*dZHh_QED2/2d0 + coupl( &
                         nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_44_Hh)
      coupl(nGC_58986) = -coupl(nGC_22011)
      coupl(nGC_32248) = coupl(nGC_32244) + coupl(nGC_32247)
      coupl(nGC_32579) = coupl(nGC_22690) + coupl(nGC_231)*dZZA_QED2/2d0 +     &
                         coupl(nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_321)*dZWMinus_QED2/2d0  &
                          + coupl(nGC_324)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_180_Hl)
      coupl(nGC_39146) = coupl(nGC_33126) + coupl(nGC_39144)
      coupl(nGC_32325) = coupl(nGC_22715) + coupl(nGC_231)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_237)*dZWMinus_QED2/2d0 + coupl(nGC_237&
                         )*dZZ_QED2/2d0 + coupl(nGC_324)*dZAZ_QED2/2d0 + coupl(&
                         nGC_TS_GC_21_Hl) + coupl(nGC_TS_GC_23_Hh)
      coupl(nGC_39145) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZuL_QED2&
                          + coupl(nGC_22730)
      coupl(nGC_22124) = (-coupl(nGC_1219)*coupl(nGC_381)**2d0 - coupl(nGC_1219&
                         )*coupl(nGC_383)**2d0 - coupl(nGC_1219)*coupl(nGC_384 &
                         )**2d0 - coupl(nGC_1219)*coupl(nGC_386)**2d0 + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_386) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_386) - coupl(nGC_346)*coupl( &
                         nGC_382)*coupl(nGC_5875) - coupl(nGC_349)*coupl(      &
                         nGC_385)*coupl(nGC_5875))/(32d0*pi**2d0)
      coupl(nGC_36484) = -coupl(nGC_33611) + coupl(nGC_33616)
      coupl(nGC_36864) = -coupl(nGC_33799)
      coupl(nGC_33679) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZdL_QED2&
                          + coupl(nGC_22731)
      coupl(nGC_32884) = coupl(nGC_22500) + coupl(nGC_28)*dZHMinus_QED2
      coupl(nGC_33070) = coupl(nGC_32690) + coupl(nGC_33067)
      coupl(nGC_33071) = coupl(nGC_32690) + coupl(nGC_33069)
      coupl(nGC_36003) = coupl(nGC_33678) + coupl(nGC_36001)
      coupl(nGC_44488) = coupl(nGC_22630) + coupl(nGC_44487)
      coupl(nGC_32862) = coupl(nGC_22716) + coupl(nGC_231)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_231)*dZWMinus_QED2/2d0 + coupl(nGC_231)*    &
                         dZZ_QED2/2d0 + coupl(nGC_237)*dZGMinusHMinus_QED2/2d0 &
                          + coupl(nGC_321)*dZAZ_QED2/2d0 + coupl(              &
                         nGC_TS_GC_22_Hh) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_33617) = coupl(nGC_33611) - coupl(nGC_33616)
      coupl(nGC_22337) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1833)*coupl(nGC_197)* &
                         coupl(nGC_367) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                         coupl(nGC_2939)*coupl(nGC_340) - 4d0*Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_197)*coupl(nGC_337)*coupl(nGC_338) + &
                         Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_349)*   &
                         coupl(nGC_5875) - 4d0*Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_197)*coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385)*coupl(     &
                         nGC_386) - 4d0*Nc*cima*coupl(nGC_1833)*coupl(nGC_197)*&
                         coupl(nGC_2)*coupl(nGC_367) - 4d0*Nc*cima*coupl(      &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_2939)*coupl(nGC_340   &
                         ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337 &
                         )*coupl(nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(  &
                         nGC_2)*coupl(nGC_349)*coupl(nGC_5875) + Nc*cima*coupl(&
                         nGC_197)*coupl(nGC_2)*coupl(nGC_373)*coupl(nGC_374) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_385)*   &
                         coupl(nGC_386) + cima*coupl(nGC_1007)*coupl(nGC_197)* &
                         coupl(nGC_379)*coupl(nGC_4) + cima*coupl(nGC_1415)*   &
                         coupl(nGC_197)*coupl(nGC_361)*coupl(nGC_4) + cima*    &
                         coupl(nGC_1773)*coupl(nGC_197)*coupl(nGC_355)*coupl(  &
                         nGC_4) + 6d0*cima*coupl(nGC_187)*coupl(nGC_2523) + 6d0&
                         *cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(       &
                         nGC_1563)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(    &
                         nGC_1563)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
      coupl(nGC_22331) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(   &
                         nGC_2)**4d0 - 2d0*cima*coupl(nGC_1563)**4d0 - 2d0*cima&
                         *coupl(nGC_3)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima&
                         *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_1563)**2d0*coupl(  &
                         nGC_9) + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9))/(8d0*pi**&
                         2d0)
      coupl(nGC_22330) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206&
                         )*coupl(nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_206)*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_373)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_207)*coupl(     &
                         nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                         )*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_209)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_340)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(     &
                         nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210&
                         )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_206)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_206)*coupl(nGC_349)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_367)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(     &
                         nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207&
                         )*coupl(nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_207)*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(     &
                         nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_210&
                         )*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0*cima* &
                         coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(nGC_208&
                         )*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0* &
                         coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_1563)*    &
                         coupl(nGC_2313) + 6d0*coupl(nGC_100)*coupl(nGC_199)*  &
                         coupl(nGC_3))/(48d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
