!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl37()
      coupl(nGC_34404) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_22725)
      coupl(nGC_34405) = coupl(nGC_34403) + coupl(nGC_34404)
      coupl(nGC_22401) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_346)*coupl(    &
                         nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_348)*coupl(nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2665)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2939)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2939)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2939)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_366)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_336&
                         )*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_368) + 5d0* &
                         Nc*coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_364)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_340)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373&
                         )*coupl(nGC_374) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343&
                         )*coupl(nGC_372)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_341&
                         )*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*coupl(&
                         nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(&
                         nGC_349)*coupl(nGC_5875) + 5d0*Nc*coupl(nGC_346)*coupl&
                         (nGC_348)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_386 &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_384&
                         )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_350&
                         )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_348&
                         )*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_5875) + 5d0*&
                         Nc*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384)*coupl(&
                         nGC_5875) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl&
                         (nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_370)*coupl&
                         (nGC_372)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl&
                         (nGC_382)*coupl(nGC_384)*coupl(nGC_385)*coupl(nGC_386 &
                         ) + 5d0*coupl(nGC_1007)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379) + 5d0*coupl(nGC_1415)*coupl(nGC_358)*  &
                         coupl(nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_175)*   &
                         coupl(nGC_187) + 5d0*coupl(nGC_1773)*coupl(nGC_352)*  &
                         coupl(nGC_354)*coupl(nGC_355) + 6d0*coupl(nGC_22)*    &
                         coupl(nGC_31) + 5d0*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_358)*   &
                         coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_362) + 5d0*   &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl(   &
                         nGC_380))/(48d0*pi**2d0)
      coupl(nGC_22400) = cima*(5d0*Nc*coupl(nGC_1219)*coupl(nGC_3395)*coupl(   &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1219)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl&
                         (nGC_1219)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1641)*coupl(nGC_2665)*coupl(     &
                         nGC_334)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_368) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368&
                         ) + 5d0*Nc*coupl(nGC_1825)*coupl(nGC_2741)*coupl(     &
                         nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1825)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_371) + 5d0*Nc*coupl&
                         (nGC_1825)*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1833)*coupl(nGC_3295)*coupl(     &
                         nGC_334)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1833)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_365) + 5d0*Nc*coupl&
                         (nGC_1833)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2665)*coupl(nGC_334)*coupl(      &
                         nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_2665)*coupl&
                         (nGC_335)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_2939)*coupl(nGC_340)*coupl(      &
                         nGC_370) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_340)*coupl&
                         (nGC_343)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_2677)*    &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*&
                         coupl(nGC_2741)*coupl(nGC_340)*coupl(nGC_341)*coupl(  &
                         nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_341)*coupl&
                         (nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2939)*    &
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*&
                         coupl(nGC_2939)*coupl(nGC_344)*coupl(nGC_370)*coupl(  &
                         nGC_373) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_3295)*    &
                         coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*&
                         coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*coupl(   &
                         nGC_368) + 5d0*Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(&
                         nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_3395)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_350) + 5d0*Nc*coupl&
                         (nGC_3395)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_371&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_343)*coupl(nGC_344&
                         )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_5875) + 5d0*&
                         Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_385)*coupl(&
                         nGC_386) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(&
                         nGC_386)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_346)*coupl&
                         (nGC_350)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_347)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_5875&
                         ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_382)*coupl(       &
                         nGC_5875)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_382)*    &
                         coupl(nGC_385)*coupl(nGC_386)*coupl(nGC_7453) + 5d0*  &
                         coupl(nGC_1007)*coupl(nGC_376)*coupl(nGC_377)*coupl(  &
                         nGC_379) + 5d0*coupl(nGC_1415)*coupl(nGC_358)*coupl(  &
                         nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_1773)*coupl(  &
                         nGC_352)*coupl(nGC_353)*coupl(nGC_355) + 6d0*coupl(   &
                         nGC_186)*coupl(nGC_187) + 5d0*coupl(nGC_2247)*coupl(  &
                         nGC_352)*coupl(nGC_355)*coupl(nGC_356) + 5d0*coupl(   &
                         nGC_2497)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380 &
                         ) + 6d0*coupl(nGC_30)*coupl(nGC_31) + 5d0*coupl(      &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362)*coupl(nGC_8311 &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22406) = cima*(5d0*Nc*coupl(nGC_1641)*coupl(nGC_333)*coupl(    &
                         nGC_334)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2677)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl&
                         (nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl&
                         (nGC_2741)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_3295)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_3295)*coupl(nGC_334)*coupl(nGC_363)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_335&
                         )*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_365) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(&
                         nGC_365) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(&
                         nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_3395)*coupl&
                         (nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl&
                         (nGC_3395)*coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_3395)*coupl(nGC_349)*coupl(      &
                         nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_342)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_371  &
                         ) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_371&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_344&
                         )*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_343&
                         )*coupl(nGC_344)*coupl(nGC_369)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347)*coupl(&
                         nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(&
                         nGC_347)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_7453 &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_381&
                         )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349&
                         )*coupl(nGC_381)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_7453) + 5d0*&
                         Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_365)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370)*coupl(&
                         nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_381)*coupl(&
                         nGC_382)*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_381)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_7453 &
                         ) + 6d0*coupl(nGC_174)*coupl(nGC_186) + 6d0*coupl(    &
                         nGC_21)*coupl(nGC_30) + 5d0*coupl(nGC_2247)*coupl(    &
                         nGC_351)*coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(   &
                         nGC_2497)*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379 &
                         ) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(nGC_353)* &
                         coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(nGC_358)*   &
                         coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_357)*   &
                         coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_8311) + 5d0*  &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(   &
                         nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22405) = cima*(5d0*Nc*coupl(nGC_1641)*coupl(nGC_334)*coupl(    &
                         nGC_336)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1641)*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl&
                         (nGC_1641)*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_2677)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2677)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_2677)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2741)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2741)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2741)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372&
                         ) + 5d0*Nc*coupl(nGC_3295)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_3295)*coupl&
                         (nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_3295)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_336&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_365)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_335&
                         )*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0* &
                         Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*coupl(&
                         nGC_366) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(&
                         nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_340)*coupl(nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_3395)*coupl(      &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(&
                         nGC_3395)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385 &
                         ) + 5d0*Nc*coupl(nGC_3395)*coupl(nGC_349)*coupl(      &
                         nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_371)*coupl(nGC_372) + 5d0*Nc*coupl(&
                         nGC_343)*coupl(nGC_344)*coupl(nGC_372)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_348&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347&
                         )*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_383)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(&
                         nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(&
                         nGC_384)*coupl(nGC_7453) + 5d0*Nc*coupl(nGC_347)*coupl&
                         (nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_348)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_7453&
                         ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_366&
                         )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_371&
                         )*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_382&
                         )*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385)*coupl(&
                         nGC_7453) + 6d0*coupl(nGC_180)*coupl(nGC_186) + 5d0*  &
                         coupl(nGC_2247)*coupl(nGC_352)*coupl(nGC_354)*coupl(  &
                         nGC_355) + 6d0*coupl(nGC_23)*coupl(nGC_30) + 5d0*coupl&
                         (nGC_2497)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379&
                         ) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_354)* &
                         coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl(nGC_359)*   &
                         coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(nGC_358)*   &
                         coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_8311) + 5d0*  &
                         coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(   &
                         nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22404) = 5d0*cima*(Nc*coupl(nGC_1641)*coupl(nGC_3295)*coupl(   &
                         nGC_334)*coupl(nGC_367) + Nc*coupl(nGC_1641)*coupl(   &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*coupl(    &
                         nGC_1641)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367 &
                         ) + Nc*coupl(nGC_2677)*coupl(nGC_2741)*coupl(nGC_340)*&
                         coupl(nGC_370) + Nc*coupl(nGC_2677)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_371) + Nc*coupl(nGC_2677)*   &
                         coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_2741)*coupl(nGC_340)*coupl(nGC_343)*coupl(  &
                         nGC_344) + Nc*coupl(nGC_2741)*coupl(nGC_344)*coupl(   &
                         nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_3295)*coupl(   &
                         nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(    &
                         nGC_3295)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367 &
                         ) + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364)*  &
                         coupl(nGC_365) + Nc*coupl(nGC_3395)*coupl(nGC_346)*   &
                         coupl(nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_3395)*   &
                         coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_3395)*coupl(nGC_349)*coupl(nGC_382)*coupl(  &
                         nGC_7453) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(   &
                         nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_347)*coupl(nGC_383)*coupl(nGC_385) + Nc*coupl(    &
                         nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(nGC_7453 &
                         ) + Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385)*  &
                         coupl(nGC_7453) + coupl(nGC_2247)*coupl(nGC_352)*coupl&
                         (nGC_353)*coupl(nGC_355) + coupl(nGC_2497)*coupl(     &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_379) + coupl(nGC_358&
                         )*coupl(nGC_359)*coupl(nGC_361)*coupl(nGC_8311))/(24d0&
                         *pi**2d0)
      coupl(nGC_51653) = -2d0*coupl(nGC_51642)
      coupl(nGC_37509) = coupl(nGC_22850) + coupl(nGC_37504)
      coupl(nGC_39008) = coupl(nGC_22677) + coupl(nGC_333)*dZHl_QED2/2d0 +     &
                         coupl(nGC_336)*dZHhHl_QED2/2d0
      coupl(nGC_39007) = coupl(nGC_22676) + coupl(nGC_39006)
      coupl(nGC_36703) = coupl(nGC_22656) + coupl(nGC_351)*dZHl_QED2/2d0 +     &
                         coupl(nGC_354)*dZHhHl_QED2/2d0
      coupl(nGC_37507) = coupl(nGC_22849) + coupl(nGC_TS_GC_381_Hl) + coupl(   &
                         nGC_TS_GC_384_Hh)
      coupl(nGC_36704) = coupl(nGC_36699) + coupl(nGC_36703)
      coupl(nGC_22106) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) - coupl(nGC_1219&
                         )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_1219)*    &
                         coupl(nGC_349)*coupl(nGC_385) + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_350) - coupl(nGC_345)**2d0*  &
                         coupl(nGC_5875) - coupl(nGC_347)**2d0*coupl(nGC_5875  &
                         ) - coupl(nGC_348)**2d0*coupl(nGC_5875) - coupl(      &
                         nGC_350)**2d0*coupl(nGC_5875))/(32d0*pi**2d0)
      coupl(nGC_22104) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_5875) + 8d0*coupl(   &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_5875) - coupl(      &
                         nGC_3395)**2d0*coupl(nGC_350) - coupl(nGC_345)**2d0*  &
                         coupl(nGC_350) - coupl(nGC_346)*coupl(nGC_382)*coupl( &
                         nGC_386) - coupl(nGC_348)**2d0*coupl(nGC_350) - coupl(&
                         nGC_349)*coupl(nGC_385)*coupl(nGC_386) - coupl(nGC_350&
                         )*coupl(nGC_5875)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22105) = coupl(nGC_13)**2d0*coupl(nGC_5875)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_37325) = coupl(nGC_22722) + coupl(nGC_329)*dZHl_QED2/2d0 +     &
                         coupl(nGC_329)*dZZ_QED2 + coupl(nGC_332)*dZHhHl_QED2/ &
                         2d0 + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_22189) = coupl(nGC_13)**2d0*coupl(nGC_7453)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_34709) = coupl(nGC_22642) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_344)*dZHa_QED2/2d0
      coupl(nGC_39645) = coupl(nGC_224)*dZHh_QED2 + coupl(nGC_224)*dZZ_QED2 +  &
                         coupl(nGC_22720)
      coupl(nGC_40623) = coupl(nGC_40619) + coupl(nGC_40622)
      coupl(nGC_32824) = -coupl(nGC_32819) - coupl(nGC_32823)
      coupl(nGC_32825) = coupl(nGC_32819) + coupl(nGC_32823)
      coupl(nGC_57940) = -coupl(nGC_22095)
      coupl(nGC_33682) = coupl(nGC_33678) + coupl(nGC_33679)
      coupl(nGC_33669) = 2d0*coupl(nGC_33660)
      coupl(nGC_58007) = -coupl(nGC_22252)
      coupl(nGC_32196) = -coupl(nGC_32191) - coupl(nGC_32195)
      coupl(nGC_32197) = coupl(nGC_32191) + coupl(nGC_32195)
      coupl(nGC_32439) = -coupl(nGC_32438)
      coupl(nGC_34710) = -coupl(nGC_34705) - coupl(nGC_34709)
      coupl(nGC_59732) = -coupl(nGC_22091)
      coupl(nGC_35609) = coupl(nGC_34404) + coupl(nGC_35608)
      coupl(nGC_39147) = coupl(nGC_33126) + coupl(nGC_39145)
      coupl(nGC_39009) = coupl(nGC_39005) + coupl(nGC_39008)
      coupl(nGC_33603) = coupl(nGC_33599) + coupl(nGC_33602)
      coupl(nGC_41473) = coupl(nGC_34404) + coupl(nGC_41470)
      coupl(nGC_34711) = coupl(nGC_34705) + coupl(nGC_34709)
      coupl(nGC_51644) = 2d0*coupl(nGC_51642)
      coupl(nGC_51643) = -coupl(nGC_51642)
      coupl(nGC_37962) = coupl(nGC_37959) + coupl(nGC_37960)
      coupl(nGC_38971) = -coupl(nGC_38966) - coupl(nGC_38970)
      coupl(nGC_38972) = coupl(nGC_38966) + coupl(nGC_38970)
      coupl(nGC_33135) = coupl(nGC_33126) + coupl(nGC_33133)
      coupl(nGC_37508) = coupl(nGC_37503) + coupl(nGC_37507)
      coupl(nGC_58030) = -coupl(nGC_22075)
      coupl(nGC_58219) = -coupl(nGC_22094)
      coupl(nGC_34406) = coupl(nGC_34402) + coupl(nGC_34404)
      coupl(nGC_41472) = coupl(nGC_34404) + coupl(nGC_41471)
    end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
