!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_41387) = coupl(nGC_338)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_32772) = coupl(nGC_220)*dZGMinus
      coupl(nGC_41388) = coupl(nGC_338)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_22254) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_44068) = -coupl(nGC_44063)
      coupl(nGC_22703) = coupl(nGC_20746)*dsw_QED2 + coupl(nGC_20747)*         &
                         dvev2_QED1 + coupl(nGC_20748)*dvev1_QED1 + coupl(     &
                         nGC_20749)*dZee_QED2 + coupl(nGC_20750)*da_QED2
      coupl(nGC_42937) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_32309) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32301) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_32303) = coupl(nGC_28)*dZGMinus
      coupl(nGC_22107) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22103) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34225) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22498) +     &
                         coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*      &
                         dZZ_QED2/2d0
      coupl(nGC_35313) = coupl(nGC_22649) + coupl(nGC_376)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*   &
                         dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                &
                         dZGMinusHMinus_QED2/2d0
      coupl(nGC_43221) = coupl(nGC_218)*dZHMinus_QED2 + coupl(nGC_218)*dZZ_QED2&
                         /2d0 + coupl(nGC_22711) + coupl(nGC_26)*dZAZ_QED2/2d0
      coupl(nGC_33401) = coupl(nGC_13)*dZsR_QCD2
      coupl(nGC_32765) = coupl(nGC_43)*dZG0
      coupl(nGC_32540) = coupl(nGC_354)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_34353) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_37830) = coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_33012) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32167) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32161) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_22243) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22246) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33614) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_33825) = coupl(nGC_22657) + coupl(nGC_357)*dZHl_QED2/2d0 +     &
                         coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_33824) = coupl(nGC_357)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_40361) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_41842) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_41848) = -coupl(nGC_41842)
      coupl(nGC_32407) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_36472) = coupl(nGC_342)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_22113) = coupl(nGC_13)**2d0*coupl(nGC_1833)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22115) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33826) = coupl(nGC_33824) + coupl(nGC_33825)
      coupl(nGC_22119) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_36478) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32970) = coupl(nGC_213)*dZZA_QED2/2d0
      coupl(nGC_32971) = -coupl(nGC_32970)
      coupl(nGC_32976) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
