!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22117) = coupl(nGC_13)**2d0*coupl(nGC_1825)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33569) = coupl(nGC_359)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_22582) = coupl(nGC_21216)*dsw_QED2 + coupl(nGC_21217)*         &
                         dvev2_QED1 + coupl(nGC_21218)*dvev1_QED1 + coupl(     &
                         nGC_21219)*dZee_QED2 + coupl(nGC_21220)*da_QED2
      coupl(nGC_22580) = coupl(nGC_20886)*dl4_QED4 + coupl(nGC_20887)*dl5_QED4 &
                          + coupl(nGC_20888)*db_QED2 + coupl(nGC_20889)*       &
                         dvev1_QED1 + coupl(nGC_20890)*dvev2_QED1
      coupl(nGC_22053) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(&
                         nGC_370) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*&
                         coupl(nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(     &
                         nGC_334)*coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*  &
                         coupl(nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*&
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*&
                         coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(     &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*&
                         coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*&
                         coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*&
                         cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0&
                         *Nc*cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367   &
                         ) + Nc*cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370&
                         ) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(   &
                         nGC_369) + Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(&
                         nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*&
                         coupl(nGC_385) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*&
                         coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(     &
                         nGC_349)*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*  &
                         coupl(nGC_382)*coupl(nGC_385) + 2d0*cME*coupl(nGC_351 &
                         )*coupl(nGC_352)*coupl(nGC_355) + 2d0*cMM*coupl(      &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 2d0*cMTA*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_174)*coupl(nGC_321) + 2d0*cima*coupl(  &
                         nGC_180)*coupl(nGC_324) + 2d0*cima*coupl(nGC_21)*coupl&
                         (nGC_231) + 2d0*cima*coupl(nGC_23)*coupl(nGC_237))/(  &
                         16d0*pi**2d0)
      coupl(nGC_22586) = coupl(nGC_21433)*dZee_QED2
      coupl(nGC_22584) = coupl(nGC_21768)*dvev2_QED1 + coupl(nGC_21769)*       &
                         dsw_QED2 + coupl(nGC_21770)*db_QED2 + coupl(nGC_21771 &
                         )*dvev1_QED1 + coupl(nGC_21772)*dZee_QED2
      coupl(nGC_22585) = coupl(nGC_21497)*dvev2_QED1 + coupl(nGC_21498)*       &
                         dsw_QED2 + coupl(nGC_21499)*db_QED2 + coupl(nGC_21500 &
                         )*dvev1_QED1 + coupl(nGC_21501)*dZee_QED2
      coupl(nGC_22054) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc*&
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl( &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208&
                         )*coupl(nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl&
                         (nGC_376)*coupl(nGC_379) - coupl(nGC_212)*coupl(      &
                         nGC_352)*coupl(nGC_355) - coupl(nGC_212)*coupl(nGC_358&
                         )*coupl(nGC_361) - coupl(nGC_212)*coupl(nGC_376)*coupl&
                         (nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22588) = coupl(nGC_21373)*dZee_QED2
      coupl(nGC_22589) = coupl(nGC_21316)*dZee_QED2
      coupl(nGC_22057) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc*&
                         coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*    &
                         coupl(nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc&
                         *coupl(nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*   &
                         coupl(nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl&
                         (nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22568) = coupl(nGC_21512)*dl4_QED4 + coupl(nGC_21513)*dl5_QED4 &
                          + coupl(nGC_21514)*db_QED2 + coupl(nGC_21515)*       &
                         dvev1_QED1 + coupl(nGC_21516)*dvev2_QED1
      coupl(nGC_22560) = coupl(nGC_21070)*dl3_QED4 + coupl(nGC_21071)*db_QED2  &
                          + coupl(nGC_21072)*dl2_QED4 + coupl(nGC_21073)*      &
                         dl5_QED4 + coupl(nGC_21074)*dvev2_QED1 + coupl(       &
                         nGC_21075)*dvev1_QED1 + coupl(nGC_21076)*dl1_QED4 +   &
                         coupl(nGC_21077)*dl4_QED4 + coupl(nGC_21078)*da_QED2
      coupl(nGC_22561) = coupl(nGC_21000)*dl3_QED4 + coupl(nGC_21001)*db_QED2  &
                          + coupl(nGC_21002)*dl2_QED4 + coupl(nGC_21003)*      &
                         dl5_QED4 + coupl(nGC_21004)*dvev2_QED1 + coupl(       &
                         nGC_21005)*dvev1_QED1 + coupl(nGC_21006)*dl1_QED4 +   &
                         coupl(nGC_21007)*dl4_QED4 + coupl(nGC_21008)*da_QED2
      coupl(nGC_22562) = coupl(nGC_21869)*dl3_QED4 + coupl(nGC_21870)*dl1_QED4 &
                          + coupl(nGC_21871)*dl2_QED4 + coupl(nGC_21872)*      &
                         dl5_QED4 + coupl(nGC_21873)*dl4_QED4 + coupl(nGC_21874&
                         )*dvev1_QED1 + coupl(nGC_21875)*dvev2_QED1 + coupl(   &
                         nGC_21876)*da_QED2
      coupl(nGC_22563) = coupl(nGC_21347)*dl3_QED4 + coupl(nGC_21348)*db_QED2  &
                          + coupl(nGC_21349)*dl2_QED4 + coupl(nGC_21350)*      &
                         dl5_QED4 + coupl(nGC_21351)*dvev2_QED1 + coupl(       &
                         nGC_21352)*dvev1_QED1 + coupl(nGC_21353)*dl1_QED4 +   &
                         coupl(nGC_21354)*dl4_QED4 + coupl(nGC_21355)*da_QED2
      coupl(nGC_22564) = coupl(nGC_21884)*dl3_QED4 + coupl(nGC_21885)*dl1_QED4 &
                          + coupl(nGC_21886)*dl2_QED4 + coupl(nGC_21887)*      &
                         dl5_QED4 + coupl(nGC_21888)*dl4_QED4 + coupl(nGC_21889&
                         )*dvev1_QED1 + coupl(nGC_21890)*dvev2_QED1 + coupl(   &
                         nGC_21891)*da_QED2
      coupl(nGC_36699) = coupl(nGC_351)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_22567) = coupl(nGC_21207)*dl3_QED4 + coupl(nGC_21208)*db_QED2  &
                          + coupl(nGC_21209)*dl2_QED4 + coupl(nGC_21210)*      &
                         dl5_QED4 + coupl(nGC_21211)*dvev2_QED1 + coupl(       &
                         nGC_21212)*dvev1_QED1 + coupl(nGC_21213)*dl1_QED4 +   &
                         coupl(nGC_21214)*dl4_QED4 + coupl(nGC_21215)*da_QED2
      coupl(nGC_37867) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_22164) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22167) = coupl(nGC_13)**2d0*coupl(nGC_3295)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22693) = coupl(nGC_21437)*dsw_QED2 + coupl(nGC_21438)*db_QED2  &
                          + coupl(nGC_21439)*dZee_QED2 + coupl(nGC_21440)*     &
                         da_QED2
      coupl(nGC_22162) = coupl(nGC_13)**2d0*coupl(nGC_2741)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22169) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22698) = coupl(nGC_21431)*dsw_QED2 + coupl(nGC_21432)*dZee_QED2
      coupl(nGC_33969) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusL_QED2
      coupl(nGC_38892) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_35532) = coupl(nGC_32690) + coupl(nGC_35528)
      coupl(nGC_35530) = coupl(nGC_13)*dZdR_QCD2
      coupl(nGC_32969) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33583) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_33585) = coupl(nGC_179)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_32982) = coupl(nGC_178)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_38679) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_32987) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_35333) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*    &
                         dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22691)
      coupl(nGC_43175) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_33970) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZtauMinusR_QED2
      coupl(nGC_34114) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_34115) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_34112) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34110) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_32209) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/ &
                         2d0 + coupl(nGC_22728)
      coupl(nGC_48590) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_48595) = coupl(nGC_MI)*dZbR_QED2
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
