!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 15:38             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(5747)%branchR2(0:0))
      call avR2(5747, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22129])

      allocate(vertices(6788)%branchR2(0:0))
      call avR2(6788, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7028)%branchR2(0:1))
      call avR2(7028, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(7028, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(8000)%branchR2(0:0))
      call avR2(8000, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6401)%branchR2(0:0))
      call avR2(6401, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7216)%branchR2(0:0))
      call avR2(7216, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(7049)%branchR2(0:0))
      call avR2(7049, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(4278)%branchR2(0:0))
      call avR2(4278, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(8333)%branchR2(0:0))
      call avR2(8333, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(7401)%branchR2(0:0))
      call avR2(7401, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(4949)%branchR2(0:0))
      call avR2(4949, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(8133)%branchR2(0:0))
      call avR2(8133, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(9341)%branchR2(0:0))
      call avR2(9341, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10531)%branchR2(0:0))
      call avR2(10531, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(6551)%branchR2(0:0))
      call avR2(6551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6169)%branchR2(0:0))
      call avR2(6169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5077)%branchR2(0:0))
      call avR2(5077, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9908)%branchR2(0:0))
      call avR2(9908, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7450)%branchR2(0:1))
      call avR2(7450, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(7450, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(5749)%branchR2(0:0))
      call avR2(5749, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(7414)%branchR2(0:0))
      call avR2(7414, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(2996)%branchR2(0:1))
      call avR2(2996, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(2996, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(10532)%branchR2(0:1))
      call avR2(10532, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22469])

      call avR2(10532, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22468])

      allocate(vertices(10533)%branchR2(0:0))
      call avR2(10533, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5079)%branchR2(0:0))
      call avR2(5079, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

      allocate(vertices(4862)%branchR2(0:1))
      call avR2(4862, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(4862, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(4184)%branchR2(0:0))
      call avR2(4184, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22072])

      allocate(vertices(7230)%branchR2(0:0))
      call avR2(7230, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(7752)%branchR2(0:0))
      call avR2(7752, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58142])

      allocate(vertices(10534)%branchR2(0:1))
      call avR2(10534, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22477])

      call avR2(10534, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22478])

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22399])

      call avR2(10535, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22398])

      allocate(vertices(4142)%branchR2(0:0))
      call avR2(4142, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(8086)%branchR2(0:0))
      call avR2(8086, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(9394)%branchR2(0:0))
      call avR2(9394, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(1989)%branchR2(0:1))
      call avR2(1989, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(1989, 1, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(10536)%branchR2(0:1))
      call avR2(10536, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22469])

      call avR2(10536, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22468])

      allocate(vertices(4152)%branchR2(0:0))
      call avR2(4152, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(3595)%branchR2(0:0))
      call avR2(3595, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(5414)%branchR2(0:0))
      call avR2(5414, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(7550)%branchR2(0:0))
      call avR2(7550, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(9115)%branchR2(0:0))
      call avR2(9115, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(9030)%branchR2(0:0))
      call avR2(9030, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(8160)%branchR2(0:0))
      call avR2(8160, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22480, nGC_22481,     &
      nGC_22481])

      allocate(vertices(6870)%branchR2(0:1))
      call avR2(6870, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(6870, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(10537)%branchR2(0:1))
      call avR2(10537, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      call avR2(10537, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      allocate(vertices(10101)%branchR2(0:0))
      call avR2(10101, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(6037)%branchR2(0:0))
      call avR2(6037, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(7130)%branchR2(0:0))
      call avR2(7130, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8945)%branchR2(0:0))
      call avR2(8945, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10538)%branchR2(0:1))
      call avR2(10538, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      call avR2(10538, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      allocate(vertices(9829)%branchR2(0:0))
      call avR2(9829, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(10314)%branchR2(0:0))
      call avR2(10314, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7157)%branchR2(0:0))
      call avR2(7157, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(2398)%branchR2(0:0))
      call avR2(2398, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(6326)%branchR2(0:0))
      call avR2(6326, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5316)%branchR2(0:0))
      call avR2(5316, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(6544)%branchR2(0:1))
      call avR2(6544, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(6544, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(10276)%branchR2(0:0))
      call avR2(10276, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(9130)%branchR2(0:0))
      call avR2(9130, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4194)%branchR2(0:0))
      call avR2(4194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(3713)%branchR2(0:1))
      call avR2(3713, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(3713, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(7167)%branchR2(0:1))
      call avR2(7167, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(7167, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(4330)%branchR2(0:0))
      call avR2(4330, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3551)%branchR2(0:0))
      call avR2(3551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5114)%branchR2(0:1))
      call avR2(5114, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_22254])

      call avR2(5114, 1, 19, 1, 0, FaFV0, 0, [0, 3], [nGC_22255])

      allocate(vertices(8805)%branchR2(0:0))
      call avR2(8805, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(4536)%branchR2(0:0))
      call avR2(4536, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(946)%branchR2(0:1))
      call avR2(946, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(946, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(2771)%branchR2(0:1))
      call avR2(2771, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(2771, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(4210)%branchR2(0:0))
      call avR2(4210, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58219])

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(3648)%branchR2(0:1))
      call avR2(3648, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22024, nGC_22023])

      call avR2(3648, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(5019)%branchR2(0:0))
      call avR2(5019, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(9950)%branchR2(0:0))
      call avR2(9950, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(8959)%branchR2(0:0))
      call avR2(8959, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22036])

      allocate(vertices(8417)%branchR2(0:0))
      call avR2(8417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(5502)%branchR2(0:0))
      call avR2(5502, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(9856)%branchR2(0:0))
      call avR2(9856, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22091])

      allocate(vertices(7908)%branchR2(0:0))
      call avR2(7908, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(4341)%branchR2(0:0))
      call avR2(4341, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(3913)%branchR2(0:1))
      call avR2(3913, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(3913, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(9737)%branchR2(0:0))
      call avR2(9737, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(7740)%branchR2(0:0))
      call avR2(7740, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(10539)%branchR2(0:1))
      call avR2(10539, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22469])

      call avR2(10539, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22468])

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22165])

      allocate(vertices(7388)%branchR2(0:0))
      call avR2(7388, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8664)%branchR2(0:1))
      call avR2(8664, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(8664, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(4087)%branchR2(0:0))
      call avR2(4087, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7193)%branchR2(0:0))
      call avR2(7193, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(8744)%branchR2(0:0))
      call avR2(8744, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(6246)%branchR2(0:0))
      call avR2(6246, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(7101)%branchR2(0:0))
      call avR2(7101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(10540)%branchR2(0:0))
      call avR2(10540, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(4689)%branchR2(0:0))
      call avR2(4689, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(9439)%branchR2(0:0))
      call avR2(9439, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(10541)%branchR2(0:1))
      call avR2(10541, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22447])

      call avR2(10541, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

      allocate(vertices(9042)%branchR2(0:0))
      call avR2(9042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9848)%branchR2(0:0))
      call avR2(9848, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22077])

      allocate(vertices(8236)%branchR2(0:0))
      call avR2(8236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(4943)%branchR2(0:0))
      call avR2(4943, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(7774)%branchR2(0:0))
      call avR2(7774, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(7936)%branchR2(0:0))
      call avR2(7936, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22196])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(9404)%branchR2(0:0))
      call avR2(9404, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22035])

      allocate(vertices(7693)%branchR2(0:0))
      call avR2(7693, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4509)%branchR2(0:0))
      call avR2(4509, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58278])

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9049)%branchR2(0:0))
      call avR2(9049, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5655)%branchR2(0:0))
      call avR2(5655, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(7828)%branchR2(0:0))
      call avR2(7828, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5401)%branchR2(0:0))
      call avR2(5401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(6434)%branchR2(0:0))
      call avR2(6434, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22455])

      allocate(vertices(7848)%branchR2(0:1))
      call avR2(7848, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(7848, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_22259])

      allocate(vertices(6380)%branchR2(0:0))
      call avR2(6380, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(9024)%branchR2(0:0))
      call avR2(9024, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22020])

      allocate(vertices(10542)%branchR2(0:0))
      call avR2(10542, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(8893)%branchR2(0:0))
      call avR2(8893, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(8635)%branchR2(0:0))
      call avR2(8635, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(4857)%branchR2(0:1))
      call avR2(4857, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(4857, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(8851)%branchR2(0:0))
      call avR2(8851, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2749)%branchR2(0:0))
      call avR2(2749, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(8277)%branchR2(0:0))
      call avR2(8277, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(9389)%branchR2(0:0))
      call avR2(9389, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58301])

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(1611, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22255])

      allocate(vertices(8006)%branchR2(0:0))
      call avR2(8006, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(5430)%branchR2(0:0))
      call avR2(5430, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22145])

      allocate(vertices(3671)%branchR2(0:0))
      call avR2(3671, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10543)%branchR2(0:5))
      call avR2(10543, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10543, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10543, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10543, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22407, nGC_22407,  &
      nGC_22407])

      call avR2(10543, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10543, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      allocate(vertices(6258)%branchR2(0:0))
      call avR2(6258, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10544)%branchR2(0:1))
      call avR2(10544, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22208])

      call avR2(10544, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22209])

      allocate(vertices(2138)%branchR2(0:0))
      call avR2(2138, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58219])

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(8976)%branchR2(0:0))
      call avR2(8976, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9363)%branchR2(0:0))
      call avR2(9363, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(6744)%branchR2(0:0))
      call avR2(6744, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(8727)%branchR2(0:0))
      call avR2(8727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22072])

      allocate(vertices(9449)%branchR2(0:0))
      call avR2(9449, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(5141)%branchR2(0:1))
      call avR2(5141, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(5141, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(10545)%branchR2(0:0))
      call avR2(10545, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(8110)%branchR2(0:0))
      call avR2(8110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9396)%branchR2(0:0))
      call avR2(9396, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(7947)%branchR2(0:0))
      call avR2(7947, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(9401)%branchR2(0:0))
      call avR2(9401, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22343])

      allocate(vertices(7682)%branchR2(0:0))
      call avR2(7682, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(7031)%branchR2(0:0))
      call avR2(7031, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(5754)%branchR2(0:0))
      call avR2(5754, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(7368)%branchR2(0:1))
      call avR2(7368, 0, 21, 1, 0, SFaF1, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(7368, 1, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(5095)%branchR2(0:0))
      call avR2(5095, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(7602)%branchR2(0:0))
      call avR2(7602, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(9851)%branchR2(0:0))
      call avR2(9851, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6096)%branchR2(0:0))
      call avR2(6096, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(2517)%branchR2(0:1))
      call avR2(2517, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(2517, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(5669)%branchR2(0:0))
      call avR2(5669, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(8865)%branchR2(0:0))
      call avR2(8865, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(3615)%branchR2(0:1))
      call avR2(3615, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(3615, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(4060)%branchR2(0:0))
      call avR2(4060, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2117)%branchR2(0:0))
      call avR2(2117, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9603)%branchR2(0:0))
      call avR2(9603, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2548)%branchR2(0:0))
      call avR2(2548, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(1742)%branchR2(0:1))
      call avR2(1742, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(1742, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(5238)%branchR2(0:0))
      call avR2(5238, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5580)%branchR2(0:0))
      call avR2(5580, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(4777)%branchR2(0:1))
      call avR2(4777, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(4777, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(7248)%branchR2(0:0))
      call avR2(7248, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(3885)%branchR2(0:0))
      call avR2(3885, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(3530)%branchR2(0:0))
      call avR2(3530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(6464)%branchR2(0:0))
      call avR2(6464, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10546)%branchR2(0:0))
      call avR2(10546, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22017])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(6921)%branchR2(0:0))
      call avR2(6921, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22256])

      allocate(vertices(7735)%branchR2(0:0))
      call avR2(7735, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(5881)%branchR2(0:0))
      call avR2(5881, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9324)%branchR2(0:0))
      call avR2(9324, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8500)%branchR2(0:0))
      call avR2(8500, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8529)%branchR2(0:1))
      call avR2(8529, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(8529, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22024, nGC_22023])

      allocate(vertices(4238)%branchR2(0:0))
      call avR2(4238, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22165])

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(5347)%branchR2(0:0))
      call avR2(5347, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(7422)%branchR2(0:0))
      call avR2(7422, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(10036)%branchR2(0:0))
      call avR2(10036, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22077])

      allocate(vertices(10547)%branchR2(0:1))
      call avR2(10547, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22461])

      call avR2(10547, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22460])

      allocate(vertices(5169)%branchR2(0:0))
      call avR2(5169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10548)%branchR2(0:5))
      call avR2(10548, 0, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10548, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10548, 2, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10548, 3, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10548, 4, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10548, 5, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      allocate(vertices(10462)%branchR2(0:0))
      call avR2(10462, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9793)%branchR2(0:0))
      call avR2(9793, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4802)%branchR2(0:3))
      call avR2(4802, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(4802, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(4802, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(4802, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(4989)%branchR2(0:0))
      call avR2(4989, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22403])

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(10549)%branchR2(0:0))
      call avR2(10549, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(7724)%branchR2(0:0))
      call avR2(7724, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(10550)%branchR2(0:1))
      call avR2(10550, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22474])

      call avR2(10550, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22473])

      allocate(vertices(9800)%branchR2(0:0))
      call avR2(9800, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(6461)%branchR2(0:0))
      call avR2(6461, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(5917)%branchR2(0:0))
      call avR2(5917, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3401)%branchR2(0:1))
      call avR2(3401, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(3401, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(9611)%branchR2(0:0))
      call avR2(9611, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9183)%branchR2(0:0))
      call avR2(9183, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(9664)%branchR2(0:0))
      call avR2(9664, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(5331)%branchR2(0:0))
      call avR2(5331, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9767)%branchR2(0:0))
      call avR2(9767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57722])

      allocate(vertices(9677)%branchR2(0:0))
      call avR2(9677, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(7603)%branchR2(0:0))
      call avR2(7603, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(4809)%branchR2(0:0))
      call avR2(4809, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(7797)%branchR2(0:1))
      call avR2(7797, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(7797, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(886)%branchR2(0:1))
      call avR2(886, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(886, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(7285)%branchR2(0:0))
      call avR2(7285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9875)%branchR2(0:0))
      call avR2(9875, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(4094)%branchR2(0:0))
      call avR2(4094, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(6502)%branchR2(0:0))
      call avR2(6502, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(4525)%branchR2(0:0))
      call avR2(4525, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(6907)%branchR2(0:1))
      call avR2(6907, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(6907, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(6563)%branchR2(0:0))
      call avR2(6563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9608)%branchR2(0:0))
      call avR2(9608, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10390)%branchR2(0:0))
      call avR2(10390, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22055])

      allocate(vertices(7438)%branchR2(0:0))
      call avR2(7438, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(4627)%branchR2(0:0))
      call avR2(4627, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(9578)%branchR2(0:0))
      call avR2(9578, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4515)%branchR2(0:0))
      call avR2(4515, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(8033)%branchR2(0:0))
      call avR2(8033, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(9040)%branchR2(0:0))
      call avR2(9040, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22078])

      allocate(vertices(9084)%branchR2(0:0))
      call avR2(9084, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22035])

      allocate(vertices(10178)%branchR2(0:0))
      call avR2(10178, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10551)%branchR2(0:0))
      call avR2(10551, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(9827)%branchR2(0:0))
      call avR2(9827, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10552)%branchR2(0:1))
      call avR2(10552, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22382])

      call avR2(10552, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(10553)%branchR2(0:1))
      call avR2(10553, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

      call avR2(10553, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22447])

      allocate(vertices(8465)%branchR2(0:0))
      call avR2(8465, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(8021)%branchR2(0:0))
      call avR2(8021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(3616)%branchR2(0:0))
      call avR2(3616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(6261)%branchR2(0:0))
      call avR2(6261, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22362, nGC_22363,     &
      nGC_22361])

      allocate(vertices(8703)%branchR2(0:0))
      call avR2(8703, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(6748)%branchR2(0:0))
      call avR2(6748, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57478])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(10244)%branchR2(0:0))
      call avR2(10244, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(4306)%branchR2(0:0))
      call avR2(4306, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(10554)%branchR2(0:0))
      call avR2(10554, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22016])

      allocate(vertices(10555)%branchR2(0:0))
      call avR2(10555, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57425])

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(5140)%branchR2(0:0))
      call avR2(5140, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(3999)%branchR2(0:0))
      call avR2(3999, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(9325)%branchR2(0:0))
      call avR2(9325, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22078])

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(4578)%branchR2(0:0))
      call avR2(4578, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6733)%branchR2(0:0))
      call avR2(6733, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5273)%branchR2(0:0))
      call avR2(5273, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(4176)%branchR2(0:0))
      call avR2(4176, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22050])

      allocate(vertices(5730)%branchR2(0:0))
      call avR2(5730, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(4339)%branchR2(0:3))
      call avR2(4339, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(4339, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(4339, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(4339, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(8274)%branchR2(0:1))
      call avR2(8274, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(8274, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10039)%branchR2(0:0))
      call avR2(10039, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8497)%branchR2(0:0))
      call avR2(8497, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(9586)%branchR2(0:0))
      call avR2(9586, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(4476)%branchR2(0:1))
      call avR2(4476, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(4476, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(10131)%branchR2(0:0))
      call avR2(10131, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(7507)%branchR2(0:0))
      call avR2(7507, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7367)%branchR2(0:0))
      call avR2(7367, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22260])

      allocate(vertices(4143)%branchR2(0:0))
      call avR2(4143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9405)%branchR2(0:0))
      call avR2(9405, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6053)%branchR2(0:0))
      call avR2(6053, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(8615)%branchR2(0:0))
      call avR2(8615, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(9713)%branchR2(0:0))
      call avR2(9713, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22398])

      call avR2(10556, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22399])

      allocate(vertices(3818)%branchR2(0:0))
      call avR2(3818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(5557)%branchR2(0:1))
      call avR2(5557, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(5557, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(10557)%branchR2(0:1))
      call avR2(10557, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22431])

      call avR2(10557, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(4972)%branchR2(0:0))
      call avR2(4972, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(7409)%branchR2(0:0))
      call avR2(7409, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(5126)%branchR2(0:3))
      call avR2(5126, 0, 24, 1, 0, VFFa0, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(5126, 1, 24, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(5126, 2, 25, 1, 0, VFFa0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(5126, 3, 25, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(10152)%branchR2(0:0))
      call avR2(10152, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(6739)%branchR2(0:0))
      call avR2(6739, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(9150)%branchR2(0:0))
      call avR2(9150, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(8836)%branchR2(0:0))
      call avR2(8836, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21956, nGC_21955])

      allocate(vertices(9764)%branchR2(0:1))
      call avR2(9764, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21982,    &
      nGC_22003, nGC_22003])

      call avR2(9764, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22004, nGC_22004])

      allocate(vertices(4043)%branchR2(0:1))
      call avR2(4043, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(4043, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(4135)%branchR2(0:0))
      call avR2(4135, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(8263)%branchR2(0:0))
      call avR2(8263, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(8863)%branchR2(0:0))
      call avR2(8863, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(8354)%branchR2(0:0))
      call avR2(8354, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(7809)%branchR2(0:0))
      call avR2(7809, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(7736)%branchR2(0:0))
      call avR2(7736, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10558)%branchR2(0:1))
      call avR2(10558, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22474])

      call avR2(10558, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22473])

      allocate(vertices(8436)%branchR2(0:0))
      call avR2(8436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10277)%branchR2(0:0))
      call avR2(10277, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(396)%branchR2(0:1))
      call avR2(396, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(396, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(7491)%branchR2(0:0))
      call avR2(7491, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10559, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(4209)%branchR2(0:0))
      call avR2(4209, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58588])

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8246)%branchR2(0:0))
      call avR2(8246, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(9912)%branchR2(0:0))
      call avR2(9912, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(8389)%branchR2(0:0))
      call avR2(8389, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(5161)%branchR2(0:0))
      call avR2(5161, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(9468)%branchR2(0:0))
      call avR2(9468, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10560)%branchR2(0:0))
      call avR2(10560, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22192])

      allocate(vertices(9823)%branchR2(0:0))
      call avR2(9823, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(4590)%branchR2(0:0))
      call avR2(4590, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(2580)%branchR2(0:1))
      call avR2(2580, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(2580, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(463)%branchR2(0:1))
      call avR2(463, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(463, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(9972)%branchR2(0:0))
      call avR2(9972, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22384])

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(5640)%branchR2(0:0))
      call avR2(5640, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(10167)%branchR2(0:0))
      call avR2(10167, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5287)%branchR2(0:0))
      call avR2(5287, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22256])

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(8946)%branchR2(0:0))
      call avR2(8946, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21972, nGC_21971])

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(3702)%branchR2(0:0))
      call avR2(3702, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(7374)%branchR2(0:1))
      call avR2(7374, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(7374, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(5424)%branchR2(0:0))
      call avR2(5424, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2807)%branchR2(0:0))
      call avR2(2807, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22160])

      allocate(vertices(9832)%branchR2(0:0))
      call avR2(9832, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(6980)%branchR2(0:1))
      call avR2(6980, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(6980, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(10561)%branchR2(0:1))
      call avR2(10561, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22441])

      call avR2(10561, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22362,     &
      nGC_22361])

      allocate(vertices(6440)%branchR2(0:0))
      call avR2(6440, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(10058)%branchR2(0:0))
      call avR2(10058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22147])

      allocate(vertices(5307)%branchR2(0:0))
      call avR2(5307, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22476, nGC_22475,     &
      nGC_22476])

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22461])

      call avR2(10562, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22460])

      allocate(vertices(6772)%branchR2(0:0))
      call avR2(6772, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(4778)%branchR2(0:0))
      call avR2(4778, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(8817)%branchR2(0:1))
      call avR2(8817, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(8817, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(4179)%branchR2(0:0))
      call avR2(4179, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(6306)%branchR2(0:0))
      call avR2(6306, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8715)%branchR2(0:0))
      call avR2(8715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22072])

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(7754)%branchR2(0:0))
      call avR2(7754, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(9896)%branchR2(0:0))
      call avR2(9896, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(10563)%branchR2(0:1))
      call avR2(10563, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22461])

      call avR2(10563, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22460])

      allocate(vertices(5072)%branchR2(0:0))
      call avR2(5072, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22018])

      allocate(vertices(10564)%branchR2(0:0))
      call avR2(10564, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10565)%branchR2(0:1))
      call avR2(10565, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22447])

      call avR2(10565, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(6943)%branchR2(0:0))
      call avR2(6943, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22466])

      allocate(vertices(1831)%branchR2(0:1))
      call avR2(1831, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22024, nGC_22023])

      call avR2(1831, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(5584)%branchR2(0:3))
      call avR2(5584, 0, 27, 1, 0, VFaF1, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(5584, 1, 27, 1, 0, VFaF1, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(5584, 2, 26, 1, 0, VFaF1, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(5584, 3, 26, 1, 0, VFaF1, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(7941)%branchR2(0:1))
      call avR2(7941, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(7941, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22025, nGC_22025])

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(9122)%branchR2(0:0))
      call avR2(9122, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(3927)%branchR2(0:0))
      call avR2(3927, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(5902)%branchR2(0:0))
      call avR2(5902, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10381)%branchR2(0:0))
      call avR2(10381, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(1097)%branchR2(0:1))
      call avR2(1097, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(1097, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(4955)%branchR2(0:0))
      call avR2(4955, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22361,     &
      nGC_22362])

      allocate(vertices(3892)%branchR2(0:1))
      call avR2(3892, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(3892, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(10566)%branchR2(0:1))
      call avR2(10566, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22398])

      call avR2(10566, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22399])

      allocate(vertices(9497)%branchR2(0:0))
      call avR2(9497, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22035])

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(4192)%branchR2(0:0))
      call avR2(4192, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(4860)%branchR2(0:0))
      call avR2(4860, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(7853)%branchR2(0:0))
      call avR2(7853, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(7143)%branchR2(0:0))
      call avR2(7143, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2096)%branchR2(0:1))
      call avR2(2096, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(2096, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22259])

      allocate(vertices(7391)%branchR2(0:0))
      call avR2(7391, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(7771)%branchR2(0:0))
      call avR2(7771, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22071])

      allocate(vertices(7799)%branchR2(0:0))
      call avR2(7799, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58030])

      allocate(vertices(8036)%branchR2(0:0))
      call avR2(8036, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_22150])

      allocate(vertices(7508)%branchR2(0:0))
      call avR2(7508, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8362)%branchR2(0:0))
      call avR2(8362, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(3565)%branchR2(0:0))
      call avR2(3565, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(6341)%branchR2(0:0))
      call avR2(6341, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(8454)%branchR2(0:0))
      call avR2(8454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22478])

      call avR2(10567, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22477])

      allocate(vertices(7359)%branchR2(0:0))
      call avR2(7359, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(3120)%branchR2(0:0))
      call avR2(3120, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(9287)%branchR2(0:0))
      call avR2(9287, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(5159)%branchR2(0:0))
      call avR2(5159, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58728])

      allocate(vertices(5213)%branchR2(0:0))
      call avR2(5213, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8463)%branchR2(0:1))
      call avR2(8463, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(8463, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(2875)%branchR2(0:0))
      call avR2(2875, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(6110)%branchR2(0:0))
      call avR2(6110, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9755)%branchR2(0:0))
      call avR2(9755, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(8588)%branchR2(0:0))
      call avR2(8588, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(9212)%branchR2(0:0))
      call avR2(9212, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10115)%branchR2(0:0))
      call avR2(10115, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(9373)%branchR2(0:0))
      call avR2(9373, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4147)%branchR2(0:1))
      call avR2(4147, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_22254])

      call avR2(4147, 1, 21, 1, 0, VFaF0, 0, [0, 3], [nGC_22258])

      allocate(vertices(9218)%branchR2(0:0))
      call avR2(9218, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2436)%branchR2(0:0))
      call avR2(2436, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22147])

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(4936)%branchR2(0:0))
      call avR2(4936, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7213)%branchR2(0:0))
      call avR2(7213, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(9319)%branchR2(0:0))
      call avR2(9319, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21976, nGC_21975,      &
      nGC_21977])

      allocate(vertices(756)%branchR2(0:1))
      call avR2(756, 0, 21, 1, 0, VFaF1, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(756, 1, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(5477)%branchR2(0:0))
      call avR2(5477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5734)%branchR2(0:0))
      call avR2(5734, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(8141)%branchR2(0:0))
      call avR2(8141, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57940])

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22454])

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22363,     &
      nGC_22362])

      allocate(vertices(4385)%branchR2(0:0))
      call avR2(4385, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(6208)%branchR2(0:0))
      call avR2(6208, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22380])

      allocate(vertices(8505)%branchR2(0:0))
      call avR2(8505, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(1956)%branchR2(0:1))
      call avR2(1956, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(1956, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(7926)%branchR2(0:0))
      call avR2(7926, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6498)%branchR2(0:0))
      call avR2(6498, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10018)%branchR2(0:0))
      call avR2(10018, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58778])

      allocate(vertices(4373)%branchR2(0:1))
      call avR2(4373, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(4373, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(8661)%branchR2(0:0))
      call avR2(8661, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5452)%branchR2(0:0))
      call avR2(5452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(7813)%branchR2(0:0))
      call avR2(7813, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22362,     &
      nGC_22363])

      allocate(vertices(2010)%branchR2(0:0))
      call avR2(2010, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8963)%branchR2(0:0))
      call avR2(8963, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8177)%branchR2(0:1))
      call avR2(8177, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(8177, 1, 20, 1, 0, VFFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(3609)%branchR2(0:0))
      call avR2(3609, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(4242)%branchR2(0:0))
      call avR2(4242, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22146])

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3170)%branchR2(0:0))
      call avR2(3170, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(5093)%branchR2(0:0))
      call avR2(5093, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(7267)%branchR2(0:0))
      call avR2(7267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9560)%branchR2(0:0))
      call avR2(9560, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(5822)%branchR2(0:0))
      call avR2(5822, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8449)%branchR2(0:1))
      call avR2(8449, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(8449, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(10445)%branchR2(0:0))
      call avR2(10445, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22013])

      allocate(vertices(10568)%branchR2(0:5))
      call avR2(10568, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10568, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10568, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10568, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10568, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22484, nGC_22484,  &
      nGC_22484])

      call avR2(10568, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(9943)%branchR2(0:0))
      call avR2(9943, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(9194)%branchR2(0:0))
      call avR2(9194, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(10096)%branchR2(0:0))
      call avR2(10096, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58778])

      allocate(vertices(9715)%branchR2(0:0))
      call avR2(9715, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9594)%branchR2(0:0))
      call avR2(9594, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(5792)%branchR2(0:0))
      call avR2(5792, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22444])

      allocate(vertices(4703)%branchR2(0:0))
      call avR2(4703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(7116)%branchR2(0:0))
      call avR2(7116, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(4343)%branchR2(0:0))
      call avR2(4343, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(10570)%branchR2(0:0))
      call avR2(10570, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22324])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(1411)%branchR2(0:0))
      call avR2(1411, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58142])

      allocate(vertices(10571)%branchR2(0:0))
      call avR2(10571, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(8049)%branchR2(0:1))
      call avR2(8049, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

      call avR2(8049, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58845])

      allocate(vertices(5301)%branchR2(0:0))
      call avR2(5301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22330])

      allocate(vertices(6167)%branchR2(0:0))
      call avR2(6167, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_58007])

      allocate(vertices(3864)%branchR2(0:0))
      call avR2(3864, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(5957)%branchR2(0:0))
      call avR2(5957, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(6583)%branchR2(0:0))
      call avR2(6583, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8992)%branchR2(0:0))
      call avR2(8992, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(7634)%branchR2(0:0))
      call avR2(7634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7913)%branchR2(0:1))
      call avR2(7913, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

      call avR2(7913, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(4302)%branchR2(0:0))
      call avR2(4302, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22330])

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(6798)%branchR2(0:0))
      call avR2(6798, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9487)%branchR2(0:0))
      call avR2(9487, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58778])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(4171)%branchR2(0:0))
      call avR2(4171, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(4615)%branchR2(0:0))
      call avR2(4615, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(10135)%branchR2(0:0))
      call avR2(10135, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10265)%branchR2(0:0))
      call avR2(10265, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57850])

      allocate(vertices(10572)%branchR2(0:0))
      call avR2(10572, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(3744)%branchR2(0:0))
      call avR2(3744, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(2886)%branchR2(0:0))
      call avR2(2886, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22073])

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(5706)%branchR2(0:0))
      call avR2(5706, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_58728])

      allocate(vertices(9907)%branchR2(0:0))
      call avR2(9907, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(7593)%branchR2(0:0))
      call avR2(7593, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22362,     &
      nGC_22363])

      allocate(vertices(6555)%branchR2(0:0))
      call avR2(6555, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22359])

      allocate(vertices(2986)%branchR2(0:1))
      call avR2(2986, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22170, nGC_22172])

      call avR2(2986, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22171, nGC_22173])

      allocate(vertices(9002)%branchR2(0:0))
      call avR2(9002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9017)%branchR2(0:1))
      call avR2(9017, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,     &
      nGC_22005, nGC_22005])

      call avR2(9017, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_22006, nGC_22006])

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9638)%branchR2(0:0))
      call avR2(9638, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22360])

      allocate(vertices(7889)%branchR2(0:0))
      call avR2(7889, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(10573)%branchR2(0:1))
      call avR2(10573, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22441])

      call avR2(10573, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22440])

      allocate(vertices(9088)%branchR2(0:0))
      call avR2(9088, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22410])

      allocate(vertices(9874)%branchR2(0:0))
      call avR2(9874, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(4888)%branchR2(0:0))
      call avR2(4888, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(4294)%branchR2(0:1))
      call avR2(4294, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(4294, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(8894)%branchR2(0:0))
      call avR2(8894, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5874)%branchR2(0:3))
      call avR2(5874, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(5874, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(5874, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(5874, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(10425)%branchR2(0:0))
      call avR2(10425, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9612)%branchR2(0:0))
      call avR2(9612, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9588)%branchR2(0:0))
      call avR2(9588, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(3976)%branchR2(0:0))
      call avR2(3976, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22075])

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8479)%branchR2(0:1))
      call avR2(8479, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(8479, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(10574)%branchR2(0:0))
      call avR2(10574, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7615)%branchR2(0:0))
      call avR2(7615, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(5900)%branchR2(0:0))
      call avR2(5900, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(5821)%branchR2(0:0))
      call avR2(5821, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(727)%branchR2(0:1))
      call avR2(727, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(727, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(5490)%branchR2(0:0))
      call avR2(5490, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22073])

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4715)%branchR2(0:0))
      call avR2(4715, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(7578)%branchR2(0:0))
      call avR2(7578, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10343)%branchR2(0:0))
      call avR2(10343, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5297)%branchR2(0:1))
      call avR2(5297, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(5297, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(8492)%branchR2(0:0))
      call avR2(8492, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57722])

      allocate(vertices(6081)%branchR2(0:0))
      call avR2(6081, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(304)%branchR2(0:1))
      call avR2(304, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(304, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(4424)%branchR2(0:0))
      call avR2(4424, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5812)%branchR2(0:0))
      call avR2(5812, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(8887)%branchR2(0:0))
      call avR2(8887, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_21958, nGC_21957])

      allocate(vertices(3533)%branchR2(0:0))
      call avR2(3533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(7050)%branchR2(0:0))
      call avR2(7050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(8670)%branchR2(0:0))
      call avR2(8670, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(4100)%branchR2(0:0))
      call avR2(4100, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_58007])

      allocate(vertices(10067)%branchR2(0:0))
      call avR2(10067, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(8725)%branchR2(0:0))
      call avR2(8725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_57592])

      allocate(vertices(10575)%branchR2(0:1))
      call avR2(10575, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22237])

      call avR2(10575, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22238])

      allocate(vertices(10322)%branchR2(0:0))
      call avR2(10322, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22147])

      allocate(vertices(3674)%branchR2(0:0))
      call avR2(3674, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22419])

      allocate(vertices(4265)%branchR2(0:0))
      call avR2(4265, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(8427)%branchR2(0:0))
      call avR2(8427, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(3634)%branchR2(0:0))
      call avR2(3634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(5375)%branchR2(0:0))
      call avR2(5375, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10437)%branchR2(0:0))
      call avR2(10437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22343])

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(4648)%branchR2(0:0))
      call avR2(4648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10576)%branchR2(0:1))
      call avR2(10576, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22473])

      call avR2(10576, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22474])

      allocate(vertices(10577)%branchR2(0:1))
      call avR2(10577, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22483, nGC_22483,  &
      nGC_22483])

      call avR2(10577, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22482, nGC_22482,  &
      nGC_22482])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(5028)%branchR2(0:0))
      call avR2(5028, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22211, nGC_22210])

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(8624)%branchR2(0:0))
      call avR2(8624, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_58986])

      allocate(vertices(7733)%branchR2(0:0))
      call avR2(7733, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(4529)%branchR2(0:0))
      call avR2(4529, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2500)%branchR2(0:0))
      call avR2(2500, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(6236)%branchR2(0:0))
      call avR2(6236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(7857)%branchR2(0:0))
      call avR2(7857, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(7201)%branchR2(0:0))
      call avR2(7201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22456])

      allocate(vertices(4128)%branchR2(0:0))
      call avR2(4128, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(4240)%branchR2(0:0))
      call avR2(4240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7115)%branchR2(0:1))
      call avR2(7115, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(7115, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(9172)%branchR2(0:0))
      call avR2(9172, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7729)%branchR2(0:1))
      call avR2(7729, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(7729, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22443])

      allocate(vertices(3749)%branchR2(0:0))
      call avR2(3749, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4893)%branchR2(0:0))
      call avR2(4893, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22195])

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(10578)%branchR2(0:0))
      call avR2(10578, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(2218)%branchR2(0:0))
      call avR2(2218, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5618)%branchR2(0:1))
      call avR2(5618, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(5618, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22441])

      call avR2(10579, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22440])

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22261])

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22396])

      allocate(vertices(2760)%branchR2(0:1))
      call avR2(2760, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(2760, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(10580)%branchR2(0:0))
      call avR2(10580, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22332, nGC_22332,    &
      nGC_22332])

      allocate(vertices(10581)%branchR2(0:1))
      call avR2(10581, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22440])

      call avR2(10581, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22441])

      allocate(vertices(4230)%branchR2(0:0))
      call avR2(4230, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4910)%branchR2(0:0))
      call avR2(4910, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9346)%branchR2(0:0))
      call avR2(9346, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(7136)%branchR2(0:0))
      call avR2(7136, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7637)%branchR2(0:0))
      call avR2(7637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2803)%branchR2(0:1))
      call avR2(2803, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(2803, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(5438)%branchR2(0:0))
      call avR2(5438, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(3306)%branchR2(0:0))
      call avR2(3306, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9161)%branchR2(0:1))
      call avR2(9161, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21985, nGC_21982,    &
      nGC_21990, nGC_21990])

      call avR2(9161, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_21991, nGC_21991])

      allocate(vertices(4681)%branchR2(0:0))
      call avR2(4681, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22278])

      allocate(vertices(8552)%branchR2(0:0))
      call avR2(8552, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(3953)%branchR2(0:0))
      call avR2(3953, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(263)%branchR2(0:1))
      call avR2(263, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(263, 1, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(9200)%branchR2(0:0))
      call avR2(9200, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_59055])

      allocate(vertices(9721)%branchR2(0:0))
      call avR2(9721, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22410])

      allocate(vertices(1966)%branchR2(0:1))
      call avR2(1966, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(1966, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(5359)%branchR2(0:0))
      call avR2(5359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(10582)%branchR2(0:1))
      call avR2(10582, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22441])

      call avR2(10582, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22440])

      allocate(vertices(10583)%branchR2(0:1))
      call avR2(10583, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      call avR2(10583, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      allocate(vertices(163)%branchR2(0:3))
      call avR2(163, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_22312, nGC_22311])

      call avR2(163, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(163, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(163, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(8737)%branchR2(0:0))
      call avR2(8737, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9867)%branchR2(0:0))
      call avR2(9867, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6787)%branchR2(0:0))
      call avR2(6787, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(6031)%branchR2(0:0))
      call avR2(6031, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(480)%branchR2(0:1))
      call avR2(480, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(480, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(1422)%branchR2(0:1))
      call avR2(1422, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(1422, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(3698)%branchR2(0:0))
      call avR2(3698, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(3778)%branchR2(0:0))
      call avR2(3778, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10584)%branchR2(0:0))
      call avR2(10584, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10585)%branchR2(0:1))
      call avR2(10585, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22399])

      call avR2(10585, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(1302)%branchR2(0:1))
      call avR2(1302, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(1302, 1, 19, 1, 0, FaFV1, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22381])

      call avR2(10586, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22382])

      allocate(vertices(8031)%branchR2(0:0))
      call avR2(8031, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(1587)%branchR2(0:0))
      call avR2(1587, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(3252)%branchR2(0:0))
      call avR2(3252, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10290)%branchR2(0:0))
      call avR2(10290, 0, 1, 1, 0, SSV0, 0, [0, 3], [nGC_22054])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10587)%branchR2(0:0))
      call avR2(10587, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22324])

      allocate(vertices(1406)%branchR2(0:1))
      call avR2(1406, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(1406, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(6568)%branchR2(0:0))
      call avR2(6568, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22438])

      allocate(vertices(6513)%branchR2(0:0))
      call avR2(6513, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(7168)%branchR2(0:0))
      call avR2(7168, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10199)%branchR2(0:0))
      call avR2(10199, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22036])

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(7316)%branchR2(0:1))
      call avR2(7316, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(7316, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(1152)%branchR2(0:1))
      call avR2(1152, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(1152, 1, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(8295)%branchR2(0:0))
      call avR2(8295, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4717)%branchR2(0:0))
      call avR2(4717, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22373])

      allocate(vertices(2837)%branchR2(0:1))
      call avR2(2837, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(2837, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(4622)%branchR2(0:0))
      call avR2(4622, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(8671)%branchR2(0:0))
      call avR2(8671, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10374)%branchR2(0:0))
      call avR2(10374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(4112)%branchR2(0:0))
      call avR2(4112, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10589)%branchR2(0:1))
      call avR2(10589, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22478])

      call avR2(10589, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22477])

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(5933)%branchR2(0:0))
      call avR2(5933, 0, 1, 1, 0, VVV0, 0, [0, 3], [nGC_22252])

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5070)%branchR2(0:1))
      call avR2(5070, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(5070, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(10283)%branchR2(0:0))
      call avR2(10283, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(5750)%branchR2(0:0))
      call avR2(5750, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(4324)%branchR2(0:0))
      call avR2(4324, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(2959)%branchR2(0:1))
      call avR2(2959, 0, 20, 1, 0, VFFa0, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(2959, 1, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(7309)%branchR2(0:0))
      call avR2(7309, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(4680)%branchR2(0:0))
      call avR2(4680, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9837)%branchR2(0:0))
      call avR2(9837, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6056)%branchR2(0:0))
      call avR2(6056, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(10590)%branchR2(0:1))
      call avR2(10590, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22447])

      call avR2(10590, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(6649)%branchR2(0:0))
      call avR2(6649, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10591)%branchR2(0:1))
      call avR2(10591, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22399])

      call avR2(10591, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22398])

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10119)%branchR2(0:0))
      call avR2(10119, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(5447)%branchR2(0:0))
      call avR2(5447, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(9739)%branchR2(0:0))
      call avR2(9739, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22360])

      allocate(vertices(4023)%branchR2(0:0))
      call avR2(4023, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10253)%branchR2(0:0))
      call avR2(10253, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(10592)%branchR2(0:1))
      call avR2(10592, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22382])

      call avR2(10592, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22381])

      allocate(vertices(4944)%branchR2(0:0))
      call avR2(4944, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(4355)%branchR2(0:1))
      call avR2(4355, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(4355, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(8939)%branchR2(0:1))
      call avR2(8939, 0, 124, 1, 0, FaF0, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_22005, nGC_22005])

      call avR2(8939, 1, 124, 1, 0, FaF0, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22006, nGC_22006])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22071])

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(4996)%branchR2(0:0))
      call avR2(4996, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(3035)%branchR2(0:0))
      call avR2(3035, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(7464)%branchR2(0:1))
      call avR2(7464, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_22025, nGC_22025])

      call avR2(7464, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_22024, nGC_22023])

      allocate(vertices(7336)%branchR2(0:0))
      call avR2(7336, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22072])

      allocate(vertices(7661)%branchR2(0:0))
      call avR2(7661, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(4260)%branchR2(0:0))
      call avR2(4260, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5489)%branchR2(0:0))
      call avR2(5489, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6690)%branchR2(0:1))
      call avR2(6690, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(6690, 1, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(5982)%branchR2(0:0))
      call avR2(5982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6686)%branchR2(0:0))
      call avR2(6686, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(5501)%branchR2(0:1))
      call avR2(5501, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(5501, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(5781)%branchR2(0:0))
      call avR2(5781, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(9813)%branchR2(0:0))
      call avR2(9813, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10230)%branchR2(0:0))
      call avR2(10230, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22380])

      allocate(vertices(9369)%branchR2(0:0))
      call avR2(9369, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10593)%branchR2(0:1))
      call avR2(10593, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10593, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22386, nGC_22386,  &
      nGC_22386])

      allocate(vertices(5742)%branchR2(0:0))
      call avR2(5742, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5780)%branchR2(0:0))
      call avR2(5780, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(2891)%branchR2(0:0))
      call avR2(2891, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22445])

      allocate(vertices(7241)%branchR2(0:1))
      call avR2(7241, 0, 20, 1, 0, SFFa0, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(7241, 1, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(8669)%branchR2(0:0))
      call avR2(8669, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22444])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(4890)%branchR2(0:1))
      call avR2(4890, 0, 19, 1, 0, FaFS0, 0, [0, 3], [nGC_22161, nGC_22163])

      call avR2(4890, 1, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_22162, nGC_22164])

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(7410)%branchR2(0:0))
      call avR2(7410, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22362,     &
      nGC_22363])

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22443])

      allocate(vertices(4099)%branchR2(0:0))
      call avR2(4099, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22375])

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4435)%branchR2(0:0))
      call avR2(4435, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22397])

      allocate(vertices(7149)%branchR2(0:0))
      call avR2(7149, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22412])

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22175, nGC_22174])

      allocate(vertices(5641)%branchR2(0:0))
      call avR2(5641, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22397])

      allocate(vertices(9992)%branchR2(0:0))
      call avR2(9992, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(3508)%branchR2(0:1))
      call avR2(3508, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(3508, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(6143)%branchR2(0:0))
      call avR2(6143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(6533)%branchR2(0:0))
      call avR2(6533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8897)%branchR2(0:0))
      call avR2(8897, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(8757)%branchR2(0:0))
      call avR2(8757, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_57421])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7899)%branchR2(0:0))
      call avR2(7899, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(6817)%branchR2(0:1))
      call avR2(6817, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(6817, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(7478)%branchR2(0:0))
      call avR2(7478, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4557)%branchR2(0:0))
      call avR2(4557, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22145])

      allocate(vertices(10594)%branchR2(0:1))
      call avR2(10594, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22471, nGC_22471,  &
      nGC_22471])

      call avR2(10594, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22472, nGC_22472,  &
      nGC_22472])

      allocate(vertices(6481)%branchR2(0:0))
      call avR2(6481, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22146])

      allocate(vertices(5385)%branchR2(0:0))
      call avR2(5385, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22445])

      allocate(vertices(8858)%branchR2(0:0))
      call avR2(8858, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(8076)%branchR2(0:0))
      call avR2(8076, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22276])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22363, nGC_22361,      &
      nGC_22362])

      allocate(vertices(4798)%branchR2(0:1))
      call avR2(4798, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(4798, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_22154, nGC_22155])

    end subroutine fill_vertices_mdl21
end module vertices_info21
